﻿local E, L, V, P, G = unpack(ElvUI);
local BUI = E:GetModule('BenikUI');

function BUI:LoadInFlightProfile()
	if not BUI:IsAddOnEnabled("InFlight") then
		LoadAddOn("InFlight") -- LOD addon
	end

	local font, fontsize
	if E.private.benikui.expressway == true then
		font = "Expressway"
		fontsize = 11
	else
		font = "Bui Prototype"
		fontsize = 10
	end

	InFlightDB = {
		["outline"] = false,
		["backcolor"] = {
			["a"] = 0.850000008940697,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0,
		},
		["barcolor"] = {
			["a"] = 1,
			["r"] = 0.215686274509804,
			["g"] = 0.235294117647059,
			["b"] = 0.827450980392157,
		},
		["border"] = "None",
		["fontsize"] = fontsize,
		["outlinetime"] = false,
		["rp"] = "TOP",
		["texture"] = "BuiFlat",
		["p"] = "TOP",
		["confirmflight"] = false,
		["dbinit"] = 35,
		["bordercolor"] = {
			["a"] = 0.800000011920929,
			["r"] = 0.6,
			["g"] = 0.6,
			["b"] = 0.6,
		},
		["totext"] = " --> ",
		["inline"] = true,
		["y"] = -212,
		["x"] = -10,
		["unknowncolor"] = {
			["a"] = 0.850000008940697,
			["r"] = 0,
			["g"] = 0,
			["b"] = 0,
		},
		["width"] = 230,
		["height"] = 28,
		["font"] = font,
		["fontcolor"] = {
			["a"] = 1,
			["r"] = 1,
			["g"] = 1,
			["b"] = 1,
		},
		["fill"] = true,
	}
	
	InFlightVars = {
		["Horde"] = {
			["Nordrassil"] = {
				["Gates of Sothann"] = 111,
				["Wildheart Point"] = 283,
				["Moonglade"] = 132,
				["Bootlegger Outpost"] = 757,
				["Bilgewater Harbor"] = 269,
				["Whisperwind Grove"] = 226,
				["Grove of Aessina"] = 76,
				["Ethel Rethor"] = 603,
				["Cliffwalker Post"] = 466,
				["Northern Rocketway"] = 320,
				["Shrine of Aviana"] = 47,
				["Everlook"] = 122,
				["Sanctuary of Malorne"] = 78,
				["Orgrimmar"] = 219,
			},
			["Thunk's Abode"] = {
				["Orgrimmar"] = 258,
				["The Crossroads"] = 148,
				["Sun Rock Retreat"] = 145,
				["Shadowprey Village"] = 137,
				["Hunter's Hill"] = 111,
				["Furien's Post"] = 72,
				["Karnum's Glade"] = 55,
				["Thunder Bluff"] = 45,
				["Cliffwalker Post"] = 196,
				["Krom'gar Fortress"] = 169,
				["Oasis of Vir'sar"] = 451,
				["Everlook"] = 507,
				["Ethel Rethor"] = 63,
				["Stonemaul Hold"] = 283,
			},
			["Hafr Fjall"] = {
				["Crimson Thicket"] = 47,
				["Valdisdall"] = 39,
				["Challiane's Terrace"] = 129,
				["Nesingwary"] = 126,
				["Meredil"] = 76,
				["The Witchwood"] = 141,
				["Dalaran"] = 97,
				["Dreadwake's Landing"] = 22,
				["Illidari Stand"] = 133,
				["Cullen's Post"] = 46,
				["Irongrove Retreat"] = 88,
			},
			["Tian Monastery"] = {
				["Winter's Blossom"] = 294,
				["Dawn's Blossom"] = 42,
				["Shrine of Two Moons"] = 179,
				["Emperor's Omen"] = 22,
				["Grookin Hill"] = 66,
				["Halfhill"] = 157,
				["Jade Temple Grounds"] = 77,
				["Honeydew Village"] = 54,
				["Zhu's Watch"] = 175,
				["Sri-La Village"] = 42,
				["The Arboretum"] = 86,
			},
			["Malo's Lookout"] = {
				["The Iron Front"] = 55,
				["Vault of the Earth"] = 30,
				["Frostwall Garrison"] = 140,
				["Aktar's Post"] = 26,
				["Warspear"] = 87,
				["Sha'naari Refuge"] = 30,
				["Beastwatch"] = 74,
				["Vol'mar"] = 32,
				["Bastion Rise"] = 48,
				["Axefall"] = 149,
				["Everbloom Wilds"] = 65,
			},
			["The Krazzworks"] = {
				["Dragonmaw Port"] = 48,
				["Bloodgulch"] = 55,
				["The Gullet"] = 103,
			},
			["Amber Ledge"] = {
				["Transitus Shield"] = 25,
				["Transitus Shield (Scenic)"] = 62,
				["Venomspite"] = 166,
				["Nesingwary Base Camp"] = 55,
				["Argent Tournament Grounds"] = 227,
				["Dalaran"] = 186,
				["Unu'pe"] = 90,
				["The Shadow Vault"] = 177,
				["Vengeance Landing"] = 310,
				["Warsong Hold"] = 28,
				["Bor'gorok Outpost"] = 23,
				["Kamagua"] = 266,
				["Taunka'le Village"] = 48,
				["Wyrmrest Temple"] = 141,
				["River's Heart"] = 61,
				["Agmar's Hammer"] = 108,
				["Moa'ki"] = 147,
			},
			["Westreach Summit"] = {
				["Gadgetzan"] = 154,
				["Mudsprocket"] = 83,
				["Shadowprey Village"] = 247,
				["Brackenwall Village"] = 97,
				["Fizzle & Pozzik's Speedbarge"] = 119,
				["Desolation Hold"] = 100,
				["Camp Mojache"] = 50,
				["Thunder Bluff"] = 215,
				["Malaka'jin"] = 268,
				["The Crossroads"] = 186,
				["Orgrimmar"] = 283,
			},
			["Grom'gol"] = {
				["Kargath"] = 246,
				["Bloodgulch"] = 517,
				["Light's Hope Chapel"] = 736,
				["Fuselight"] = 298,
				["Thorium Point"] = 230,
				["Hammerfall"] = 494,
				["Flamestar Post"] = 240,
				["Booty Bay"] = 63,
				["Flame Crest"] = 198,
				["Dreadmaul Hold"] = 199,
				["Undercity"] = 744,
				["Crushblow"] = 509,
				["Stonard"] = 173,
				["Tarren Mill"] = 563,
				["Chiselgrip"] = 207,
				["New Kargath"] = 242,
				["Bambala"] = 57,
				["Hardwrench Hideaway"] = 39,
				["Bloodwatcher Point"] = 287,
			},
			["Warspear"] = {
				["Iron Docks"] = 147,
				["Rilzit's Holdfast"] = 250,
				["Vault of the Earth"] = 89,
				["Riverside Post"] = 241,
				["Vol'jin's Pride"] = 159,
				["Aktar's Post"] = 103,
				["Durotan's Grasp"] = 170,
				["Zangarra"] = 134,
				["Axefall"] = 198,
				["Talon Watch"] = 179,
				["Malo's Lookout"] = 84,
				["Throm'Var"] = 234,
				["Wor'var"] = 196,
				["Beastwatch"] = 125,
				["Frostwolf Overlook"] = 143,
				["Shattrath City"] = 173,
				["Terokkar Refuge"] = 162,
				["Akeeta's Hovel"] = 158,
				["Thunder Pass"] = 155,
				["Bloodmaul Slag Mines"] = 191,
				["Bastion Rise"] = 123,
				["Evermorn Springs"] = 127,
				["Frostwall Garrison"] = 182,
				["Exarch's Refuge"] = 191,
				["Breaker's Crown"] = 131,
				["Wor'gol"] = 225,
				["Darktide Roost"] = 161,
				["The Ring of Trials"] = 202,
				["Apexis Excavation"] = 220,
				["Everbloom Wilds"] = 110,
				["Wolf's Stand"] = 173,
				["Veil Terokk"] = 265,
				["Socrethar's Rise"] = 160,
				["Retribution Point"] = 206,
				["Vol'mar"] = 65,
				["Throne of the Elements"] = 219,
				["Bladespire Citadel"] = 231,
				["Skysea Ridge"] = 136,
				["Stonefang Outpost"] = 203,
				["The Iron Front"] = 121,
				["Darkspear's Edge"] = 203,
				["Exile's Rise"] = 123,
				["Pinchwhistle Gearworks"] = 217,
				["Sha'naari Refuge"] = 106,
				["Joz's Rylaks"] = 225,
				["Crow's Crook"] = 182,
				["Everbloom Overlook"] = 140,
				["Nivek's Overlook"] = 242,
			},
			["Illidari Stand"] = {
				["Shackle's Den"] = 29,
				["Crimson Thicket"] = 102,
				["Felblaze Ingress"] = 38,
				["Trueshot Lodge"] = 139,
				["Lorlathil"] = 63,
				["Meredil"] = 64,
				["Hafr Fjall"] = 127,
				["Bradensbrook"] = 90,
				["Watchers' Aerie"] = 43,
				["Irongrove Retreat"] = 65,
				["Eye of Azshara"] = 88,
				["Dalaran"] = 81,
				["Azurewing Repose"] = 24,
				["The Witchwood"] = 150,
				["Shipwreck Cove"] = 190,
				["Thunder Totem"] = 136,
				["Stonehoof Watch"] = 143,
				["Cullen's Post"] = 121,
				["Nesingwary"] = 134,
				["Sylvan Falls"] = 115,
				["Illidari Perch"] = 23,
				["Challiane's Terrace"] = 48,
				["Skyhorn"] = 157,
				["Wardens' Redoubt"] = 34,
				["Forsaken Foothold"] = 161,
				["Valdisdall"] = 143,
			},
			["Crimson Thicket"] = {
				["Shackle's Den"] = 111,
				["Felblaze Ingress"] = 83,
				["Meredil"] = 53,
				["Hafr Fjall"] = 42,
				["Dalaran"] = 77,
				["Ironhorn Enclave"] = 77,
				["Irongrove Retreat"] = 65,
				["Challiane's Terrace"] = 106,
				["Prepfoot"] = 123,
				["Thunder Totem"] = 104,
				["Stormtorn Foothills"] = 78,
				["Obsidian Overlook"] = 68,
				["Skyhorn"] = 109,
				["Wardens' Redoubt"] = 129,
				["Cullen's Post"] = 53,
				["Illidari Stand"] = 111,
				["Valdisdall"] = 75,
				["Bradensbrook"] = 136,
			},
			["Zouchin Village"] = {
				["Shrine of Two Moons"] = 142,
				["Longying Outpost"] = 172,
				["Honeydew Village"] = 167,
				["One Keg"] = 62,
				["Shado-Pan Garrison"] = 297,
				["Temple of the White Tiger"] = 54,
				["Halfhill"] = 198,
				["Bozzle's Wreck"] = 51,
			},
			["Frostwall Garrison"] = {
				["Iron Docks"] = 117,
				["Rilzit's Holdfast"] = 74,
				["Vault of the Earth"] = 134,
				["Riverside Post"] = 80,
				["Vol'jin's Pride"] = 89,
				["Aktar's Post"] = 112,
				["Durotan's Grasp"] = 80,
				["Zangarra"] = 92,
				["Axefall"] = 150,
				["Talon Watch"] = 162,
				["Malo's Lookout"] = 129,
				["Throm'Var"] = 72,
				["Wor'var"] = 59,
				["Warspear"] = 178,
				["Frostwolf Overlook"] = 66,
				["Shattrath City"] = 77,
				["Terokkar Refuge"] = 109,
				["Pinchwhistle Gearworks"] = 175,
				["Akeeta's Hovel"] = 137,
				["Darkspear's Edge"] = 33,
				["Bloodmaul Slag Mines"] = 47,
				["Bastion Rise"] = 88,
				["Socrethar's Rise"] = 180,
				["Crow's Crook"] = 146,
				["Everbloom Overlook"] = 126,
				["Thunder Pass"] = 52,
				["Wor'gol"] = 49,
				["Joz's Rylaks"] = 58,
				["Apexis Excavation"] = 128,
				["Veil Terokk"] = 146,
				["Everbloom Wilds"] = 98,
				["Wolf's Stand"] = 42,
				["Exile's Rise"] = 164,
				["Nivek's Overlook"] = 99,
				["Evermorn Springs"] = 87,
				["The Iron Front"] = 86,
				["Throne of the Elements"] = 48,
				["Bladespire Citadel"] = 58,
				["Stonefang Outpost"] = 41,
				["Darktide Roost"] = 194,
				["Beastwatch"] = 76,
				["Retribution Point"] = 106,
				["The Ring of Trials"] = 63,
				["Sha'naari Refuge"] = 111,
				["Skysea Ridge"] = 94,
				["Vol'mar"] = 148,
				["Exarch's Refuge"] = 97,
				["Breaker's Crown"] = 77,
			},
			["Exarch's Refuge"] = {
				["Socrethar's Rise"] = 96,
				["Evermorn Springs"] = 84,
				["The Iron Front"] = 75,
				["Veil Terokk"] = 58,
				["Frostwall Garrison"] = 109,
				["Vol'jin's Pride"] = 54,
				["Terokkar Refuge"] = 32,
				["The Ring of Trials"] = 75,
				["Beastwatch"] = 108,
				["Darktide Roost"] = 112,
				["Shattrath City"] = 33,
				["Skysea Ridge"] = 141,
				["Warspear"] = 181,
				["Retribution Point"] = 30,
			},
			["Gundrak"] = {
				["The Shadow Vault"] = 375,
				["Camp Winterhoof"] = 186,
				["K3"] = 201,
				["Grom'arsh Crash-Site"] = 241,
				["Dalaran"] = 227,
				["Sunreaver's Command"] = 187,
				["Bouldercrag's Refuge"] = 257,
				["Zim'Torga"] = 56,
				["The Argent Stand"] = 108,
			},
			["Binan Village"] = {
				["Stoneplow"] = 171,
				["Dawnchaser Retreat"] = 171,
				["Shrine of Two Moons"] = 83,
				["Pang's Stead"] = 174,
				["One Keg"] = 61,
				["Huojin Landing"] = 256,
				["Grassy Cline"] = 71,
				["Zhu's Watch"] = 86,
				["Eastwind Rest"] = 35,
				["Tavern in the Mists"] = 39,
				["Sri-La Village"] = 139,
				["Shado-Pan Fallback"] = 140,
				["Halfhill"] = 88,
				["Longying Outpost"] = 134,
				["Kota Basecamp"] = 95,
				["Shado-Pan Garrison"] = 247,
				["Temple of the White Tiger"] = 66,
			},
			["Krom'gar Fortress"] = {
				["Sun Rock Retreat"] = 45,
				["Zoram'gar Outpost"] = 152,
				["Silverwind Refuge"] = 77,
				["Ratchet"] = 204,
				["The Mor'Shan Ramparts"] = 137,
				["Nozzlepot's Outpost"] = 192,
				["Malaka'jin"] = 68,
				["The Sludgewerks"] = 48,
				["Cliffwalker Post"] = 70,
				["Vendetta Point"] = 198,
				["Karnum's Glade"] = 122,
				["Splintertree Post"] = 140,
				["Orgrimmar"] = 238,
			},
			["Isle of the Watchers"] = {
				["Trueshot Lodge"] = 208,
			},
			["The Ring of Trials"] = {
				["Throne of the Elements"] = 27,
				["Frostwall Garrison"] = 63,
				["Vol'jin's Pride"] = 98,
				["Joz's Rylaks"] = 42,
				["Wor'var"] = 19,
				["Beastwatch"] = 110,
				["Vol'mar"] = 151,
				["Nivek's Overlook"] = 50,
				["Warspear"] = 205,
				["Exile's Rise"] = 137,
				["Riverside Post"] = 49,
			},
			["The Stormspire"] = {
				["Evergrove"] = 134,
				["Garadar"] = 358,
				["Area 52"] = 54,
				["Hellfire Peninsula"] = 400,
				["Thunderlord Stronghold"] = 147,
				["Shadowmoon Village"] = 410,
				["Falcon Watch"] = 257,
				["Stonebreaker Hold"] = 345,
				["Shattrath"] = 222,
				["Spinebreaker Ridge"] = 395,
				["Swamprat Post"] = 191,
				["Thrallmar"] = 326,
				["Cosmowrench"] = 69,
				["Mok'Nathal Village"] = 118,
				["Zabra'jin"] = 294,
				["Sanctum of the Stars"] = 577,
			},
			["Smuggler's Scar"] = {
				["Legion's Rest"] = 129,
				["Tenebrous Cavern"] = 192,
				["Silver Tide Hollow"] = 83,
				["Stygian Bounty"] = 150,
				["Sandy Beach"] = 43,
			},
			["Agmar's Hammer"] = {
				["Transitus Shield"] = 224,
				["Light's Breach"] = 193,
				["Apothecary Camp"] = 186,
				["The Argent Vanguard"] = 143,
				["Gundrak"] = 311,
				["Venomspite"] = 87,
				["Dalaran"] = 86,
				["Dun Nifflelem"] = 267,
				["Conquest Hold"] = 145,
				["Argent Tournament Grounds"] = 235,
				["Crusaders' Pinnacle"] = 149,
				["Zim'Torga"] = 258,
				["Warsong Camp"] = 117,
				["Nesingwary Base Camp"] = 233,
				["The Shadow Vault"] = 281,
				["Vengeance Landing"] = 303,
				["Warsong Hold"] = 197,
				["Bor'gorok Outpost"] = 187,
				["Kor'koron Vanguard"] = 64,
				["Unu'pe"] = 143,
				["Amber Ledge"] = 188,
				["The Argent Stand"] = 217,
				["Taunka'le Village"] = 113,
				["Wyrmrest Temple"] = 51,
				["River's Heart"] = 156,
				["Ebon Watch"] = 154,
				["Camp Winterhoof"] = 229,
				["Moa'ki"] = 63,
				["New Agamand"] = 273,
			},
			["Throne of the Elements"] = {
				["Bladespire Citadel"] = 101,
				["Frostwall Garrison"] = 47,
				["Wor'var"] = 31,
				["Joz's Rylaks"] = 21,
				["Riverside Post"] = 42,
				["Beastwatch"] = 117,
				["Rilzit's Holdfast"] = 49,
				["Nivek's Overlook"] = 65,
				["Warspear"] = 219,
				["Exarch's Refuge"] = 85,
				["Exile's Rise"] = 154,
			},
			["Kor'koron Vanguard"] = {
				["Agmar's Hammer"] = 53,
				["Warsong Hold"] = 247,
				["Unu'pe"] = 193,
				["Venomspite"] = 90,
				["Moa'ki"] = 113,
				["Wyrmrest Temple"] = 67,
				["Camp Winterhoof"] = 234,
				["Ebon Watch"] = 106,
				["Dalaran"] = 56,
				["River's Heart"] = 257,
				["Warsong Camp"] = 167,
			},
			["Hellscream's Fist"] = {
				["Shado-Pan Fallback"] = 237,
			},
			["Wyrmrest Temple"] = {
				["New Agamand"] = 158,
				["Moa'ki"] = 35,
				["Transitus Shield"] = 194,
				["Camp Oneqwah"] = 141,
				["Apothecary Camp"] = 99,
				["The Argent Vanguard"] = 80,
				["Gundrak"] = 176,
				["Venomspite"] = 33,
				["Nesingwary Base Camp"] = 199,
				["Conquest Hold"] = 73,
				["Argent Tournament Grounds"] = 140,
				["Crusaders' Pinnacle"] = 83,
				["Unu'pe"] = 123,
				["Kor'kron Vanguard"] = 44,
				["Agmar's Hammer"] = 46,
				["The Shadow Vault"] = 165,
				["Vengeance Landing"] = 179,
				["Warsong Hold"] = 177,
				["Kor'koron Vanguard"] = 44,
				["Amber Ledge"] = 170,
				["Kamagua"] = 134,
				["K3"] = 97,
				["Dalaran"] = 51,
				["Taunka'le Village"] = 120,
				["Ebon Watch"] = 71,
				["Warsong Camp"] = 123,
				["River's Heart"] = 174,
				["Dun Nifflelem"] = 165,
			},
			["Evermorn Springs"] = {
				["Talon Watch"] = 138,
				["Frostwall Garrison"] = 83,
				["Vol'jin's Pride"] = 46,
				["Beastwatch"] = 27,
				["Bastion Rise"] = 21,
				["Vol'mar"] = 87,
				["Everbloom Overlook"] = 108,
				["Warspear"] = 125,
			},
			["Whisperwind Grove"] = {
				["Gadgetzan"] = 600,
				["Hellscream's Watch"] = 157,
				["Nordrassil"] = 230,
				["Emerald Sanctuary"] = 90,
				["Karnum's Glade"] = 377,
				["Zoram'gar Outpost"] = 218,
				["Irontree Clearing"] = 40,
				["Cliffwalker Post"] = 243,
				["Wildheart Point"] = 60,
				["Valormok"] = 236,
				["Everlook"] = 146,
				["Splintertree Post"] = 171,
				["Orgrimmar"] = 264,
			},
			["New Agamand"] = {
				["Agmar's Hammer"] = 315,
				["Vengeance Landing"] = 80,
				["Camp Winterhoof"] = 79,
				["Apothecary Camp"] = 103,
				["Kamagua"] = 76,
				["Venomspite"] = 191,
				["Warsong Hold"] = 529,
				["Wyrmrest Temple"] = 246,
				["Conquest Hold"] = 151,
				["Camp Oneqwah"] = 136,
				["Dalaran"] = 352,
				["Zim'Torga"] = 228,
				["Amber Ledge"] = 498,
			},
			["Strahnbrad"] = {
				["Undercity"] = 138,
				["Zul'Aman"] = 312,
				["Light's Hope Chapel"] = 219,
				["Tarren Mill"] = 32,
				["The Bulwark"] = 48,
				["Tranquillien"] = 334,
				["Silvermoon City"] = 399,
				["The Sepulcher"] = 138,
				["Hearthglen"] = 139,
				["Brill"] = 97,
			},
			["Vol'jin's Pride"] = {
				["Thunder Pass"] = 62,
				["Socrethar's Rise"] = 116,
				["Frostwall Garrison"] = 92,
				["Wor'var"] = 74,
				["Zangarra"] = 28,
				["Warspear"] = 152,
				["Durotan's Grasp"] = 31,
				["Frostwolf Overlook"] = 34,
				["Crow's Crook"] = 78,
				["Terokkar Refuge"] = 32,
				["Exarch's Refuge"] = 57,
				["Beastwatch"] = 69,
			},
			["Breaker's Crown"] = {
				["Bloodmaul Slag Mines"] = 83,
				["Frostwall Garrison"] = 82,
				["Frostwolf Overlook"] = 74,
				["Warspear"] = 138,
				["Bastion Rise"] = 54,
				["Axefall"] = 167,
				["Skysea Ridge"] = 34,
				["Everbloom Wilds"] = 28,
				["Veil Terokk"] = 159,
				["Beastwatch"] = 31,
			},
			["Freewind Post"] = {
				["Bloodvenom Post"] = 431,
				["Sun Rock Retreat"] = 332,
				["Shadowprey Village"] = 323,
				["Marshal's Stand"] = 194,
				["Brackenwall Village"] = 96,
				["Everlook"] = 491,
				["Orgrimmar"] = 278,
				["Gadgetzan"] = 93,
				["The Crossroads"] = 192,
				["Camp Taurajo"] = 137,
				["Zoram'gar Outpost"] = 419,
				["Ratchet"] = 184,
				["Valormok"] = 359,
				["Moonglade"] = 592,
				["Mudsprocket"] = 69,
				["Thunder Bluff"] = 220,
				["Cenarion Hold"] = 256,
				["Splintertree Post"] = 349,
				["Camp Mojache"] = 123,
			},
			["Irongrove Retreat"] = {
				["Crimson Thicket"] = 69,
				["Felblaze Ingress"] = 47,
				["Lorlathil"] = 60,
				["Meredil"] = 29,
				["Bradensbrook"] = 79,
				["The Witchwood"] = 104,
				["Azurewing Repose"] = 57,
				["Valdisdall"] = 112,
				["Garden of the Moon"] = 60,
				["Starsong Refuge"] = 57,
				["Gloaming Reef"] = 100,
				["Stormtorn Foothills"] = 126,
				["Challiane's Terrace"] = 58,
				["Stonehoof Watch"] = 99,
				["Illidari Stand"] = 57,
				["Skyhorn"] = 108,
				["Cullen's Post"] = 89,
				["Wardens' Redoubt"] = 92,
				["Prepfoot"] = 135,
				["Thunder Totem"] = 87,
			},
			["Domination Point"] = {
				["Stoneplow"] = 41,
				["Huojin Landing"] = 342,
				["Marista"] = 78,
				["Tavern in the Mists"] = 144,
				["Shado-Pan Garrison"] = 254,
				["Halfhill"] = 99,
				["Klaxxi'vess"] = 91,
				["Shrine of Two Moons"] = 136,
			},
			["Gadgetzan"] = {
				["Schnottz's Landing"] = 261,
				["Bloodvenom Post"] = 520,
				["Moonglade"] = 681,
				["Shadowprey Village"] = 399,
				["Dawnrise Expedition"] = 97,
				["Marshal's Stand"] = 100,
				["Vendetta Point"] = 241,
				["Brackenwall Village"] = 194,
				["Thunk's Abode"] = 374,
				["Bootlegger Outpost"] = 56,
				["Ramkahen"] = 169,
				["Freewind Post"] = 87,
				["Valormok"] = 448,
				["Orgrimmar"] = 333,
				["Sun Rock Retreat"] = 421,
				["Ratchet"] = 240,
				["The Crossroads"] = 300,
				["Fizzle & Pozzik's Speedbarge"] = 50,
				["Mudsprocket"] = 121,
				["Camp Taurajo"] = 223,
				["Westreach Summit"] = 168,
				["Zoram'gar Outpost"] = 508,
				["Everlook"] = 563,
				["Cliffwalker Post"] = 472,
				["Desolation Hold"] = 208,
				["Mossy Pile"] = 102,
				["Thunder Bluff"] = 304,
				["Cenarion Hold"] = 233,
				["Splintertree Post"] = 428,
				["Camp Mojache"] = 195,
			},
			["Obsidian Overlook"] = {
				["Shipwreck Cove"] = 121,
				["The Witchwood"] = 83,
				["Thunder Totem"] = 48,
				["Lorlathil"] = 92,
				["Sylvan Falls"] = 46,
				["Skyhorn"] = 66,
				["Stonehoof Watch"] = 65,
				["Ironhorn Enclave"] = 43,
				["Meredil"] = 44,
			},
			["Shattrath City"] = {
				["The Iron Front"] = 64,
				["Throm'Var"] = 167,
				["Frostwall Garrison"] = 85,
				["Durotan's Grasp"] = 22,
				["Beastwatch"] = 89,
				["Zangarra"] = 49,
				["Terokkar Refuge"] = 52,
				["Exile's Rise"] = 98,
				["Axefall"] = 81,
				["Warspear"] = 170,
			},
			["Serpent's Spine"] = {
				["Thunder Cleft"] = 206,
				["Winter's Blossom"] = 228,
				["The Arboretum"] = 287,
				["Shado-Pan Fallback"] = 157,
				["Shrine of Two Moons"] = 59,
				["Halfhill"] = 131,
				["Cradle of Chi-Ji"] = 162,
				["Longying Outpost"] = 132,
				["Jade Temple Grounds"] = 297,
				["Huojin Landing"] = 346,
				["Shado-Pan Garrison"] = 87,
				["Klaxxi'vess"] = 53,
				["Soggy's Gamble"] = 73,
				["The Sunset Brewgarden"] = 54,
			},
			["Sanctuary of Malorne"] = {
				["Gates of Sothann"] = 94,
				["Moonglade"] = 194,
				["Nordrassil"] = 94,
				["Hellscream's Watch"] = 446,
				["Grove of Aessina"] = 67,
				["Shrine of Aviana"] = 30,
				["Everlook"] = 184,
				["Mudsprocket"] = 471,
				["Thunder Bluff"] = 420,
				["Orgrimmar"] = 40,
			},
			["Dawnrise Expedition"] = {
				["Schnottz's Landing"] = 166,
				["Gadgetzan"] = 93,
				["Mudsprocket"] = 214,
				["Shadowprey Village"] = 458,
				["Orgrimmar"] = 434,
				["Stonemaul Hold"] = 326,
				["Marshal's Stand"] = 193,
				["Mossy Pile"] = 194,
				["Fizzle & Pozzik's Speedbarge"] = 143,
				["Desolation Hold"] = 301,
				["Ramkahen"] = 73,
				["Thunder Bluff"] = 401,
				["Cenarion Hold"] = 220,
				["Bootlegger Outpost"] = 62,
				["Camp Mojache"] = 302,
			},
			["Nastrondir"] = {
				["Trueshot Lodge"] = 88,
			},
			["The Sin'loren"] = {
				["Shattered Sun Staging Area"] = 12,
			},
			["Thunderlord Stronghold"] = {
				["Evergrove"] = 26,
				["Stonebreaker Hold"] = 271,
				["Shattrath"] = 202,
				["Swamprat Post"] = 116,
				["Hellfire Peninsula"] = 322,
				["Garadar"] = 227,
				["Zabra'jin"] = 149,
				["Shadowmoon Village"] = 335,
				["Mok'Nathal Village"] = 55,
				["Cosmowrench"] = 163,
				["The Stormspire"] = 158,
				["Area 52"] = 97,
			},
			["Ironhorn Enclave"] = {
				["Shipwreck Cove"] = 109,
				["The Witchwood"] = 72,
				["Thunder Totem"] = 43,
				["Obsidian Overlook"] = 38,
				["Meredil"] = 57,
				["Illidari Perch"] = 135,
				["Valdisdall"] = 71,
				["Cullen's Post"] = 49,
				["Dalaran"] = 111,
				["Stonehoof Watch"] = 32,
				["Skyhorn"] = 51,
			},
			["Sunveil Excursion"] = {
				["Hardwrench Hideaway"] = 213,
				["Stonard"] = 102,
				["Bloodwatcher Point"] = 374,
				["Southpoint Gate"] = 743,
				["Hammerfall"] = 580,
				["Flamestar Post"] = 295,
				["Booty Bay"] = 172,
				["Thorium Point"] = 338,
				["Flame Crest"] = 252,
				["Dreadmaul Hold"] = 48,
			},
			["The Iron Front"] = {
				["Malo's Lookout"] = 52,
				["Vault of the Earth"] = 55,
				["Frostwall Garrison"] = 98,
				["Vol'jin's Pride"] = 33,
				["Aktar's Post"] = 35,
				["Beastwatch"] = 51,
				["Zangarra"] = 33,
				["Bastion Rise"] = 26,
				["Vol'mar"] = 72,
				["Sha'naari Refuge"] = 34,
				["Warspear"] = 126,
				["Frostwolf Overlook"] = 28,
			},
			["Bor'gorok Outpost"] = {
				["Death's Rise"] = 139,
				["Agmar's Hammer"] = 168,
				["K3"] = 296,
				["Transitus Shield"] = 92,
				["Moa'ki"] = 225,
				["Amber Ledge"] = 57,
				["The Argent Vanguard"] = 273,
				["Ebon Watch"] = 320,
				["River's Heart"] = 56,
				["Taunka'le Village"] = 77,
				["Nesingwary Base Camp"] = 49,
				["Conquest Hold"] = 311,
				["Wyrmrest Temple"] = 216,
				["Dalaran"] = 251,
				["Unu'pe"] = 107,
				["Warsong Hold"] = 72,
			},
			["Thunder Totem"] = {
				["Shackle's Den"] = 130,
				["Shipwreck Cove"] = 73,
				["Felblaze Ingress"] = 102,
				["Trueshot Lodge"] = 36,
				["Lorlathil"] = 98,
				["Meredil"] = 79,
				["Dalaran"] = 135,
				["Ironhorn Enclave"] = 46,
				["Irongrove Retreat"] = 65,
				["Stormtorn Foothills"] = 72,
				["Azurewing Repose"] = 112,
				["Valdisdall"] = 90,
				["Garden of the Moon"] = 81,
				["Felbane Camp"] = 56,
				["Sylvan Falls"] = 28,
				["Obsidian Overlook"] = 48,
				["Nesingwary"] = 20,
				["Stonehoof Watch"] = 31,
				["Cullen's Post"] = 69,
				["Bradensbrook"] = 67,
				["Skyhorn"] = 31,
				["Illidari Stand"] = 126,
				["Forsaken Foothold"] = 50,
				["The Witchwood"] = 35,
			},
			["Emerald Sanctuary"] = {
				["Wildheart Point"] = 42,
				["Moonglade"] = 203,
				["Furien's Post"] = 283,
				["Sun Rock Retreat"] = 181,
				["Irontree Clearing"] = 137,
				["Thunk's Abode"] = 316,
				["Northern Rocketway"] = 284,
				["Ramkahen"] = 642,
				["Everlook"] = 226,
				["Splintertree Post"] = 83,
				["Orgrimmar"] = 173,
				["Bloodvenom Post"] = 80,
				["Gadgetzan"] = 514,
				["Ratchet"] = 279,
				["Sen'jin Village"] = 267,
				["Zoram'gar Outpost"] = 114,
				["Hellscream's Watch"] = 70,
				["The Crossroads"] = 237,
				["Karnum's Glade"] = 288,
				["Thunder Bluff"] = 295,
				["Cenarion Hold"] = 619,
				["Whisperwind Grove"] = 98,
				["Camp Mojache"] = 488,
			},
			["Plaguewood"] = {
				["Eastwall Tower"] = 65,
			},
			["Skettis"] = {
				["Ogri'La"] = 243,
			},
			["Camp Ataya"] = {
				["Wildheart Point"] = 480,
				["Mudsprocket"] = 270,
				["Shadowprey Village"] = 68,
				["Karnum's Glade"] = 151,
				["Vendetta Point"] = 286,
				["Thunk's Abode"] = 178,
				["Ramkahen"] = 328,
				["Orgrimmar"] = 438,
				["Stonemaul Hold"] = 75,
				["Dawnrise Expedition"] = 392,
				["Malaka'jin"] = 241,
				["Desolation Hold"] = 250,
				["Mossy Pile"] = 259,
				["Thunder Bluff"] = 223,
				["Cenarion Hold"] = 183,
				["Marshal's Stand"] = 286,
				["Camp Mojache"] = 146,
			},
			["Valormok"] = {
				["Bloodvenom Post"] = 232,
				["Sun Rock Retreat"] = 395,
				["Bilgewater Harbor"] = 86,
				["Marshal's Stand"] = 542,
				["Vendetta Point"] = 255,
				["Brackenwall Village"] = 295,
				["Thunk's Abode"] = 359,
				["Northern Rocketway"] = 137,
				["Everlook"] = 130,
				["Orgrimmar"] = 75,
				["Gadgetzan"] = 441,
				["The Crossroads"] = 164,
				["Ratchet"] = 187,
				["Hunter's Hill"] = 235,
				["Camp Taurajo"] = 342,
				["Freewind Post"] = 348,
				["Emerald Sanctuary"] = 156,
				["Cliffwalker Post"] = 216,
				["Moonglade"] = 277,
				["Mossy Pile"] = 511,
				["Thunder Bluff"] = 250,
				["Cenarion Hold"] = 546,
				["Splintertree Post"] = 79,
				["Camp Mojache"] = 423,
			},
			["Bootlegger Outpost"] = {
				["Camp Mojache"] = 269,
				["Schnottz's Landing"] = 229,
				["Gadgetzan"] = 60,
				["Mudsprocket"] = 181,
				["Orgrimmar"] = 400,
				["Cenarion Hold"] = 295,
				["Marshal's Stand"] = 159,
				["Vendetta Point"] = 301,
				["Brackenwall Village"] = 244,
				["Fizzle & Pozzik's Speedbarge"] = 110,
				["Mossy Pile"] = 161,
				["Ramkahen"] = 136,
				["Oasis of Vir'sar"] = 217,
				["Ratchet"] = 300,
				["Dawnrise Expedition"] = 64,
			},
			["Shackle's Den"] = {
				["Crimson Thicket"] = 106,
				["Felblaze Ingress"] = 36,
				["Trueshot Lodge"] = 145,
				["Lorlathil"] = 82,
				["Meredil"] = 68,
				["Dalaran"] = 60,
				["Watchers' Aerie"] = 30,
				["Irongrove Retreat"] = 73,
				["Azurewing Repose"] = 41,
				["The Witchwood"] = 157,
				["Garden of the Moon"] = 103,
				["Starsong Refuge"] = 117,
				["Sylvan Falls"] = 120,
				["Illidari Perch"] = 44,
				["Wardens' Redoubt"] = 24,
				["Illidari Stand"] = 29,
				["Valdisdall"] = 148,
				["Challiane's Terrace"] = 62,
			},
			["Schnottz's Landing"] = {
				["Oasis of Vir'sar"] = 87,
				["Camp Ataya"] = 323,
				["Cenarion Hold"] = 154,
				["Mossy Pile"] = 229,
				["Thunder Bluff"] = 538,
				["Hunter's Hill"] = 473,
				["Stonemaul Hold"] = 259,
				["Ramkahen"] = 89,
			},
			["Bloodvenom Post"] = {
				["Sun Rock Retreat"] = 413,
				["Shadowprey Village"] = 604,
				["Ratchet"] = 293,
				["Brackenwall Village"] = 433,
				["Everlook"] = 190,
				["Orgrimmar"] = 248,
				["The Crossroads"] = 241,
				["Camp Taurajo"] = 315,
				["Zoram'gar Outpost"] = 136,
				["Emerald Sanctuary"] = 69,
				["Moonglade"] = 161,
				["Freewind Post"] = 458,
				["Valormok"] = 242,
				["Thunder Bluff"] = 347,
				["Splintertree Post"] = 152,
				["Camp Mojache"] = 493,
			},
			["Ebon Watch"] = {
				["Death's Rise"] = 261,
				["Camp Winterhoof"] = 198,
				["Light's Breach"] = 45,
				["Apothecary Camp"] = 174,
				["The Argent Vanguard"] = 88,
				["Venomspite"] = 99,
				["Dun Nifflelem"] = 141,
				["Conquest Hold"] = 158,
				["Argent Tournament Grounds"] = 180,
				["Sunreaver's Command"] = 27,
				["Camp Oneqwah"] = 149,
				["Amber Ledge"] = 346,
				["K3"] = 40,
				["Bouldercrag's Refuge"] = 153,
				["The Argent Stand"] = 64,
				["Taunka'le Village"] = 271,
				["Wyrmrest Temple"] = 92,
				["Kor'koron Vanguard"] = 109,
				["Grom'arsh Crash-Site"] = 115,
				["Dalaran"] = 68,
			},
			["Felblaze Ingress"] = {
				["Shackle's Den"] = 35,
				["Lorlathil"] = 51,
				["Meredil"] = 36,
				["Bradensbrook"] = 77,
				["Irongrove Retreat"] = 41,
				["Azurewing Repose"] = 29,
				["The Witchwood"] = 128,
				["Stormtorn Foothills"] = 140,
				["Starsong Refuge"] = 84,
				["Gloaming Reef"] = 71,
				["Obsidian Overlook"] = 76,
				["Sylvan Falls"] = 89,
				["Stonehoof Watch"] = 114,
				["Illidari Perch"] = 55,
				["Illidari Stand"] = 41,
				["Skyhorn"] = 131,
				["Wardens' Redoubt"] = 53,
				["Challiane's Terrace"] = 44,
				["Dalaran"] = 53,
			},
			["Ratchet"] = {
				["Mudsprocket"] = 162,
				["Shadowprey Village"] = 333,
				["Razor Hill"] = 159,
				["Vendetta Point"] = 137,
				["Brackenwall Village"] = 101,
				["Fizzle & Pozzik's Speedbarge"] = 221,
				["Krom'gar Fortress"] = 254,
				["Everlook"] = 325,
				["Orgrimmar"] = 101,
				["Freewind Post"] = 204,
				["Sen'jin Village"] = 195,
				["Gadgetzan"] = 242,
				["Bloodhoof Village"] = 226,
				["The Mor'Shan Ramparts"] = 131,
				["Hunter's Hill"] = 117,
				["Camp Taurajo"] = 141,
				["Zoram'gar Outpost"] = 282,
				["Emerald Sanctuary"] = 268,
				["The Crossroads"] = 68,
				["Sun Rock Retreat"] = 218,
				["Marshal's Stand"] = 342,
				["Thunder Bluff"] = 175,
				["Cenarion Hold"] = 452,
				["Splintertree Post"] = 190,
				["Camp Mojache"] = 242,
			},
			["Grom'arsh Crash-Site"] = {
				["Death's Rise"] = 227,
				["Ulduar"] = 51,
				["Camp Winterhoof"] = 325,
				["Dun Niffelem"] = 141,
				["Venomspite"] = 229,
				["Dun Nifflelem"] = 141,
				["Argent Tournament Grounds"] = 97,
				["Bouldercrag's Refuge"] = 35,
				["Unu'pe"] = 373,
				["Warsong Camp"] = 264,
				["Camp Oneqwah"] = 277,
				["K3"] = 87,
				["Taunka'le Village"] = 343,
				["Camp Tunka'lo"] = 96,
				["River's Heart"] = 310,
				["Dalaran"] = 111,
				["Moa'ki"] = 259,
				["The Argent Vanguard"] = 81,
			},
			["Bastion Rise"] = {
				["Socrethar's Rise"] = 221,
				["Malo's Lookout"] = 51,
				["The Iron Front"] = 27,
				["Frostwall Garrison"] = 97,
				["Vol'jin's Pride"] = 44,
				["Aktar's Post"] = 30,
				["Breaker's Crown"] = 48,
				["Warspear"] = 116,
				["Beastwatch"] = 29,
				["Skysea Ridge"] = 1685,
				["Vol'mar"] = 76,
				["Apexis Excavation"] = 117,
			},
			["Shadowmoon Village"] = {
				["Evergrove"] = 338,
				["Stonebreaker Hold"] = 73,
				["Shattrath"] = 126,
				["Swamprat Post"] = 205,
				["Area 52"] = 331,
				["Hellfire Peninsula"] = 267,
				["Zabra'jin"] = 262,
				["Garadar"] = 207,
				["Altar of Sha'tar"] = 84,
				["Thunderlord Stronghold"] = 311,
				["Thrallmar"] = 196,
				["Mok'Nathal Village"] = 276,
				["The Stormspire"] = 384,
				["Sanctum of the Stars"] = 65,
			},
			["Eastwind Rest"] = {
				["Shrine of Two Moons"] = 61,
				["Longying Outpost"] = 126,
				["Shado-Pan Fallback"] = 50,
				["Zhu's Watch"] = 114,
				["Halfhill"] = 117,
				["Binan Village"] = 31,
				["One Keg"] = 48,
				["Klaxxi'vess"] = 119,
				["Shado-Pan Garrison"] = 156,
				["Bozzle's Wreck"] = 138,
			},
			["Gates of Sothann"] = {
				["Shrine of Aviana"] = 44,
				["Orgrimmar"] = 74,
				["Sanctuary of Malorne"] = 65,
				["Grove of Aessina"] = 68,
			},
			["Crushblow"] = {
				["Bloodgulch"] = 47,
				["The Krazzworks"] = 95,
				["Dragonmaw Port"] = 80,
				["Bogpaddle"] = 435,
				["Iron Summit"] = 349,
			},
			["Garden of the Moon"] = {
				["Shackle's Den"] = 106,
				["Felblaze Ingress"] = 80,
				["Lorlathil"] = 24,
				["Dalaran"] = 130,
				["Ironhorn Enclave"] = 103,
				["Irongrove Retreat"] = 50,
				["Azurewing Repose"] = 77,
				["Valdisdall"] = 38,
				["Starsong Refuge"] = 37,
				["Gloaming Reef"] = 48,
				["Bradensbrook"] = 26,
				["Challiane's Terrace"] = 61,
				["Illidari Perch"] = 91,
				["Wardens' Redoubt"] = 117,
				["The Witchwood"] = 107,
				["Illidari Stand"] = 93,
				["Thunder Totem"] = 91,
				["The Dreamgrove"] = 51,
			},
			["Kamagua"] = {
				["Camp Winterhoof"] = 115,
				["Apothecary Camp"] = 56,
				["Venomspite"] = 174,
				["Conquest Hold"] = 103,
				["Argent Tournament Grounds"] = 400,
				["Dalaran"] = 231,
				["Unu'pe"] = 326,
				["Agmar's Hammer"] = 258,
				["Vengeance Landing"] = 143,
				["K3"] = 261,
				["The Argent Stand"] = 225,
				["Taunka'le Village"] = 251,
				["Camp Oneqwah"] = 172,
				["Moa'ki"] = 195,
				["New Agamand"] = 63,
			},
			["Beastwatch"] = {
				["Iron Docks"] = 66,
				["Rilzit's Holdfast"] = 143,
				["Vault of the Earth"] = 95,
				["Riverside Post"] = 153,
				["Vol'jin's Pride"] = 69,
				["Joz's Rylaks"] = 128,
				["Durotan's Grasp"] = 79,
				["Bastion Rise"] = 36,
				["Axefall"] = 147,
				["Talon Watch"] = 159,
				["Malo's Lookout"] = 74,
				["Throm'Var"] = 127,
				["Wor'var"] = 255,
				["Warspear"] = 119,
				["Frostwolf Overlook"] = 53,
				["Shattrath City"] = 86,
				["Terokkar Refuge"] = 92,
				["Akeeta's Hovel"] = 132,
				["Thunder Pass"] = 36,
				["Bloodmaul Slag Mines"] = 91,
				["Evermorn Springs"] = 39,
				["Vol'mar"] = 99,
				["Zangarra"] = 66,
				["Frostwall Garrison"] = 79,
				["Everbloom Overlook"] = 71,
				["Crow's Crook"] = 140,
				["Wor'gol"] = 111,
				["Skysea Ridge"] = 47,
				["Socrethar's Rise"] = 173,
				["Everbloom Wilds"] = 43,
				["The Ring of Trials"] = 113,
				["Wolf's Stand"] = 51,
				["Exile's Rise"] = 130,
				["Retribution Point"] = 123,
				["Exarch's Refuge"] = 107,
				["Nivek's Overlook"] = 154,
				["Bladespire Citadel"] = 127,
				["Throne of the Elements"] = 116,
				["The Iron Front"] = 49,
				["Stonefang Outpost"] = 102,
				["Veil Terokk"] = 151,
				["Apexis Excavation"] = 141,
				["Darkspear's Edge"] = 82,
				["Breaker's Crown"] = 28,
				["Sha'naari Refuge"] = 72,
				["Aktar's Post"] = 54,
				["Darktide Roost"] = 179,
				["Pinchwhistle Gearworks"] = 175,
			},
			["Frostwolf Overlook"] = {
				["The Iron Front"] = 32,
				["Frostwall Garrison"] = 76,
				["Vol'jin's Pride"] = 41,
				["Beastwatch"] = 53,
				["Evermorn Springs"] = 37,
				["Crow's Crook"] = 34,
				["Terokkar Refuge"] = 63,
				["Warspear"] = 144,
				["Vol'mar"] = 91,
			},
			["Mossy Pile"] = {
				["Schnottz's Landing"] = 232,
				["Gadgetzan"] = 99,
				["Mudsprocket"] = 219,
				["Shadowprey Village"] = 321,
				["Stonemaul Hold"] = 190,
				["Camp Mojache"] = 213,
				["Brackenwall Village"] = 281,
				["Oasis of Vir'sar"] = 149,
				["Ramkahen"] = 228,
				["Camp Ataya"] = 254,
				["Marshal's Stand"] = 28,
				["Cenarion Hold"] = 83,
				["Bootlegger Outpost"] = 154,
				["Orgrimmar"] = 438,
			},
			["Evergrove"] = {
				["Garadar"] = 262,
				["Area 52"] = 78,
				["Hellfire Peninsula"] = 358,
				["Thunderlord Stronghold"] = 29,
				["Cosmowrench"] = 143,
				["The Stormspire"] = 125,
				["Stonebreaker Hold"] = 306,
				["Shattrath"] = 238,
				["Spinebreaker Ridge"] = 353,
				["Swamprat Post"] = 152,
				["Shadowmoon Village"] = 371,
				["Falcon Watch"] = 215,
				["Thrallmar"] = 287,
				["Altar of Sha'tar"] = 452,
				["Mok'Nathal Village"] = 91,
				["Zabra'jin"] = 184,
				["Sanctum of the Stars"] = 435,
			},
			["Light's Breach"] = {
				["Camp Oneqwah"] = 105,
				["Ebon Watch"] = 40,
				["Agmar's Hammer"] = 254,
				["K3"] = 80,
				["Camp Tunka'lo"] = 170,
				["The Argent Stand"] = 44,
				["Taunka'le Village"] = 310,
				["Wyrmrest Temple"] = 173,
				["Conquest Hold"] = 74,
				["Venomspite"] = 122,
				["Dalaran"] = 106,
				["Transitus Shield"] = 421,
			},
			["Argent Tournament Grounds"] = {
				["Ulduar"] = 94,
				["Transitus Shield"] = 413,
				["Dun Niffelem"] = 199,
				["Grom'arsh Crash-Site"] = 90,
				["Conquest Hold"] = 323,
				["Crusaders' Pinnacle"] = 40,
				["River's Heart"] = 280,
				["Warsong Camp"] = 224,
				["Warsong Hold"] = 447,
				["Amber Ledge"] = 377,
				["Moa'ki"] = 285,
				["Death's Rise"] = 165,
				["Camp Winterhoof"] = 379,
				["Light's Breach"] = 250,
				["The Argent Vanguard"] = 105,
				["Gundrak"] = 300,
				["Nesingwary Base Camp"] = 281,
				["Dalaran"] = 140,
				["Unu'pe"] = 334,
				["Zim'Torga"] = 247,
				["Agmar's Hammer"] = 249,
				["The Shadow Vault"] = 87,
				["Dun Nifflelem"] = 198,
				["Return"] = 152,
				["Bor'gorok Outpost"] = 341,
				["Kor'koron Vanguard"] = 197,
				["K3"] = 177,
				["Bouldercrag's Refuge"] = 49,
				["The Argent Stand"] = 266,
				["Camp Tunka'lo"] = 53,
				["Wyrmrest Temple"] = 247,
				["Venomspite"] = 221,
				["Sunreaver's Command"] = 182,
				["Camp Oneqwah"] = 330,
				["Ebon Watch"] = 202,
				["New Agamand"] = 472,
			},
			["Blackwind Landing"] = {
				["Skyguard Outpost"] = 238,
			},
			["Camp Oneqwah"] = {
				["Camp Winterhoof"] = 48,
				["Light's Breach"] = 93,
				["Apothecary Camp"] = 105,
				["The Argent Vanguard"] = 220,
				["Gundrak"] = 146,
				["Venomspite"] = 183,
				["Dun Nifflelem"] = 178,
				["Conquest Hold"] = 95,
				["Argent Tournament Grounds"] = 312,
				["Dalaran"] = 199,
				["Unu'pe"] = 395,
				["Warsong Camp"] = 346,
				["Agmar's Hammer"] = 292,
				["Vengeance Landing"] = 105,
				["Amber Ledge"] = 478,
				["Bor'gorok Outpost"] = 451,
				["Kor'koron Vanguard"] = 240,
				["Kamagua"] = 159,
				["The Shadow Vault"] = 347,
				["The Argent Stand"] = 100,
				["Taunka'le Village"] = 403,
				["Wyrmrest Temple"] = 223,
				["Crusaders' Pinnacle"] = 225,
				["Grom'arsh Crash-Site"] = 248,
				["Ebon Watch"] = 132,
				["Moa'ki"] = 264,
				["Zim'Torga"] = 92,
			},
			["Spinebreaker Ridge"] = {
				["Evergrove"] = 330,
				["Stonebreaker Hold"] = 190,
				["Shattrath"] = 185,
				["Swamprat Post"] = 198,
				["Hellfire Peninsula"] = 133,
				["Falcon Watch"] = 129,
				["The Stormspire"] = 373,
				["Thrallmar"] = 62,
				["Area 52"] = 327,
				["Shadowmoon Village"] = 255,
				["Zabra'jin"] = 280,
				["Garadar"] = 263,
			},
			["Nighthaven"] = {
				["Thunder Bluff"] = 400,
			},
			["Stormtorn Foothills"] = {
				["Crimson Thicket"] = 60,
				["Trueshot Lodge"] = 103,
				["Shield's Rest"] = 58,
				["Meredil"] = 94,
				["Dreadwake's Landing"] = 43,
				["Dalaran"] = 124,
				["Ironhorn Enclave"] = 59,
				["Irongrove Retreat"] = 107,
				["Valdisdall"] = 24,
				["Thunder Totem"] = 73,
				["Obsidian Overlook"] = 86,
				["Sylvan Falls"] = 94,
				["Stonehoof Watch"] = 50,
				["The Witchwood"] = 103,
				["Lorlathil"] = 158,
				["Cullen's Post"] = 32,
				["Illidari Stand"] = 152,
				["Forsaken Foothold"] = 30,
				["Felbane Camp"] = 119,
			},
			["Taunka'le Village"] = {
				["Transitus Shield"] = 111,
				["Light's Breach"] = 283,
				["The Argent Vanguard"] = 231,
				["Venomspite"] = 177,
				["Nesingwary Base Camp"] = 121,
				["Dalaran"] = 208,
				["Unu'pe"] = 30,
				["Agmar's Hammer"] = 91,
				["Vengeance Landing"] = 391,
				["Warsong Hold"] = 85,
				["Bor'gorok Outpost"] = 73,
				["Amber Ledge"] = 75,
				["K3"] = 254,
				["Kor'koron Vanguard"] = 152,
				["Wyrmrest Temple"] = 139,
				["Zim'Torga"] = 346,
				["River's Heart"] = 128,
				["Sunreaver's Command"] = 255,
				["Moa'ki"] = 148,
				["Crusaders' Pinnacle"] = 231,
			},
			["Thunder Bluff"] = {
				["Bloodvenom Post"] = 356,
				["Mudsprocket"] = 192,
				["Karnum's Glade"] = 120,
				["Irontree Clearing"] = 428,
				["Southern Rocketway"] = 304,
				["Ramkahen"] = 459,
				["Freewind Post"] = 204,
				["Orgrimmar"] = 207,
				["Gadgetzan"] = 290,
				["Hunter's Hill"] = 66,
				["Hellscream's Watch"] = 235,
				["Sen'jin Village"] = 302,
				["Silverwind Refuge"] = 233,
				["Splintertree Post"] = 212,
				["Razor Hill"] = 267,
				["Malaka'jin"] = 54,
				["Sun Rock Retreat"] = 111,
				["Shadowprey Village"] = 159,
				["Bilgewater Harbor"] = 316,
				["Marshal's Stand"] = 391,
				["Whisperwind Grove"] = 388,
				["Brackenwall Village"] = 206,
				["Fizzle & Pozzik's Speedbarge"] = 251,
				["Krom'gar Fortress"] = 122,
				["The Crossroads"] = 103,
				["Everlook"] = 380,
				["Dawnrise Expedition"] = 388,
				["Westreach Summit"] = 210,
				["Thunk's Abode"] = 19,
				["Wildheart Point"] = 334,
				["Emerald Sanctuary"] = 234,
				["Zoram'gar Outpost"] = 264,
				["Camp Taurajo"] = 87,
				["Ratchet"] = 152,
				["Bloodhoof Village"] = 41,
				["Stonemaul Hold"] = 278,
				["The Mor'Shan Ramparts"] = 165,
				["Nozzlepot's Outpost"] = 172,
				["Furien's Post"] = 138,
				["Desolation Hold"] = 126,
				["Camp Ataya"] = 228,
				["Valormok"] = 251,
				["Cenarion Hold"] = 343,
				["Bootlegger Outpost"] = 347,
				["Camp Mojache"] = 252,
			},
			["Zabra'jin"] = {
				["Evergrove"] = 139,
				["Garadar"] = 81,
				["Shattrath"] = 151,
				["Spinebreaker Ridge"] = 287,
				["Stonebreaker Hold"] = 220,
				["Swamprat Post"] = 112,
				["Falcon Watch"] = 147,
				["Hellfire Peninsula"] = 149,
				["Shadowmoon Village"] = 284,
				["Area 52"] = 209,
				["Thunderlord Stronghold"] = 113,
				["Thrallmar"] = 165,
				["Altar of Sha'tar"] = 365,
				["Mok'Nathal Village"] = 168,
				["The Stormspire"] = 257,
				["Cosmowrench"] = 277,
			},
			["The Dreamgrove"] = {
				["Shackle's Den"] = 144,
				["Shipwreck Cove"] = 116,
				["Crimson Thicket"] = 147,
				["Felblaze Ingress"] = 120,
				["Trueshot Lodge"] = 48,
				["Shield's Rest"] = 1331,
				["The Witchwood"] = 112,
				["Wardens' Redoubt"] = 156,
				["Cullen's Post"] = 186,
				["Bradensbrook"] = 39,
				["Valdisdall"] = 208,
				["Dalaran"] = 170,
				["Watchers' Aerie"] = 117,
				["Irongrove Retreat"] = 90,
				["Eye of Azshara"] = 43,
				["Sylvan Falls"] = 106,
				["Azurewing Repose"] = 117,
				["Challiane's Terrace"] = 78,
				["Garden of the Moon"] = 43,
				["Thunder Totem"] = 129,
				["Gloaming Reef"] = 50,
				["Felbane Camp"] = 86,
				["Nesingwary"] = 129,
				["Stonehoof Watch"] = 149,
				["Starsong Refuge"] = 75,
				["Prepfoot"] = 150,
				["Skyhorn"] = 152,
				["Illidari Stand"] = 133,
				["Forsaken Foothold"] = 167,
				["Lorlathil"] = 64,
			},
			["Iron Docks"] = {
				["Rilzit's Holdfast"] = 172,
				["Vault of the Earth"] = 125,
				["Frostwall Garrison"] = 135,
				["Warspear"] = 155,
				["Skysea Ridge"] = 28,
				["Evermorn Springs"] = 91,
				["Exile's Rise"] = 209,
				["Beastwatch"] = 72,
			},
			["Moonglade"] = {
				["Wildheart Point"] = 156,
				["Sun Rock Retreat"] = 574,
				["Nordrassil"] = 135,
				["Ratchet"] = 404,
				["Grove of Aessina"] = 181,
				["Irontree Clearing"] = 73,
				["Southern Rocketway"] = 320,
				["The Sludgewerks"] = 371,
				["Freewind Post"] = 619,
				["Everlook"] = 113,
				["Orgrimmar"] = 377,
				["Splintertree Post"] = 268,
				["Gates of Sothann"] = 216,
				["The Crossroads"] = 353,
				["Camp Taurajo"] = 522,
				["Thunder Bluff"] = 460,
				["Nozzlepot's Outpost"] = 415,
				["Hellscream's Watch"] = 254,
				["Zoram'gar Outpost"] = 252,
				["Silverwind Refuge"] = 301,
				["Cliffwalker Post"] = 338,
				["Bloodvenom Post"] = 157,
				["Emerald Sanctuary"] = 186,
				["Valormok"] = 276,
				["Cenarion Hold"] = 734,
				["Sanctuary of Malorne"] = 182,
				["Camp Mojache"] = 604,
			},
			["Apothecary Camp"] = {
				["Camp Winterhoof"] = 60,
				["The Argent Vanguard"] = 254,
				["Venomspite"] = 117,
				["Conquest Hold"] = 47,
				["Argent Tournament Grounds"] = 347,
				["Dalaran"] = 233,
				["River's Heart"] = 430,
				["Agmar's Hammer"] = 239,
				["Vengeance Landing"] = 133,
				["Warsong Hold"] = 418,
				["Amber Ledge"] = 424,
				["Kamagua"] = 54,
				["Taunka'le Village"] = 348,
				["Sunreaver's Command"] = 193,
				["Camp Oneqwah"] = 117,
				["Moa'ki"] = 200,
				["New Agamand"] = 93,
			},
			["Dragonmaw Port"] = {
				["Zul'Aman"] = 534,
				["The Krazzworks"] = 54,
				["Thorium Point"] = 280,
				["Stonard"] = 426,
				["Flame Crest"] = 289,
				["Vermillion Redoubt"] = 122,
				["New Kargath"] = 218,
				["Revantusk Village"] = 325,
				["Hammerfall"] = 238,
				["Flamestar Post"] = 331,
				["Crushblow"] = 65,
				["Bloodgulch"] = 44,
				["The Gullet"] = 93,
				["Iron Summit"] = 303,
			},
			["Iron Summit"] = {
				["Undercity"] = 560,
				["Eastwall Tower"] = 518,
				["Chiselgrip"] = 82,
				["Fuselight"] = 146,
				["Thorium Point"] = 24,
				["Revantusk Village"] = 428,
				["Grom'gol"] = 285,
				["New Kargath"] = 90,
				["Hiri'watha Research Station"] = 392,
				["Hammerfall"] = 341,
				["Flamestar Post"] = 47,
				["Crown Guard Tower"] = 558,
				["Bloodwatcher Point"] = 135,
				["Flame Crest"] = 85,
				["Bogpaddle"] = 185,
			},
			["Tarren Mill"] = {
				["Kargath"] = 376,
				["Strahnbrad"] = 28,
				["Forsaken Forward Command"] = 110,
				["Thorium Point"] = 427,
				["Revantusk Village"] = 160,
				["Hammerfall"] = 116,
				["Booty Bay"] = 673,
				["The Sepulcher"] = 100,
				["Flame Crest"] = 444,
				["Thondroril River"] = 108,
				["Undercity"] = 137,
				["Zul'Aman"] = 307,
				["Brill"] = 118,
				["Stonard"] = 600,
				["Southpoint Gate"] = 71,
				["Andorhal"] = 104,
				["New Kargath"] = 365,
				["Hiri'watha Research Station"] = 104,
				["Ruins of Southshore"] = 31,
				["Eastpoint Tower"] = 24,
				["Grom'gol"] = 690,
				["Light's Hope Chapel"] = 299,
				["The Bulwark"] = 71,
				["Forsaken High Command"] = 160,
			},
			["Vermillion Redoubt"] = {
				["Dragonmaw Port"] = 78,
				["Bloodgulch"] = 41,
				["Hammerfall"] = 109,
				["Iron Summit"] = 179,
			},
			["New Kargath"] = {
				["Undercity"] = 470,
				["Fuselight"] = 46,
				["Stonard"] = 227,
				["Chiselgrip"] = 81,
				["Bogpaddle"] = 171,
				["Thorium Point"] = 62,
				["Hammerfall"] = 253,
				["Grom'gol"] = 243,
				["Booty Bay"] = 300,
				["Bloodwatcher Point"] = 45,
				["Flame Crest"] = 72,
				["Iron Summit"] = 86,
			},
			["Sylvan Falls"] = {
				["Shipwreck Cove"] = 80,
				["Meredil"] = 63,
				["Hafr Fjall"] = 106,
				["Dreadwake's Landing"] = 106,
				["Bradensbrook"] = 81,
				["Ironhorn Enclave"] = 66,
				["Irongrove Retreat"] = 46,
				["Azurewing Repose"] = 92,
				["The Witchwood"] = 43,
				["Prepfoot"] = 27,
				["Thunder Totem"] = 27,
				["Obsidian Overlook"] = 37,
				["Stormtorn Foothills"] = 87,
				["Nesingwary"] = 27,
				["Stonehoof Watch"] = 46,
				["Starsong Refuge"] = 45,
				["Felbane Camp"] = 44,
				["Skyhorn"] = 49,
				["Cullen's Post"] = 84,
				["Forsaken Foothold"] = 65,
				["Dalaran"] = 125,
			},
			["Kota Basecamp"] = {
				["Winter's Blossom"] = 28,
				["Shrine of Two Moons"] = 188,
				["Rensai's Watchpost"] = 116,
				["Shado-Pan Fallback"] = 24,
				["Halfhill"] = 222,
				["Binan Village"] = 86,
				["One Keg"] = 42,
				["Shado-Pan Garrison"] = 123,
			},
			["Splintertree Post"] = {
				["Wildheart Point"] = 130,
				["Sun Rock Retreat"] = 286,
				["Shadowprey Village"] = 477,
				["Bilgewater Harbor"] = 160,
				["Ratchet"] = 203,
				["Brackenwall Village"] = 170,
				["Malaka'jin"] = 199,
				["Northern Rocketway"] = 207,
				["Ramkahen"] = 569,
				["Freewind Post"] = 345,
				["Camp Mojache"] = 413,
				["Everlook"] = 220,
				["Orgrimmar"] = 96,
				["Moonglade"] = 287,
				["Valormok"] = 92,
				["The Crossroads"] = 160,
				["Emerald Sanctuary"] = 85,
				["Zoram'gar Outpost"] = 163,
				["Silverwind Refuge"] = 61,
				["Hellscream's Watch"] = 85,
				["The Mor'Shan Ramparts"] = 51,
				["Nozzlepot's Outpost"] = 106,
				["Cliffwalker Post"] = 166,
				["Camp Taurajo"] = 234,
				["Gadgetzan"] = 438,
				["Thunder Bluff"] = 267,
				["Bloodvenom Post"] = 164,
				["Whisperwind Grove"] = 185,
				["Razor Hill"] = 156,
			},
			["Serpent's Overlook"] = {
				["The Arboretum"] = 89,
				["Shrine of Two Moons"] = 194,
				["Grookin Hill"] = 61,
				["Halfhill"] = 171,
				["Tian Monastery"] = 116,
				["Honeydew Village"] = 121,
				["Huojin Landing"] = 188,
				["Zhu's Watch"] = 136,
			},
			["Pinchwhistle Gearworks"] = {
				["Talon Watch"] = 34,
				["Exarch's Refuge"] = 111,
				["Axefall"] = 53,
				["Wor'var"] = 158,
				["Veil Terokk"] = 47,
				["Crow's Crook"] = 51,
				["Beastwatch"] = 174,
				["Warspear"] = 198,
				["Nivek's Overlook"] = 159,
				["Darktide Roost"] = 95,
				["Terokkar Refuge"] = 98,
				["Retribution Point"] = 118,
				["Vol'jin's Pride"] = 115,
			},
			["Fairbreeze Village"] = {
				["Silvermoon City"] = 29,
				["Zul'Aman"] = 91,
				["Tranquillien"] = 46,
				["Falconwing Square"] = 50,
			},
			["The Argent Vanguard"] = {
				["Camp Oneqwah"] = 248,
				["The Shadow Vault"] = 148,
				["Camp Winterhoof"] = 296,
				["K3"] = 77,
				["Dalaran"] = 32,
				["Dun Niffelem"] = 177,
				["Gundrak"] = 255,
				["Grom'arsh Crash-Site"] = 103,
				["Sunreaver's Command"] = 77,
				["Wyrmrest Temple"] = 142,
				["Conquest Hold"] = 217,
				["Argent Tournament Grounds"] = 124,
				["Crusaders' Pinnacle"] = 28,
				["Moa'ki"] = 180,
				["Warsong Camp"] = 185,
			},
			["Vendetta Point"] = {
				["Orgrimmar"] = 195,
				["Hunter's Hill"] = 56,
				["The Crossroads"] = 76,
				["Mudsprocket"] = 110,
				["Marshal's Stand"] = 307,
				["Bloodhoof Village"] = 168,
				["Stonemaul Hold"] = 196,
				["Thunder Bluff"] = 117,
				["Silverwind Refuge"] = 292,
				["Thunk's Abode"] = 183,
				["Desolation Hold"] = 44,
				["Karnum's Glade"] = 237,
				["Everlook"] = 444,
				["Brackenwall Village"] = 62,
				["Bootlegger Outpost"] = 323,
				["Dawnrise Expedition"] = 304,
			},
			["The Sepulcher"] = {
				["The Menders' Stead"] = 191,
				["Eastwall Tower"] = 300,
				["Light's Hope Chapel"] = 380,
				["Forsaken Rear Guard"] = 51,
				["Northpass Tower"] = 307,
				["The Forsaken Front"] = 26,
				["Light's Shield Tower"] = 281,
				["Southpoint Gate"] = 62,
				["Hammerfall"] = 213,
				["Ruins of Southshore"] = 98,
				["Flame Crest"] = 539,
				["Thondroril River"] = 202,
				["Undercity"] = 112,
				["Zul'Aman"] = 392,
				["Brill"] = 98,
				["Forsaken High Command"] = 53,
				["Tarren Mill"] = 95,
				["The Bulwark"] = 164,
				["Andorhal"] = 177,
				["Hiri'watha Research Station"] = 199,
				["Eastpoint Tower"] = 115,
				["Plaguewood Tower"] = 298,
				["Crown Guard Tower"] = 246,
				["Revantusk Village"] = 255,
				["Silvermoon City"] = 482,
				["Falconwing Square"] = 515,
			},
			["Veil Terokk"] = {
				["Pinchwhistle Gearworks"] = 38,
				["Socrethar's Rise"] = 78,
				["Rilzit's Holdfast"] = 162,
				["Riverside Post"] = 142,
				["Exarch's Refuge"] = 72,
				["Joz's Rylaks"] = 147,
				["Zangarra"] = 113,
				["Apexis Excavation"] = 37,
				["Axefall"] = 21,
				["Talon Watch"] = 35,
				["Retribution Point"] = 79,
				["The Ring of Trials"] = 121,
				["Wor'var"] = 119,
				["Crow's Crook"] = 46,
				["Shattrath City"] = 91,
				["Warspear"] = 194,
				["Beastwatch"] = 155,
				["Nivek's Overlook"] = 122,
				["Terokkar Refuge"] = 80,
				["Darktide Roost"] = 93,
				["Exile's Rise"] = 85,
				["Akeeta's Hovel"] = 53,
			},
			["Stonebreaker Hold"] = {
				["Evergrove"] = 266,
				["Garadar"] = 98,
				["Area 52"] = 261,
				["Hellfire Peninsula"] = 195,
				["Thunderlord Stronghold"] = 242,
				["Shadowmoon Village"] = 68,
				["Falcon Watch"] = 132,
				["Shattrath"] = 56,
				["Spinebreaker Ridge"] = 191,
				["Swamprat Post"] = 135,
				["The Stormspire"] = 313,
				["Cosmowrench"] = 330,
				["Thrallmar"] = 125,
				["Altar of Sha'tar"] = 149,
				["Mok'Nathal Village"] = 207,
				["Zabra'jin"] = 193,
				["Sanctum of the Stars"] = 132,
			},
			["Legion's Rest"] = {
				["Tenebrous Cavern"] = 71,
				["Silver Tide Hollow"] = 50,
				["Stygian Bounty"] = 28,
			},
			["Bloodhoof Village"] = {
				["Razor Hill"] = 317,
				["The Crossroads"] = 153,
				["Sun Rock Retreat"] = 176,
				["Brackenwall Village"] = 195,
				["Bilgewater Harbor"] = 366,
				["Karnum's Glade"] = 171,
				["Vendetta Point"] = 133,
				["Nozzlepot's Outpost"] = 220,
				["Orgrimmar"] = 261,
				["Desolation Hold"] = 176,
				["Mudsprocket"] = 193,
				["Thunder Bluff"] = 50,
				["Stonemaul Hold"] = 328,
				["Westreach Summit"] = 260,
				["Camp Mojache"] = 303,
			},
			["Klaxxi'vess"] = {
				["Stoneplow"] = 50,
				["Dawnchaser Retreat"] = 100,
				["Shrine of Two Moons"] = 97,
				["Gao-Ran Battlefront"] = 71,
				["Grassy Cline"] = 129,
				["The Briny Muck"] = 43,
				["Thunder Cleft"] = 104,
				["Winter's Blossom"] = 142,
				["The Arboretum"] = 282,
				["The Sunset Brewgarden"] = 31,
				["Soggy's Gamble"] = 39,
				["Longying Outpost"] = 145,
				["Halfhill"] = 79,
				["Serpent's Spine"] = 41,
				["Zouchin Village"] = 291,
				["Shado-Pan Garrison"] = 114,
				["Domination Point"] = 79,
				["Bozzle's Wreck"] = 289,
			},
			["Chiselgrip"] = {
				["Sunveil Excursion"] = 283,
				["Fuselight"] = 147,
				["Bloodwatcher Point"] = 135,
				["Grom'gol"] = 215,
				["New Kargath"] = 91,
				["Hiri'watha Research Station"] = 392,
				["Hammerfall"] = 340,
				["Flamestar Post"] = 34,
				["Booty Bay"] = 294,
				["Flame Crest"] = 17,
				["Thorium Point"] = 77,
			},
			["Halfhill"] = {
				["Dawn's Blossom"] = 128,
				["Dawnchaser Retreat"] = 94,
				["Emperor's Omen"] = 142,
				["Gao-Ran Battlefront"] = 180,
				["Pang's Stead"] = 47,
				["One Keg"] = 116,
				["Huojin Landing"] = 245,
				["Zhu's Watch"] = 33,
				["Thunder Cleft"] = 44,
				["Eastwind Rest"] = 118,
				["Domination Point"] = 82,
				["The Arboretum"] = 129,
				["Longying Outpost"] = 175,
				["Kota Basecamp"] = 178,
				["Cradle of Chi-Ji"] = 79,
				["Soggy's Gamble"] = 161,
				["Bozzle's Wreck"] = 237,
				["Stoneplow"] = 60,
				["Shrine of Two Moons"] = 72,
				["Rensai's Watchpost"] = 320,
				["Binan Village"] = 85,
				["Jade Temple Grounds"] = 138,
				["Honeydew Village"] = 241,
				["Grassy Cline"] = 32,
				["The Briny Muck"] = 155,
				["Serpent's Overlook"] = 179,
				["Winter's Blossom"] = 205,
				["Tavern in the Mists"] = 38,
				["Sri-La Village"] = 161,
				["Shado-Pan Fallback"] = 213,
				["Klaxxi'vess"] = 114,
				["Grookin Hill"] = 83,
				["Tian Monastery"] = 140,
				["Marista"] = 119,
				["Serpent's Spine"] = 135,
				["Shado-Pan Garrison"] = 177,
				["Temple of the White Tiger"] = 150,
				["The Sunset Brewgarden"] = 184,
			},
			["Illidari Perch"] = {
				["Shackle's Den"] = 45,
				["Crimson Thicket"] = 120,
				["Felblaze Ingress"] = 56,
				["Trueshot Lodge"] = 181,
				["Lorlathil"] = 72,
				["Meredil"] = 82,
				["Dalaran"] = 97,
				["Irongrove Retreat"] = 89,
				["Azurewing Repose"] = 42,
				["Challiane's Terrace"] = 46,
				["Thunder Totem"] = 181,
				["Nesingwary"] = 181,
				["Stonehoof Watch"] = 24,
				["Valdisdall"] = 162,
				["Illidari Stand"] = 24,
				["Cullen's Post"] = 140,
				["Wardens' Redoubt"] = 38,
				["The Witchwood"] = 194,
				["Bradensbrook"] = 72,
			},
			["Plaguewood Tower"] = {
				["Thondroril River"] = 92,
				["Undercity"] = 251,
				["Hearthglen"] = 62,
				["Light's Hope Chapel"] = 96,
				["Northpass Tower"] = 50,
				["The Forsaken Front"] = 297,
				["The Bulwark"] = 166,
				["Southpoint Gate"] = 259,
				["Hiri'watha Research Station"] = 176,
				["Crown Guard Tower"] = 52,
				["The Sepulcher"] = 296,
				["Eastwall Tower"] = 65,
				["Light's Shield Tower"] = 61,
			},
			["Hearthglen"] = {
				["Thondroril River"] = 80,
				["The Menders' Stead"] = 38,
				["Brill"] = 155,
				["Forsaken High Command"] = 199,
				["Andorhal"] = 71,
				["Grom'gol"] = 718,
				["Plaguewood Tower"] = 61,
				["The Bulwark"] = 107,
				["Undercity"] = 196,
				["Northpass Tower"] = 117,
			},
			["The Forsaken Front"] = {
				["Eastwall Tower"] = 301,
				["Light's Hope Chapel"] = 303,
				["Forsaken Rear Guard"] = 86,
				["Northpass Tower"] = 309,
				["Light's Shield Tower"] = 282,
				["Southpoint Gate"] = 38,
				["Eastpoint Tower"] = 90,
				["The Sepulcher"] = 35,
				["Thondroril River"] = 204,
				["Undercity"] = 156,
				["Brill"] = 133,
				["Tarren Mill"] = 98,
				["The Bulwark"] = 168,
				["New Kargath"] = 440,
				["Plaguewood Tower"] = 300,
				["Andorhal"] = 208,
				["Crown Guard Tower"] = 248,
			},
			["Aktar's Post"] = {
				["Malo's Lookout"] = 31,
				["The Iron Front"] = 34,
				["Vault of the Earth"] = 52,
				["Frostwall Garrison"] = 117,
				["Warspear"] = 111,
				["Sha'naari Refuge"] = 26,
				["Vol'mar"] = 56,
				["Beastwatch"] = 51,
				["Exile's Rise"] = 87,
				["Bastion Rise"] = 26,
			},
			["Venomspite"] = {
				["Camp Winterhoof"] = 143,
				["Light's Breach"] = 106,
				["Apothecary Camp"] = 98,
				["Conquest Hold"] = 59,
				["Dalaran"] = 148,
				["Unu'pe"] = 75,
				["Camp Oneqwah"] = 160,
				["Warsong Hold"] = 301,
				["River's Heart"] = 313,
				["Kor'koron Vanguard"] = 120,
				["K3"] = 123,
				["Sunreaver's Command"] = 110,
				["Transitus Shield"] = 342,
				["Agmar's Hammer"] = 133,
				["Wyrmrest Temple"] = 51,
				["Ebon Watch"] = 83,
				["Kamagua"] = 152,
				["Zim'Torga"] = 187,
				["Moa'ki"] = 82,
				["New Agamand"] = 186,
			},
			["Silver Tide Hollow"] = {
				["Legion's Rest"] = 49,
				["Tenebrous Cavern"] = 110,
				["Sandy Beach"] = 36,
				["Stygian Bounty"] = 69,
				["Smuggler's Scar"] = 57,
			},
			["Dreadmaul Hold"] = {
				["Sunveil Excursion"] = 44,
				["Hardwrench Hideaway"] = 252,
				["Stonard"] = 43,
				["Grom'gol"] = 129,
				["Silvermoon City"] = 882,
				["Bambala"] = 268,
				["Booty Bay"] = 227,
				["Dragonmaw Port"] = 502,
				["Thorium Point"] = 252,
				["Flame Crest"] = 219,
				["Bogpaddle"] = 87,
			},
			["Undercity"] = {
				["Hardwrench Hideaway"] = 758,
				["Eastwall Tower"] = 254,
				["Strahnbrad"] = 133,
				["Forsaken Rear Guard"] = 89,
				["The Forsaken Front"] = 125,
				["Revantusk Village"] = 218,
				["Eastpoint Tower"] = 165,
				["Dragonmaw Port"] = 509,
				["Flame Crest"] = 555,
				["Iron Summit"] = 562,
				["Zul'Aman"] = 352,
				["Crushblow"] = 613,
				["Stonard"] = 684,
				["Tarren Mill"] = 141,
				["Grom'gol"] = 726,
				["New Kargath"] = 476,
				["Hiri'watha Research Station"] = 212,
				["Crown Guard Tower"] = 202,
				["Acherus: The Ebon Hold"] = 318,
				["Northpass Tower"] = 262,
				["Southpoint Gate"] = 162,
				["Galen's Fall"] = 247,
				["Booty Bay"] = 776,
				["The Sepulcher"] = 100,
				["Bogpaddle"] = 647,
				["Thondroril River"] = 157,
				["The Bulwark"] = 88,
				["Brill"] = 61,
				["Forsaken Forward Command"] = 154,
				["Light's Hope Chapel"] = 255,
				["Forsaken High Command"] = 66,
				["Thorium Point"] = 543,
				["Kargath"] = 488,
				["Bloodwatcher Point"] = 521,
				["Thondoril River"] = 152,
				["Tranquillien"] = 371,
				["Silvermoon City"] = 445,
				["Plaguewood Tower"] = 240,
				["Hammerfall"] = 83,
				["Ruins of Southshore"] = 169,
				["Andorhal"] = 122,
			},
			["Zul'Aman"] = {
				["Southpoint Gate"] = 365,
				["Tranquillien"] = 52,
				["Light's Hope Chapel"] = 101,
				["Silvermoon City"] = 118,
				["Shattered Sun Staging Area"] = 252,
				["Strahnbrad"] = 317,
			},
			["Brill"] = {
				["Hearthglen"] = 136,
				["Strahnbrad"] = 90,
				["Forsaken Rear Guard"] = 68,
				["The Forsaken Front"] = 104,
				["Light's Shield Tower"] = 195,
				["Revantusk Village"] = 251,
				["Hammerfall"] = 188,
				["Dragonmaw Port"] = 484,
				["Iron Summit"] = 567,
				["Undercity"] = 59,
				["Zul'Aman"] = 310,
				["Crushblow"] = 545,
				["Tarren Mill"] = 118,
				["The Bulwark"] = 45,
				["New Kargath"] = 482,
				["Hiri'watha Research Station"] = 168,
				["Crown Guard Tower"] = 161,
				["Fairbreeze Village"] = 381,
				["Fuselight"] = 531,
				["Northpass Tower"] = 222,
				["Southpoint Gate"] = 142,
				["Galen's Fall"] = 168,
				["The Sepulcher"] = 79,
				["Thondroril River"] = 116,
				["Forsaken High Command"] = 45,
				["Andorhal"] = 79,
				["Flamestar Post"] = 596,
				["Eastpoint Tower"] = 141,
				["Bloodgulch"] = 458,
				["Tranquillien"] = 332,
				["The Menders' Stead"] = 93,
				["Plaguewood Tower"] = 197,
				["Light's Hope Chapel"] = 216,
				["Forsaken Forward Command"] = 134,
				["The Krazzworks"] = 533,
			},
			["Tenebrous Cavern"] = {
				["Legion's Rest"] = 77,
				["Smuggler's Scar"] = 188,
				["Silver Tide Hollow"] = 119,
				["Stygian Bounty"] = 58,
				["Sandy Beach"] = 153,
			},
			["Altar of Sha'tar"] = {
				["Stonebreaker Hold"] = 139,
				["Shattrath"] = 193,
				["Thunderlord Stronghold"] = 378,
				["Thrallmar"] = 263,
				["Cosmowrench"] = 463,
				["Shadowmoon Village"] = 67,
				["Zabra'jin"] = 329,
				["Garadar"] = 274,
			},
			["Felbane Camp"] = {
				["Shipwreck Cove"] = 44,
				["Trueshot Lodge"] = 43,
				["Lorlathil"] = 117,
				["Meredil"] = 102,
				["Dalaran"] = 165,
				["Irongrove Retreat"] = 86,
				["Challiane's Terrace"] = 133,
				["Thunder Totem"] = 66,
				["The Witchwood"] = 40,
				["Stonehoof Watch"] = 80,
				["Nesingwary"] = 48,
				["Sylvan Falls"] = 49,
				["Valdisdall"] = 139,
				["Cullen's Post"] = 117,
				["Skyhorn"] = 80,
				["Illidari Stand"] = 146,
				["Forsaken Foothold"] = 98,
				["Bradensbrook"] = 120,
			},
			["Cliffwalker Post"] = {
				["Karnum's Glade"] = 106,
				["Wildheart Point"] = 140,
				["Sun Rock Retreat"] = 43,
				["Stonemaul Hold"] = 215,
				["Hunter's Hill"] = 130,
				["Hellscream's Watch"] = 62,
				["Zoram'gar Outpost"] = 50,
				["The Sludgewerks"] = 20,
				["Thunk's Abode"] = 122,
				["Krom'gar Fortress"] = 43,
				["Oasis of Vir'sar"] = 316,
				["Malaka'jin"] = 63,
				["Ethel Rethor"] = 109,
				["Furien's Post"] = 103,
				["Orgrimmar"] = 179,
			},
			["Skyguard Outpost"] = {
				["Blackwind Landing"] = 243,
			},
			["Darkspear's Edge"] = {
				["Bloodmaul Slag Mines"] = 26,
				["Throm'Var"] = 49,
				["Stonefang Outpost"] = 27,
				["Wor'gol"] = 64,
				["Beastwatch"] = 79,
				["Frostwall Garrison"] = 27,
				["Wolf's Stand"] = 37,
				["Socrethar's Rise"] = 249,
				["Warspear"] = 195,
			},
			["Bloodmaul Slag Mines"] = {
				["Darkspear's Edge"] = 28,
				["Bladespire Citadel"] = 52,
				["Frostwall Garrison"] = 47,
				["Wor'gol"] = 74,
				["Warspear"] = 183,
				["Thunder Pass"] = 61,
				["Beastwatch"] = 86,
				["Skysea Ridge"] = 65,
				["Rilzit's Holdfast"] = 104,
			},
			["Shrine of Two Moons"] = {
				["Dawn's Blossom"] = 163,
				["Dawnchaser Retreat"] = 165,
				["Emperor's Omen"] = 186,
				["Gao-Ran Battlefront"] = 108,
				["Pang's Stead"] = 91,
				["One Keg"] = 143,
				["Huojin Landing"] = 69,
				["Zhu's Watch"] = 113,
				["Tian Monastery"] = 139,
				["Eastwind Rest"] = 67,
				["Domination Point"] = 138,
				["The Arboretum"] = 173,
				["Longying Outpost"] = 103,
				["Kota Basecamp"] = 126,
				["Serpent's Spine"] = 63,
				["Soggy's Gamble"] = 133,
				["Bozzle's Wreck"] = 192,
				["Stoneplow"] = 124,
				["Zouchin Village"] = 151,
				["Rensai's Watchpost"] = 150,
				["Binan Village"] = 67,
				["Jade Temple Grounds"] = 181,
				["Honeydew Village"] = 133,
				["Grassy Cline"] = 75,
				["The Briny Muck"] = 149,
				["Marista"] = 177,
				["Cradle of Chi-Ji"] = 150,
				["Tavern in the Mists"] = 89,
				["Sri-La Village"] = 206,
				["Grookin Hill"] = 127,
				["Klaxxi'vess"] = 107,
				["Hellscream's Fist"] = 104,
				["Halfhill"] = 73,
				["Winter's Blossom"] = 135,
				["Shado-Pan Fallback"] = 140,
				["Thunder Cleft"] = 106,
				["Shado-Pan Garrison"] = 168,
				["Temple of the White Tiger"] = 124,
				["Serpent's Overlook"] = 186,
				["The Sunset Brewgarden"] = 107,
			},
			["Fizzle & Pozzik's Speedbarge"] = {
				["Gadgetzan"] = 39,
				["Mudsprocket"] = 72,
				["Bloodhoof Village"] = 362,
				["Stonemaul Hold"] = 246,
				["Vendetta Point"] = 192,
				["Brackenwall Village"] = 108,
				["Westreach Summit"] = 132,
				["Orgrimmar"] = 379,
			},
			["Flamestar Post"] = {
				["New Kargath"] = 125,
				["Bogpaddle"] = 150,
				["Chiselgrip"] = 35,
				["Booty Bay"] = 329,
				["Fuselight"] = 182,
				["Bloodwatcher Point"] = 170,
				["Flame Crest"] = 52,
				["Iron Summit"] = 45,
			},
			["Bradensbrook"] = {
				["Shackle's Den"] = 115,
				["Felblaze Ingress"] = 91,
				["Trueshot Lodge"] = 113,
				["Lorlathil"] = 32,
				["Meredil"] = 91,
				["Dalaran"] = 139,
				["Ironhorn Enclave"] = 125,
				["The Witchwood"] = 130,
				["Stormtorn Foothills"] = 174,
				["Illidari Stand"] = 103,
				["Azurewing Repose"] = 88,
				["Challiane's Terrace"] = 43,
				["Garden of the Moon"] = 29,
				["Starsong Refuge"] = 59,
				["Gloaming Reef"] = 28,
				["Felbane Camp"] = 121,
				["Nesingwary"] = 113,
				["Sylvan Falls"] = 90,
				["Illidari Perch"] = 71,
				["Obsidian Overlook"] = 97,
				["Cullen's Post"] = 170,
				["Wardens' Redoubt"] = 128,
				["Thunder Totem"] = 114,
				["The Dreamgrove"] = 51,
			},
			["The Briny Muck"] = {
				["Halfhill"] = 147,
				["Shrine of Two Moons"] = 145,
				["Klaxxi'vess"] = 49,
				["Soggy's Gamble"] = 33,
				["Pang's Stead"] = 240,
			},
			["Vengeance Landing"] = {
				["Camp Winterhoof"] = 71,
				["Apothecary Camp"] = 130,
				["Venomspite"] = 247,
				["Conquest Hold"] = 165,
				["Argent Tournament Grounds"] = 412,
				["Sunreaver's Command"] = 263,
				["Zim'Torga"] = 197,
				["Agmar's Hammer"] = 368,
				["Warsong Hold"] = 548,
				["Amber Ledge"] = 553,
				["Kamagua"] = 40,
				["The Argent Stand"] = 204,
				["Taunka'le Village"] = 479,
				["Wyrmrest Temple"] = 299,
				["Dalaran"] = 294,
				["Camp Oneqwah"] = 104,
				["Moa'ki"] = 330,
				["New Agamand"] = 80,
			},
			["Camp Taurajo"] = {
				["Bloodvenom Post"] = 328,
				["Mudsprocket"] = 121,
				["Shadowprey Village"] = 274,
				["Marshal's Stand"] = 319,
				["Brackenwall Village"] = 60,
				["Everlook"] = 387,
				["Orgrimmar"] = 195,
				["Gadgetzan"] = 219,
				["The Crossroads"] = 79,
				["Freewind Post"] = 125,
				["Zoram'gar Outpost"] = 309,
				["Valormok"] = 243,
				["Sun Rock Retreat"] = 228,
				["Moonglade"] = 453,
				["Ratchet"] = 130,
				["Thunder Bluff"] = 114,
				["Cenarion Hold"] = 384,
				["Splintertree Post"] = 242,
				["Camp Mojache"] = 248,
			},
			["Wolf's Stand"] = {
				["Darkspear's Edge"] = 38,
				["Socrethar's Rise"] = 190,
				["Frostwall Garrison"] = 44,
				["Vol'jin's Pride"] = 99,
				["Wor'gol"] = 70,
				["Veil Terokk"] = 165,
				["Throne of the Elements"] = 77,
				["Throm'Var"] = 74,
				["Stonefang Outpost"] = 51,
				["Retribution Point"] = 125,
				["Warspear"] = 163,
				["Beastwatch"] = 54,
				["Exile's Rise"] = 167,
				["Skysea Ridge"] = 67,
				["Exarch's Refuge"] = 112,
				["Thunder Pass"] = 26,
			},
			["Socrethar's Rise"] = {
				["Iron Docks"] = 218,
				["Frostwall Garrison"] = 181,
				["Vol'jin's Pride"] = 106,
				["Warspear"] = 156,
				["Darktide Roost"] = 31,
				["Beastwatch"] = 162,
				["Exile's Rise"] = 56,
				["The Ring of Trials"] = 150,
			},
			["Illidari Camp"] = {
				["Dalaran"] = 50,
				["Meredil"] = 72,
			},
			["The Menders' Stead"] = {
				["Thondroril River"] = 37,
				["Undercity"] = 152,
				["Hearthglen"] = 44,
				["Brill"] = 110,
				["Fuselight"] = 451,
				["The Bulwark"] = 63,
				["Galen's Fall"] = 188,
				["Crown Guard Tower"] = 81,
				["Andorhal"] = 26,
			},
			["Kargath"] = {
				["Undercity"] = 498,
				["Light's Hope Chapel"] = 490,
				["Stonard"] = 224,
				["Tarren Mill"] = 376,
				["Grom'gol"] = 238,
				["Revantusk Village"] = 350,
				["Hammerfall"] = 258,
				["Booty Bay"] = 298,
				["The Sepulcher"] = 482,
				["Flame Crest"] = 68,
				["Thorium Point"] = 56,
			},
			["Desolation Hold"] = {
				["Schnottz's Landing"] = 373,
				["Mudsprocket"] = 61,
				["Furien's Post"] = 301,
				["Vendetta Point"] = 48,
				["Brackenwall Village"] = 47,
				["Ramkahen"] = 342,
				["Orgrimmar"] = 240,
				["Gadgetzan"] = 174,
				["Bloodhoof Village"] = 213,
				["Westreach Summit"] = 101,
				["Karnum's Glade"] = 283,
				["Silverwind Refuge"] = 252,
				["Hunter's Hill"] = 98,
				["Camp Ataya"] = 227,
				["Mossy Pile"] = 275,
				["Thunder Bluff"] = 163,
				["The Crossroads"] = 121,
				["Splintertree Post"] = 230,
				["Camp Mojache"] = 98,
			},
			["Rilzit's Holdfast"] = {
				["Socrethar's Rise"] = 204,
				["Iron Docks"] = 183,
				["Bladespire Citadel"] = 127,
				["Frostwall Garrison"] = 71,
				["Wor'var"] = 73,
				["Joz's Rylaks"] = 27,
				["Beastwatch"] = 142,
				["Zangarra"] = 134,
				["Nivek's Overlook"] = 47,
				["Riverside Post"] = 25,
				["Warspear"] = 244,
			},
			["Orgrimmar"] = {
				["Schnottz's Landing"] = 596,
				["Wildheart Point"] = 213,
				["Moonglade"] = 358,
				["Nordrassil"] = 375,
				["Furien's Post"] = 171,
				["Irontree Clearing"] = 309,
				["Southern Rocketway"] = 93,
				["Northern Rocketway"] = 165,
				["Ramkahen"] = 503,
				["Freewind Post"] = 292,
				["Karnum's Glade"] = 338,
				["Bootlegger Outpost"] = 391,
				["Shrine of Aviana"] = 392,
				["Thunder Bluff"] = 225,
				["Gates of Sothann"] = 116,
				["Gadgetzan"] = 335,
				["Oasis of Vir'sar"] = 503,
				["Desolation Hold"] = 222,
				["Hunter's Hill"] = 160,
				["Westreach Summit"] = 299,
				["Zoram'gar Outpost"] = 228,
				["Silverwind Refuge"] = 145,
				["Cliffwalker Post"] = 257,
				["Mossy Pile"] = 437,
				["Ethel Rethor"] = 345,
				["Emerald Sanctuary"] = 167,
				["Fizzle & Pozzik's Speedbarge"] = 330,
				["Sanctuary of Malorne"] = 211,
				["Dawnrise Expedition"] = 432,
				["Camp Taurajo"] = 180,
				["Krom'gar Fortress"] = 219,
				["Sun Rock Retreat"] = 257,
				["Shadowprey Village"] = 373,
				["Bilgewater Harbor"] = 113,
				["Marshal's Stand"] = 434,
				["Grove of Aessina"] = 218,
				["Brackenwall Village"] = 226,
				["Malaka'jin"] = 226,
				["The Sludgewerks"] = 269,
				["Razor Hill"] = 55,
				["Everlook"] = 240,
				["Thunk's Abode"] = 283,
				["Sen'jin Village"] = 91,
				["Bloodvenom Post"] = 249,
				["Hellscream's Watch"] = 138,
				["Ratchet"] = 107,
				["The Crossroads"] = 112,
				["Vendetta Point"] = 179,
				["Mudsprocket"] = 266,
				["Bloodhoof Village"] = 269,
				["Stonemaul Hold"] = 374,
				["The Mor'Shan Ramparts"] = 99,
				["Nozzlepot's Outpost"] = 55,
				["Splintertree Post"] = 90,
				["Camp Ataya"] = 449,
				["Valormok"] = 81,
				["Cenarion Hold"] = 439,
				["Whisperwind Grove"] = 267,
				["Camp Mojache"] = 218,
			},
			["Riverside Post"] = {
				["Pinchwhistle Gearworks"] = 187,
				["Rilzit's Holdfast"] = 23,
				["Axefall"] = 142,
				["Stonefang Outpost"] = 106,
				["Wor'var"] = 60,
				["Joz's Rylaks"] = 29,
				["Throne of the Elements"] = 43,
				["Beastwatch"] = 149,
				["The Ring of Trials"] = 59,
				["Nivek's Overlook"] = 33,
				["Crow's Crook"] = 161,
				["Warspear"] = 251,
				["Exile's Rise"] = 190,
				["Frostwall Garrison"] = 77,
			},
			["Karnum's Glade"] = {
				["Wildheart Point"] = 331,
				["Sun Rock Retreat"] = 91,
				["Shadowprey Village"] = 82,
				["Ratchet"] = 227,
				["Fizzle & Pozzik's Speedbarge"] = 324,
				["Ramkahen"] = 477,
				["Orgrimmar"] = 284,
				["Thunk's Abode"] = 29,
				["The Crossroads"] = 176,
				["Furien's Post"] = 38,
				["Emerald Sanctuary"] = 289,
				["Thunder Bluff"] = 73,
				["Westreach Summit"] = 321,
				["Zoram'gar Outpost"] = 219,
				["Silverwind Refuge"] = 208,
				["Ethel Rethor"] = 40,
				["Desolation Hold"] = 188,
				["Camp Ataya"] = 153,
				["Stonemaul Hold"] = 228,
			},
			["Swamprat Post"] = {
				["Evergrove"] = 132,
				["Stonebreaker Hold"] = 155,
				["Shattrath"] = 86,
				["Spinebreaker Ridge"] = 201,
				["Garadar"] = 168,
				["Area 52"] = 203,
				["The Stormspire"] = 174,
				["Hellfire Peninsula"] = 206,
				["Cosmowrench"] = 193,
				["Altar of Sha'tar"] = 301,
				["Thunderlord Stronghold"] = 106,
				["Thrallmar"] = 136,
				["Mok'Nathal Village"] = 71,
				["Shadowmoon Village"] = 220,
				["Falcon Watch"] = 61,
				["Zabra'jin"] = 111,
			},
			["Grove of Aessina"] = {
				["Shrine of Aviana"] = 44,
				["Cliffwalker Post"] = 166,
				["Wildheart Point"] = 333,
				["Ethel Rethor"] = 652,
				["Nordrassil"] = 82,
				["Everlook"] = 171,
				["Sanctuary of Malorne"] = 30,
				["Orgrimmar"] = 171,
			},
			["Southern Rocketway"] = {
				["Sen'jin Village"] = 178,
				["Valormok"] = 122,
				["Northern Rocketway"] = 73,
				["Hunter's Hill"] = 249,
				["Everlook"] = 188,
				["Bilgewater Harbor"] = 39,
				["Thunder Bluff"] = 306,
				["Orgrimmar"] = 87,
			},
			["Northern Rocketway"] = {
				["Wildheart Point"] = 319,
				["Mudsprocket"] = 417,
				["Nordrassil"] = 323,
				["Bilgewater Harbor"] = 49,
				["Grove of Aessina"] = 303,
				["Irontree Clearing"] = 318,
				["Southern Rocketway"] = 80,
				["Everlook"] = 198,
				["Orgrimmar"] = 146,
				["Valormok"] = 132,
				["Nozzlepot's Outpost"] = 202,
				["Cliffwalker Post"] = 357,
				["Shrine of Aviana"] = 267,
				["Thunder Bluff"] = 352,
				["Whisperwind Grove"] = 343,
				["Splintertree Post"] = 197,
				["Shadowprey Village"] = 511,
			},
			["The Bulwark"] = {
				["Kargath"] = 449,
				["Strahnbrad"] = 45,
				["Forsaken Rear Guard"] = 115,
				["Northpass Tower"] = 177,
				["Hammerfall"] = 191,
				["Galen's Fall"] = 126,
				["The Sepulcher"] = 127,
				["Thondroril River"] = 72,
				["Undercity"] = 90,
				["Brill"] = 48,
				["Forsaken High Command"] = 93,
				["Tarren Mill"] = 73,
				["Andorhal"] = 34,
				["Thondoril River"] = 68,
				["Tranquillien"] = 287,
				["Light's Hope Chapel"] = 164,
				["Forsaken Forward Command"] = 182,
			},
			["Eastwall Tower"] = {
				["Light's Hope Chapel"] = 25,
				["Northpass Tower"] = 32,
				["The Forsaken Front"] = 289,
				["Light's Shield Tower"] = 17,
				["Southpoint Gate"] = 252,
				["Hammerfall"] = 238,
				["Crown Guard Tower"] = 46,
				["The Sepulcher"] = 288,
				["Plaguewood Tower"] = 66,
			},
			["Camp Tunka'lo"] = {
				["Camp Oneqwah"] = 181,
				["Ulduar"] = 74,
				["K3"] = 114,
				["Grom'arsh Crash-Site"] = 100,
				["The Argent Stand"] = 151,
				["Dun Nifflelem"] = 45,
				["Dalaran"] = 185,
				["Bouldercrag's Refuge"] = 121,
				["Sunreaver's Command"] = 152,
				["Zim'Torga"] = 99,
				["Dun Niffelem"] = 46,
			},
			["Watchers' Aerie"] = {
				["Shackle's Den"] = 30,
				["Meredil"] = 91,
				["Azurewing Repose"] = 62,
				["Wardens' Redoubt"] = 18,
				["Illidari Stand"] = 44,
				["Illidari Perch"] = 51,
			},
			["Soggy's Gamble"] = {
				["Tavern in the Mists"] = 254,
				["Shrine of Two Moons"] = 139,
				["Klaxxi'vess"] = 61,
				["Halfhill"] = 159,
				["Bozzle's Wreck"] = 331,
				["Honeydew Village"] = 272,
				["Shado-Pan Garrison"] = 202,
				["Serpent's Spine"] = 82,
				["The Briny Muck"] = 44,
				["The Sunset Brewgarden"] = 99,
			},
			["K3"] = {
				["Ulduar"] = 127,
				["Camp Winterhoof"] = 242,
				["Apothecary Camp"] = 218,
				["The Argent Vanguard"] = 94,
				["Grom'arsh Crash-Site"] = 76,
				["Dun Nifflelem"] = 101,
				["Conquest Hold"] = 162,
				["Argent Tournament Grounds"] = 173,
				["Dalaran"] = 71,
				["River's Heart"] = 272,
				["Warsong Camp"] = 222,
				["The Shadow Vault"] = 224,
				["Crusaders' Pinnacle"] = 100,
				["Ebon Watch"] = 43,
				["Amber Ledge"] = 370,
				["Zim'Torga"] = 148,
				["Sunreaver's Command"] = 37,
				["The Argent Stand"] = 90,
				["Taunka'le Village"] = 295,
				["Wyrmrest Temple"] = 135,
				["Unu'pe"] = 318,
				["Camp Tunka'lo"] = 90,
				["Venomspite"] = 142,
				["Moa'ki"] = 186,
				["Dun Niffelem"] = 100,
			},
			["Forsaken High Command"] = {
				["Undercity"] = 74,
				["Brill"] = 50,
				["Forsaken Rear Guard"] = 27,
				["The Sepulcher"] = 38,
				["The Forsaken Front"] = 64,
				["Andorhal"] = 128,
			},
			["Mudsprocket"] = {
				["Ratchet"] = 150,
				["Camp Mojache"] = 150,
				["Brackenwall Village"] = 63,
				["Fizzle & Pozzik's Speedbarge"] = 48,
				["Splintertree Post"] = 335,
				["Ramkahen"] = 266,
				["Everlook"] = 468,
				["Freewind Post"] = 71,
				["Orgrimmar"] = 199,
				["Camp Ataya"] = 278,
				["Dawnrise Expedition"] = 196,
				["Gadgetzan"] = 98,
				["Marshal's Stand"] = 199,
				["Mossy Pile"] = 199,
				["Karnum's Glade"] = 366,
				["Westreach Summit"] = 101,
				["Emerald Sanctuary"] = 413,
				["Desolation Hold"] = 88,
				["Ethel Rethor"] = 372,
				["Thunder Bluff"] = 224,
				["Cenarion Hold"] = 279,
				["Bootlegger Outpost"] = 155,
				["Razor Hill"] = 303,
			},
			["Skyhorn"] = {
				["Shackle's Den"] = 150,
				["Crimson Thicket"] = 98,
				["Trueshot Lodge"] = 42,
				["Meredil"] = 98,
				["Dalaran"] = 155,
				["Watchers' Aerie"] = 173,
				["Dreadwake's Landing"] = 94,
				["Bradensbrook"] = 120,
				["Ironhorn Enclave"] = 56,
				["Wardens' Redoubt"] = 168,
				["The Witchwood"] = 45,
				["Thunder Totem"] = 29,
				["Obsidian Overlook"] = 68,
				["Valdisdall"] = 84,
				["Prepfoot"] = 36,
				["Starsong Refuge"] = 83,
				["Sylvan Falls"] = 48,
				["Stormtorn Foothills"] = 63,
				["Nesingwary"] = 33,
				["Stonehoof Watch"] = 34,
				["Felbane Camp"] = 66,
				["Challiane's Terrace"] = 133,
				["Cullen's Post"] = 71,
				["Illidari Stand"] = 145,
				["Forsaken Foothold"] = 45,
				["Shipwreck Cove"] = 70,
			},
			["Trueshot Lodge"] = {
				["Shackle's Den"] = 129,
				["Felblaze Ingress"] = 101,
				["Meredil"] = 80,
				["Irongrove Retreat"] = 63,
				["Challiane's Terrace"] = 112,
				["Garden of the Moon"] = 79,
				["Starsong Refuge"] = 61,
				["Felbane Camp"] = 33,
				["Sylvan Falls"] = 29,
				["Cullen's Post"] = 91,
				["Illidari Stand"] = 125,
				["Nastrondir"] = 86,
				["Shipwreck Cove"] = 57,
				["Lorlathil"] = 95,
				["Eastern Suramar"] = 163,
				["Isle of the Watchers"] = 205,
				["Bradensbrook"] = 98,
				["Ironhorn Enclave"] = 70,
				["Western Suramar"] = 216,
				["Azurewing Repose"] = 111,
				["Thorim's Peak"] = 141,
				["The Witchwood"] = 20,
				["Thunder Totem"] = 35,
				["Crimson Thicket"] = 100,
				["Stormtorn Foothills"] = 95,
				["Nesingwary"] = 24,
				["Stonehoof Watch"] = 53,
				["Illidari Perch"] = 140,
				["Dalaran"] = 143,
				["Skyhorn"] = 39,
				["Valdisdall"] = 115,
				["Forsaken Foothold"] = 76,
				["The Dreamgrove"] = 49,
			},
			["Zoram'gar Outpost"] = {
				["Bloodvenom Post"] = 138,
				["Sun Rock Retreat"] = 122,
				["Shadowprey Village"] = 565,
				["Karnum's Glade"] = 232,
				["Brackenwall Village"] = 394,
				["Krom'gar Fortress"] = 83,
				["Moonglade"] = 263,
				["Freewind Post"] = 419,
				["Splintertree Post"] = 170,
				["Ratchet"] = 287,
				["Orgrimmar"] = 259,
				["Valormok"] = 258,
				["Camp Ataya"] = 270,
				["The Crossroads"] = 235,
				["Wildheart Point"] = 188,
				["The Mor'Shan Ramparts"] = 216,
				["Silverwind Refuge"] = 128,
				["Camp Taurajo"] = 309,
				["Sen'jin Village"] = 357,
				["Emerald Sanctuary"] = 123,
				["Cliffwalker Post"] = 74,
				["Hellscream's Watch"] = 81,
				["Ethel Rethor"] = 236,
				["Thunder Bluff"] = 246,
				["Gadgetzan"] = 514,
				["Whisperwind Grove"] = 242,
				["Camp Mojache"] = 485,
			},
			["Revantusk Village"] = {
				["Kargath"] = 351,
				["Eastwall Tower"] = 151,
				["Light's Hope Chapel"] = 135,
				["Thorium Point"] = 402,
				["Southpoint Gate"] = 225,
				["Hammerfall"] = 93,
				["Galen's Fall"] = 160,
				["Booty Bay"] = 648,
				["The Sepulcher"] = 258,
				["Flame Crest"] = 419,
				["Undercity"] = 269,
				["Brill"] = 232,
				["Stonard"] = 576,
				["Tarren Mill"] = 159,
				["Grom'gol"] = 589,
				["Hiri'watha Research Station"] = 61,
				["Eastpoint Tower"] = 180,
			},
			["Sen'jin Village"] = {
				["The Crossroads"] = 208,
				["Mudsprocket"] = 367,
				["Ratchet"] = 207,
				["Nozzlepot's Outpost"] = 151,
				["Krom'gar Fortress"] = 317,
				["Valormok"] = 95,
				["Razor Hill"] = 30,
				["Wildheart Point"] = 311,
				["Orgrimmar"] = 95,
			},
			["Silverwind Refuge"] = {
				["Hellscream's Watch"] = 43,
				["Whisperwind Grove"] = 229,
				["The Crossroads"] = 132,
				["Sun Rock Retreat"] = 121,
				["Nordrassil"] = 331,
				["Bloodhoof Village"] = 289,
				["Ratchet"] = 266,
				["The Mor'Shan Ramparts"] = 69,
				["Nozzlepot's Outpost"] = 126,
				["Malaka'jin"] = 144,
				["Krom'gar Fortress"] = 76,
				["Karnum's Glade"] = 229,
				["Thunder Bluff"] = 189,
				["Zoram'gar Outpost"] = 226,
				["Splintertree Post"] = 66,
				["Orgrimmar"] = 160,
			},
			["Apexis Excavation"] = {
				["Frostwall Garrison"] = 147,
				["Wor'var"] = 101,
				["Beastwatch"] = 148,
				["Warspear"] = 203,
				["Zangarra"] = 97,
				["Veil Terokk"] = 27,
				["Darktide Roost"] = 104,
				["Crow's Crook"] = 25,
				["Axefall"] = 27,
			},
			["Shado-Pan Garrison"] = {
				["Dawnchaser Retreat"] = 223,
				["Shrine of Two Moons"] = 160,
				["Rensai's Watchpost"] = 14,
				["Gao-Ran Battlefront"] = 17,
				["Honeydew Village"] = 220,
				["Zhu's Watch"] = 309,
				["Thunder Cleft"] = 65,
				["Eastwind Rest"] = 134,
				["The Arboretum"] = 302,
				["Tavern in the Mists"] = 201,
				["Klaxxi'vess"] = 118,
				["Halfhill"] = 216,
				["Longying Outpost"] = 76,
				["Kota Basecamp"] = 120,
				["Zouchin Village"] = 212,
				["Serpent's Spine"] = 86,
				["Cradle of Chi-Ji"] = 229,
				["Soggy's Gamble"] = 166,
				["Bozzle's Wreck"] = 262,
			},
			["Cradle of Chi-Ji"] = {
				["Stoneplow"] = 61,
				["The Arboretum"] = 261,
				["Dawnchaser Retreat"] = 15,
				["Shrine of Two Moons"] = 152,
				["Halfhill"] = 65,
				["Marista"] = 43,
				["Huojin Landing"] = 324,
				["Shado-Pan Garrison"] = 259,
				["The Briny Muck"] = 158,
				["The Sunset Brewgarden"] = 160,
			},
			["Cullen's Post"] = {
				["Shackle's Den"] = 130,
				["Crimson Thicket"] = 35,
				["Trueshot Lodge"] = 102,
				["Lorlathil"] = 136,
				["Meredil"] = 70,
				["Hafr Fjall"] = 52,
				["Dreadwake's Landing"] = 29,
				["Dalaran"] = 103,
				["Ironhorn Enclave"] = 56,
				["Irongrove Retreat"] = 85,
				["The Witchwood"] = 100,
				["Shipwreck Cove"] = 120,
				["Starsong Refuge"] = 72,
				["Stormtorn Foothills"] = 36,
				["Felbane Camp"] = 118,
				["Wardens' Redoubt"] = 146,
				["Sylvan Falls"] = 92,
				["Stonehoof Watch"] = 48,
				["Valdisdall"] = 30,
				["Skyhorn"] = 73,
				["Illidari Stand"] = 130,
				["Forsaken Foothold"] = 35,
				["Thunder Totem"] = 71,
			},
			["Mok'Nathal Village"] = {
				["Evergrove"] = 88,
				["Stonebreaker Hold"] = 228,
				["Shattrath"] = 160,
				["Swamprat Post"] = 74,
				["Hellfire Peninsula"] = 279,
				["Falcon Watch"] = 136,
				["The Stormspire"] = 104,
				["Thunderlord Stronghold"] = 63,
				["Area 52"] = 57,
				["Cosmowrench"] = 122,
				["Zabra'jin"] = 185,
				["Garadar"] = 243,
			},
			["Bouldercrag's Refuge"] = {
				["Death's Rise"] = 189,
				["Ulduar"] = 44,
				["Light's Breach"] = 173,
				["Dun Niffelem"] = 149,
				["Gundrak"] = 251,
				["Grom'arsh Crash-Site"] = 41,
				["Nesingwary Base Camp"] = 307,
				["Argent Tournament Grounds"] = 60,
				["Camp Tunka'lo"] = 132,
				["River's Heart"] = 307,
				["Warsong Camp"] = 248,
				["Agmar's Hammer"] = 264,
				["Bor'gorok Outpost"] = 367,
				["K3"] = 127,
				["Dun Nifflelem"] = 148,
				["Venomspite"] = 269,
				["The Shadow Vault"] = 113,
				["Dalaran"] = 151,
				["Moa'ki"] = 299,
				["New Agamand"] = 407,
			},
			["Falconwing Square"] = {
				["Silvermoon City"] = 18,
				["Fairbreeze Village"] = 48,
				["Tranquillien"] = 67,
				["Crown Guard Tower"] = 267,
			},
			["Stoneplow"] = {
				["Dawnchaser Retreat"] = 44,
				["Shrine of Two Moons"] = 152,
				["Emperor's Omen"] = 190,
				["Pang's Stead"] = 97,
				["Binan Village"] = 134,
				["Grassy Cline"] = 82,
				["Zhu's Watch"] = 110,
				["Domination Point"] = 41,
				["The Arboretum"] = 222,
				["Tavern in the Mists"] = 120,
				["Klaxxi'vess"] = 80,
				["Halfhill"] = 51,
				["Shado-Pan Fallback"] = 216,
				["Marista"] = 95,
				["Shado-Pan Garrison"] = 255,
				["Serpent's Spine"] = 229,
				["Cradle of Chi-Ji"] = 63,
				["The Sunset Brewgarden"] = 126,
			},
			["Sunreaver's Command"] = {
				["Camp Oneqwah"] = 187,
				["Bor'gorok Outpost"] = 309,
				["Ebon Watch"] = 38,
				["Light's Breach"] = 82,
				["Apothecary Camp"] = 213,
				["K3"] = 34,
				["Gundrak"] = 195,
				["The Argent Vanguard"] = 77,
				["Dalaran"] = 56,
				["Wyrmrest Temple"] = 129,
				["Conquest Hold"] = 99,
				["Argent Tournament Grounds"] = 169,
				["Crusaders' Pinnacle"] = 84,
				["Zim'Torga"] = 73,
				["Camp Winterhoof"] = 235,
			},
			["Joz's Rylaks"] = {
				["Rilzit's Holdfast"] = 32,
				["Frostwall Garrison"] = 56,
				["Wor'var"] = 45,
				["Beastwatch"] = 125,
				["Zangarra"] = 113,
				["Nivek's Overlook"] = 52,
				["Frostwolf Overlook"] = 90,
				["Riverside Post"] = 32,
				["Shattrath City"] = 83,
				["Warspear"] = 228,
			},
			["Camp Winterhoof"] = {
				["Apothecary Camp"] = 56,
				["The Argent Vanguard"] = 278,
				["Venomspite"] = 174,
				["Dun Nifflelem"] = 236,
				["Conquest Hold"] = 93,
				["Argent Tournament Grounds"] = 369,
				["Dalaran"] = 256,
				["Zim'Torga"] = 149,
				["Camp Oneqwah"] = 58,
				["Vengeance Landing"] = 74,
				["K3"] = 229,
				["The Argent Stand"] = 157,
				["Crusaders' Pinnacle"] = 283,
				["Sunreaver's Command"] = 216,
				["Kamagua"] = 110,
				["Agmar's Hammer"] = 295,
				["Grom'arsh Crash-Site"] = 305,
				["Moa'ki"] = 60,
				["New Agamand"] = 80,
			},
			["Dreadwake's Landing"] = {
				["Crimson Thicket"] = 59,
				["Lorlathil"] = 157,
				["Valdisdall"] = 28,
				["Stonehoof Watch"] = 72,
				["Wardens' Redoubt"] = 169,
				["Gloaming Reef"] = 169,
				["Stormtorn Foothills"] = 45,
				["Nesingwary"] = 109,
				["Sylvan Falls"] = 116,
				["Meredil"] = 94,
				["Hafr Fjall"] = 30,
				["Cullen's Post"] = 29,
				["Dalaran"] = 120,
				["Forsaken Foothold"] = 58,
				["The Witchwood"] = 125,
			},
			["Area 52"] = {
				["Evergrove"] = 80,
				["Garadar"] = 306,
				["Hellfire Peninsula"] = 343,
				["Thunderlord Stronghold"] = 108,
				["Shadowmoon Village"] = 357,
				["The Stormspire"] = 48,
				["Stonebreaker Hold"] = 292,
				["Shattrath"] = 224,
				["Spinebreaker Ridge"] = 342,
				["Swamprat Post"] = 137,
				["Falcon Watch"] = 204,
				["Thrallmar"] = 273,
				["Cosmowrench"] = 67,
				["Mok'Nathal Village"] = 64,
				["Zabra'jin"] = 248,
				["Sanctum of the Stars"] = 421,
			},
			["Everbloom Overlook"] = {
				["Warspear"] = 143,
				["Rilzit's Holdfast"] = 194,
				["Everbloom Wilds"] = 43,
				["Frostwall Garrison"] = 137,
				["Beastwatch"] = 76,
			},
			["Lorlathil"] = {
				["Shackle's Den"] = 86,
				["Shipwreck Cove"] = 165,
				["Felblaze Ingress"] = 63,
				["Trueshot Lodge"] = 111,
				["Bradensbrook"] = 30,
				["Challiane's Terrace"] = 44,
				["Meredil"] = 69,
				["Illidari Stand"] = 74,
				["Hafr Fjall"] = 135,
				["Cullen's Post"] = 129,
				["Dalaran"] = 111,
				["Watchers' Aerie"] = 109,
				["Irongrove Retreat"] = 51,
				["Thunder Totem"] = 111,
				["Sylvan Falls"] = 89,
				["Azurewing Repose"] = 59,
				["The Witchwood"] = 127,
				["Garden of the Moon"] = 23,
				["Starsong Refuge"] = 57,
				["Gloaming Reef"] = 52,
				["Obsidian Overlook"] = 84,
				["Nesingwary"] = 112,
				["Stonehoof Watch"] = 131,
				["Illidari Perch"] = 72,
				["Felbane Camp"] = 122,
				["Skyhorn"] = 133,
				["Wardens' Redoubt"] = 100,
				["Forsaken Foothold"] = 64,
				["Valdisdall"] = 152,
			},
			["Wor'gol"] = {
				["Bloodmaul Slag Mines"] = 76,
				["Bladespire Citadel"] = 31,
				["Warspear"] = 223,
				["Frostwall Garrison"] = 50,
				["Stonefang Outpost"] = 37,
				["Beastwatch"] = 120,
			},
			["Southpoint Gate"] = {
				["Eastwall Tower"] = 264,
				["Light's Hope Chapel"] = 266,
				["Forsaken Rear Guard"] = 124,
				["Northpass Tower"] = 273,
				["The Forsaken Front"] = 40,
				["Light's Shield Tower"] = 248,
				["Hammerfall"] = 158,
				["Silvermoon City"] = 448,
				["The Sepulcher"] = 74,
				["Thondroril River"] = 168,
				["Undercity"] = 195,
				["Zul'Aman"] = 360,
				["Brill"] = 171,
				["Tarren Mill"] = 62,
				["Hiri'watha Research Station"] = 164,
				["Tranquillien"] = 381,
				["Plaguewood Tower"] = 263,
				["Strahnbrad"] = 89,
				["Crown Guard Tower"] = 212,
				["Ruins of Southshore"] = 37,
			},
			["Jade Temple Grounds"] = {
				["Domination Point"] = 216,
				["The Arboretum"] = 38,
				["Shrine of Two Moons"] = 169,
				["Serpent's Overlook"] = 82,
				["Pang's Stead"] = 149,
				["Halfhill"] = 171,
				["Tian Monastery"] = 120,
				["Serpent's Spine"] = 272,
				["Shado-Pan Garrison"] = 373,
				["Zhu's Watch"] = 156,
			},
			["Honeydew Village"] = {
				["Stoneplow"] = 199,
				["Dawn's Blossom"] = 77,
				["Dawnchaser Retreat"] = 239,
				["Shrine of Two Moons"] = 126,
				["Emperor's Omen"] = 64,
				["Gao-Ran Battlefront"] = 180,
				["Pang's Stead"] = 103,
				["Binan Village"] = 61,
				["Jade Temple Grounds"] = 111,
				["Huojin Landing"] = 219,
				["Grassy Cline"] = 127,
				["Zhu's Watch"] = 138,
				["Thunder Cleft"] = 167,
				["Eastwind Rest"] = 94,
				["The Arboretum"] = 104,
				["Tavern in the Mists"] = 180,
				["Sri-La Village"] = 83,
				["Shado-Pan Fallback"] = 143,
				["Grookin Hill"] = 63,
				["Halfhill"] = 147,
				["Marista"] = 317,
				["Longying Outpost"] = 195,
				["Shado-Pan Garrison"] = 87,
				["Tian Monastery"] = 43,
				["One Keg"] = 120,
				["Serpent's Overlook"] = 144,
			},
			["Everbloom Wilds"] = {
				["Iron Docks"] = 44,
				["Vault of the Earth"] = 87,
				["Frostwall Garrison"] = 103,
				["Everbloom Overlook"] = 34,
				["Breaker's Crown"] = 29,
				["Warspear"] = 115,
				["Beastwatch"] = 48,
				["Retribution Point"] = 150,
				["Shattrath City"] = 119,
				["Terokkar Refuge"] = 137,
				["Vol'mar"] = 88,
				["Exile's Rise"] = 190,
			},
			["Rensai's Watchpost"] = {
				["Longying Outpost"] = 49,
				["Serpent's Spine"] = 157,
				["Kota Basecamp"] = 102,
				["Klaxxi'vess"] = 133,
				["Shrine of Two Moons"] = 149,
				["Shado-Pan Garrison"] = 22,
				["Gao-Ran Battlefront"] = 44,
				["Halfhill"] = 302,
			},
			["Exile's Rise"] = {
				["Socrethar's Rise"] = 59,
				["Frostwall Garrison"] = 164,
				["Wor'var"] = 128,
				["Beastwatch"] = 140,
				["Crow's Crook"] = 76,
				["Darktide Roost"] = 63,
				["Veil Terokk"] = 84,
				["Warspear"] = 117,
			},
			["Sandy Beach"] = {
				["Brill"] = 347,
				["Fuselight"] = 819,
				["Silver Tide Hollow"] = 42,
				["Stygian Bounty"] = 46,
				["Smuggler's Scar"] = 41,
			},
			["Tavern in the Mists"] = {
				["Stoneplow"] = 82,
				["Dawn's Blossom"] = 95,
				["Shrine of Two Moons"] = 87,
				["Emperor's Omen"] = 144,
				["Pang's Stead"] = 22,
				["Binan Village"] = 39,
				["Jade Temple Grounds"] = 110,
				["Huojin Landing"] = 219,
				["Grassy Cline"] = 20,
				["The Briny Muck"] = 324,
				["Thunder Cleft"] = 83,
				["Eastwind Rest"] = 89,
				["Domination Point"] = 151,
				["The Arboretum"] = 103,
				["Sri-La Village"] = 135,
				["Shado-Pan Fallback"] = 120,
				["Grookin Hill"] = 56,
				["Halfhill"] = 40,
				["Honeydew Village"] = 95,
				["Shado-Pan Garrison"] = 228,
				["Temple of the White Tiger"] = 103,
				["One Keg"] = 122,
				["Longying Outpost"] = 217,
			},
			["Shattered Sun Staging Area"] = {
				["Undercity"] = 598,
				["Zul'Aman"] = 233,
				["Light's Hope Chapel"] = 345,
				["Northpass Tower"] = 455,
				["Tarren Mill"] = 532,
				["Stonard"] = 1016,
				["Shattered Sun Staging Area"] = 254,
				["Crown Guard Tower"] = 401,
				["Tranquillien"] = 231,
				["Silvermoon City"] = 167,
				["Plaguewood Tower"] = 432,
				["Kargath"] = 822,
				["The Sin'loren"] = 59,
				["Falconwing Square"] = 193,
			},
			["Garadar"] = {
				["Evergrove"] = 203,
				["Area 52"] = 274,
				["Hellfire Peninsula"] = 270,
				["Thunderlord Stronghold"] = 177,
				["Shadowmoon Village"] = 210,
				["Falcon Watch"] = 126,
				["Stonebreaker Hold"] = 64,
				["Shattrath"] = 77,
				["Spinebreaker Ridge"] = 266,
				["Swamprat Post"] = 156,
				["Altar of Sha'tar"] = 290,
				["Cosmowrench"] = 339,
				["Thrallmar"] = 199,
				["The Stormspire"] = 322,
				["Mok'Nathal Village"] = 227,
				["Zabra'jin"] = 67,
				["Sanctum of the Stars"] = 274,
			},
			["Bladespire Citadel"] = {
				["Thunder Pass"] = 92,
				["Bloodmaul Slag Mines"] = 59,
				["Throne of the Elements"] = 95,
				["Throm'Var"] = 39,
				["Stonefang Outpost"] = 29,
				["Wor'gol"] = 27,
				["Warspear"] = 216,
				["Beastwatch"] = 115,
				["Frostwall Garrison"] = 44,
				["Wolf's Stand"] = 78,
				["Darkspear's Edge"] = 53,
			},
			["Shrine of Aviana"] = {
				["Gates of Sothann"] = 64,
				["Moonglade"] = 166,
				["Nordrassil"] = 65,
				["Northern Rocketway"] = 253,
				["Hellscream's Watch"] = 415,
				["Grove of Aessina"] = 37,
				["Silverwind Refuge"] = 249,
				["Whisperwind Grove"] = 258,
				["Camp Ataya"] = 739,
				["Everlook"] = 155,
				["Valormok"] = 118,
				["Orgrimmar"] = 173,
			},
			["Shattered Landing"] = {
				["New Kargath"] = 286,
				["Fuselight"] = 344,
				["Bambala"] = 135,
				["Flamestar Post"] = 251,
				["Booty Bay"] = 243,
				["Stonard"] = 58,
				["Flame Crest"] = 209,
				["Chiselgrip"] = 217,
			},
			["Shado-Pan Fallback"] = {
				["Eastwind Rest"] = 45,
				["Winter's Blossom"] = 69,
				["Shrine of Two Moons"] = 105,
				["Rensai's Watchpost"] = 109,
				["Gao-Ran Battlefront"] = 38,
				["Longying Outpost"] = 65,
				["Binan Village"] = 134,
				["Kota Basecamp"] = 31,
				["Serpent's Spine"] = 70,
				["Shado-Pan Garrison"] = 108,
				["Halfhill"] = 162,
			},
			["Azurewing Repose"] = {
				["Shackle's Den"] = 36,
				["Felblaze Ingress"] = 27,
				["Trueshot Lodge"] = 127,
				["Lorlathil"] = 50,
				["Meredil"] = 51,
				["Dalaran"] = 75,
				["Irongrove Retreat"] = 54,
				["Prepfoot"] = 171,
				["Valdisdall"] = 131,
				["Garden of the Moon"] = 72,
				["Starsong Refuge"] = 105,
				["Gloaming Reef"] = 62,
				["Stormtorn Foothills"] = 156,
				["Nesingwary"] = 123,
				["Sylvan Falls"] = 56,
				["Illidari Perch"] = 38,
				["Wardens' Redoubt"] = 48,
				["Skyhorn"] = 144,
				["Illidari Stand"] = 24,
				["Cullen's Post"] = 109,
				["Challiane's Terrace"] = 35,
			},
			["The Argent Stand"] = {
				["Death's Rise"] = 345,
				["Camp Winterhoof"] = 147,
				["Light's Breach"] = 24,
				["Venomspite"] = 145,
				["Dun Nifflelem"] = 127,
				["Conquest Hold"] = 98,
				["Argent Tournament Grounds"] = 233,
				["Sunreaver's Command"] = 79,
				["Unu'pe"] = 327,
				["Warsong Camp"] = 267,
				["Camp Oneqwah"] = 99,
				["Vengeance Landing"] = 205,
				["Bor'gorok Outpost"] = 396,
				["K3"] = 94,
				["Ebon Watch"] = 53,
				["Taunka'le Village"] = 323,
				["Zim'Torga"] = 41,
				["Dalaran"] = 120,
				["River's Heart"] = 318,
				["Camp Tunka'lo"] = 136,
				["The Shadow Vault"] = 268,
			},
			["Razor Hill"] = {
				["Mudsprocket"] = 347,
				["Bilgewater Harbor"] = 173,
				["Ratchet"] = 172,
				["Grove of Aessina"] = 276,
				["Malaka'jin"] = 286,
				["Everlook"] = 310,
				["Orgrimmar"] = 59,
				["Zoram'gar Outpost"] = 291,
				["Gadgetzan"] = 400,
				["Splintertree Post"] = 152,
				["The Mor'Shan Ramparts"] = 159,
				["Bloodhoof Village"] = 327,
				["Hellscream's Watch"] = 219,
				["Sen'jin Village"] = 29,
				["Nozzlepot's Outpost"] = 115,
				["Valormok"] = 114,
				["Desolation Hold"] = 282,
				["Thunder Bluff"] = 284,
				["Southern Rocketway"] = 152,
				["Sanctuary of Malorne"] = 271,
				["The Crossroads"] = 171,
			},
			["Andorhal"] = {
				["The Menders' Stead"] = 16,
				["Eastwall Tower"] = 147,
				["Light's Hope Chapel"] = 149,
				["Northpass Tower"] = 156,
				["The Forsaken Front"] = 216,
				["Hammerfall"] = 163,
				["Galen's Fall"] = 162,
				["Ruins of Southshore"] = 138,
				["The Sepulcher"] = 101,
				["Flame Crest"] = 477,
				["Thondroril River"] = 50,
				["Undercity"] = 126,
				["Brill"] = 84,
				["The Bulwark"] = 37,
				["Hiri'watha Research Station"] = 90,
				["Tranquillien"] = 266,
				["Thorium Point"] = 467,
			},
			["Oasis of Vir'sar"] = {
				["Bloodhoof Village"] = 762,
				["Marshal's Stand"] = 265,
				["Stonemaul Hold"] = 29,
				["Camp Ataya"] = 362,
				["Mossy Pile"] = 224,
				["Ramkahen"] = 121,
				["Ethel Rethor"] = 593,
				["Thunder Bluff"] = 686,
				["Cenarion Hold"] = 108,
				["Bootlegger Outpost"] = 311,
				["Dawnrise Expedition"] = 222,
			},
			["Vol'mar"] = {
				["Thunder Pass"] = 104,
				["Socrethar's Rise"] = 126,
				["Vault of the Earth"] = 31,
				["Frostwall Garrison"] = 156,
				["Exarch's Refuge"] = 131,
				["Aktar's Post"] = 44,
				["Bastion Rise"] = 65,
				["The Ring of Trials"] = 148,
				["Wolf's Stand"] = 122,
				["Exile's Rise"] = 74,
				["Zangarra"] = 75,
				["Talon Watch"] = 132,
				["Malo's Lookout"] = 26,
				["The Iron Front"] = 63,
				["Evermorn Springs"] = 76,
				["Beastwatch"] = 91,
				["Skysea Ridge"] = 113,
				["Shattrath City"] = 124,
				["Frostwolf Overlook"] = 98,
				["Warspear"] = 60,
				["Sha'naari Refuge"] = 47,
				["Nivek's Overlook"] = 188,
				["Terokkar Refuge"] = 104,
				["Crow's Crook"] = 140,
				["Retribution Point"] = 161,
			},
			["Wardens' Redoubt"] = {
				["Eye of Azshara"] = 61,
				["Shackle's Den"] = 23,
				["Azurewing Repose"] = 52,
				["Valdisdall"] = 165,
				["Felblaze Ingress"] = 53,
				["Thunder Totem"] = 159,
				["Illidari Stand"] = 34,
				["Lorlathil"] = 91,
				["Sylvan Falls"] = 138,
				["Stonehoof Watch"] = 163,
				["Illidari Perch"] = 41,
				["Meredil"] = 85,
				["Cullen's Post"] = 142,
				["Dalaran"] = 77,
				["Watchers' Aerie"] = 18,
				["Irongrove Retreat"] = 90,
			},
			["Forsaken Foothold"] = {
				["Shipwreck Cove"] = 94,
				["Valdisdall"] = 53,
				["Starsong Refuge"] = 116,
				["Trueshot Lodge"] = 82,
				["Stormtorn Foothills"] = 34,
				["Cullen's Post"] = 35,
				["Meredil"] = 109,
				["Dreadwake's Landing"] = 58,
				["Hafr Fjall"] = 80,
				["Skyhorn"] = 47,
				["Stonehoof Watch"] = 37,
				["Ironhorn Enclave"] = 56,
				["Shield's Rest"] = 86,
			},
			["The Sunset Brewgarden"] = {
				["Dawnchaser Retreat"] = 131,
				["Shrine of Two Moons"] = 106,
				["Klaxxi'vess"] = 41,
				["Halfhill"] = 178,
				["Tavern in the Mists"] = 219,
				["Serpent's Spine"] = 52,
				["Gao-Ran Battlefront"] = 34,
				["Soggy's Gamble"] = 80,
				["Thunder Cleft"] = 161,
			},
			["Cosmowrench"] = {
				["Evergrove"] = 146,
				["Garadar"] = 372,
				["Shattrath"] = 287,
				["Area 52"] = 64,
				["Hellfire Peninsula"] = 410,
				["Zabra'jin"] = 312,
				["Shadowmoon Village"] = 420,
				["The Stormspire"] = 61,
				["Swamprat Post"] = 204,
			},
			["Hardwrench Hideaway"] = {
				["New Kargath"] = 280,
				["Hiri'watha Research Station"] = 583,
				["Bambala"] = 73,
				["Booty Bay"] = 48,
				["Sunveil Excursion"] = 215,
				["Grom'gol"] = 38,
			},
			["Dawn's Blossom"] = {
				["Dawnchaser Retreat"] = 205,
				["Shrine of Two Moons"] = 209,
				["Emperor's Omen"] = 39,
				["Pang's Stead"] = 75,
				["Jade Temple Grounds"] = 35,
				["Huojin Landing"] = 144,
				["Zhu's Watch"] = 111,
				["Tian Monastery"] = 40,
				["The Arboretum"] = 28,
				["Tavern in the Mists"] = 103,
				["Grookin Hill"] = 71,
				["Halfhill"] = 127,
				["Kota Basecamp"] = 236,
				["Honeydew Village"] = 88,
				["Serpent's Overlook"] = 37,
			},
			["Crown Guard Tower"] = {
				["Thondroril River"] = 39,
				["Undercity"] = 199,
				["Eastwall Tower"] = 53,
				["Light's Hope Chapel"] = 73,
				["Northpass Tower"] = 61,
				["The Forsaken Front"] = 245,
				["Light's Shield Tower"] = 34,
				["Southpoint Gate"] = 207,
				["The Bulwark"] = 115,
				["Plaguewood Tower"] = 52,
				["The Sepulcher"] = 244,
				["Brill"] = 162,
				["The Menders' Stead"] = 77,
			},
			["Forsaken Rear Guard"] = {
				["Thondroril River"] = 185,
				["Undercity"] = 95,
				["Brill"] = 69,
				["Forsaken High Command"] = 24,
				["Tarren Mill"] = 126,
				["Revantusk Village"] = 286,
				["Eastpoint Tower"] = 144,
				["The Sepulcher"] = 30,
				["The Forsaken Front"] = 54,
			},
			["Stygian Bounty"] = {
				["Sandy Beach"] = 51,
				["Silver Tide Hollow"] = 74,
			},
			["Marista"] = {
				["Stoneplow"] = 138,
				["Dawnchaser Retreat"] = 64,
				["Shrine of Two Moons"] = 165,
				["Pang's Stead"] = 151,
				["Halfhill"] = 74,
				["Sri-La Village"] = 235,
				["Soggy's Gamble"] = 266,
				["Cradle of Chi-Ji"] = 51,
				["Zhu's Watch"] = 99,
				["Thunder Cleft"] = 77,
			},
			["Pang's Stead"] = {
				["Stoneplow"] = 104,
				["Dawn's Blossom"] = 70,
				["Shrine of Two Moons"] = 94,
				["Emperor's Omen"] = 94,
				["Jade Temple Grounds"] = 90,
				["Huojin Landing"] = 198,
				["Grassy Cline"] = 25,
				["Zhu's Watch"] = 36,
				["Thunder Cleft"] = 80,
				["Tavern in the Mists"] = 28,
				["Sri-La Village"] = 143,
				["Hellscream's Fist"] = 219,
				["Halfhill"] = 53,
				["Marista"] = 171,
				["Honeydew Village"] = 96,
				["Serpent's Overlook"] = 117,
			},
			["Irontree Clearing"] = {
				["Emerald Sanctuary"] = 128,
				["Everlook"] = 121,
				["Wildheart Point"] = 100,
				["Moonglade"] = 75,
				["Shadowprey Village"] = 451,
				["Silverwind Refuge"] = 244,
				["Whisperwind Grove"] = 41,
				["Orgrimmar"] = 304,
			},
			["Durotan's Grasp"] = {
				["Pinchwhistle Gearworks"] = 115,
				["Socrethar's Rise"] = 142,
				["Frostwall Garrison"] = 90,
				["Evermorn Springs"] = 66,
				["Beastwatch"] = 86,
				["Frostwolf Overlook"] = 41,
				["Shattrath City"] = 14,
				["Vol'mar"] = 121,
				["Terokkar Refuge"] = 47,
				["Warspear"] = 175,
			},
			["One Keg"] = {
				["Eastwind Rest"] = 58,
				["Winter's Blossom"] = 99,
				["Tavern in the Mists"] = 132,
				["Zouchin Village"] = 58,
				["Shado-Pan Fallback"] = 81,
				["Longying Outpost"] = 141,
				["Halfhill"] = 220,
				["Binan Village"] = 67,
				["Kota Basecamp"] = 51,
				["Shado-Pan Garrison"] = 174,
				["Temple of the White Tiger"] = 30,
				["Shrine of Two Moons"] = 148,
				["Bozzle's Wreck"] = 108,
			},
			["Bloodwatcher Point"] = {
				["New Kargath"] = 39,
				["Undercity"] = 507,
				["Hammerfall"] = 289,
				["Flamestar Post"] = 153,
				["Fuselight"] = 25,
				["Booty Bay"] = 338,
				["Flame Crest"] = 110,
				["Sunveil Excursion"] = 327,
			},
			["Silvermoon City"] = {
				["Fairbreeze Village"] = 31,
				["Hearthglen"] = 334,
				["Light's Hope Chapel"] = 179,
				["Fuselight"] = 505,
				["Northpass Tower"] = 244,
				["Southpoint Gate"] = 445,
				["Hammerfall"] = 627,
				["Booty Bay"] = 971,
				["Shattered Sun Staging Area"] = 136,
				["Zul'Aman"] = 111,
				["Brill"] = 402,
				["Tarren Mill"] = 487,
				["Grom'gol"] = 1090,
				["Tranquillien"] = 65,
				["Revantusk Village"] = 318,
				["Strahnbrad"] = 397,
				["Undercity"] = 437,
				["Acherus: The Ebon Hold"] = 241,
				["Falconwing Square"] = 23,
			},
			["Zhu's Watch"] = {
				["The Arboretum"] = 144,
				["Dawnchaser Retreat"] = 152,
				["Shrine of Two Moons"] = 117,
				["Pang's Stead"] = 43,
				["Halfhill"] = 46,
				["Binan Village"] = 88,
				["Huojin Landing"] = 231,
				["Shado-Pan Garrison"] = 276,
				["Tavern in the Mists"] = 62,
				["Thunder Cleft"] = 42,
			},
			["Unu'pe"] = {
				["The Argent Vanguard"] = 253,
				["Agmar's Hammer"] = 112,
				["Zim'Torga"] = 365,
				["Warsong Hold"] = 88,
				["Bor'gorok Outpost"] = 94,
				["Amber Ledge"] = 97,
				["Dalaran"] = 229,
				["Venomspite"] = 179,
				["Nesingwary Base Camp"] = 141,
				["Taunka'le Village"] = 18,
				["Transitus Shield"] = 133,
				["Moa'ki"] = 118,
				["Kamagua"] = 302,
			},
			["Kor'kron Vanguard"] = {
				["Apothecary Camp"] = 188,
				["Dalaran"] = 56,
				["Conquest Hold"] = 149,
			},
			["Eye of Azshara"] = {
				["Felblaze Ingress"] = 94,
				["Illidari Stand"] = 90,
				["Wardens' Redoubt"] = 65,
				["Dalaran"] = 69,
				["Lorlathil"] = 140,
			},
			["Bambala"] = {
				["Hardwrench Hideaway"] = 72,
				["Stonard"] = 221,
				["Tarren Mill"] = 652,
				["Grom'gol"] = 47,
				["New Kargath"] = 289,
				["Dreadmaul Hold"] = 247,
				["Booty Bay"] = 118,
				["Chiselgrip"] = 254,
				["Vermillion Redoubt"] = 477,
				["Bogpaddle"] = 265,
			},
			["The Crossroads"] = {
				["Bloodvenom Post"] = 254,
				["Moonglade"] = 404,
				["Ratchet"] = 52,
				["Thunk's Abode"] = 173,
				["Freewind Post"] = 185,
				["Orgrimmar"] = 96,
				["Gadgetzan"] = 286,
				["Hunter's Hill"] = 49,
				["Westreach Summit"] = 188,
				["Sen'jin Village"] = 211,
				["Silverwind Refuge"] = 131,
				["Splintertree Post"] = 163,
				["Razor Hill"] = 175,
				["Sun Rock Retreat"] = 151,
				["Shadowprey Village"] = 266,
				["Bilgewater Harbor"] = 228,
				["Marshal's Stand"] = 385,
				["Vendetta Point"] = 69,
				["Brackenwall Village"] = 163,
				["Fizzle & Pozzik's Speedbarge"] = 271,
				["Krom'gar Fortress"] = 184,
				["Everlook"] = 294,
				["Zoram'gar Outpost"] = 184,
				["Malaka'jin"] = 115,
				["Bloodhoof Village"] = 157,
				["Camp Taurajo"] = 73,
				["The Mor'Shan Ramparts"] = 63,
				["Nozzlepot's Outpost"] = 68,
				["Mudsprocket"] = 194,
				["Desolation Hold"] = 111,
				["Valormok"] = 201,
				["Thunder Bluff"] = 107,
				["Cenarion Hold"] = 387,
				["Whisperwind Grove"] = 287,
				["Camp Mojache"] = 199,
			},
			["Nesingwary Base Camp"] = {
				["Death's Rise"] = 91,
				["Ulduar"] = 523,
				["Transitus Shield"] = 228,
				["Light's Breach"] = 530,
				["The Argent Vanguard"] = 265,
				["Gundrak"] = 699,
				["Argent Tournament Grounds"] = 261,
				["Dalaran"] = 243,
				["River's Heart"] = 51,
				["Warsong Camp"] = 191,
				["Agmar's Hammer"] = 228,
				["Warsong Hold"] = 199,
				["Bor'gorok Outpost"] = 62,
				["Amber Ledge"] = 176,
				["K3"] = 432,
				["Taunka'le Village"] = 138,
				["Moa'ki"] = 427,
			},
			["Throm'Var"] = {
				["Darkspear's Edge"] = 46,
				["Warspear"] = 214,
				["Bloodmaul Slag Mines"] = 39,
				["Bladespire Citadel"] = 32,
				["Frostwall Garrison"] = 63,
				["Exarch's Refuge"] = 162,
				["Beastwatch"] = 114,
			},
			["Starsong Refuge"] = {
				["Shackle's Den"] = 112,
				["Shipwreck Cove"] = 122,
				["Felblaze Ingress"] = 84,
				["Trueshot Lodge"] = 73,
				["Lorlathil"] = 54,
				["Meredil"] = 66,
				["Dreadwake's Landing"] = 152,
				["Dalaran"] = 129,
				["Irongrove Retreat"] = 48,
				["The Witchwood"] = 86,
				["Garden of the Moon"] = 38,
				["Azurewing Repose"] = 107,
				["Challiane's Terrace"] = 91,
				["Prepfoot"] = 121,
				["Thunder Totem"] = 72,
				["Gloaming Reef"] = 79,
				["Felbane Camp"] = 82,
				["Nesingwary"] = 73,
				["Stonehoof Watch"] = 92,
				["Bradensbrook"] = 57,
				["Cullen's Post"] = 129,
				["Skyhorn"] = 94,
				["Illidari Stand"] = 123,
				["Sylvan Falls"] = 50,
				["Valdisdall"] = 152,
			},
			["Hellscream's Watch"] = {
				["Wildheart Point"] = 131,
				["Sun Rock Retreat"] = 113,
				["Bilgewater Harbor"] = 254,
				["Karnum's Glade"] = 220,
				["Grove of Aessina"] = 344,
				["Southern Rocketway"] = 287,
				["Krom'gar Fortress"] = 123,
				["Everlook"] = 330,
				["Orgrimmar"] = 196,
				["The Crossroads"] = 179,
				["Emerald Sanctuary"] = 90,
				["Whisperwind Grove"] = 186,
				["Camp Ataya"] = 324,
				["The Mor'Shan Ramparts"] = 120,
				["Silverwind Refuge"] = 47,
				["Cliffwalker Post"] = 85,
				["Desolation Hold"] = 288,
				["Ethel Rethor"] = 223,
				["Thunder Bluff"] = 226,
				["Zoram'gar Outpost"] = 60,
				["Splintertree Post"] = 107,
				["Vendetta Point"] = 246,
			},
			["Light's Shield Tower"] = {
				["Eastwall Tower"] = 20,
				["Light's Hope Chapel"] = 39,
				["Northpass Tower"] = 49,
				["The Forsaken Front"] = 274,
				["Andorhal"] = 132,
				["Plaguewood Tower"] = 61,
				["Galen's Fall"] = 219,
				["Crown Guard Tower"] = 29,
				["The Sepulcher"] = 273,
				["Hearthglen"] = 121,
				["Brill"] = 191,
			},
			["Longying Outpost"] = {
				["Eastwind Rest"] = 106,
				["Winter's Blossom"] = 43,
				["Tavern in the Mists"] = 152,
				["Shrine of Two Moons"] = 106,
				["Rensai's Watchpost"] = 48,
				["Shado-Pan Fallback"] = 41,
				["Halfhill"] = 179,
				["Binan Village"] = 115,
				["Shado-Pan Garrison"] = 67,
				["Gao-Ran Battlefront"] = 40,
				["Soggy's Gamble"] = 149,
				["Serpent's Spine"] = 152,
			},
			["Nesingwary"] = {
				["Shackle's Den"] = 130,
				["Thunder Totem"] = 22,
				["Stonehoof Watch"] = 41,
				["The Witchwood"] = 24,
				["Illidari Stand"] = 126,
				["Starsong Refuge"] = 64,
				["Trueshot Lodge"] = 27,
				["Felbane Camp"] = 42,
				["Cullen's Post"] = 78,
				["Sylvan Falls"] = 29,
				["Meredil"] = 81,
				["Dalaran"] = 144,
				["Skyhorn"] = 39,
				["Bradensbrook"] = 100,
				["Forsaken Foothold"] = 60,
				["Lorlathil"] = 98,
			},
			["Northpass Tower"] = {
				["Undercity"] = 250,
				["Hearthglen"] = 111,
				["Light's Hope Chapel"] = 58,
				["Brill"] = 213,
				["The Forsaken Front"] = 296,
				["Light's Shield Tower"] = 44,
				["Eastwall Tower"] = 30,
				["Southpoint Gate"] = 258,
				["Crown Guard Tower"] = 52,
				["Plaguewood Tower"] = 49,
				["Silvermoon City"] = 247,
				["The Sepulcher"] = 295,
				["The Menders' Stead"] = 128,
				["Iron Summit"] = 509,
			},
			["Nivek's Overlook"] = {
				["Iron Docks"] = 206,
				["Throne of the Elements"] = 58,
				["Frostwall Garrison"] = 94,
				["Wor'var"] = 64,
				["Joz's Rylaks"] = 47,
				["Beastwatch"] = 158,
				["Breaker's Crown"] = 168,
				["The Ring of Trials"] = 53,
				["Rilzit's Holdfast"] = 44,
				["Warspear"] = 252,
				["Vol'mar"] = 198,
			},
			["Dalaran"] = {
				["Shackle's Den"] = 55,
				["Ebon Watch"] = 66,
				["Felblaze Ingress"] = 52,
				["Grom'arsh Crash-Site"] = 130,
				["Meredil"] = 63,
				["Hafr Fjall"] = 92,
				["Crusaders' Pinnacle"] = 39,
				["Unu'pe"] = 265,
				["Kor'kron Vanguard"] = 73,
				["Eye of Azshara"] = 64,
				["Warsong Hold"] = 270,
				["Garden of the Moon"] = 120,
				["Amber Ledge"] = 311,
				["Kamagua"] = 310,
				["Felbane Camp"] = 161,
				["Illidari Stand"] = 79,
				["Death's Rise"] = 206,
				["Crimson Thicket"] = 77,
				["Light's Breach"] = 126,
				["Gundrak"] = 238,
				["Nesingwary Base Camp"] = 246,
				["Argent Tournament Grounds"] = 123,
				["Bradensbrook"] = 125,
				["Agmar's Hammer"] = 125,
				["Vengeance Landing"] = 294,
				["The Witchwood"] = 163,
				["Kor'koron Vanguard"] = 73,
				["Stormtorn Foothills"] = 122,
				["Taunka'le Village"] = 235,
				["Wyrmrest Temple"] = 120,
				["New Agamand"] = 348,
				["Ulduar"] = 180,
				["Transitus Shield"] = 272,
				["Apothecary Camp"] = 256,
				["Trueshot Lodge"] = 151,
				["Shield's Rest"] = 173,
				["Conquest Hold"] = 199,
				["Bouldercrag's Refuge"] = 167,
				["River's Heart"] = 117,
				["Warsong Camp"] = 161,
				["Obsidian Overlook"] = 98,
				["Sylvan Falls"] = 126,
				["Camp Oneqwah"] = 111,
				["Cullen's Post"] = 96,
				["Moa'ki"] = 159,
				["Starsong Refuge"] = 123,
				["Shipwreck Cove"] = 201,
				["Azurewing Repose"] = 75,
				["Camp Winterhoof"] = 279,
				["Illidari Camp"] = 44,
				["Watchers' Aerie"] = 68,
				["The Argent Vanguard"] = 32,
				["Lorlathil"] = 99,
				["Irongrove Retreat"] = 78,
				["The Argent Stand"] = 145,
				["Dun Nifflelem"] = 155,
				["Dun Niffelem"] = 155,
				["Dreadwake's Landing"] = 106,
				["K3"] = 55,
				["Ironhorn Enclave"] = 113,
				["Venomspite"] = 162,
				["Camp Tunka'lo"] = 145,
				["The Shadow Vault"] = 162,
				["Challiane's Terrace"] = 91,
				["Valdisdall"] = 122,
				["Bor'gorok Outpost"] = 266,
				["Thunder Totem"] = 147,
				["Gloaming Reef"] = 118,
				["Sunreaver's Command"] = 57,
				["Nesingwary"] = 147,
				["Zim'Torga"] = 185,
				["Illidari Perch"] = 95,
				["Stonehoof Watch"] = 137,
				["Skyhorn"] = 158,
				["Wardens' Redoubt"] = 72,
				["Forsaken Foothold"] = 122,
			},
			["Everlook"] = {
				["Wildheart Point"] = 204,
				["Sun Rock Retreat"] = 448,
				["Nordrassil"] = 126,
				["Bilgewater Harbor"] = 148,
				["Ratchet"] = 342,
				["Vendetta Point"] = 430,
				["Irontree Clearing"] = 122,
				["Splintertree Post"] = 228,
				["Brackenwall Village"] = 459,
				["Thunder Bluff"] = 385,
				["Camp Ataya"] = 627,
				["Moonglade"] = 130,
				["Orgrimmar"] = 243,
				["Gadgetzan"] = 576,
				["Silverwind Refuge"] = 349,
				["The Crossroads"] = 299,
				["Sen'jin Village"] = 341,
				["Bloodvenom Post"] = 165,
				["Hunter's Hill"] = 405,
				["Hellscream's Watch"] = 153,
				["Zoram'gar Outpost"] = 296,
				["Emerald Sanctuary"] = 229,
				["Karnum's Glade"] = 521,
				["Whisperwind Grove"] = 145,
				["Ethel Rethor"] = 524,
				["Valormok"] = 135,
				["Cenarion Hold"] = 684,
				["Camp Mojache"] = 550,
			},
			["Stonefang Outpost"] = {
				["Darkspear's Edge"] = 36,
				["Beastwatch"] = 92,
				["Warspear"] = 202,
				["Wolf's Stand"] = 59,
				["Frostwall Garrison"] = 32,
				["Wor'gol"] = 40,
			},
			["Light's Hope Chapel"] = {
				["Kargath"] = 494,
				["Hearthglen"] = 149,
				["Strahnbrad"] = 214,
				["The Forsaken Front"] = 300,
				["Light's Shield Tower"] = 34,
				["Revantusk Village"] = 141,
				["Hammerfall"] = 234,
				["Silvermoon City"] = 185,
				["Flame Crest"] = 560,
				["Undercity"] = 254,
				["Zul'Aman"] = 113,
				["Stonard"] = 717,
				["Tarren Mill"] = 301,
				["Grom'gol"] = 731,
				["Crown Guard Tower"] = 64,
				["The Menders' Stead"] = 133,
				["Acherus: The Ebon Hold"] = 64,
				["Fuselight"] = 322,
				["Thorium Point"] = 467,
				["Southpoint Gate"] = 262,
				["Booty Bay"] = 789,
				["The Sepulcher"] = 367,
				["Thondroril River"] = 94,
				["Shattered Sun Staging Area"] = 460,
				["The Bulwark"] = 174,
				["Andorhal"] = 158,
				["Thondoril River"] = 99,
				["Tranquillien"] = 119,
				["Eastwall Tower"] = 23,
				["Plaguewood Tower"] = 87,
				["Bloodgulch"] = 500,
			},
			["Flame Crest"] = {
				["Kargath"] = 81,
				["Light's Hope Chapel"] = 571,
				["Fuselight"] = 138,
				["Thorium Point"] = 61,
				["Revantusk Village"] = 440,
				["Hammerfall"] = 348,
				["Galen's Fall"] = 398,
				["Booty Bay"] = 284,
				["Bogpaddle"] = 108,
				["Undercity"] = 551,
				["Stonard"] = 192,
				["Tarren Mill"] = 459,
				["Grom'gol"] = 207,
				["New Kargath"] = 82,
				["Thondoril River"] = 559,
				["Flamestar Post"] = 51,
				["Chiselgrip"] = 17,
			},
			["The Gullet"] = {
				["Dragonmaw Port"] = 91,
				["Revantusk Village"] = 279,
				["Bloodgulch"] = 36,
				["Crushblow"] = 58,
			},
			["Challiane's Terrace"] = {
				["Shackle's Den"] = 62,
				["Felblaze Ingress"] = 46,
				["Lorlathil"] = 33,
				["Meredil"] = 57,
				["Bradensbrook"] = 38,
				["Azurewing Repose"] = 34,
				["The Witchwood"] = 157,
				["Starsong Refuge"] = 87,
				["Gloaming Reef"] = 37,
				["Felbane Camp"] = 152,
				["Valdisdall"] = 137,
				["Sylvan Falls"] = 118,
				["Illidari Perch"] = 45,
				["Wardens' Redoubt"] = 74,
				["Cullen's Post"] = 114,
				["Illidari Stand"] = 51,
				["Forsaken Foothold"] = 179,
				["Dalaran"] = 93,
			},
			["Acherus: The Ebon Hold"] = {
				["Undercity"] = 297,
				["Zul'Aman"] = 150,
				["Light's Hope Chapel"] = 50,
				["Fuselight"] = 366,
				["Stonard"] = 763,
				["Tarren Mill"] = 238,
				["The Bulwark"] = 223,
				["Brill"] = 261,
				["Revantusk Village"] = 189,
				["Thondoril River"] = 148,
				["Shattered Sun Staging Area"] = 393,
				["Silvermoon City"] = 234,
				["The Sepulcher"] = 349,
				["Flame Crest"] = 606,
				["Iron Summit"] = 501,
			},
			["Gao-Ran Battlefront"] = {
				["Stoneplow"] = 311,
				["Dawnchaser Retreat"] = 150,
				["Shrine of Two Moons"] = 109,
				["Rensai's Watchpost"] = 51,
				["Shado-Pan Fallback"] = 40,
				["Longying Outpost"] = 19,
				["Serpent's Spine"] = 170,
				["Shado-Pan Garrison"] = 72,
				["Temple of the White Tiger"] = 167,
				["Halfhill"] = 181,
				["The Sunset Brewgarden"] = 33,
			},
			["Thorium Point"] = {
				["Undercity"] = 558,
				["Light's Hope Chapel"] = 561,
				["Bogpaddle"] = 161,
				["Stonard"] = 199,
				["Tarren Mill"] = 435,
				["Grom'gol"] = 234,
				["New Kargath"] = 66,
				["Revantusk Village"] = 421,
				["Hammerfall"] = 317,
				["Brill"] = 526,
				["Booty Bay"] = 366,
				["Kargath"] = 59,
				["Flame Crest"] = 61,
				["Iron Summit"] = 24,
			},
			["Conquest Hold"] = {
				["Death's Rise"] = 379,
				["Camp Winterhoof"] = 85,
				["Light's Breach"] = 80,
				["Apothecary Camp"] = 57,
				["The Argent Vanguard"] = 207,
				["Venomspite"] = 88,
				["Argent Tournament Grounds"] = 299,
				["Dalaran"] = 186,
				["Zim'Torga"] = 164,
				["Warsong Camp"] = 323,
				["Camp Oneqwah"] = 101,
				["Vengeance Landing"] = 158,
				["Bor'gorok Outpost"] = 390,
				["Kor'koron Vanguard"] = 204,
				["K3"] = 160,
				["The Argent Stand"] = 123,
				["Taunka'le Village"] = 318,
				["Wyrmrest Temple"] = 138,
				["Agmar's Hammer"] = 207,
				["Crusaders' Pinnacle"] = 212,
				["Moa'ki"] = 170,
				["Kor'kron Vanguard"] = 204,
			},
			["Eastpoint Tower"] = {
				["Undercity"] = 161,
				["Eastwall Tower"] = 225,
				["Northpass Tower"] = 232,
				["Tarren Mill"] = 21,
				["Hiri'watha Research Station"] = 124,
				["Hammerfall"] = 103,
				["Galen's Fall"] = 31,
				["Ruins of Southshore"] = 25,
				["Revantusk Village"] = 182,
			},
			["Marshal's Stand"] = {
				["Schnottz's Landing"] = 270,
				["Bloodvenom Post"] = 643,
				["Mudsprocket"] = 268,
				["Shadowprey Village"] = 359,
				["Ratchet"] = 334,
				["Brackenwall Village"] = 294,
				["Fizzle & Pozzik's Speedbarge"] = 143,
				["Ramkahen"] = 261,
				["Everlook"] = 675,
				["Orgrimmar"] = 433,
				["Dawnrise Expedition"] = 191,
				["Gadgetzan"] = 93,
				["The Crossroads"] = 391,
				["Oasis of Vir'sar"] = 185,
				["Hunter's Hill"] = 388,
				["Stonemaul Hold"] = 226,
				["Valormok"] = 547,
				["Emerald Sanctuary"] = 617,
				["Camp Ataya"] = 290,
				["Desolation Hold"] = 300,
				["Mossy Pile"] = 37,
				["Thunder Bluff"] = 416,
				["Cenarion Hold"] = 125,
				["Bootlegger Outpost"] = 149,
				["Camp Mojache"] = 253,
			},
			["Malaka'jin"] = {
				["The Crossroads"] = 86,
				["Mudsprocket"] = 269,
				["Shadowprey Village"] = 164,
				["Hunter's Hill"] = 112,
				["Stonemaul Hold"] = 310,
				["Karnum's Glade"] = 167,
				["Brackenwall Village"] = 191,
				["Cliffwalker Post"] = 111,
				["The Sludgewerks"] = 113,
				["Krom'gar Fortress"] = 69,
				["Thunder Bluff"] = 38,
				["Sun Rock Retreat"] = 73,
				["Thunk's Abode"] = 113,
				["Orgrimmar"] = 205,
			},
			["The Sludgewerks"] = {
				["Cliffwalker Post"] = 31,
				["Krom'gar Fortress"] = 43,
				["Sun Rock Retreat"] = 37,
				["Orgrimmar"] = 280,
				["Zoram'gar Outpost"] = 113,
				["Grove of Aessina"] = 418,
			},
			["Galen's Fall"] = {
				["Undercity"] = 198,
				["Northpass Tower"] = 264,
				["The Forsaken Front"] = 136,
				["The Bulwark"] = 122,
				["New Kargath"] = 322,
				["Revantusk Village"] = 161,
				["Eastpoint Tower"] = 33,
				["Hammerfall"] = 74,
				["Ruins of Southshore"] = 56,
				["Southpoint Gate"] = 98,
				["Plaguewood Tower"] = 255,
				["Tarren Mill"] = 41,
			},
			["Ruins of Southshore"] = {
				["Thondroril River"] = 135,
				["Undercity"] = 167,
				["Brill"] = 146,
				["Forsaken Forward Command"] = 112,
				["Tarren Mill"] = 28,
				["Chiselgrip"] = 449,
				["New Kargath"] = 369,
				["Southpoint Gate"] = 44,
				["Eastpoint Tower"] = 20,
				["Crown Guard Tower"] = 178,
			},
			["Dun Nifflelem"] = {
				["Camp Winterhoof"] = 219,
				["The Argent Vanguard"] = 181,
				["Grom'arsh Crash-Site"] = 128,
				["Argent Tournament Grounds"] = 193,
				["Crusaders' Pinnacle"] = 187,
				["Zim'Torga"] = 89,
				["Warsong Camp"] = 309,
				["The Shadow Vault"] = 244,
				["Dalaran"] = 54,
				["K3"] = 88,
				["River's Heart"] = 438,
				["The Argent Stand"] = 142,
				["Kamagua"] = 330,
				["Wyrmrest Temple"] = 222,
				["Camp Oneqwah"] = 176,
				["Bouldercrag's Refuge"] = 133,
				["Camp Tunka'lo"] = 32,
				["Venomspite"] = 230,
				["Sunreaver's Command"] = 129,
			},
			["Bozzle's Wreck"] = {
				["Halfhill"] = 247,
				["Longying Outpost"] = 222,
				["One Keg"] = 111,
				["Temple of the White Tiger"] = 93,
				["Zouchin Village"] = 51,
				["Rensai's Watchpost"] = 264,
				["Shado-Pan Garrison"] = 50,
				["Shrine of Two Moons"] = 184,
			},
			["Thondroril River"] = {
				["The Menders' Stead"] = 39,
				["Eastwall Tower"] = 98,
				["Light's Hope Chapel"] = 100,
				["Northpass Tower"] = 106,
				["The Forsaken Front"] = 207,
				["Southpoint Gate"] = 169,
				["Ruins of Southshore"] = 128,
				["The Sepulcher"] = 206,
				["Undercity"] = 160,
				["Tarren Mill"] = 100,
				["The Bulwark"] = 77,
				["Hiri'watha Research Station"] = 85,
				["Silvermoon City"] = 285,
				["Crown Guard Tower"] = 45,
				["Andorhal"] = 65,
				["Hearthglen"] = 82,
			},
			["Hellfire Peninsula"] = {
				["Evergrove"] = 321,
				["Garadar"] = 253,
				["Shattrath"] = 182,
				["Spinebreaker Ridge"] = 125,
				["Stonebreaker Hold"] = 188,
				["Swamprat Post"] = 190,
				["Zabra'jin"] = 271,
				["Mok'Nathal Village"] = 261,
				["Area 52"] = 316,
				["Thrallmar"] = 59,
				["Shadowmoon Village"] = 252,
				["Thunderlord Stronghold"] = 295,
				["Falcon Watch"] = 122,
				["Cosmowrench"] = 381,
				["The Stormspire"] = 364,
				["Sanctum of the Stars"] = 316,
			},
			["Shattrath"] = {
				["Evergrove"] = 211,
				["Garadar"] = 81,
				["Area 52"] = 205,
				["Hellfire Peninsula"] = 201,
				["Thunderlord Stronghold"] = 185,
				["Shadowmoon Village"] = 133,
				["Falcon Watch"] = 77,
				["Stonebreaker Hold"] = 69,
				["Spinebreaker Ridge"] = 215,
				["Swamprat Post"] = 79,
				["The Stormspire"] = 253,
				["Zabra'jin"] = 136,
				["Cosmowrench"] = 217,
				["Thrallmar"] = 131,
				["Altar of Sha'tar"] = 214,
				["Mok'Nathal Village"] = 150,
				["Sanctum of the Stars"] = 197,
			},
			["Forsaken Forward Command"] = {
				["Ruins of Southshore"] = 112,
				["Undercity"] = 189,
			},
			["Dawnchaser Retreat"] = {
				["Stoneplow"] = 60,
				["Shrine of Two Moons"] = 162,
				["Klaxxi'vess"] = 104,
				["Pang's Stead"] = 126,
				["Halfhill"] = 98,
				["Longying Outpost"] = 273,
				["Jade Temple Grounds"] = 269,
				["Grassy Cline"] = 128,
				["Cradle of Chi-Ji"] = 19,
				["Marista"] = 50,
				["Soggy's Gamble"] = 188,
				["Thunder Cleft"] = 66,
			},
			["Bloodgulch"] = {
				["Revantusk Village"] = 325,
				["Crushblow"] = 59,
				["Dragonmaw Port"] = 56,
				["The Krazzworks"] = 50,
				["The Gullet"] = 49,
				["Iron Summit"] = 344,
			},
			["Stonemaul Hold"] = {
				["Orgrimmar"] = 499,
				["Schnottz's Landing"] = 253,
				["Gadgetzan"] = 265,
				["Mudsprocket"] = 193,
				["Shadowprey Village"] = 132,
				["Ratchet"] = 296,
				["Karnum's Glade"] = 215,
				["Zoram'gar Outpost"] = 432,
				["Oasis of Vir'sar"] = 168,
				["Thunk's Abode"] = 242,
				["Desolation Hold"] = 173,
				["Ethel Rethor"] = 220,
				["Mossy Pile"] = 183,
				["Cenarion Hold"] = 106,
				["Camp Ataya"] = 65,
				["Camp Mojache"] = 70,
			},
			["The Mor'Shan Ramparts"] = {
				["The Crossroads"] = 64,
				["Ratchet"] = 115,
				["Nozzlepot's Outpost"] = 58,
				["Orgrimmar"] = 102,
				["Krom'gar Fortress"] = 143,
				["Hellscream's Watch"] = 93,
				["Thunder Bluff"] = 171,
				["Silverwind Refuge"] = 69,
				["Splintertree Post"] = 46,
				["Razor Hill"] = 157,
			},
			["Thunder Cleft"] = {
				["Stoneplow"] = 98,
				["Marista"] = 71,
				["The Arboretum"] = 177,
				["Dawnchaser Retreat"] = 80,
				["Shrine of Two Moons"] = 103,
				["Zhu's Watch"] = 48,
				["Klaxxi'vess"] = 142,
				["Pang's Stead"] = 61,
				["Halfhill"] = 32,
				["Binan Village"] = 116,
				["Jade Temple Grounds"] = 150,
				["Huojin Landing"] = 258,
				["Shado-Pan Garrison"] = 271,
				["Temple of the White Tiger"] = 144,
				["The Briny Muck"] = 226,
				["Honeydew Village"] = 253,
			},
			["Western Suramar"] = {
				["Eastern Suramar"] = 61,
				["Isle of the Watchers"] = 67,
				["Trueshot Lodge"] = 149,
				["The Dreamgrove"] = 226,
			},
			["Tranquillien"] = {
				["Fairbreeze Village"] = 52,
				["Zul'Aman"] = 51,
				["Light's Hope Chapel"] = 117,
				["Fuselight"] = 441,
				["Andorhal"] = 279,
				["Revantusk Village"] = 257,
				["Southpoint Gate"] = 380,
				["Strahnbrad"] = 334,
				["Undercity"] = 372,
				["Silvermoon City"] = 73,
				["The Sepulcher"] = 420,
				["Flame Crest"] = 672,
				["Falconwing Square"] = 95,
			},
			["Thrallmar"] = {
				["Evergrove"] = 267,
				["Garadar"] = 199,
				["Shattrath"] = 122,
				["Spinebreaker Ridge"] = 66,
				["Area 52"] = 262,
				["Hellfire Peninsula"] = 70,
				["Swamprat Post"] = 135,
				["Falcon Watch"] = 66,
				["Thunderlord Stronghold"] = 242,
				["Stonebreaker Hold"] = 129,
				["Zabra'jin"] = 174,
				["The Stormspire"] = 314,
				["Sanctum of the Stars"] = 257,
			},
			["Darktide Roost"] = {
				["Pinchwhistle Gearworks"] = 91,
				["Socrethar's Rise"] = 28,
				["Vault of the Earth"] = 114,
				["Exarch's Refuge"] = 119,
				["Zangarra"] = 124,
				["Apexis Excavation"] = 125,
				["Axefall"] = 102,
				["Talon Watch"] = 65,
				["Exile's Rise"] = 61,
				["Veil Terokk"] = 88,
				["Vol'mar"] = 137,
				["Warspear"] = 160,
				["Sha'naari Refuge"] = 134,
				["Crow's Crook"] = 92,
				["Terokkar Refuge"] = 110,
				["Beastwatch"] = 175,
				["Akeeta's Hovel"] = 70,
			},
			["Temple of the White Tiger"] = {
				["Eastwind Rest"] = 52,
				["Tavern in the Mists"] = 141,
				["Zouchin Village"] = 40,
				["Huojin Landing"] = 107,
				["Halfhill"] = 69,
				["Binan Village"] = 74,
				["One Keg"] = 31,
				["Shado-Pan Garrison"] = 204,
				["Longying Outpost"] = 16,
				["Shrine of Two Moons"] = 111,
				["Bozzle's Wreck"] = 90,
			},
			["Nozzlepot's Outpost"] = {
				["The Crossroads"] = 52,
				["Orgrimmar"] = 60,
				["Irontree Clearing"] = 370,
				["Hunter's Hill"] = 113,
				["Ratchet"] = 93,
				["The Mor'Shan Ramparts"] = 57,
				["Brackenwall Village"] = 194,
				["Sen'jin Village"] = 151,
				["Krom'gar Fortress"] = 199,
				["Desolation Hold"] = 175,
				["Thunder Bluff"] = 171,
				["Grove of Aessina"] = 278,
				["Razor Hill"] = 115,
			},
			["Camp Mojache"] = {
				["Bloodvenom Post"] = 512,
				["Moonglade"] = 639,
				["Furien's Post"] = 256,
				["Ramkahen"] = 272,
				["Freewind Post"] = 107,
				["Orgrimmar"] = 324,
				["The Crossroads"] = 248,
				["Westreach Summit"] = 43,
				["Zoram'gar Outpost"] = 495,
				["Cliffwalker Post"] = 411,
				["Mossy Pile"] = 205,
				["Splintertree Post"] = 427,
				["Sun Rock Retreat"] = 403,
				["Shadowprey Village"] = 201,
				["Marshal's Stand"] = 232,
				["Brackenwall Village"] = 140,
				["Malaka'jin"] = 311,
				["Krom'gar Fortress"] = 378,
				["Everlook"] = 572,
				["Gadgetzan"] = 193,
				["Camp Taurajo"] = 244,
				["Stonemaul Hold"] = 66,
				["Ratchet"] = 227,
				["Emerald Sanctuary"] = 506,
				["Thunder Bluff"] = 259,
				["Desolation Hold"] = 104,
				["Camp Ataya"] = 130,
				["Valormok"] = 428,
				["Cenarion Hold"] = 130,
				["Fizzle & Pozzik's Speedbarge"] = 160,
				["Mudsprocket"] = 124,
			},
			["Caverns of Time"] = {
				["Caverns of Time"] = 54,
			},
			["Old Hillsbrad Foothills"] = {
				["Durnholde Keep"] = 88,
			},
			["Ulduar"] = {
				["Dun Niffelem"] = 103,
				["Gundrak"] = 207,
				["Grom'arsh Crash-Site"] = 44,
				["Dun Nifflelem"] = 104,
				["Argent Tournament Grounds"] = 109,
				["Dalaran"] = 153,
				["River's Heart"] = 355,
				["Warsong Camp"] = 296,
				["The Shadow Vault"] = 161,
				["K3"] = 131,
				["The Argent Stand"] = 206,
				["Zim'Torga"] = 153,
				["Wyrmrest Temple"] = 265,
				["Bouldercrag's Refuge"] = 48,
				["Agmar's Hammer"] = 267,
				["Camp Oneqwah"] = 236,
				["Camp Tunka'lo"] = 88,
				["New Agamand"] = 363,
			},
			["Transitus Shield"] = {
				["Light's Breach"] = 265,
				["Gundrak"] = 343,
				["Venomspite"] = 195,
				["Nesingwary Base Camp"] = 83,
				["Conquest Hold"] = 233,
				["Dalaran"] = 215,
				["River's Heart"] = 89,
				["Agmar's Hammer"] = 137,
				["Vengeance Landing"] = 338,
				["Warsong Hold"] = 57,
				["Bor'gorok Outpost"] = 52,
				["Kor'koron Vanguard"] = 179,
				["Kamagua"] = 295,
				["The Argent Stand"] = 281,
				["Taunka'le Village"] = 77,
				["Wyrmrest Temple"] = 153,
				["Amber Ledge"] = 30,
				["Unu'pe"] = 96,
				["New Agamand"] = 318,
			},
			["Vault of the Earth"] = {
				["Malo's Lookout"] = 28,
				["The Iron Front"] = 54,
				["Aktar's Post"] = 47,
				["Beastwatch"] = 92,
				["Frostwolf Overlook"] = 73,
				["Darktide Roost"] = 105,
				["Sha'naari Refuge"] = 27,
				["Vol'mar"] = 33,
				["Warspear"] = 88,
			},
			["Emperor's Omen"] = {
				["Stoneplow"] = 215,
				["Dawn's Blossom"] = 38,
				["Shrine of Two Moons"] = 160,
				["Halfhill"] = 164,
				["Honeydew Village"] = 74,
				["Serpent's Spine"] = 261,
				["The Arboretum"] = 65,
				["Soggy's Gamble"] = 323,
				["Tian Monastery"] = 22,
			},
			["Furien's Post"] = {
				["Sun Rock Retreat"] = 107,
				["Shadowprey Village"] = 67,
				["Karnum's Glade"] = 38,
				["Orgrimmar"] = 311,
				["Nozzlepot's Outpost"] = 269,
				["Thunk's Abode"] = 55,
				["Krom'gar Fortress"] = 149,
				["Camp Ataya"] = 137,
				["Silverwind Refuge"] = 225,
				["Splintertree Post"] = 408,
				["Camp Mojache"] = 249,
			},
			["Shield's Rest"] = {
				["Shipwreck Cove"] = 125,
				["Thunder Totem"] = 114,
				["Valdisdall"] = 61,
				["Cullen's Post"] = 76,
				["Dalaran"] = 169,
				["Forsaken Foothold"] = 82,
				["Stormtorn Foothills"] = 62,
			},
			["Ramkahen"] = {
				["Schnottz's Landing"] = 94,
				["Mudsprocket"] = 279,
				["Ratchet"] = 400,
				["Brackenwall Village"] = 419,
				["Fizzle & Pozzik's Speedbarge"] = 208,
				["Orgrimmar"] = 499,
				["Gadgetzan"] = 159,
				["Dawnrise Expedition"] = 68,
				["Bootlegger Outpost"] = 128,
				["Stonemaul Hold"] = 254,
				["Cenarion Hold"] = 149,
				["Marshal's Stand"] = 252,
				["Shrine of Aviana"] = 680,
				["Desolation Hold"] = 367,
				["Ethel Rethor"] = 473,
				["Oasis of Vir'sar"] = 84,
				["Splintertree Post"] = 567,
				["Camp Mojache"] = 279,
			},
			["River's Heart"] = {
				["Death's Rise"] = 93,
				["Transitus Shield"] = 154,
				["Dun Niffelem"] = 346,
				["Grom'arsh Crash-Site"] = 244,
				["Nesingwary Base Camp"] = 43,
				["Conquest Hold"] = 493,
				["Argent Tournament Grounds"] = 263,
				["Bouldercrag's Refuge"] = 460,
				["Unu'pe"] = 253,
				["Warsong Camp"] = 86,
				["Agmar's Hammer"] = 187,
				["Vengeance Landing"] = 486,
				["Warsong Hold"] = 201,
				["Bor'gorok Outpost"] = 62,
				["K3"] = 246,
				["Venomspite"] = 406,
				["The Shadow Vault"] = 280,
				["Taunka'le Village"] = 140,
				["Wyrmrest Temple"] = 234,
				["Camp Oneqwah"] = 626,
				["Kor'kron Vanguard"] = 263,
				["Dalaran"] = 201,
			},
			["Zangarra"] = {
				["Socrethar's Rise"] = 124,
				["Vault of the Earth"] = 53,
				["Frostwall Garrison"] = 111,
				["Vol'jin's Pride"] = 25,
				["Aktar's Post"] = 39,
				["Bastion Rise"] = 43,
				["The Ring of Trials"] = 97,
				["Retribution Point"] = 89,
				["Veil Terokk"] = 94,
				["Riverside Post"] = 136,
				["Darktide Roost"] = 134,
				["Terokkar Refuge"] = 40,
				["The Iron Front"] = 33,
				["Skysea Ridge"] = 123,
				["Frostwolf Overlook"] = 51,
				["Wor'var"] = 86,
				["Beastwatch"] = 68,
				["Crow's Crook"] = 82,
				["Warspear"] = 168,
				["Sha'naari Refuge"] = 32,
				["Shattrath City"] = 57,
				["Vol'mar"] = 76,
				["Exile's Rise"] = 95,
			},
			["Huojin Landing"] = {
				["The Arboretum"] = 169,
				["Tavern in the Mists"] = 245,
				["Shrine of Two Moons"] = 308,
				["Pang's Stead"] = 217,
				["Halfhill"] = 268,
				["Bozzle's Wreck"] = 436,
				["Jade Temple Grounds"] = 177,
				["Honeydew Village"] = 230,
				["Shado-Pan Garrison"] = 471,
				["Zhu's Watch"] = 253,
				["Dawn's Blossom"] = 143,
				["Thunder Cleft"] = 281,
			},
			["Stonehoof Watch"] = {
				["The Witchwood"] = 57,
				["Forsaken Foothold"] = 24,
				["Wardens' Redoubt"] = 164,
				["Valdisdall"] = 67,
				["Cullen's Post"] = 45,
				["Thunder Totem"] = 28,
				["Trueshot Lodge"] = 58,
				["Stormtorn Foothills"] = 48,
				["Challiane's Terrace"] = 139,
				["Sylvan Falls"] = 53,
				["Felbane Camp"] = 75,
				["Starsong Refuge"] = 88,
				["Skyhorn"] = 30,
				["Illidari Stand"] = 151,
				["Ironhorn Enclave"] = 37,
				["Lorlathil"] = 122,
			},
			["Gloaming Reef"] = {
				["Shackle's Den"] = 98,
				["The Witchwood"] = 149,
				["Garden of the Moon"] = 49,
				["Starsong Refuge"] = 79,
				["Lorlathil"] = 49,
				["Nesingwary"] = 134,
				["Meredil"] = 112,
				["Illidari Perch"] = 77,
				["Bradensbrook"] = 27,
				["Challiane's Terrace"] = 48,
				["Sylvan Falls"] = 111,
			},
			["Zim'Torga"] = {
				["Ulduar"] = 154,
				["Ebon Watch"] = 105,
				["Light's Breach"] = 77,
				["The Argent Vanguard"] = 193,
				["Gundrak"] = 54,
				["Conquest Hold"] = 150,
				["Crusaders' Pinnacle"] = 198,
				["Camp Oneqwah"] = 83,
				["Amber Ledge"] = 450,
				["K3"] = 145,
				["The Argent Stand"] = 53,
				["Kamagua"] = 241,
				["Dalaran"] = 172,
				["Sunreaver's Command"] = 132,
				["Kor'koron Vanguard"] = 212,
				["Dun Niffelem"] = 85,
				["Camp Tunka'lo"] = 87,
				["New Agamand"] = 210,
			},
			["Warsong Camp"] = {
				["Death's Rise"] = 112,
				["Apothecary Camp"] = 283,
				["The Argent Vanguard"] = 168,
				["Venomspite"] = 185,
				["Dun Nifflelem"] = 286,
				["Argent Tournament Grounds"] = 240,
				["Dalaran"] = 141,
				["River's Heart"] = 75,
				["The Shadow Vault"] = 164,
				["Warsong Hold"] = 168,
				["Kor'koron Vanguard"] = 162,
				["K3"] = 186,
				["Sunreaver's Command"] = 189,
				["Amber Ledge"] = 156,
				["Taunka'le Village"] = 80,
				["Crusaders' Pinnacle"] = 160,
				["Camp Oneqwah"] = 344,
				["Nesingwary Base Camp"] = 112,
				["Agmar's Hammer"] = 101,
				["Moa'ki"] = 160,
				["Unu'pe"] = 109,
			},
			["Hiri'watha Research Station"] = {
				["Eastwall Tower"] = 142,
				["Light's Hope Chapel"] = 180,
				["Fuselight"] = 373,
				["Northpass Tower"] = 186,
				["Light's Shield Tower"] = 159,
				["Revantusk Village"] = 84,
				["Hammerfall"] = 70,
				["Galen's Fall"] = 134,
				["Thondroril River"] = 81,
				["Undercity"] = 220,
				["Brill"] = 157,
				["Bloodwatcher Point"] = 362,
				["Tarren Mill"] = 17,
				["Andorhal"] = 74,
				["Crown Guard Tower"] = 125,
				["The Bulwark"] = 111,
				["Stonard"] = 542,
			},
			["Winter's Blossom"] = {
				["Eastwind Rest"] = 84,
				["Zouchin Village"] = 155,
				["Longying Outpost"] = 42,
				["Binan Village"] = 112,
				["One Keg"] = 68,
				["Shrine of Two Moons"] = 136,
				["Serpent's Spine"] = 101,
				["Kota Basecamp"] = 27,
				["Halfhill"] = 254,
				["Shado-Pan Garrison"] = 96,
			},
			["The Arboretum"] = {
				["Stoneplow"] = 204,
				["Dawn's Blossom"] = 27,
				["Tavern in the Mists"] = 129,
				["Shrine of Two Moons"] = 192,
				["Sri-La Village"] = 63,
				["Klaxxi'vess"] = 91,
				["Pang's Stead"] = 101,
				["Halfhill"] = 152,
				["Binan Village"] = 207,
				["Jade Temple Grounds"] = 38,
				["Honeydew Village"] = 114,
				["Serpent's Spine"] = 317,
				["Zhu's Watch"] = 136,
				["Huojin Landing"] = 169,
				["Shado-Pan Garrison"] = 354,
			},
			["Death's Rise"] = {
				["Camp Oneqwah"] = 454,
				["The Shadow Vault"] = 94,
				["Bouldercrag's Refuge"] = 214,
				["Grom'arsh Crash-Site"] = 254,
				["K3"] = 283,
				["Gundrak"] = 465,
				["The Argent Stand"] = 369,
				["Taunka'le Village"] = 195,
				["Nesingwary Base Camp"] = 118,
				["Dalaran"] = 208,
				["Argent Tournament Grounds"] = 170,
				["Crusaders' Pinnacle"] = 214,
				["River's Heart"] = 117,
			},
			["Ethel Rethor"] = {
				["Wildheart Point"] = 363,
				["Sun Rock Retreat"] = 124,
				["Shadowprey Village"] = 80,
				["Furien's Post"] = 17,
				["Malaka'jin"] = 150,
				["Orgrimmar"] = 311,
				["Thunk's Abode"] = 51,
				["Hunter's Hill"] = 162,
				["Hellscream's Watch"] = 232,
				["Zoram'gar Outpost"] = 252,
				["Silverwind Refuge"] = 241,
				["Cliffwalker Post"] = 172,
				["Camp Ataya"] = 150,
				["Oasis of Vir'sar"] = 394,
				["Valormok"] = 365,
				["Stonemaul Hold"] = 226,
				["Karnum's Glade"] = 39,
			},
			["Hunter's Hill"] = {
				["Wildheart Point"] = 269,
				["Karnum's Glade"] = 186,
				["Vendetta Point"] = 48,
				["Brackenwall Village"] = 108,
				["Everlook"] = 411,
				["Orgrimmar"] = 162,
				["The Crossroads"] = 43,
				["Bloodhoof Village"] = 117,
				["Hellscream's Watch"] = 198,
				["The Mor'Shan Ramparts"] = 106,
				["Emerald Sanctuary"] = 286,
				["Desolation Hold"] = 74,
				["Ethel Rethor"] = 194,
				["Thunder Bluff"] = 66,
				["Ratchet"] = 94,
				["Razor Hill"] = 217,
			},
			["Wor'var"] = {
				["Rilzit's Holdfast"] = 71,
				["Frostwall Garrison"] = 59,
				["Joz's Rylaks"] = 33,
				["Durotan's Grasp"] = 69,
				["Zangarra"] = 85,
				["Apexis Excavation"] = 112,
				["Exile's Rise"] = 146,
				["Throne of the Elements"] = 29,
				["The Ring of Trials"] = 11,
				["Everbloom Wilds"] = 139,
				["Nivek's Overlook"] = 50,
				["Terokkar Refuge"] = 86,
				["Warspear"] = 199,
				["Frostwolf Overlook"] = 67,
				["Shattrath City"] = 60,
				["Skysea Ridge"] = 143,
				["Beastwatch"] = 105,
				["Veil Terokk"] = 109,
				["Riverside Post"] = 51,
			},
			["Ogri'La"] = {
				["Skettis"] = 242,
			},
			["Axefall"] = {
				["Pinchwhistle Gearworks"] = 57,
				["Socrethar's Rise"] = 79,
				["Frostwall Garrison"] = 148,
				["Joz's Rylaks"] = 133,
				["Apexis Excavation"] = 27,
				["Exile's Rise"] = 95,
				["Wor'var"] = 108,
				["Crow's Crook"] = 34,
				["Nivek's Overlook"] = 111,
				["Beastwatch"] = 146,
				["Terokkar Refuge"] = 71,
				["Shattrath City"] = 79,
				["Darktide Roost"] = 92,
				["Warspear"] = 240,
				["Veil Terokk"] = 24,
				["Akeeta's Hovel"] = 54,
			},
			["Crusaders' Pinnacle"] = {
				["Ulduar"] = 187,
				["Ebon Watch"] = 48,
				["Light's Breach"] = 174,
				["The Argent Vanguard"] = 33,
				["Venomspite"] = 214,
				["Dun Nifflelem"] = 208,
				["Argent Tournament Grounds"] = 97,
				["Dalaran"] = 71,
				["Unu'pe"] = 267,
				["Warsong Camp"] = 159,
				["Camp Oneqwah"] = 278,
				["Vengeance Landing"] = 384,
				["Bor'gorok Outpost"] = 318,
				["Amber Ledge"] = 313,
				["River's Heart"] = 235,
				["The Argent Stand"] = 194,
				["Taunka'le Village"] = 238,
				["Wyrmrest Temple"] = 174,
				["Agmar's Hammer"] = 177,
				["The Shadow Vault"] = 123,
				["Sunreaver's Command"] = 108,
				["Moa'ki"] = 212,
				["Zim'Torga"] = 234,
			},
			["Hammerfall"] = {
				["Kargath"] = 259,
				["Light's Hope Chapel"] = 197,
				["Fuselight"] = 305,
				["Thorium Point"] = 315,
				["Revantusk Village"] = 88,
				["Eastpoint Tower"] = 98,
				["Galen's Fall"] = 67,
				["Booty Bay"] = 548,
				["The Sepulcher"] = 220,
				["Flame Crest"] = 326,
				["Iron Summit"] = 335,
				["Undercity"] = 257,
				["Brill"] = 167,
				["Stonard"] = 483,
				["Tarren Mill"] = 113,
				["Grom'gol"] = 497,
				["New Kargath"] = 248,
				["Hiri'watha Research Station"] = 53,
				["Tranquillien"] = 311,
				["Andorhal"] = 126,
				["Chiselgrip"] = 329,
				["The Menders' Stead"] = 140,
				["Ruins of Southshore"] = 121,
			},
			["Terokkar Refuge"] = {
				["Frostwall Garrison"] = 109,
				["Vol'jin's Pride"] = 34,
				["Warspear"] = 161,
				["Exarch's Refuge"] = 31,
				["Beastwatch"] = 89,
				["Zangarra"] = 36,
				["Darktide Roost"] = 115,
				["Evermorn Springs"] = 66,
				["Everbloom Wilds"] = 121,
				["Akeeta's Hovel"] = 46,
			},
			["Meredil"] = {
				["Shackle's Den"] = 72,
				["Crimson Thicket"] = 43,
				["Shipwreck Cove"] = 149,
				["Felblaze Ingress"] = 43,
				["Trueshot Lodge"] = 98,
				["Lorlathil"] = 76,
				["Valdisdall"] = 87,
				["Wardens' Redoubt"] = 90,
				["Skyhorn"] = 110,
				["Dalaran"] = 69,
				["Challiane's Terrace"] = 66,
				["Bradensbrook"] = 95,
				["Ironhorn Enclave"] = 65,
				["Irongrove Retreat"] = 26,
				["Stonehoof Watch"] = 90,
				["Thunder Totem"] = 94,
				["Azurewing Repose"] = 57,
				["The Witchwood"] = 111,
				["Stormtorn Foothills"] = 116,
				["Starsong Refuge"] = 70,
				["Gloaming Reef"] = 88,
				["Felbane Camp"] = 108,
				["Nesingwary"] = 93,
				["Sylvan Falls"] = 73,
				["Illidari Perch"] = 85,
				["Illidari Camp"] = 74,
				["Cullen's Post"] = 65,
				["Illidari Stand"] = 70,
				["Forsaken Foothold"] = 107,
				["Shield's Rest"] = 138,
			},
			["Moa'ki"] = {
				["Ulduar"] = 293,
				["Transitus Shield"] = 264,
				["Light's Breach"] = 168,
				["Apothecary Camp"] = 160,
				["Venomspite"] = 62,
				["Conquest Hold"] = 121,
				["Argent Tournament Grounds"] = 236,
				["Dalaran"] = 123,
				["Unu'pe"] = 132,
				["Agmar's Hammer"] = 64,
				["Warsong Hold"] = 14,
				["Bor'gorok Outpost"] = 225,
				["Amber Ledge"] = 228,
				["K3"] = 167,
				["New Agamand"] = 247,
				["Bouldercrag's Refuge"] = 278,
				["Taunka'le Village"] = 153,
				["Wyrmrest Temple"] = 49,
				["Camp Winterhoof"] = 205,
				["Camp Oneqwah"] = 222,
				["River's Heart"] = 282,
				["Kamagua"] = 184,
			},
			["Akeeta's Hovel"] = {
				["Beastwatch"] = 127,
				["Talon Watch"] = 38,
				["Warspear"] = 156,
				["Darktide Roost"] = 68,
				["Frostwall Garrison"] = 143,
				["Exile's Rise"] = 52,
			},
			["Shipwreck Cove"] = {
				["Trueshot Lodge"] = 62,
				["Lorlathil"] = 149,
				["Meredil"] = 134,
				["Dreadwake's Landing"] = 128,
				["Dalaran"] = 197,
				["Ironhorn Enclave"] = 117,
				["Irongrove Retreat"] = 118,
				["The Witchwood"] = 50,
				["Prepfoot"] = 45,
				["Starsong Refuge"] = 115,
				["Gloaming Reef"] = 173,
				["Felbane Camp"] = 42,
				["Nesingwary"] = 70,
				["Stonehoof Watch"] = 90,
				["Thunder Totem"] = 83,
				["Illidari Stand"] = 178,
				["Skyhorn"] = 63,
				["Wardens' Redoubt"] = 200,
				["Forsaken Foothold"] = 82,
				["Valdisdall"] = 110,
			},
			["Sun Rock Retreat"] = {
				["Bloodvenom Post"] = 396,
				["Moonglade"] = 556,
				["Shadowprey Village"] = 144,
				["Karnum's Glade"] = 107,
				["Ratchet"] = 206,
				["The Sludgewerks"] = 42,
				["Brackenwall Village"] = 282,
				["Thunk's Abode"] = 134,
				["Krom'gar Fortress"] = 43,
				["Furien's Post"] = 36,
				["Freewind Post"] = 334,
				["Valormok"] = 313,
				["Malaka'jin"] = 67,
				["Orgrimmar"] = 266,
				["Mudsprocket"] = 305,
				["Gadgetzan"] = 426,
				["The Crossroads"] = 150,
				["Nozzlepot's Outpost"] = 217,
				["Hellscream's Watch"] = 110,
				["Stonemaul Hold"] = 289,
				["Camp Taurajo"] = 223,
				["Zoram'gar Outpost"] = 121,
				["Emerald Sanctuary"] = 199,
				["Cliffwalker Post"] = 49,
				["Desolation Hold"] = 240,
				["Ethel Rethor"] = 111,
				["Thunder Bluff"] = 174,
				["Cenarion Hold"] = 395,
				["Splintertree Post"] = 182,
				["Camp Mojache"] = 340,
			},
			["The Witchwood"] = {
				["Shipwreck Cove"] = 42,
				["Felblaze Ingress"] = 127,
				["Trueshot Lodge"] = 25,
				["Lorlathil"] = 113,
				["Irongrove Retreat"] = 90,
				["Azurewing Repose"] = 136,
				["Valdisdall"] = 121,
				["Garden of the Moon"] = 106,
				["Thunder Totem"] = 43,
				["Starsong Refuge"] = 89,
				["Stormtorn Foothills"] = 102,
				["Nesingwary"] = 34,
				["Sylvan Falls"] = 53,
				["Felbane Camp"] = 32,
				["Cullen's Post"] = 99,
				["Skyhorn"] = 46,
				["Wardens' Redoubt"] = 172,
				["Prepfoot"] = 41,
				["Stonehoof Watch"] = 62,
			},
			["Shadowprey Village"] = {
				["Bloodvenom Post"] = 596,
				["Sun Rock Retreat"] = 199,
				["Karnum's Glade"] = 83,
				["Ratchet"] = 332,
				["Brackenwall Village"] = 323,
				["Thunk's Abode"] = 111,
				["The Sludgewerks"] = 213,
				["Furien's Post"] = 77,
				["Freewind Post"] = 303,
				["Thunder Bluff"] = 173,
				["Camp Ataya"] = 71,
				["Orgrimmar"] = 368,
				["Moonglade"] = 757,
				["Malaka'jin"] = 172,
				["The Crossroads"] = 281,
				["Hunter's Hill"] = 221,
				["Camp Taurajo"] = 261,
				["Bloodhoof Village"] = 211,
				["Stonemaul Hold"] = 147,
				["Zoram'gar Outpost"] = 320,
				["Gadgetzan"] = 395,
				["Cliffwalker Post"] = 221,
				["Marshal's Stand"] = 418,
				["Ethel Rethor"] = 91,
				["Valormok"] = 431,
				["Cenarion Hold"] = 326,
				["Splintertree Post"] = 514,
				["Camp Mojache"] = 196,
			},
			["Bilgewater Harbor"] = {
				["The Crossroads"] = 234,
				["Sun Rock Retreat"] = 322,
				["Razor Hill"] = 153,
				["Cliffwalker Post"] = 311,
				["Ratchet"] = 211,
				["Northern Rocketway"] = 52,
				["Nozzlepot's Outpost"] = 153,
				["Southern Rocketway"] = 32,
				["The Sludgewerks"] = 324,
				["Valormok"] = 84,
				["Everlook"] = 149,
				["Thunder Bluff"] = 304,
				["Splintertree Post"] = 149,
				["Orgrimmar"] = 98,
			},
			["Brackenwall Village"] = {
				["Bloodvenom Post"] = 408,
				["Moonglade"] = 568,
				["Shadowprey Village"] = 322,
				["Ratchet"] = 89,
				["Malaka'jin"] = 228,
				["The Sludgewerks"] = 344,
				["Ramkahen"] = 328,
				["Everlook"] = 467,
				["Freewind Post"] = 105,
				["Thunk's Abode"] = 249,
				["Orgrimmar"] = 215,
				["Gadgetzan"] = 204,
				["Valormok"] = 335,
				["The Crossroads"] = 162,
				["Fizzle & Pozzik's Speedbarge"] = 123,
				["Camp Taurajo"] = 49,
				["Hunter's Hill"] = 113,
				["Westreach Summit"] = 111,
				["Zoram'gar Outpost"] = 358,
				["Emerald Sanctuary"] = 352,
				["Sun Rock Retreat"] = 277,
				["Desolation Hold"] = 44,
				["Camp Ataya"] = 272,
				["Thunder Bluff"] = 183,
				["Mudsprocket"] = 62,
				["Splintertree Post"] = 325,
				["Camp Mojache"] = 143,
			},
			["Stonard"] = {
				["Hardwrench Hideaway"] = 209,
				["Light's Hope Chapel"] = 721,
				["Fuselight"] = 284,
				["Thorium Point"] = 208,
				["Revantusk Village"] = 565,
				["Hammerfall"] = 493,
				["Flamestar Post"] = 219,
				["Booty Bay"] = 226,
				["Flame Crest"] = 176,
				["Bogpaddle"] = 45,
				["Undercity"] = 728,
				["Zul'Aman"] = 815,
				["Chiselgrip"] = 159,
				["Tarren Mill"] = 608,
				["The Bulwark"] = 639,
				["New Kargath"] = 181,
				["Eastpoint Tower"] = 574,
				["Bambala"] = 226,
				["Grom'gol"] = 169,
				["Ruins of Southshore"] = 598,
				["Dreadmaul Hold"] = 27,
				["Kargath"] = 231,
				["Shattered Landing"] = 57,
			},
			["Eastern Suramar"] = {
				["The Dreamgrove"] = 209,
				["Trueshot Lodge"] = 176,
				["Western Suramar"] = 57,
			},
			["Warsong Hold"] = {
				["Death's Rise"] = 207,
				["Transitus Shield"] = 72,
				["The Argent Vanguard"] = 317,
				["Venomspite"] = 262,
				["Nesingwary Base Camp"] = 117,
				["Unu'pe"] = 93,
				["Argent Tournament Grounds"] = 376,
				["Crusaders' Pinnacle"] = 323,
				["Zim'Torga"] = 432,
				["Warsong Camp"] = 158,
				["Grom'arsh Crash-Site"] = 392,
				["Agmar's Hammer"] = 176,
				["Vengeance Landing"] = 477,
				["Camp Oneqwah"] = 421,
				["Bor'gorok Outpost"] = 68,
				["Kor'koron Vanguard"] = 239,
				["Kamagua"] = 394,
				["K3"] = 317,
				["The Argent Stand"] = 391,
				["Taunka'le Village"] = 87,
				["Wyrmrest Temple"] = 225,
				["Amber Ledge"] = 36,
				["River's Heart"] = 125,
				["Bouldercrag's Refuge"] = 420,
				["Moa'ki"] = 211,
				["Dalaran"] = 145,
			},
			["Thunder Pass"] = {
				["Bloodmaul Slag Mines"] = 61,
				["Frostwall Garrison"] = 58,
				["Breaker's Crown"] = 35,
				["Beastwatch"] = 35,
				["Warspear"] = 144,
				["Everbloom Wilds"] = 56,
				["Skysea Ridge"] = 49,
				["Darktide Roost"] = 175,
				["Wolf's Stand"] = 22,
				["Vol'mar"] = 119,
				["Stonefang Outpost"] = 70,
			},
			["Talon Watch"] = {
				["Pinchwhistle Gearworks"] = 37,
				["Socrethar's Rise"] = 54,
				["Axefall"] = 42,
				["Beastwatch"] = 143,
				["Warspear"] = 166,
				["Shattrath City"] = 87,
				["Vol'mar"] = 134,
				["Darktide Roost"] = 67,
				["Veil Terokk"] = 29,
				["Akeeta's Hovel"] = 26,
			},
			["Booty Bay"] = {
				["Hardwrench Hideaway"] = 41,
				["Light's Hope Chapel"] = 755,
				["Thorium Point"] = 305,
				["Southpoint Gate"] = 721,
				["Hammerfall"] = 567,
				["Flamestar Post"] = 315,
				["Flame Crest"] = 272,
				["Bogpaddle"] = 282,
				["Sunveil Excursion"] = 170,
				["Undercity"] = 812,
				["Stonard"] = 238,
				["Andorhal"] = 684,
				["Bloodwatcher Point"] = 353,
				["Tarren Mill"] = 668,
				["Grom'gol"] = 75,
				["New Kargath"] = 308,
				["Kargath"] = 314,
				["Bambala"] = 114,
				["Revantusk Village"] = 666,
				["Dreadmaul Hold"] = 229,
				["Chiselgrip"] = 281,
			},
			["Grassy Cline"] = {
				["Halfhill"] = 26,
				["Binan Village"] = 67,
				["Tavern in the Mists"] = 16,
				["Shrine of Two Moons"] = 69,
				["Honeydew Village"] = 214,
				["Huojin Landing"] = 227,
				["Pang's Stead"] = 29,
			},
			["Falcon Watch"] = {
				["Evergrove"] = 201,
				["Stonebreaker Hold"] = 139,
				["Shattrath"] = 71,
				["Spinebreaker Ridge"] = 138,
				["Swamprat Post"] = 69,
				["Hellfire Peninsula"] = 143,
				["Area 52"] = 199,
				["Zabra'jin"] = 150,
				["Garadar"] = 132,
				["Thrallmar"] = 73,
				["Altar of Sha'tar"] = 286,
				["Shadowmoon Village"] = 204,
				["The Stormspire"] = 242,
				["Sanctum of the Stars"] = 269,
			},
			["Bogpaddle"] = {
				["Sunveil Excursion"] = 123,
				["Iron Summit"] = 193,
				["Stonard"] = 41,
				["Hammerfall"] = 433,
				["Chiselgrip"] = 118,
				["New Kargath"] = 182,
				["Grom'gol"] = 210,
				["Booty Bay"] = 217,
				["Bambala"] = 267,
				["Flame Crest"] = 109,
				["Dreadmaul Hold"] = 68,
			},
			["Thorim's Peak"] = {
				["Trueshot Lodge"] = 137,
			},
			["The Shadow Vault"] = {
				["Death's Rise"] = 77,
				["Ulduar"] = 166,
				["Ebon Watch"] = 232,
				["The Argent Vanguard"] = 135,
				["Dun Nifflelem"] = 269,
				["Conquest Hold"] = 350,
				["Argent Tournament Grounds"] = 77,
				["Sunreaver's Command"] = 211,
				["River's Heart"] = 194,
				["Warsong Camp"] = 138,
				["Camp Oneqwah"] = 381,
				["Crusaders' Pinnacle"] = 121,
				["Kor'koron Vanguard"] = 226,
				["K3"] = 210,
				["Nesingwary Base Camp"] = 195,
				["The Argent Stand"] = 295,
				["Taunka'le Village"] = 217,
				["Wyrmrest Temple"] = 276,
				["Kamagua"] = 461,
				["Transitus Shield"] = 500,
				["Bouldercrag's Refuge"] = 121,
				["Dalaran"] = 165,
			},
			["Prepfoot"] = {
				["Shipwreck Cove"] = 47,
				["Trueshot Lodge"] = 66,
				["Meredil"] = 130,
				["Bradensbrook"] = 151,
				["Azurewing Repose"] = 164,
				["Valdisdall"] = 80,
				["Garden of the Moon"] = 133,
				["Thunder Totem"] = 61,
				["Stormtorn Foothills"] = 60,
				["Obsidian Overlook"] = 100,
				["Stonehoof Watch"] = 62,
				["Sylvan Falls"] = 80,
				["Illidari Perch"] = 193,
				["The Witchwood"] = 54,
				["Skyhorn"] = 43,
				["Cullen's Post"] = 73,
				["Forsaken Foothold"] = 49,
				["Crimson Thicket"] = 100,
			},
			["Valdisdall"] = {
				["Shipwreck Cove"] = 118,
				["Felblaze Ingress"] = 122,
				["Trueshot Lodge"] = 121,
				["Shield's Rest"] = 56,
				["Meredil"] = 92,
				["Hafr Fjall"] = 41,
				["Dreadwake's Landing"] = 28,
				["Dalaran"] = 122,
				["Ironhorn Enclave"] = 75,
				["Irongrove Retreat"] = 104,
				["Thunder Totem"] = 90,
				["Stormtorn Foothills"] = 26,
				["Azurewing Repose"] = 136,
				["The Witchwood"] = 119,
				["Prepfoot"] = 77,
				["Starsong Refuge"] = 146,
				["Wardens' Redoubt"] = 167,
				["Felbane Camp"] = 136,
				["Nesingwary"] = 104,
				["Skyhorn"] = 82,
				["Crimson Thicket"] = 57,
				["Challiane's Terrace"] = 144,
				["Cullen's Post"] = 29,
				["Illidari Stand"] = 149,
				["Forsaken Foothold"] = 47,
				["Lorlathil"] = 155,
			},
			["Sri-La Village"] = {
				["The Arboretum"] = 63,
				["Shrine of Two Moons"] = 218,
				["Emperor's Omen"] = 21,
				["Pang's Stead"] = 131,
				["Halfhill"] = 182,
				["Binan Village"] = 152,
				["Marista"] = 264,
				["Shado-Pan Garrison"] = 385,
				["Zhu's Watch"] = 167,
				["Jade Temple Grounds"] = 79,
				["Tian Monastery"] = 40,
			},
			["Retribution Point"] = {
				["Darkspear's Edge"] = 151,
				["Frostwall Garrison"] = 128,
				["Vol'jin's Pride"] = 78,
				["Warspear"] = 205,
				["Veil Terokk"] = 62,
				["Beastwatch"] = 132,
				["Zangarra"] = 80,
				["Shattrath City"] = 58,
				["Pinchwhistle Gearworks"] = 93,
				["Wolf's Stand"] = 136,
				["Exarch's Refuge"] = 29,
			},
			["Dun Niffelem"] = {
				["Grom'arsh Crash-Site"] = 128,
				["The Shadow Vault"] = 246,
				["Ulduar"] = 84,
				["Camp Tunka'lo"] = 33,
				["K3"] = 87,
				["Dalaran"] = 180,
				["Zim'Torga"] = 88,
				["New Agamand"] = 298,
			},
			["Grookin Hill"] = {
				["Winter's Blossom"] = 226,
				["Dawn's Blossom"] = 63,
				["Shrine of Two Moons"] = 134,
				["Halfhill"] = 92,
				["Binan Village"] = 131,
				["Marista"] = 216,
				["Honeydew Village"] = 61,
				["Tian Monastery"] = 72,
				["Serpent's Overlook"] = 60,
			},
			["Fuselight"] = {
				["Undercity"] = 520,
				["Light's Hope Chapel"] = 358,
				["Thorium Point"] = 112,
				["Iron Summit"] = 136,
				["Bloodwatcher Point"] = 19,
				["New Kargath"] = 50,
				["Revantusk Village"] = 388,
				["Hammerfall"] = 301,
				["Hiri'watha Research Station"] = 352,
				["Booty Bay"] = 350,
				["Bogpaddle"] = 221,
			},
			["Thondoril River"] = {
				["Revantusk Village"] = 233,
				["Light's Hope Chapel"] = 95,
				["Stonard"] = 700,
				["The Sepulcher"] = 203,
				["Tarren Mill"] = 100,
				["The Bulwark"] = 76,
			},
			["Sha'naari Refuge"] = {
				["Malo's Lookout"] = 31,
				["The Iron Front"] = 31,
				["Vault of the Earth"] = 30,
				["Frostwall Garrison"] = 119,
				["Aktar's Post"] = 23,
				["Beastwatch"] = 68,
				["Bastion Rise"] = 44,
				["Darktide Roost"] = 125,
				["Vol'mar"] = 52,
				["Warspear"] = 107,
				["Zangarra"] = 34,
			},
			["Crow's Crook"] = {
				["Pinchwhistle Gearworks"] = 43,
				["Bloodmaul Slag Mines"] = 201,
				["Talon Watch"] = 26,
				["Vol'jin's Pride"] = 82,
				["Veil Terokk"] = 20,
				["Warspear"] = 188,
				["Beastwatch"] = 137,
				["Bastion Rise"] = 118,
				["Darktide Roost"] = 89,
				["Apexis Excavation"] = 42,
				["Axefall"] = 34,
				["Akeeta's Hovel"] = 46,
			},
			["Skysea Ridge"] = {
				["Iron Docks"] = 29,
				["Frostwall Garrison"] = 92,
				["Exarch's Refuge"] = 149,
				["Breaker's Crown"] = 34,
				["Warspear"] = 134,
				["Frostwolf Overlook"] = 90,
				["Beastwatch"] = 48,
				["Everbloom Wilds"] = 37,
				["Terokkar Refuge"] = 143,
				["Zangarra"] = 104,
			},
			["Cenarion Hold"] = {
				["Schnottz's Landing"] = 148,
				["Moonglade"] = 768,
				["Shadowprey Village"] = 330,
				["Furien's Post"] = 315,
				["Ramkahen"] = 116,
				["Everlook"] = 704,
				["Orgrimmar"] = 454,
				["Gadgetzan"] = 241,
				["Camp Mojache"] = 130,
				["Westreach Summit"] = 172,
				["Marshal's Stand"] = 120,
				["Stonemaul Hold"] = 106,
				["Oasis of Vir'sar"] = 63,
				["Mossy Pile"] = 77,
				["Ratchet"] = 356,
				["Mudsprocket"] = 254,
				["Camp Ataya"] = 170,
				["Thunder Bluff"] = 386,
				["Camp Taurajo"] = 374,
				["Karnum's Glade"] = 321,
				["Dawnrise Expedition"] = 211,
			},
			["Wildheart Point"] = {
				["Sun Rock Retreat"] = 216,
				["Moonglade"] = 165,
				["Everlook"] = 211,
				["Mudsprocket"] = 480,
				["Nordrassil"] = 294,
				["Hunter's Hill"] = 273,
				["Hellscream's Watch"] = 104,
				["Zoram'gar Outpost"] = 169,
				["Irontree Clearing"] = 106,
				["Valormok"] = 181,
				["Ethel Rethor"] = 325,
				["Thunder Bluff"] = 330,
				["Emerald Sanctuary"] = 34,
				["Whisperwind Grove"] = 67,
				["Orgrimmar"] = 210,
			},
			["Sanctum of the Stars"] = {
				["Garadar"] = 153,
				["Shattrath"] = 186,
				["Area 52"] = 391,
				["Hellfire Peninsula"] = 328,
				["Shadowmoon Village"] = 61,
				["The Stormspire"] = 439,
				["Cosmowrench"] = 457,
				["Thrallmar"] = 257,
				["Mok'Nathal Village"] = 336,
				["Zabra'jin"] = 323,
				["Stonebreaker Hold"] = 134,
			},
		},
		["Alliance"] = {
			["Kharanos"] = {
				["Darkshire"] = 274,
				["Highbank"] = 279,
				["Thelsamar"] = 98,
				["Gol'Bolar Quarry"] = 47,
				["Goldshire"] = 218,
				["Andorhal"] = 283,
				["Aerie Peak"] = 242,
				["Ironforge"] = 45,
				["Stormwind"] = 195,
				["Menethil Harbor"] = 118,
				["Sentinel Hill"] = 256,
				["Booty Bay"] = 390,
				["Stormfeather Outpost"] = 290,
				["Chillwind Camp"] = 261,
				["Refuge Pointe"] = 208,
			},
			["Morgan's Vigil"] = {
				["Dragon's Mouth"] = 56,
				["Light's Hope Chapel"] = 477,
				["Fort Livingston"] = 218,
				["Thorium Point"] = 91,
				["Dustwind Dig"] = 90,
				["Aerie Peak"] = 416,
				["Explorers' League Digsite"] = 258,
				["Marshtide Watch"] = 98,
				["Stormfeather Outpost"] = 387,
				["Flamestar Post"] = 77,
				["Booty Bay"] = 336,
				["Iron Summit"] = 120,
				["Chillwind Camp"] = 501,
				["Farstrider Lodge"] = 157,
				["Sentinel Hill"] = 195,
				["Refuge Pointe"] = 460,
				["Acherus: The Ebon Hold"] = 543,
				["Thelsamar"] = 172,
				["Nethergarde Keep"] = 181,
				["Darkshire"] = 122,
				["Whelgar's Retreat"] = 258,
				["Chiselgrip"] = 43,
				["Ironforge"] = 171,
				["Stormwind"] = 151,
				["Bogpaddle"] = 77,
				["Greenwarden's Grove"] = 233,
				["Menethil Harbor"] = 293,
				["Rebel Camp"] = 166,
				["Lakeshire"] = 62,
			},
			["Nordrassil"] = {
				["Tower of Estulan"] = 665,
				["Sanctuary of Malorne"] = 78,
				["Wildheart Point"] = 284,
				["Whisperwind Grove"] = 226,
				["Blood Watch"] = 414,
				["Marshal's Stand"] = 914,
				["Grove of Aessina"] = 76,
				["Talonbranch Glade"] = 179,
				["Thal'darah Overlook"] = 447,
				["Stardust Spire"] = 350,
				["Ramkahen"] = 953,
				["Everlook"] = 127,
				["Shrine of Aviana"] = 47,
				["Windshear Hold"] = 413,
				["Nijel's Point"] = 508,
				["Rut'theran Village"] = 260,
				["Gates of Sothann"] = 111,
				["Gadgetzan"] = 820,
				["The Exodar"] = 356,
				["Dolanaar"] = 432,
				["Emerald Sanctuary"] = 278,
				["Grove of the Ancients"] = 292,
				["Blackfathom Camp"] = 356,
				["Forest Song"] = 171,
				["Ratchet"] = 503,
				["Mossy Pile"] = 879,
				["Astranaar"] = 311,
				["Gunstan's Dig"] = 832,
				["Bootlegger Outpost"] = 671,
				["Moonglade"] = 116,
			},
			["Lion's Watch"] = {
				["Iron Docks"] = 122,
				["Rilzit's Holdfast"] = 221,
				["Vault of the Earth"] = 20,
				["Exarch's Refuge"] = 122,
				["Aktar's Post"] = 45,
				["Redemption Rise"] = 91,
				["Lunarfall (Alliance)"] = 22,
				["Everbloom Wilds"] = 84,
				["Veil Terokk"] = 63,
				["Malo's Lookout"] = 25,
				["The Iron Front"] = 64,
				["Stormshield (Alliance)"] = 64,
				["Zangarra"] = 65,
				["Sha'naari Refuge"] = 43,
				["Shattrath City"] = 117,
				["Crow's Crook"] = 116,
				["The Ring of Trials"] = 169,
				["Wildwood Wash"] = 65,
				["Embaari Village"] = 79,
			},
			["Thunk's Abode"] = {
				["Azure Watch"] = 516,
				["Thargad's Camp"] = 104,
				["Ethel Rethor"] = 62,
				["Ramkahen"] = 659,
				["Karnum's Glade"] = 55,
				["Nijel's Point"] = 33,
			},
			["Hafr Fjall"] = {
				["Greywatch"] = 41,
				["Shipwreck Cove"] = 147,
				["Valdisdall"] = 39,
				["Lorna's Watch"] = 42,
				["Felbane Camp"] = 146,
				["Stormtorn Foothills"] = 55,
				["Deliverance Point"] = 95,
				["Stonehoof Watch"] = 77,
				["Shield's Rest"] = 87,
				["Aalgen Point"] = 82,
				["Vengeance Point"] = 68,
				["Dalaran"] = 97,
				["Crimson Thicket"] = 47,
				["Irongrove Retreat"] = 88,
			},
			["Tian Monastery"] = {
				["Stoneplow"] = 220,
				["The Incursion"] = 189,
				["Emperor's Omen"] = 22,
				["Pang's Stead"] = 116,
				["Jade Temple Grounds"] = 95,
				["The Briny Muck"] = 318,
				["Pearlfin Village"] = 111,
				["The Arboretum"] = 69,
				["Tavern in the Mists"] = 144,
				["Sri-La Village"] = 42,
				["Halfhill"] = 168,
				["Paw'Don Village"] = 119,
				["Shrine of Seven Stars"] = 253,
				["Serpent's Spine"] = 270,
				["Lion's Landing"] = 155,
				["Dawn's Blossom"] = 42,
				["The Sunset Brewgarden"] = 313,
			},
			["Malo's Lookout"] = {
				["Southport"] = 151,
				["The Iron Front"] = 55,
				["Vault of the Earth"] = 30,
				["Everbloom Overlook"] = 94,
				["Aktar's Post"] = 26,
				["Stormshield (Alliance)"] = 87,
				["Sha'naari Refuge"] = 30,
				["Lion's Watch"] = 27,
				["Iron Siegeworks"] = 82,
				["Veil Terokk"] = 132,
				["Exile's Rise"] = 73,
				["Lunarfall (Alliance)"] = 73,
			},
			["Amber Ledge"] = {
				["Death's Rise"] = 137,
				["Transitus Shield"] = 25,
				["Westguard Keep"] = 272,
				["Valiance Keep"] = 44,
				["Light's Breach"] = 247,
				["Stars' Rest"] = 112,
				["Unu'pe"] = 66,
				["Dalaran"] = 194,
				["Transitus Shield (Scenic)"] = 62,
				["Fizzcrank Airstrip"] = 23,
				["River's Heart"] = 65,
			},
			["Andorhal"] = {
				["Hearthglen"] = 68,
				["Refuge Pointe"] = 155,
				["Northpass Tower"] = 165,
				["Aerie Peak"] = 80,
				["Booty Bay"] = 631,
				["Dun Modr"] = 213,
				["Chillwind Camp"] = 19,
				["Farstrider Lodge"] = 368,
				["Thondroril River"] = 60,
				["Zul'Aman"] = 259,
				["Darkshire"] = 516,
				["Chiselgrip"] = 417,
				["Light's Shield Tower"] = 138,
				["Stormwind"] = 438,
				["Morgan's Vigil"] = 400,
				["Stormfeather Outpost"] = 154,
				["Crown Guard Tower"] = 105,
				["Rebel Camp"] = 524,
				["Light's Hope Chapel"] = 160,
				["Dustwind Dig"] = 369,
			},
			["Illidari Stand"] = {
				["Shackle's Den"] = 29,
				["Shipwreck Cove"] = 189,
				["Lorna's Watch"] = 114,
				["Felblaze Ingress"] = 38,
				["Trueshot Lodge"] = 140,
				["Lorlathil"] = 62,
				["Meredil"] = 64,
				["Dalaran"] = 81,
				["Ironhorn Enclave"] = 118,
				["Irongrove Retreat"] = 67,
				["Vengeance Point"] = 96,
				["Azurewing Repose"] = 25,
				["Challiane's Terrace"] = 47,
				["Watchers' Aerie"] = 43,
				["Starsong Refuge"] = 24,
				["Gloaming Reef"] = 76,
				["Felbane Camp"] = 150,
				["Deliverance Point"] = 109,
				["Stonehoof Watch"] = 141,
				["Illidari Perch"] = 23,
				["Thunder Totem"] = 136,
				["Skyhorn"] = 157,
				["Wardens' Redoubt"] = 32,
				["Bradensbrook"] = 89,
				["Skyfire Triage Camp"] = 128,
			},
			["Fordragon Hold"] = {
				["Windrunner's Overlook"] = 153,
				["Ebon Watch"] = 119,
				["Stars' Rest"] = 74,
				["Dalaran"] = 65,
				["River's Heart"] = 262,
				["Valgarde Port"] = 276,
				["Frosthold"] = 128,
				["Westguard Keep"] = 207,
				["Kamagua"] = 264,
				["Wintergarde Keep"] = 87,
				["Unu'pe"] = 170,
				["Wyrmrest Temple"] = 65,
				["Amberpine Lodge"] = 158,
				["Transitus Shield"] = 279,
				["Valiance Landing Camp"] = 60,
				["Valiance Keep"] = 202,
			},
			["Darnassus"] = {
				["Tower of Estulan"] = 693,
				["Wildheart Point"] = 318,
				["Moonglade"] = 261,
				["Nordrassil"] = 399,
				["Karnum's Glade"] = 529,
				["Thunk's Abode"] = 510,
				["Nijel's Point"] = 517,
				["Gates of Sothann"] = 481,
				["Dolanaar"] = 62,
				["Northwatch Expedition Base Camp"] = 449,
				["Blackfathom Camp"] = 326,
				["Grove of the Ancients"] = 261,
				["Mossy Pile"] = 848,
				["Astranaar"] = 344,
				["Sanctuary of Malorne"] = 448,
				["Honor's Stand"] = 489,
				["Theramore"] = 638,
				["Grove of Aessina"] = 446,
				["Fizzle & Pozzik's Speedbarge"] = 713,
				["Stardust Spire"] = 386,
				["Everlook"] = 367,
				["Rut'theran Village"] = 109,
				["Dreamer's Rest"] = 611,
				["Lor'danel"] = 168,
				["The Exodar"] = 207,
				["Ratchet"] = 537,
				["Thal'darah Overlook"] = 422,
				["Emerald Sanctuary"] = 341,
				["Windshear Hold"] = 449,
				["Forest Song"] = 448,
				["Shadebough"] = 753,
				["Shrine of Aviana"] = 416,
				["Talonbranch Glade"] = 263,
				["Gunstan's Dig"] = 848,
				["Whisperwind Grove"] = 310,
				["Feathermoon"] = 664,
			},
			["Crimson Thicket"] = {
				["Shipwreck Cove"] = 173,
				["Lorna's Watch"] = 45,
				["Felblaze Ingress"] = 83,
				["Shield's Rest"] = 126,
				["Meredil"] = 53,
				["Hafr Fjall"] = 43,
				["Dalaran"] = 77,
				["Ironhorn Enclave"] = 77,
				["Irongrove Retreat"] = 66,
				["Vengeance Point"] = 67,
				["Valdisdall"] = 77,
				["Stormtorn Foothills"] = 78,
				["Deliverance Point"] = 94,
				["Stonehoof Watch"] = 83,
				["Sylvan Falls"] = 98,
				["Wardens' Redoubt"] = 129,
				["Obsidian Overlook"] = 68,
				["Skyfire Triage Camp"] = 60,
			},
			["Zouchin Village"] = {
				["Winter's Blossom"] = 139,
				["The Incursion"] = 242,
				["Klaxxi'vess"] = 220,
				["Longying Outpost"] = 213,
				["Binan Village"] = 116,
				["One Keg"] = 61,
				["Westwind Rest"] = 93,
				["Kota Basecamp"] = 112,
				["Temple of the White Tiger"] = 44,
				["Paw'Don Village"] = 220,
				["Beeble's Wreck"] = 50,
			},
			["Northpass Tower"] = {
				["The Menders' Stead"] = 128,
				["Hearthglen"] = 111,
				["Light's Hope Chapel"] = 59,
				["Thundermar"] = 426,
				["Aerie Peak"] = 209,
				["Menethil Harbor"] = 368,
				["Ironforge"] = 400,
				["Dun Modr"] = 301,
				["Farstrider Lodge"] = 421,
				["Thondroril River"] = 90,
				["Iron Summit"] = 464,
				["Whelgar's Retreat"] = 333,
				["Andorhal"] = 156,
				["Morgan's Vigil"] = 636,
				["Refuge Pointe"] = 242,
				["Eastwall Tower"] = 30,
				["Greenwarden's Grove"] = 336,
				["Plaguewood Tower"] = 50,
				["Stormfeather Outpost"] = 88,
				["Thorium Point"] = 440,
				["Dustwind Dig"] = 392,
			},
			["Exarch's Refuge"] = {
				["Pinchwhistle Gearworks"] = 94,
				["Fort Wrynn (Alliance)"] = 75,
				["Lion's Watch"] = 126,
				["The Ring of Trials"] = 83,
				["Zangarra"] = 68,
				["Shattrath City"] = 36,
				["Terokkar Refuge"] = 39,
				["Lunarfall (Alliance)"] = 98,
				["Retribution Point"] = 30,
			},
			["Gundrak"] = {
				["Ulduar"] = 210,
				["Transitus Shield"] = 520,
				["Light's Breach"] = 132,
				["Dun Niffelem"] = 141,
				["Argent Tournament Grounds"] = 318,
				["Dalaran"] = 227,
				["River's Heart"] = 425,
				["Valgarde Port"] = 271,
				["Frosthold"] = 243,
				["The Shadow Vault"] = 394,
				["The Argent Stand"] = 109,
				["Westfall Brigade"] = 111,
				["Wyrmrest Temple"] = 251,
				["Amberpine Lodge"] = 190,
				["Zim'Torga"] = 56,
				["Valiance Landing Camp"] = 341,
				["Crusaders' Pinnacle"] = 253,
				["Wintergarde Keep"] = 270,
			},
			["Redemption Rise"] = {
				["Fort Wrynn (Alliance)"] = 36,
				["Rilzit's Holdfast"] = 155,
				["Anchorite's Sojourn"] = 54,
				["Deeproot"] = 76,
				["Everbloom Wilds"] = 127,
				["Zangarra"] = 48,
				["Shattrath City"] = 36,
				["Terokkar Refuge"] = 43,
				["Retribution Point"] = 71,
				["Lunarfall (Alliance)"] = 93,
			},
			["Binan Village"] = {
				["Stoneplow"] = 138,
				["Shrine of Seven Stars"] = 97,
				["Dawn's Blossom"] = 114,
				["Tavern in the Mists"] = 49,
				["Temple of the White Tiger"] = 66,
				["One Keg"] = 61,
				["Klaxxi'vess"] = 178,
				["Zhu's Watch"] = 86,
				["Longying Outpost"] = 128,
				["Paw'Don Village"] = 105,
				["Kota Basecamp"] = 89,
				["Westwind Rest"] = 51,
				["Shado-Pan Garrison"] = 185,
				["The Lion's Redoubt"] = 178,
				["Halfhill"] = 87,
				["The Incursion"] = 128,
			},
			["Nesingwary Base Camp"] = {
				["Frosthold"] = 304,
				["Valiance Keep"] = 221,
				["The Argent Vanguard"] = 397,
				["Unu'pe"] = 212,
				["Dalaran"] = 242,
				["Wyrmrest Temple"] = 444,
				["Amberpine Lodge"] = 601,
				["Argent Tournament Grounds"] = 261,
				["Fizzcrank Airstrip"] = 78,
				["River's Heart"] = 51,
				["Death's Rise"] = 137,
			},
			["Isle of the Watchers"] = {
				["Nastrondir"] = 210,
				["Trueshot Lodge"] = 208,
				["Faronaar"] = 59,
			},
			["Everlook"] = {
				["Bloodvenom Post"] = 197,
				["Moonglade"] = 111,
				["Nordrassil"] = 129,
				["Blood Watch"] = 412,
				["Ratchet"] = 301,
				["Ramkahen"] = 893,
				["Nijel's Point"] = 542,
				["Gates of Sothann"] = 211,
				["Gadgetzan"] = 537,
				["Northwatch Expedition Base Camp"] = 416,
				["Blackfathom Camp"] = 108,
				["Grove of the Ancients"] = 226,
				["Mossy Pile"] = 816,
				["Dreamer's Rest"] = 579,
				["Feathermoon"] = 755,
				["Darnassus"] = 366,
				["Marshal's Stand"] = 641,
				["Fizzle & Pozzik's Speedbarge"] = 726,
				["Lor'danel"] = 196,
				["Rut'theran Village"] = 255,
				["Cenarion Hold"] = 798,
				["Thal'darah Overlook"] = 387,
				["Fort Triumph"] = 554,
				["Astranaar"] = 296,
				["Wildheart Point"] = 216,
				["Forest Song"] = 340,
				["Talonbranch Glade"] = 107,
				["Karnum's Glade"] = 491,
				["Emerald Sanctuary"] = 216,
				["Ethel Rethor"] = 392,
				["Theramore"] = 405,
				["Gunstan's Dig"] = 812,
				["Whisperwind Grove"] = 157,
			},
			["The Stormspire"] = {
				["Evergrove"] = 132,
				["Shattrath"] = 315,
				["Sylvanaar"] = 154,
				["Temple of Telhamat"] = 302,
				["Area 52"] = 55,
				["Telredor"] = 220,
				["Hellfire Peninsula"] = 448,
				["Allerian Stronghold"] = 390,
				["Telaar"] = 343,
				["Wildhammer Stronghold"] = 467,
				["Orebor Harborage"] = 230,
				["Cosmowrench"] = 69,
				["Altar of Sha'tar"] = 549,
			},
			["Smuggler's Scar"] = {
				["Voldrin's Hold"] = 170,
				["Tranquil Wash"] = 124,
				["Darkbreak Cove"] = 143,
				["Silver Tide Hollow"] = 83,
				["Sandy Beach"] = 33,
			},
			["Throne of the Elements"] = {
				["Socrethar's Rise"] = 208,
				["Rilzit's Holdfast"] = 50,
				["Highpass"] = 173,
				["Joz's Rylaks"] = 21,
				["Crow's Crook"] = 134,
				["Telaari Station"] = 39,
				["Lunarfall (Alliance)"] = 137,
				["Nivek's Overlook"] = 55,
				["Iron Siegeworks"] = 95,
				["Yrel's Watch"] = 31,
				["Retribution Point"] = 73,
				["The Ring of Trials"] = 30,
			},
			["Paw'Don Village"] = {
				["Stoneplow"] = 134,
				["The Incursion"] = 125,
				["Zouchin Village"] = 213,
				["Emperor's Omen"] = 135,
				["Gao-Ran Battlefront"] = 223,
				["Pang's Stead"] = 79,
				["Binan Village"] = 110,
				["Jade Temple Grounds"] = 65,
				["Westwind Rest"] = 160,
				["Grassy Cline"] = 195,
				["Zhu's Watch"] = 49,
				["The Sunset Brewgarden"] = 241,
				["Tushui Landing"] = 237,
				["Beeble's Wreck"] = 261,
				["Winter's Blossom"] = 224,
				["The Arboretum"] = 103,
				["Tavern in the Mists"] = 106,
				["Pearlfin Village"] = 38,
				["Dawn's Blossom"] = 97,
				["Shado-Pan Fallback"] = 190,
				["Halfhill"] = 88,
				["Longying Outpost"] = 237,
				["Tian Monastery"] = 145,
				["Shrine of Seven Stars"] = 131,
				["Lion's Landing"] = 39,
				["Shado-Pan Garrison"] = 237,
				["One Keg"] = 169,
				["Sentinel Basecamp"] = 149,
				["Serpent's Overlook"] = 80,
			},
			["Shrine of Seven Stars"] = {
				["Dawn's Blossom"] = 170,
				["Gao-Ran Battlefront"] = 127,
				["Pang's Stead"] = 80,
				["Beeble's Wreck"] = 200,
				["One Keg"] = 108,
				["Westwind Rest"] = 64,
				["Zhu's Watch"] = 106,
				["Pearlfin Village"] = 161,
				["Winter's Blossom"] = 128,
				["The Arboretum"] = 162,
				["Longying Outpost"] = 141,
				["Kota Basecamp"] = 101,
				["Cradle of Chi-Ji"] = 144,
				["Sentinel Basecamp"] = 132,
				["Serpent's Overlook"] = 172,
				["Stoneplow"] = 139,
				["Zouchin Village"] = 172,
				["Rensai's Watchpost"] = 79,
				["Binan Village"] = 90,
				["Jade Temple Grounds"] = 168,
				["Grassy Cline"] = 63,
				["The Briny Muck"] = 155,
				["Tushui Landing"] = 276,
				["Serpent's Spine"] = 69,
				["Soggy's Gamble"] = 139,
				["Tavern in the Mists"] = 77,
				["Temple of the White Tiger"] = 125,
				["Shado-Pan Fallback"] = 92,
				["Klaxxi'vess"] = 113,
				["Lion's Landing"] = 65,
				["Halfhill"] = 67,
				["Paw'Don Village"] = 125,
				["The Incursion"] = 108,
				["Marista"] = 215,
				["Shado-Pan Garrison"] = 198,
				["The Lion's Redoubt"] = 83,
				["Tian Monastery"] = 183,
				["The Sunset Brewgarden"] = 112,
			},
			["Valgarde"] = {
				["Explorers' League Outpost"] = 174,
			},
			["Thal'darah Overlook"] = {
				["Tower of Estulan"] = 281,
				["Mirkfallon Post"] = 40,
				["Honor's Stand"] = 152,
				["Farwatcher's Glen"] = 63,
				["Karnum's Glade"] = 121,
				["Thunk's Abode"] = 138,
				["Stardust Spire"] = 87,
				["Everlook"] = 409,
				["Nijel's Point"] = 108,
				["Lor'danel"] = 254,
				["Thargad's Camp"] = 143,
				["Northwatch Expedition Base Camp"] = 102,
				["Blackfathom Camp"] = 126,
				["Emerald Sanctuary"] = 207,
				["Windshear Hold"] = 84,
				["Ethel Rethor"] = 156,
				["Astranaar"] = 171,
				["Grove of the Ancients"] = 168,
				["Shrine of Aviana"] = 403,
			},
			["Whisperwind Grove"] = {
				["Wildheart Point"] = 60,
				["Emerald Sanctuary"] = 89,
				["Nordrassil"] = 263,
				["Nijel's Point"] = 307,
				["Darnassus"] = 341,
				["Dolanaar"] = 402,
				["Forest Song"] = 196,
				["Everlook"] = 163,
				["Grove of the Ancients"] = 109,
				["Astranaar"] = 172,
				["Thal'darah Overlook"] = 216,
				["Stardust Spire"] = 214,
				["Gadgetzan"] = 583,
				["Rut'theran Village"] = 229,
			},
			["Tower of Estulan"] = {
				["Mudsprocket"] = 191,
				["Farwatcher's Glen"] = 190,
				["Theramore"] = 243,
				["Fizzle & Pozzik's Speedbarge"] = 238,
				["Ramkahen"] = 292,
				["Nijel's Point"] = 227,
				["Karnum's Glade"] = 210,
				["Gadgetzan"] = 274,
				["Ratchet"] = 356,
				["Cenarion Hold"] = 150,
				["Mossy Pile"] = 219,
				["Ethel Rethor"] = 218,
				["Azure Watch"] = 693,
				["Emerald Sanctuary"] = 452,
				["Shadebough"] = 61,
				["Forest Song"] = 500,
				["Oasis of Vir'sar"] = 211,
				["Dreamer's Rest"] = 88,
				["Gunstan's Dig"] = 291,
				["Feathermoon"] = 33,
				["Marshal's Stand"] = 247,
			},
			["Breaker's Crown"] = {
				["Redemption Rise"] = 84,
				["Lunarfall (Alliance)"] = 138,
				["Highpass"] = 20,
				["Retribution Point"] = 137,
				["Veil Terokk"] = 177,
			},
			["The Draakorium"] = {
				["Stormshield (Alliance)"] = 103,
				["Lunarfall (Alliance)"] = 60,
				["Twilight Glade"] = 34,
				["Tranquil Court"] = 25,
				["Elodor (Alliance)"] = 55,
				["Embaari Village"] = 30,
			},
			["Irongrove Retreat"] = {
				["The Witchwood"] = 104,
				["Crimson Thicket"] = 69,
				["Azurewing Repose"] = 57,
				["Challiane's Terrace"] = 58,
				["Garden of the Moon"] = 60,
				["Starsong Refuge"] = 56,
				["Trueshot Lodge"] = 90,
				["Lorlathil"] = 60,
				["Nesingwary"] = 86,
				["Meredil"] = 29,
				["Felbane Camp"] = 101,
				["Obsidian Overlook"] = 50,
				["Felblaze Ingress"] = 53,
				["Dalaran"] = 92,
				["Sylvan Falls"] = 65,
				["Skyfire Triage Camp"] = 106,
			},
			["Gadgetzan"] = {
				["Tower of Estulan"] = 273,
				["Mudsprocket"] = 120,
				["Marshal's Stand"] = 95,
				["Theramore"] = 152,
				["Bootlegger Outpost"] = 53,
				["Gunstan's Dig"] = 88,
				["Fizzle & Pozzik's Speedbarge"] = 49,
				["Astranaar"] = 443,
				["Oasis of Vir'sar"] = 248,
				["Nijel's Point"] = 411,
				["Rut'theran Village"] = 675,
				["Everlook"] = 552,
				["Lor'danel"] = 647,
				["Thargad's Camp"] = 418,
				["Emerald Sanctuary"] = 522,
				["Ratchet"] = 247,
				["Northwatch Hold"] = 227,
				["Thal'darah Overlook"] = 458,
				["Fort Triumph"] = 186,
				["Forest Song"] = 568,
				["Shadebough"] = 40,
				["Ramkahen"] = 173,
				["Mossy Pile"] = 105,
				["Cenarion Hold"] = 197,
				["Feathermoon"] = 297,
			},
			["Obsidian Overlook"] = {
				["Crimson Thicket"] = 55,
				["Thunder Totem"] = 48,
				["Trueshot Lodge"] = 71,
				["Stormtorn Foothills"] = 92,
				["Irongrove Retreat"] = 42,
				["Stonehoof Watch"] = 65,
				["Starsong Refuge"] = 58,
				["Sylvan Falls"] = 46,
				["Meredil"] = 45,
				["Bradensbrook"] = 110,
				["Ironhorn Enclave"] = 43,
				["Skyfire Triage Camp"] = 73,
			},
			["Shattrath City"] = {
				["Bloodmaul Slag Mines"] = 109,
				["Fort Wrynn (Alliance)"] = 48,
				["Exarch's Refuge"] = 40,
				["Joz's Rylaks"] = 84,
				["Redemption Rise"] = 36,
				["Lunarfall (Alliance)"] = 85,
				["Everbloom Wilds"] = 45,
				["Throne of the Elements"] = 78,
				["Tranquil Court"] = 146,
				["The Ring of Trials"] = 61,
				["Stormshield (Alliance)"] = 148,
				["Bastion Rise"] = 66,
				["Southport"] = 100,
				["Iron Siegeworks"] = 77,
				["Terokkar Refuge"] = 52,
				["Anchorite's Sojourn"] = 57,
				["Breaker's Crown"] = 98,
				["Zangarra"] = 57,
			},
			["Cradle of Chi-Ji"] = {
				["Stoneplow"] = 61,
				["Marista"] = 43,
				["Lion's Landing"] = 80,
				["The Incursion"] = 79,
				["Halfhill"] = 80,
				["Sentinel Basecamp"] = 36,
				["Shrine of Seven Stars"] = 149,
			},
			["Sanctuary of Malorne"] = {
				["Rut'theran Village"] = 326,
				["Gates of Sothann"] = 94,
				["Shrine of Aviana"] = 31,
				["Nordrassil"] = 94,
				["Everlook"] = 190,
				["Whisperwind Grove"] = 289,
				["Grove of Aessina"] = 67,
			},
			["Sanctum of the Stars"] = {
				["Allerian Stronghold"] = 141,
				["Shattrath"] = 215,
				["Wildhammer Stronghold"] = 42,
				["Honor Hold"] = 237,
				["Telaar"] = 290,
			},
			["Nastrondir"] = {
				["Trueshot Lodge"] = 88,
				["Thorim's Peak"] = 57,
			},
			["Dragon's Mouth"] = {
				["Dustwind Dig"] = 36,
				["Fuselight"] = 54,
				["Goldshire"] = 201,
				["Gol'Bolar Quarry"] = 140,
				["Stormwind"] = 207,
				["Thorium Point"] = 145,
				["Refuge Pointe"] = 250,
				["Ironforge"] = 197,
				["Thelsamar"] = 87,
				["Morgan's Vigil"] = 55,
				["Iron Summit"] = 169,
			},
			["The Sin'loren"] = {
				["Shattered Sun Staging Area"] = 12,
			},
			["Expedition Point"] = {
				["Shatter Point"] = 56,
			},
			["Toshley's Station"] = {
				["Evergrove"] = 53,
				["Shattrath"] = 170,
				["Sylvanaar"] = 60,
				["Temple of Telhamat"] = 154,
				["Area 52"] = 84,
				["Telredor"] = 73,
				["Telaar"] = 265,
				["Orebor Harborage"] = 125,
				["Cosmowrench"] = 150,
			},
			["Furlbrow's Pumpkin Farm"] = {
				["Kharanos"] = 263,
				["Refuge Pointe"] = 443,
				["Goldshire"] = 81,
				["Eastvale Logging Camp"] = 137,
				["Stormwind"] = 59,
				["Sentinel Hill"] = 27,
				["Moonbrook"] = 51,
				["Lakeshire"] = 160,
				["Thelsamar"] = 322,
			},
			["Ironhorn Enclave"] = {
				["Crimson Thicket"] = 57,
				["Lorna's Watch"] = 40,
				["Trueshot Lodge"] = 73,
				["Lorlathil"] = 109,
				["Meredil"] = 57,
				["Hafr Fjall"] = 76,
				["Dalaran"] = 111,
				["The Witchwood"] = 71,
				["Garden of the Moon"] = 108,
				["Thunder Totem"] = 42,
				["Stormtorn Foothills"] = 59,
				["Obsidian Overlook"] = 38,
				["Sylvan Falls"] = 64,
				["Starsong Refuge"] = 80,
				["Valdisdall"] = 68,
				["Skyhorn"] = 51,
				["Shield's Rest"] = 112,
				["Stonehoof Watch"] = 32,
				["Skyfire Triage Camp"] = 39,
			},
			["The Iron Front"] = {
				["Lion's Watch"] = 66,
				["Sha'naari Refuge"] = 33,
				["Lunarfall (Alliance)"] = 76,
				["Malo's Lookout"] = 51,
				["Vault of the Earth"] = 55,
				["Fort Wrynn (Alliance)"] = 23,
				["Zangarra"] = 32,
				["Aktar's Post"] = 36,
			},
			["Honor Point"] = {
				["Shatter Point"] = 30,
			},
			["Emerald Sanctuary"] = {
				["Wildheart Point"] = 43,
				["Nordrassil"] = 314,
				["Theramore"] = 367,
				["Everlook"] = 218,
				["Rut'theran Village"] = 313,
				["Gadgetzan"] = 499,
				["Nijel's Point"] = 217,
				["Whisperwind Grove"] = 98,
				["Blackfathom Camp"] = 96,
				["Forest Song"] = 104,
				["Astranaar"] = 80,
				["Grove of the Ancients"] = 77,
				["Ratchet"] = 263,
				["Talonbranch Glade"] = 135,
				["Feathermoon"] = 593,
				["Darnassus"] = 340,
			},
			["Stormwind"] = {
				["Camp Everstill"] = 135,
				["Eastwall Tower"] = 541,
				["Light's Hope Chapel"] = 557,
				["Fort Livingston"] = 144,
				["Thundermar"] = 423,
				["Iron Summit"] = 160,
				["Light's Shield Tower"] = 565,
				["Explorers' League Digsite"] = 182,
				["Marshtide Watch"] = 196,
				["Hearthglen"] = 409,
				["Firebeard's Patrol"] = 312,
				["Raven Hill"] = 103,
				["Dun Modr"] = 343,
				["Chillwind Camp"] = 429,
				["Farstrider Lodge"] = 271,
				["Sentinel Hill"] = 73,
				["Moonbrook"] = 97,
				["Zul'Aman"] = 622,
				["Thelsamar"] = 212,
				["High Bank"] = 84,
				["Dustwind Dig"] = 232,
				["Whelgar's Retreat"] = 334,
				["Andorhal"] = 454,
				["Eastvale Logging Camp"] = 88,
				["Surwich"] = 267,
				["Shalewind Canyon"] = 165,
				["Chiselgrip"] = 185,
				["Crown Guard Tower"] = 530,
				["Stormfeather Outpost"] = 471,
				["Northpass Tower"] = 202,
				["Voldrin's Hold"] = 414,
				["The Menders' Stead"] = 470,
				["Dragon's Mouth"] = 198,
				["Refuge Pointe"] = 375,
				["Fuselight"] = 251,
				["Goldshire"] = 32,
				["Menethil Harbor"] = 291,
				["Aerie Peak"] = 412,
				["Ironforge"] = 215,
				["Lakeshire"] = 113,
				["Victor's Point"] = 495,
				["Flamestar Post"] = 207,
				["Booty Bay"] = 198,
				["Furlbrow's Pumpkin Farm"] = 50,
				["Bogpaddle"] = 199,
				["Sandy Beach"] = 348,
				["Thondroril River"] = 486,
				["Shattered Sun Staging Area"] = 280,
				["The Harborage"] = 159,
				["Darkshire"] = 116,
				["Nethergarde Keep"] = 176,
				["Slabchisel's Survey"] = 283,
				["Thorium Point"] = 137,
				["Gol'Bolar Quarry"] = 180,
				["Acherus: The Ebon Hold"] = 588,
				["Stormwind"] = 65,
				["Thondoril River"] = 337,
				["Greenwarden's Grove"] = 315,
				["Plaguewood Tower"] = 575,
				["Rebel Camp"] = 92,
				["Kharanos"] = 215,
				["Morgan's Vigil"] = 130,
			},
			["Shrine of Aviana"] = {
				["Gates of Sothann"] = 64,
				["Gadgetzan"] = 854,
				["Moonglade"] = 151,
				["Nordrassil"] = 65,
				["Grove of Aessina"] = 37,
				["Forest Song"] = 442,
				["Everlook"] = 161,
				["Sanctuary of Malorne"] = 31,
				["Whisperwind Grove"] = 208,
				["Rut'theran Village"] = 295,
			},
			["Shado-Pan Garrison"] = {
				["The Incursion"] = 263,
				["Zouchin Village"] = 211,
				["Rensai's Watchpost"] = 14,
				["Binan Village"] = 157,
				["Tushui Landing"] = 414,
				["Winter's Blossom"] = 89,
				["The Arboretum"] = 202,
				["Tavern in the Mists"] = 196,
				["Beeble's Wreck"] = 259,
				["Klaxxi'vess"] = 119,
				["Longying Outpost"] = 61,
				["Lion's Landing"] = 297,
				["Shado-Pan Fallback"] = 90,
				["Shrine of Seven Stars"] = 178,
				["Halfhill"] = 217,
				["Cradle of Chi-Ji"] = 222,
				["Temple of the White Tiger"] = 176,
				["Soggy's Gamble"] = 208,
				["The Sunset Brewgarden"] = 109,
			},
			["Gunstan's Dig"] = {
				["Schnottz's Landing"] = 178,
				["Thargad's Camp"] = 468,
				["Mudsprocket"] = 207,
				["Marshal's Stand"] = 181,
				["Gadgetzan"] = 87,
				["Bootlegger Outpost"] = 50,
				["Mossy Pile"] = 191,
				["Ramkahen"] = 85,
				["Talonbranch Glade"] = 738,
				["Ethel Rethor"] = 530,
				["Feathermoon"] = 347,
				["Oasis of Vir'sar"] = 167,
			},
			["Honor Hold"] = {
				["Evergrove"] = 278,
				["Shatter Point"] = 57,
				["Shattrath"] = 96,
				["Sylvanaar"] = 248,
				["Temple of Telhamat"] = 76,
				["Area 52"] = 309,
				["Telredor"] = 156,
				["Hellfire Peninsula"] = 64,
				["Allerian Stronghold"] = 118,
				["Altar of Sha'tar"] = 277,
				["Telaar"] = 207,
				["Wildhammer Stronghold"] = 196,
				["Toshley's Station"] = 225,
				["Orebor Harborage"] = 219,
				["Cosmowrench"] = 374,
				["Sanctum of the Stars"] = 238,
			},
			["Shackle's Den"] = {
				["Azurewing Repose"] = 40,
				["Challiane's Terrace"] = 62,
				["Lorna's Watch"] = 118,
				["Felblaze Ingress"] = 35,
				["Deliverance Point"] = 87,
				["Illidari Perch"] = 44,
				["Garden of the Moon"] = 103,
				["Illidari Stand"] = 29,
				["Dalaran"] = 60,
				["Watchers' Aerie"] = 29,
				["Wardens' Redoubt"] = 24,
			},
			["Schnottz's Landing"] = {
				["Tower of Estulan"] = 297,
				["Gadgetzan"] = 253,
				["Oasis of Vir'sar"] = 87,
				["Gunstan's Dig"] = 72,
				["Cenarion Hold"] = 149,
				["Ratchet"] = 582,
				["Emerald Sanctuary"] = 769,
			},
			["Southport"] = {
				["Pinchwhistle Gearworks"] = 47,
				["Talon Watch"] = 50,
				["Rilzit's Holdfast"] = 152,
				["Terokkar Refuge"] = 98,
				["Deeproot"] = 175,
				["Crow's Crook"] = 60,
				["Apexis Excavation"] = 42,
				["Stormshield (Alliance)"] = 184,
				["Bloodmaul Slag Mines"] = 213,
				["Lunarfall (Alliance)"] = 112,
				["Zangarra"] = 141,
				["Telaari Station"] = 126,
				["Everbloom Wilds"] = 219,
				["Veil Terokk"] = 41,
			},
			["Light's Hope Chapel"] = {
				["Hearthglen"] = 149,
				["Morgan's Vigil"] = 566,
				["Light's Shield Tower"] = 35,
				["Dun Modr"] = 251,
				["Chillwind Camp"] = 148,
				["Zul'Aman"] = 108,
				["Thelsamar"] = 424,
				["Andorhal"] = 160,
				["Crown Guard Tower"] = 64,
				["Stormfeather Outpost"] = 77,
				["The Menders' Stead"] = 134,
				["Refuge Pointe"] = 192,
				["Fuselight"] = 323,
				["Thorium Point"] = 467,
				["Aerie Peak"] = 162,
				["Lakeshire"] = 835,
				["Menethil Harbor"] = 318,
				["Ironforge"] = 368,
				["Sandy Beach"] = 520,
				["Thondroril River"] = 95,
				["Shattered Sun Staging Area"] = 341,
				["Darkshire"] = 906,
				["Nethergarde Keep"] = 669,
				["Booty Bay"] = 835,
				["Stormwind"] = 527,
				["Thondoril River"] = 102,
				["Northpass Tower"] = 54,
				["Sentinel Hill"] = 670,
				["Plaguewood Tower"] = 88,
				["Eastwall Tower"] = 22,
				["Kharanos"] = 381,
				["Acherus: The Ebon Hold"] = 71,
			},
			["Lorna's Watch"] = {
				["Greywatch"] = 55,
				["Crimson Thicket"] = 29,
				["Valdisdall"] = 37,
				["Prepfoot"] = 93,
				["Starsong Refuge"] = 124,
				["Gloaming Reef"] = 139,
				["Stormtorn Foothills"] = 40,
				["Shield's Rest"] = 87,
				["Sylvan Falls"] = 89,
				["The Witchwood"] = 97,
				["Hafr Fjall"] = 47,
				["Dalaran"] = 93,
				["Wardens' Redoubt"] = 139,
				["Ironhorn Enclave"] = 50,
				["Skyfire Triage Camp"] = 20,
			},
			["Felblaze Ingress"] = {
				["Shackle's Den"] = 35,
				["Lorlathil"] = 51,
				["Azurewing Repose"] = 29,
				["Valdisdall"] = 117,
				["Lorna's Watch"] = 85,
				["Obsidian Overlook"] = 77,
				["Illidari Stand"] = 41,
				["Stormtorn Foothills"] = 140,
				["Deliverance Point"] = 82,
				["Wardens' Redoubt"] = 53,
				["Illidari Perch"] = 54,
				["Dalaran"] = 53,
				["Challiane's Terrace"] = 43,
				["Bradensbrook"] = 77,
				["Watchers' Aerie"] = 58,
				["Irongrove Retreat"] = 41,
			},
			["Ratchet"] = {
				["Mudsprocket"] = 169,
				["Honor's Stand"] = 90,
				["Feathermoon"] = 389,
				["Theramore"] = 105,
				["Bootlegger Outpost"] = 298,
				["Gunstan's Dig"] = 334,
				["Fizzle & Pozzik's Speedbarge"] = 228,
				["Dreamer's Rest"] = 347,
				["Everlook"] = 308,
				["Nijel's Point"] = 439,
				["Rut'theran Village"] = 430,
				["Forest Song"] = 156,
				["Gadgetzan"] = 32,
				["Ramkahen"] = 418,
				["Marshal's Stand"] = 78,
				["Northwatch Hold"] = 54,
				["Astranaar"] = 197,
				["Fort Triumph"] = 130,
				["Emerald Sanctuary"] = 266,
				["Shadebough"] = 306,
				["Windshear Hold"] = 208,
				["Mossy Pile"] = 349,
				["Cenarion Hold"] = 431,
				["Whisperwind Grove"] = 376,
				["Tower of Estulan"] = 365,
			},
			["Marshtide Watch"] = {
				["Camp Everstill"] = 83,
				["Shattered Beachhead"] = 44,
				["Dragon's Mouth"] = 156,
				["Dustwind Dig"] = 191,
				["Fuselight"] = 210,
				["Thorium Point"] = 196,
				["Light's Shield Tower"] = 593,
				["Fort Livingston"] = 232,
				["Lakeshire"] = 85,
				["Flamestar Post"] = 177,
				["Bogpaddle"] = 29,
				["The Harborage"] = 40,
				["Darkshire"] = 135,
				["Nethergarde Keep"] = 44,
				["Whelgar's Retreat"] = 358,
				["Chiselgrip"] = 143,
				["Surwich"] = 135,
				["Farstrider Lodge"] = 257,
				["Greenwarden's Grove"] = 333,
				["Refuge Pointe"] = 405,
				["Rebel Camp"] = 181,
				["Morgan's Vigil"] = 107,
				["Stormwind"] = 197,
			},
			["Bastion Rise"] = {
				["Redemption Rise"] = 43,
				["Highpass"] = 48,
				["Fort Wrynn (Alliance)"] = 32,
				["Iron Siegeworks"] = 37,
				["Everbloom Wilds"] = 64,
				["Lunarfall (Alliance)"] = 86,
				["Deeproot"] = 31,
				["The Ring of Trials"] = 120,
			},
			["Pearlfin Village"] = {
				["Halfhill"] = 131,
				["Paw'Don Village"] = 47,
				["Dawn's Blossom"] = 75,
				["Pang's Stead"] = 186,
				["Emperor's Omen"] = 113,
				["Zhu's Watch"] = 91,
				["Jade Temple Grounds"] = 36,
				["Serpent's Overlook"] = 45,
			},
			["Gates of Sothann"] = {
				["Mirkfallon Post"] = 223,
				["Nordrassil"] = 87,
				["Grove of Aessina"] = 69,
				["Forest Song"] = 42,
				["Shrine of Aviana"] = 44,
				["Astranaar"] = 135,
				["Wildheart Point"] = 142,
				["Sanctuary of Malorne"] = 64,
				["Gadgetzan"] = 424,
			},
			["Garden of the Moon"] = {
				["Irongrove Retreat"] = 52,
				["Azurewing Repose"] = 77,
				["Valdisdall"] = 162,
				["Challiane's Terrace"] = 61,
				["Starsong Refuge"] = 37,
				["Trueshot Lodge"] = 90,
				["Lorlathil"] = 25,
				["Bradensbrook"] = 26,
				["Wardens' Redoubt"] = 117,
				["The Dreamgrove"] = 51,
				["Felbane Camp"] = 101,
				["Thunder Totem"] = 92,
				["Illidari Stand"] = 93,
				["Felblaze Ingress"] = 80,
				["Skyfire Triage Camp"] = 134,
			},
			["Kamagua"] = {
				["Westguard Keep"] = 37,
				["Valiance Keep"] = 377,
				["Valgarde Port"] = 69,
				["Unu'pe"] = 326,
				["Stars' Rest"] = 249,
				["Wyrmrest Temple"] = 236,
				["River's Heart"] = 437,
				["Fort Wildervar"] = 121,
				["Dalaran"] = 281,
				["Moa'ki"] = 195,
			},
			["Shalewind Canyon"] = {
				["Camp Everstill"] = 24,
				["Lakeshire"] = 47,
				["The Harborage"] = 93,
				["Morgan's Vigil"] = 102,
				["Marshtide Watch"] = 55,
				["Whelgar's Retreat"] = 353,
				["Bogpaddle"] = 34,
			},
			["Amberpine Lodge"] = {
				["Windrunner's Overlook"] = 138,
				["Light's Breach"] = 66,
				["Gundrak"] = 203,
				["Stars' Rest"] = 190,
				["Nesingwary Base Camp"] = 391,
				["Argent Tournament Grounds"] = 284,
				["Dalaran"] = 172,
				["Zim'Torga"] = 156,
				["Valgarde Port"] = 151,
				["Frosthold"] = 103,
				["Wintergarde Keep"] = 82,
				["Fordragon Hold"] = 172,
				["Fizzcrank Airstrip"] = 320,
				["Westguard Keep"] = 83,
				["Kamagua"] = 135,
				["Valiance Keep"] = 317,
				["River's Heart"] = 371,
				["The Argent Stand"] = 110,
				["Westfall Brigade"] = 84,
				["Wyrmrest Temple"] = 130,
				["K3"] = 145,
				["Fort Wildervar"] = 117,
				["Valiance Landing Camp"] = 232,
				["Moa'ki"] = 175,
			},
			["Yrel's Watch"] = {
				["Bloodmaul Slag Mines"] = 99,
				["Rilzit's Holdfast"] = 37,
				["Joz's Rylaks"] = 19,
				["Throne of the Elements"] = 24,
				["Lunarfall (Alliance)"] = 162,
				["Nivek's Overlook"] = 47,
				["Apexis Excavation"] = 110,
				["The Ring of Trials"] = 32,
				["Shattrath City"] = 81,
				["Telaari Station"] = 28,
			},
			["Stormfeather Outpost"] = {
				["Hearthglen"] = 201,
				["Light's Hope Chapel"] = 87,
				["Northpass Tower"] = 133,
				["Light's Shield Tower"] = 114,
				["Menethil Harbor"] = 180,
				["Ironforge"] = 313,
				["Dun Modr"] = 156,
				["Chillwind Camp"] = 135,
				["Farstrider Lodge"] = 311,
				["Booty Bay"] = 660,
				["Andorhal"] = 148,
				["Thorium Point"] = 348,
				["Refuge Pointe"] = 99,
				["Dragon's Mouth"] = 347,
				["Greenwarden's Grove"] = 191,
				["Eastwall Tower"] = 103,
				["Morgan's Vigil"] = 402,
				["Aerie Peak"] = 67,
				["Iron Summit"] = 372,
			},
			["Death's Rise"] = {
				["Frosthold"] = 267,
				["The Shadow Vault"] = 94,
				["Valiance Keep"] = 249,
				["Transitus Shield"] = 259,
				["Westguard Keep"] = 494,
				["Westfall Brigade"] = 439,
				["The Argent Vanguard"] = 227,
				["Bouldercrag's Refuge"] = 214,
				["Valiance Landing Camp"] = 173,
				["Stars' Rest"] = 253,
				["Nesingwary Base Camp"] = 119,
				["Dalaran"] = 237,
				["Argent Tournament Grounds"] = 170,
				["Crusaders' Pinnacle"] = 174,
				["River's Heart"] = 117,
			},
			["Light's Breach"] = {
				["Windrunner's Overlook"] = 73,
				["Ebon Watch"] = 40,
				["Gundrak"] = 137,
				["Argent Tournament Grounds"] = 220,
				["Dalaran"] = 107,
				["Zim'Torga"] = 84,
				["Valgarde Port"] = 235,
				["Frosthold"] = 167,
				["Westguard Keep"] = 167,
				["Kamagua"] = 220,
				["The Argent Stand"] = 44,
				["Westfall Brigade"] = 115,
				["Wyrmrest Temple"] = 130,
				["Amberpine Lodge"] = 84,
				["Fort Wildervar"] = 200,
				["Valiance Landing Camp"] = 232,
				["K3"] = 80,
				["Wintergarde Keep"] = 83,
			},
			["Farwatcher's Glen"] = {
				["Mirkfallon Post"] = 45,
				["Northwatch Expedition Base Camp"] = 115,
				["Nijel's Point"] = 63,
				["Windshear Hold"] = 76,
				["Darnassus"] = 478,
				["Thal'darah Overlook"] = 53,
				["Northwatch Hold"] = 265,
				["Feathermoon"] = 219,
			},
			["Menethil Harbor"] = {
				["Kharanos"] = 119,
				["Acherus: The Ebon Hold"] = 391,
				["Thorium Point"] = 127,
				["Morgan's Vigil"] = 290,
				["Aerie Peak"] = 177,
				["Thundermar"] = 183,
				["Lakeshire"] = 249,
				["Stormfeather Outpost"] = 197,
				["Booty Bay"] = 429,
				["Ironforge"] = 72,
				["Dun Modr"] = 75,
				["Chillwind Camp"] = 186,
				["Farstrider Lodge"] = 209,
				["Sentinel Hill"] = 307,
				["Shattered Sun Staging Area"] = 158,
				["Refuge Pointe"] = 113,
				["Thelsamar"] = 163,
				["Nethergarde Keep"] = 390,
				["Thondoril River"] = 236,
				["Whelgar's Retreat"] = 46,
				["Vermillion Redoubt"] = 144,
				["Darkshire"] = 308,
				["Stormwind"] = 243,
				["Light's Hope Chapel"] = 283,
				["Greenwarden's Grove"] = 61,
				["Crown Guard Tower"] = 334,
				["Rebel Camp"] = 324,
				["Goldshire"] = 281,
			},
			["Argent Tournament Grounds"] = {
				["Death's Rise"] = 165,
				["Windrunner's Overlook"] = 177,
				["Ulduar"] = 94,
				["Transitus Shield"] = 424,
				["Light's Breach"] = 249,
				["The Argent Vanguard"] = 106,
				["Gundrak"] = 302,
				["Dun Niffelem"] = 208,
				["Stars' Rest"] = 264,
				["Crusaders' Pinnacle"] = 73,
				["Dalaran"] = 140,
				["Westfall Brigade"] = 304,
				["Bouldercrag's Refuge"] = 50,
				["Unu'pe"] = 357,
				["Valgarde Port"] = 399,
				["Frosthold"] = 130,
				["The Shadow Vault"] = 87,
				["K3"] = 178,
				["Return"] = 151,
				["Westguard Keep"] = 372,
				["Valiance Keep"] = 381,
				["Kamagua"] = 422,
				["River's Heart"] = 281,
				["The Argent Stand"] = 266,
				["Zim'Torga"] = 249,
				["Wyrmrest Temple"] = 247,
				["Amberpine Lodge"] = 322,
				["Fort Wildervar"] = 389,
				["Valiance Landing Camp"] = 179,
				["Moa'ki"] = 284,
				["Wintergarde Keep"] = 252,
			},
			["Blackwind Landing"] = {
				["Skyguard Outpost"] = 238,
			},
			["Tavern in the Mists"] = {
				["The Incursion"] = 90,
				["Gao-Ran Battlefront"] = 151,
				["Pang's Stead"] = 21,
				["Binan Village"] = 39,
				["Westwind Rest"] = 110,
				["Grassy Cline"] = 20,
				["Zhu's Watch"] = 58,
				["The Briny Muck"] = 203,
				["Tushui Landing"] = 218,
				["The Arboretum"] = 128,
				["Sri-La Village"] = 168,
				["Beeble's Wreck"] = 190,
				["Halfhill"] = 51,
				["Longying Outpost"] = 167,
				["Shrine of Seven Stars"] = 81,
				["Shado-Pan Garrison"] = 222,
				["Cradle of Chi-Ji"] = 128,
				["Temple of the White Tiger"] = 103,
				["Soggy's Gamble"] = 210,
				["Lion's Landing"] = 132,
			},
			["Nighthaven"] = {
				["Rut'theran Village"] = 150,
			},
			["Valiance Keep"] = {
				["Death's Rise"] = 222,
				["Windrunner's Overlook"] = 303,
				["Ebon Watch"] = 323,
				["The Argent Vanguard"] = 284,
				["Wintergarde Keep"] = 46,
				["Fordragon Hold"] = 219,
				["Stars' Rest"] = 145,
				["Nesingwary Base Camp"] = 150,
				["Fizzcrank Airstrip"] = 75,
				["Argent Tournament Grounds"] = 376,
				["Dalaran"] = 261,
				["Zim'Torga"] = 415,
				["Valgarde Port"] = 445,
				["Frosthold"] = 323,
				["The Shadow Vault"] = 317,
				["Transitus Shield"] = 99,
				["K3"] = 307,
				["Westguard Keep"] = 386,
				["Amber Ledge"] = 63,
				["Kamagua"] = 364,
				["Unu'pe"] = 64,
				["Westfall Brigade"] = 417,
				["Crusaders' Pinnacle"] = 317,
				["Wyrmrest Temple"] = 229,
				["Amberpine Lodge"] = 336,
				["Fort Wildervar"] = 450,
				["River's Heart"] = 137,
				["Moa'ki"] = 181,
			},
			["Stormtorn Foothills"] = {
				["Lorna's Watch"] = 41,
				["Trueshot Lodge"] = 104,
				["Shield's Rest"] = 58,
				["Meredil"] = 97,
				["Hafr Fjall"] = 54,
				["Dalaran"] = 127,
				["Ironhorn Enclave"] = 59,
				["Irongrove Retreat"] = 108,
				["Greywatch"] = 41,
				["Azurewing Repose"] = 141,
				["Valdisdall"] = 25,
				["Garden of the Moon"] = 147,
				["Felbane Camp"] = 119,
				["Deliverance Point"] = 142,
				["Stonehoof Watch"] = 50,
				["Skyhorn"] = 74,
				["Obsidian Overlook"] = 87,
				["Prepfoot"] = 60,
				["Skyfire Triage Camp"] = 37,
			},
			["Lion's Landing"] = {
				["The Incursion"] = 36,
				["Tavern in the Mists"] = 124,
				["Zouchin Village"] = 263,
				["Longying Outpost"] = 284,
				["Binan Village"] = 162,
				["Marista"] = 98,
				["Paw'Don Village"] = 51,
				["Cradle of Chi-Ji"] = 111,
				["Shrine of Seven Stars"] = 147,
				["Sentinel Basecamp"] = 111,
				["Tushui Landing"] = 284,
			},
			["Stonehoof Watch"] = {
				["Crimson Thicket"] = 63,
				["Lorna's Watch"] = 42,
				["Trueshot Lodge"] = 61,
				["Ironhorn Enclave"] = 37,
				["Greywatch"] = 77,
				["Challiane's Terrace"] = 139,
				["Garden of the Moon"] = 105,
				["Thunder Totem"] = 31,
				["Felbane Camp"] = 77,
				["Nesingwary"] = 45,
				["Sylvan Falls"] = 52,
				["Stormtorn Foothills"] = 49,
				["Starsong Refuge"] = 87,
				["Skyhorn"] = 30,
				["The Witchwood"] = 57,
				["Shipwreck Cove"] = 90,
				["Skyfire Triage Camp"] = 32,
			},
			["Northwatch Hold"] = {
				["Mudsprocket"] = 141,
				["Honor's Stand"] = 103,
				["Theramore"] = 73,
				["Fort Triumph"] = 77,
				["Shadebough"] = 274,
				["Gunstan's Dig"] = 313,
				["Ramkahen"] = 398,
				["Astranaar"] = 254,
				["Cenarion Hold"] = 430,
				["Ratchet"] = 46,
				["Rut'theran Village"] = 479,
			},
			["Rebel Camp"] = {
				["Shattered Beachhead"] = 131,
				["Dustwind Dig"] = 241,
				["Goldshire"] = 88,
				["Fort Livingston"] = 54,
				["Marshtide Watch"] = 177,
				["Menethil Harbor"] = 370,
				["Booty Bay"] = 115,
				["Dun Modr"] = 411,
				["Chillwind Camp"] = 518,
				["Darkshire"] = 48,
				["Nethergarde Keep"] = 138,
				["Raven Hill"] = 39,
				["Ironforge"] = 300,
				["Chiselgrip"] = 194,
				["Explorers' League Digsite"] = 94,
				["Stormwind"] = 98,
				["Greenwarden's Grove"] = 384,
				["Sentinel Hill"] = 66,
				["Surwich"] = 230,
				["Thorium Point"] = 222,
				["Lakeshire"] = 103,
			},
			["The Dreamgrove"] = {
				["Shipwreck Cove"] = 116,
				["Azurewing Repose"] = 116,
				["The Witchwood"] = 112,
				["Garden of the Moon"] = 43,
				["Thunder Totem"] = 130,
				["Trueshot Lodge"] = 50,
				["Lorlathil"] = 64,
				["Felbane Camp"] = 86,
				["Felblaze Ingress"] = 120,
				["Skyhorn"] = 152,
				["Illidari Stand"] = 132,
				["Bradensbrook"] = 40,
				["Starsong Refuge"] = 75,
			},
			["Eastwall Tower"] = {
				["Light's Hope Chapel"] = 30,
				["Crown Guard Tower"] = 45,
				["Refuge Pointe"] = 215,
				["Ironforge"] = 394,
				["Stormfeather Outpost"] = 118,
				["Northpass Tower"] = 31,
				["Light's Shield Tower"] = 17,
			},
			["Moonglade"] = {
				["Wildheart Point"] = 170,
				["Nordrassil"] = 140,
				["Ratchet"] = 415,
				["Ramkahen"] = 845,
				["Nijel's Point"] = 429,
				["Lor'danel"] = 85,
				["Gadgetzan"] = 677,
				["Dolanaar"] = 317,
				["Blackfathom Camp"] = 241,
				["Grove of the Ancients"] = 179,
				["Ethel Rethor"] = 441,
				["Astranaar"] = 62,
				["Feathermoon"] = 615,
				["Darnassus"] = 255,
				["Honor's Stand"] = 405,
				["Theramore"] = 519,
				["Stardust Spire"] = 301,
				["Everlook"] = 119,
				["Rut'theran Village"] = 145,
				["Thargad's Camp"] = 474,
				["Tower of Estulan"] = 609,
				["Emerald Sanctuary"] = 187,
				["Forest Song"] = 294,
				["Marshal's Stand"] = 766,
				["Mossy Pile"] = 766,
				["Sanctuary of Malorne"] = 188,
				["Talonbranch Glade"] = 61,
				["Cenarion Hold"] = 765,
				["Whisperwind Grove"] = 111,
			},
			["Thundermar"] = {
				["Dragon's Mouth"] = 276,
				["Refuge Pointe"] = 177,
				["Thorium Point"] = 277,
				["Aerie Peak"] = 248,
				["Victor's Point"] = 53,
				["Menethil Harbor"] = 182,
				["Booty Bay"] = 590,
				["Dun Modr"] = 133,
				["Farstrider Lodge"] = 242,
				["Firebeard's Patrol"] = 58,
				["Highbank"] = 112,
				["Kirthaven"] = 19,
				["Light's Shield Tower"] = 373,
				["Vermillion Redoubt"] = 43,
				["Eastvale Logging Camp"] = 424,
				["High Bank"] = 111,
				["Stormwind"] = 434,
				["Hearthglen"] = 380,
				["Flamestar Post"] = 347,
				["Stormfeather Outpost"] = 527,
				["Ironforge"] = 268,
				["Dustwind Dig"] = 241,
			},
			["Kirthaven"] = {
				["High Bank"] = 99,
				["Firebeard's Patrol"] = 68,
				["Thundermar"] = 29,
				["Stormfeather Outpost"] = 412,
				["Victor's Point"] = 80,
				["Vermillion Redoubt"] = 69,
			},
			["Fizzcrank Airstrip"] = {
				["Death's Rise"] = 222,
				["Transitus Shield"] = 80,
				["The Argent Vanguard"] = 286,
				["Stars' Rest"] = 133,
				["Nesingwary Base Camp"] = 77,
				["Crusaders' Pinnacle"] = 286,
				["River's Heart"] = 63,
				["Frosthold"] = 318,
				["Westguard Keep"] = 560,
				["Amber Ledge"] = 44,
				["Valiance Keep"] = 70,
				["Wintergarde Keep"] = 254,
				["Moa'ki"] = 182,
				["Zim'Torga"] = 332,
				["Dalaran"] = 257,
				["Amberpine Lodge"] = 324,
				["Fort Wildervar"] = 438,
				["Unu'pe"] = 65,
				["Fordragon Hold"] = 315,
			},
			["Farstrider Lodge"] = {
				["Slabchisel's Survey"] = 104,
				["Dustwind Dig"] = 66,
				["Thorium Point"] = 127,
				["Aerie Peak"] = 278,
				["Lakeshire"] = 209,
				["Ironforge"] = 155,
				["Dun Modr"] = 164,
				["Iron Summit"] = 151,
				["Thondroril River"] = 409,
				["Thelsamar"] = 46,
				["Whelgar's Retreat"] = 162,
				["Chiselgrip"] = 189,
				["Stormwind"] = 253,
				["Greenwarden's Grove"] = 137,
				["Refuge Pointe"] = 208,
				["Kharanos"] = 157,
				["Vermillion Redoubt"] = 205,
			},
			["Frosthold"] = {
				["Death's Rise"] = 227,
				["Ulduar"] = 97,
				["Transitus Shield"] = 406,
				["Dun Niffelem"] = 149,
				["Gundrak"] = 249,
				["Stars' Rest"] = 227,
				["Dun Nifflelem"] = 149,
				["Argent Tournament Grounds"] = 125,
				["Dalaran"] = 64,
				["River's Heart"] = 264,
				["The Shadow Vault"] = 177,
				["Zim'Torga"] = 197,
				["Crusaders' Pinnacle"] = 60,
				["Westguard Keep"] = 273,
				["The Argent Vanguard"] = 34,
				["K3"] = 49,
				["Kamagua"] = 323,
				["The Argent Stand"] = 155,
				["Bouldercrag's Refuge"] = 65,
				["Westfall Brigade"] = 226,
				["Amberpine Lodge"] = 220,
				["Fort Wildervar"] = 311,
				["Nesingwary Base Camp"] = 300,
				["Unu'pe"] = 323,
				["Wintergarde Keep"] = 153,
			},
			["Lor'danel"] = {
				["Wildheart Point"] = 150,
				["Moonglade"] = 93,
				["Blood Watch"] = 218,
				["Ratchet"] = 418,
				["Stardust Spire"] = 218,
				["Ramkahen"] = 753,
				["Everlook"] = 199,
				["Rut'theran Village"] = 60,
				["The Exodar"] = 159,
				["Dolanaar"] = 233,
				["Theramore"] = 501,
				["Nijel's Point"] = 348,
				["Blackfathom Camp"] = 156,
				["Forest Song"] = 279,
				["Azure Watch"] = 167,
				["Grove of the Ancients"] = 92,
				["Thal'darah Overlook"] = 267,
				["Talonbranch Glade"] = 95,
				["Astranaar"] = 225,
				["Feathermoon"] = 495,
				["Darnassus"] = 171,
			},
			["Thelsamar"] = {
				["Kharanos"] = 96,
				["Morgan's Vigil"] = 135,
				["Thundermar"] = 199,
				["Dun Modr"] = 119,
				["Chillwind Camp"] = 407,
				["Iron Summit"] = 106,
				["Zul'Aman"] = 497,
				["Whelgar's Retreat"] = 117,
				["Moonbrook"] = 293,
				["Stormfeather Outpost"] = 247,
				["Slabchisel's Survey"] = 60,
				["Acherus: The Ebon Hold"] = 465,
				["Northpass Tower"] = 379,
				["Aerie Peak"] = 234,
				["Lakeshire"] = 203,
				["Victor's Point"] = 217,
				["Menethil Harbor"] = 153,
				["Ironforge"] = 109,
				["Highbank"] = 181,
				["Thorium Point"] = 82,
				["Darkshire"] = 263,
				["Nethergarde Keep"] = 341,
				["Light's Hope Chapel"] = 333,
				["Booty Bay"] = 576,
				["Gol'Bolar Quarry"] = 53,
				["Flamestar Post"] = 157,
				["Stormwind"] = 205,
				["Greenwarden's Grove"] = 92,
				["Sentinel Hill"] = 269,
				["Farstrider Lodge"] = 46,
				["Rebel Camp"] = 357,
				["Dustwind Dig"] = 46,
				["Refuge Pointe"] = 164,
			},
			["Dolanaar"] = {
				["Lor'danel"] = 229,
				["The Exodar"] = 266,
				["Blood Watch"] = 325,
				["Marshal's Stand"] = 911,
				["Blackfathom Camp"] = 385,
				["Forest Song"] = 553,
				["Azure Watch"] = 274,
				["Talonbranch Glade"] = 324,
				["Rut'theran Village"] = 169,
				["Northwatch Expedition Base Camp"] = 512,
				["Darnassus"] = 61,
			},
			["Vermillion Redoubt"] = {
				["The Menders' Stead"] = 199,
				["Slabchisel's Survey"] = 66,
				["Refuge Pointe"] = 92,
				["Thundermar"] = 28,
				["High Bank"] = 101,
				["Menethil Harbor"] = 96,
				["Ironforge"] = 152,
				["Kharanos"] = 153,
				["Firebeard's Patrol"] = 66,
				["Greenwarden's Grove"] = 44,
			},
			["Allerian Stronghold"] = {
				["Evergrove"] = 280,
				["Shattrath"] = 75,
				["Sylvanaar"] = 249,
				["Altar of Sha'tar"] = 163,
				["Telredor"] = 158,
				["Hellfire Peninsula"] = 156,
				["Area 52"] = 311,
				["Honor Hold"] = 93,
				["Telaar"] = 149,
				["Wildhammer Stronghold"] = 79,
				["Orebor Harborage"] = 221,
				["Cosmowrench"] = 387,
				["The Stormspire"] = 358,
				["Sanctum of the Stars"] = 121,
			},
			["Sylvan Falls"] = {
				["Shipwreck Cove"] = 84,
				["Aalgen Point"] = 145,
				["Prepfoot"] = 76,
				["The Witchwood"] = 43,
				["Lorna's Watch"] = 81,
				["Thunder Totem"] = 27,
				["Trueshot Lodge"] = 35,
				["Felbane Camp"] = 44,
				["Nesingwary"] = 27,
				["Stonehoof Watch"] = 46,
				["Obsidian Overlook"] = 37,
				["Starsong Refuge"] = 45,
				["Skyhorn"] = 49,
				["Dalaran"] = 124,
				["Ironhorn Enclave"] = 65,
				["Irongrove Retreat"] = 45,
			},
			["Kota Basecamp"] = {
				["Paw'Don Village"] = 187,
				["Winter's Blossom"] = 28,
				["One Keg"] = 51,
				["Westwind Rest"] = 37,
				["Shado-Pan Garrison"] = 123,
				["Shrine of Seven Stars"] = 100,
				["Shado-Pan Fallback"] = 30,
				["Pang's Stead"] = 140,
			},
			["Astranaar"] = {
				["Tower of Estulan"] = 353,
				["Wildheart Point"] = 125,
				["Ratchet"] = 193,
				["Ramkahen"] = 742,
				["Nijel's Point"] = 134,
				["Lor'danel"] = 205,
				["Gadgetzan"] = 546,
				["Fort Triumph"] = 245,
				["Grove of the Ancients"] = 88,
				["Ethel Rethor"] = 184,
				["Dreamer's Rest"] = 268,
				["Feathermoon"] = 512,
				["Darnassus"] = 350,
				["Theramore"] = 388,
				["Stardust Spire"] = 42,
				["Everlook"] = 295,
				["Rut'theran Village"] = 233,
				["Sanctuary of Malorne"] = 308,
				["Mirkfallon Post"] = 133,
				["Talonbranch Glade"] = 218,
				["Blackfathom Camp"] = 53,
				["Emerald Sanctuary"] = 78,
				["Forest Song"] = 134,
				["Northwatch Hold"] = 244,
				["Windshear Hold"] = 106,
				["Shrine of Aviana"] = 279,
				["Thal'darah Overlook"] = 175,
				["Whisperwind Grove"] = 179,
			},
			["Soggy's Gamble"] = {
				["Longying Outpost"] = 176,
				["Halfhill"] = 192,
				["Serpent's Spine"] = 82,
				["Klaxxi'vess"] = 62,
				["The Briny Muck"] = 55,
				["Tian Monastery"] = 333,
			},
			["Serpent's Overlook"] = {
				["Winter's Blossom"] = 298,
				["Zhu's Watch"] = 131,
				["Dawn's Blossom"] = 45,
				["Pearlfin Village"] = 44,
			},
			["Pinchwhistle Gearworks"] = {
				["Talon Watch"] = 41,
				["Southport"] = 43,
				["Yrel's Watch"] = 172,
				["Breaker's Crown"] = 198,
				["Lunarfall (Alliance)"] = 110,
				["Terokkar Refuge"] = 97,
				["Bastion Rise"] = 154,
				["Nivek's Overlook"] = 153,
				["Telaari Station"] = 156,
				["Crow's Crook"] = 54,
				["Veil Terokk"] = 46,
				["The Ring of Trials"] = 168,
			},
			["Shattered Beachhead"] = {
				["Stormwind"] = 190,
				["The Harborage"] = 86,
				["Morgan's Vigil"] = 155,
				["Darkshire"] = 103,
				["Rebel Camp"] = 135,
				["Marshtide Watch"] = 49,
				["Chiselgrip"] = 190,
			},
			["Slabchisel's Survey"] = {
				["Kharanos"] = 154,
				["Dustwind Dig"] = 104,
				["Thelsamar"] = 59,
				["Refuge Pointe"] = 110,
				["Whelgar's Retreat"] = 59,
				["Aerie Peak"] = 181,
				["Dun Modr"] = 61,
				["Stormwind"] = 265,
				["Greenwarden's Grove"] = 33,
				["Menethil Harbor"] = 110,
				["Ironforge"] = 168,
				["Stormfeather Outpost"] = 194,
				["Chiselgrip"] = 230,
				["Farstrider Lodge"] = 104,
			},
			["Telredor"] = {
				["Evergrove"] = 145,
				["Shatter Point"] = 223,
				["Shattrath"] = 98,
				["Sylvanaar"] = 91,
				["Temple of Telhamat"] = 82,
				["Area 52"] = 153,
				["Orebor Harborage"] = 55,
				["Hellfire Peninsula"] = 230,
				["Allerian Stronghold"] = 172,
				["Honor Hold"] = 169,
				["Telaar"] = 125,
				["Wildhammer Stronghold"] = 250,
				["Toshley's Station"] = 69,
				["Cosmowrench"] = 219,
				["The Stormspire"] = 200,
				["Sanctum of the Stars"] = 292,
			},
			["Grove of Aessina"] = {
				["Gates of Sothann"] = 107,
				["Honor's Stand"] = 450,
				["Nordrassil"] = 81,
				["Stardust Spire"] = 346,
				["Shrine of Aviana"] = 43,
				["Everlook"] = 178,
				["Astranaar"] = 306,
				["Sanctuary of Malorne"] = 74,
				["Darnassus"] = 422,
			},
			["Telaar"] = {
				["Evergrove"] = 248,
				["Shatter Point"] = 252,
				["Shattrath"] = 87,
				["Sylvanaar"] = 217,
				["Area 52"] = 280,
				["Telredor"] = 127,
				["Hellfire Peninsula"] = 260,
				["Allerian Stronghold"] = 122,
				["Orebor Harborage"] = 182,
				["Honor Hold"] = 199,
				["Wildhammer Stronghold"] = 200,
				["Toshley's Station"] = 195,
				["Cosmowrench"] = 344,
				["The Stormspire"] = 327,
				["Altar of Sha'tar"] = 281,
			},
			["Veil Terokk"] = {
				["Pinchwhistle Gearworks"] = 41,
				["Southport"] = 27,
				["Everbloom Overlook"] = 242,
				["Zangarra"] = 116,
				["Retribution Point"] = 80,
				["Lunarfall (Alliance)"] = 94,
				["Apexis Excavation"] = 37,
				["Everbloom Wilds"] = 221,
				["Crow's Crook"] = 43,
				["Exile's Rise"] = 86,
				["Akeeta's Hovel"] = 55,
			},
			["Nethergarde Keep"] = {
				["Refuge Pointe"] = 699,
				["Thorium Point"] = 298,
				["Lakeshire"] = 150,
				["Light's Shield Tower"] = 716,
				["Explorers' League Digsite"] = 229,
				["Marshtide Watch"] = 39,
				["Aerie Peak"] = 577,
				["Menethil Harbor"] = 430,
				["Booty Bay"] = 243,
				["Bogpaddle"] = 66,
				["Chillwind Camp"] = 741,
				["Iron Summit"] = 256,
				["Fort Livingston"] = 57,
				["Goldshire"] = 158,
				["Morgan's Vigil"] = 209,
				["Thelsamar"] = 546,
				["Surwich"] = 92,
				["Dustwind Dig"] = 226,
				["Ironforge"] = 322,
				["Chiselgrip"] = 179,
				["Light's Hope Chapel"] = 664,
				["Stormwind"] = 190,
				["Darkshire"] = 92,
				["Sentinel Hill"] = 177,
				["Moonbrook"] = 202,
				["Rebel Camp"] = 64,
				["Raven Hill"] = 153,
			},
			["Klaxxi'vess"] = {
				["Stoneplow"] = 49,
				["Winter's Blossom"] = 178,
				["Soggy's Gamble"] = 49,
				["Serpent's Spine"] = 42,
				["Sentinel Basecamp"] = 70,
				["Gao-Ran Battlefront"] = 72,
				["Pang's Stead"] = 146,
				["Halfhill"] = 94,
				["Binan Village"] = 177,
				["Shrine of Seven Stars"] = 83,
				["Longying Outpost"] = 117,
				["Grassy Cline"] = 170,
				["Shado-Pan Garrison"] = 178,
				["The Briny Muck"] = 43,
				["The Sunset Brewgarden"] = 49,
			},
			["Chiselgrip"] = {
				["Slabchisel's Survey"] = 232,
				["Refuge Pointe"] = 337,
				["Goldshire"] = 184,
				["Aerie Peak"] = 407,
				["Fort Livingston"] = 249,
				["Marshtide Watch"] = 130,
				["Flamestar Post"] = 35,
				["Ironforge"] = 193,
				["Dun Modr"] = 292,
				["Iron Summit"] = 78,
				["Dustwind Dig"] = 122,
				["Darkshire"] = 155,
				["Nethergarde Keep"] = 172,
				["Morgan's Vigil"] = 38,
				["Whelgar's Retreat"] = 290,
				["Andorhal"] = 430,
				["Menethil Harbor"] = 264,
				["Stormwind"] = 189,
				["Thundermar"] = 459,
				["Greenwarden's Grove"] = 265,
				["Lakeshire"] = 94,
				["Rebel Camp"] = 199,
				["Thorium Point"] = 127,
				["Farstrider Lodge"] = 189,
			},
			["Halfhill"] = {
				["The Incursion"] = 42,
				["Emperor's Omen"] = 141,
				["Gao-Ran Battlefront"] = 194,
				["Pang's Stead"] = 51,
				["Beeble's Wreck"] = 236,
				["One Keg"] = 144,
				["Westwind Rest"] = 131,
				["Zhu's Watch"] = 41,
				["Pearlfin Village"] = 115,
				["Winter's Blossom"] = 196,
				["The Arboretum"] = 129,
				["Longying Outpost"] = 208,
				["Marista"] = 83,
				["Cradle of Chi-Ji"] = 77,
				["Soggy's Gamble"] = 161,
				["Serpent's Overlook"] = 179,
				["Stoneplow"] = 53,
				["Zouchin Village"] = 188,
				["Rensai's Watchpost"] = 309,
				["Binan Village"] = 86,
				["Jade Temple Grounds"] = 137,
				["Grassy Cline"] = 33,
				["The Briny Muck"] = 154,
				["Tushui Landing"] = 244,
				["Serpent's Spine"] = 166,
				["Tavern in the Mists"] = 63,
				["Sri-La Village"] = 165,
				["Sentinel Basecamp"] = 67,
				["Klaxxi'vess"] = 115,
				["Tian Monastery"] = 154,
				["Dawn's Blossom"] = 104,
				["Paw'Don Village"] = 179,
				["Shrine of Seven Stars"] = 69,
				["Shado-Pan Fallback"] = 158,
				["Shado-Pan Garrison"] = 255,
				["Temple of the White Tiger"] = 153,
				["Kota Basecamp"] = 172,
				["The Sunset Brewgarden"] = 152,
			},
			["Shadebough"] = {
				["Tower of Estulan"] = 60,
				["Thargad's Camp"] = 205,
				["Moonglade"] = 671,
				["Marshal's Stand"] = 311,
				["Fort Triumph"] = 198,
				["Emerald Sanctuary"] = 499,
				["Fizzle & Pozzik's Speedbarge"] = 178,
				["Theramore"] = 206,
				["Mudsprocket"] = 133,
				["Gadgetzan"] = 215,
				["Cenarion Hold"] = 201,
				["Feathermoon"] = 85,
				["Ratchet"] = 298,
			},
			["Illidari Perch"] = {
				["Shackle's Den"] = 44,
				["Shipwreck Cove"] = 235,
				["Azurewing Repose"] = 42,
				["Challiane's Terrace"] = 47,
				["Lorna's Watch"] = 132,
				["Trueshot Lodge"] = 180,
				["Lorlathil"] = 73,
				["Meredil"] = 82,
				["Wardens' Redoubt"] = 38,
				["Illidari Stand"] = 24,
				["Watchers' Aerie"] = 49,
				["Irongrove Retreat"] = 90,
			},
			["Plaguewood Tower"] = {
				["Thondroril River"] = 91,
				["Hearthglen"] = 62,
				["Refuge Pointe"] = 289,
				["Northpass Tower"] = 56,
				["Andorhal"] = 134,
				["Menethil Harbor"] = 406,
				["Crown Guard Tower"] = 52,
				["Eastwall Tower"] = 64,
				["Light's Hope Chapel"] = 95,
				["Iron Summit"] = 465,
			},
			["Camp Everstill"] = {
				["The Harborage"] = 70,
				["Refuge Pointe"] = 376,
				["Marshtide Watch"] = 88,
				["Iron Summit"] = 192,
				["Aerie Peak"] = 446,
				["Chiselgrip"] = 115,
				["Eastvale Logging Camp"] = 61,
				["Surwich"] = 220,
				["Shalewind Canyon"] = 33,
				["Lakeshire"] = 23,
				["Stormwind"] = 134,
				["Rebel Camp"] = 128,
				["Darkshire"] = 85,
				["Bogpaddle"] = 67,
			},
			["Hearthglen"] = {
				["Thondroril River"] = 80,
				["The Menders' Stead"] = 45,
				["Zul'Aman"] = 255,
				["Refuge Pointe"] = 228,
				["Northpass Tower"] = 117,
				["Andorhal"] = 72,
				["Chiselgrip"] = 486,
				["Ironforge"] = 341,
				["Stormfeather Outpost"] = 189,
				["Chillwind Camp"] = 88,
				["Plaguewood Tower"] = 61,
			},
			["Aktar's Post"] = {
				["Lion's Watch"] = 53,
				["Malo's Lookout"] = 32,
				["Vault of the Earth"] = 52,
				["Lunarfall (Alliance)"] = 81,
				["Sha'naari Refuge"] = 27,
				["Bastion Rise"] = 27,
			},
			["Stars' Rest"] = {
				["Death's Rise"] = 232,
				["Windrunner's Overlook"] = 190,
				["Transitus Shield"] = 209,
				["Light's Breach"] = 207,
				["Dun Niffelem"] = 293,
				["The Argent Vanguard"] = 170,
				["Dalaran"] = 146,
				["Westfall Brigade"] = 276,
				["Valgarde Port"] = 313,
				["Frosthold"] = 210,
				["River's Heart"] = 191,
				["Fordragon Hold"] = 82,
				["Valiance Keep"] = 132,
				["Westguard Keep"] = 244,
				["Amber Ledge"] = 172,
				["K3"] = 194,
				["Unu'pe"] = 101,
				["Fizzcrank Airstrip"] = 129,
				["Crusaders' Pinnacle"] = 176,
				["Wyrmrest Temple"] = 89,
				["Amberpine Lodge"] = 98,
				["Fort Wildervar"] = 310,
				["Valiance Landing Camp"] = 67,
				["Moa'ki"] = 71,
				["Wintergarde Keep"] = 124,
			},
			["Lunarfall (Alliance)"] = {
				["Southport"] = 99,
				["Rilzit's Holdfast"] = 175,
				["Highpass"] = 120,
				["Aktar's Post"] = 96,
				["Lion's Watch"] = 71,
				["Bastion Rise"] = 79,
				["Twilight Glade"] = 43,
				["The Draakorium"] = 67,
				["Talon Watch"] = 67,
				["Malo's Lookout"] = 74,
				["Tranquil Court"] = 79,
				["Elodor (Alliance)"] = 62,
				["Nivek's Overlook"] = 149,
				["Socrethar's Rise"] = 73,
				["Zangarra"] = 69,
				["Shattrath City"] = 71,
				["Terokkar Refuge"] = 45,
				["Iron Siegeworks"] = 110,
				["Deeproot"] = 118,
				["Akeeta's Hovel"] = 38,
				["Pinchwhistle Gearworks"] = 95,
				["Bloodmaul Slag Mines"] = 166,
				["Crow's Crook"] = 63,
				["Telaari Station"] = 134,
				["Exarch's Refuge"] = 73,
				["Joz's Rylaks"] = 155,
				["Redemption Rise"] = 77,
				["Embaari Village"] = 41,
				["Everbloom Wilds"] = 140,
				["The Ring of Trials"] = 123,
				["Iron Docks"] = 161,
				["Retribution Point"] = 98,
				["Vault of the Earth"] = 61,
				["Apexis Excavation"] = 91,
				["Anchorite's Sojourn"] = 30,
				["Throne of the Elements"] = 148,
				["The Iron Front"] = 85,
				["Breaker's Crown"] = 127,
				["Fort Wrynn (Alliance)"] = 67,
				["Exile's Rise"] = 40,
				["Veil Terokk"] = 70,
				["Stormshield (Alliance)"] = 111,
				["Everbloom Overlook"] = 175,
				["Sha'naari Refuge"] = 76,
				["Skysea Ridge"] = 148,
				["Darktide Roost"] = 81,
				["Wildwood Wash"] = 136,
				["Yrel's Watch"] = 154,
				["Path of the Light"] = 63,
			},
			["Westwind Rest"] = {
				["Tavern in the Mists"] = 103,
				["Zouchin Village"] = 98,
				["Shado-Pan Fallback"] = 28,
				["Lion's Landing"] = 183,
				["Binan Village"] = 44,
				["One Keg"] = 47,
				["Kota Basecamp"] = 39,
				["Shado-Pan Garrison"] = 134,
				["Temple of the White Tiger"] = 62,
				["Halfhill"] = 130,
				["Shrine of Seven Stars"] = 65,
			},
			["Silver Tide Hollow"] = {
				["Voldrin's Hold"] = 89,
				["Tranquil Wash"] = 43,
				["Darkbreak Cove"] = 97,
				["Sandy Beach"] = 47,
				["Smuggler's Scar"] = 72,
			},
			["Zul'Aman"] = {
				["Shattered Sun Staging Area"] = 252,
				["Light's Hope Chapel"] = 108,
				["Thorium Point"] = 547,
				["Refuge Pointe"] = 339,
				["Menethil Harbor"] = 480,
				["Ironforge"] = 475,
				["Acherus: The Ebon Hold"] = 176,
				["Chillwind Camp"] = 255,
			},
			["Challiane's Terrace"] = {
				["Shackle's Den"] = 62,
				["Azurewing Repose"] = 34,
				["Lorna's Watch"] = 106,
				["Felblaze Ingress"] = 45,
				["Trueshot Lodge"] = 141,
				["Stormtorn Foothills"] = 162,
				["Meredil"] = 56,
				["Illidari Perch"] = 44,
				["Lorlathil"] = 33,
				["Illidari Stand"] = 51,
				["Bradensbrook"] = 38,
				["Watchers' Aerie"] = 85,
				["Skyfire Triage Camp"] = 121,
			},
			["Altar of Sha'tar"] = {
				["Evergrove"] = 459,
				["Shatter Point"] = 330,
				["Shattrath"] = 254,
				["Allerian Stronghold"] = 181,
				["Telaar"] = 329,
				["Wildhammer Stronghold"] = 81,
				["Cosmowrench"] = 555,
				["The Stormspire"] = 537,
				["Honor Hold"] = 276,
			},
			["Felbane Camp"] = {
				["Shipwreck Cove"] = 43,
				["Gloaming Reef"] = 142,
				["The Witchwood"] = 40,
				["Prepfoot"] = 78,
				["Thunder Totem"] = 66,
				["Trueshot Lodge"] = 43,
				["Lorlathil"] = 118,
				["Nesingwary"] = 48,
				["Stonehoof Watch"] = 79,
				["Challiane's Terrace"] = 133,
				["Wardens' Redoubt"] = 168,
				["Skyhorn"] = 80,
				["Bradensbrook"] = 119,
				["Sylvan Falls"] = 49,
				["The Dreamgrove"] = 83,
			},
			["Surwich"] = {
				["Bogpaddle"] = 138,
				["The Harborage"] = 148,
				["Dustwind Dig"] = 298,
				["Nethergarde Keep"] = 72,
				["Refuge Pointe"] = 512,
				["Rebel Camp"] = 211,
				["Marshtide Watch"] = 111,
				["Explorers' League Digsite"] = 189,
				["Stormwind"] = 250,
				["Lakeshire"] = 194,
				["Fort Livingston"] = 234,
				["Booty Bay"] = 146,
				["Stormfeather Outpost"] = 596,
				["Darkshire"] = 164,
				["Farstrider Lodge"] = 365,
			},
			["Grove of the Ancients"] = {
				["Lor'danel"] = 93,
				["Wildheart Point"] = 58,
				["The Exodar"] = 251,
				["Rut'theran Village"] = 122,
				["Blackfathom Camp"] = 65,
				["Forest Song"] = 187,
				["Emerald Sanctuary"] = 82,
				["Thal'darah Overlook"] = 162,
				["Ramkahen"] = 690,
				["Dreamer's Rest"] = 351,
				["Astranaar"] = 84,
				["Whisperwind Grove"] = 122,
				["Darnassus"] = 263,
			},
			["Moonbrook"] = {
				["Camp Everstill"] = 181,
				["Refuge Pointe"] = 486,
				["Thelsamar"] = 373,
				["Lakeshire"] = 168,
				["Goldshire"] = 132,
				["Rebel Camp"] = 90,
				["Ironforge"] = 315,
				["Fort Livingston"] = 139,
				["Stormwind"] = 111,
				["Sentinel Hill"] = 26,
				["Menethil Harbor"] = 388,
				["Raven Hill"] = 57,
				["Furlbrow's Pumpkin Farm"] = 58,
				["Darkshire"] = 117,
				["Farstrider Lodge"] = 364,
			},
			["Skyguard Outpost"] = {
				["Blackwind Landing"] = 243,
			},
			["Bloodmaul Slag Mines"] = {
				["Throne of the Elements"] = 78,
				["Everbloom Overlook"] = 114,
				["Exarch's Refuge"] = 147,
				["Stormshield (Alliance)"] = 211,
				["Lunarfall (Alliance)"] = 179,
				["Zangarra"] = 135,
				["Iron Siegeworks"] = 71,
				["Everbloom Wilds"] = 86,
				["Skysea Ridge"] = 65,
				["Rilzit's Holdfast"] = 105,
				["Akeeta's Hovel"] = 176,
			},
			["Dustwind Dig"] = {
				["Camp Everstill"] = 167,
				["Dragon's Mouth"] = 36,
				["Refuge Pointe"] = 215,
				["Fuselight"] = 29,
				["Thundermar"] = 251,
				["Aerie Peak"] = 286,
				["Lakeshire"] = 146,
				["Farstrider Lodge"] = 76,
				["Menethil Harbor"] = 205,
				["Booty Bay"] = 364,
				["Dun Modr"] = 172,
				["Chillwind Camp"] = 339,
				["Iron Summit"] = 158,
				["Morgan's Vigil"] = 90,
				["Rebel Camp"] = 252,
				["Darkshire"] = 207,
				["Thelsamar"] = 53,
				["Nethergarde Keep"] = 224,
				["Slabchisel's Survey"] = 111,
				["Whelgar's Retreat"] = 169,
				["Chiselgrip"] = 128,
				["Northpass Tower"] = 431,
				["Stormwind"] = 242,
				["Shalewind Canyon"] = 191,
				["Greenwarden's Grove"] = 144,
				["Thorium Point"] = 134,
				["Stormfeather Outpost"] = 298,
				["Ironforge"] = 162,
				["Raven Hill"] = 266,
			},
			["Fuselight"] = {
				["Kharanos"] = 167,
				["Thelsamar"] = 71,
				["Light's Hope Chapel"] = 358,
				["Light's Shield Tower"] = 487,
				["Farstrider Lodge"] = 49,
				["Stormwind"] = 257,
				["Refuge Pointe"] = 187,
				["Dragon's Mouth"] = 51,
				["Ironforge"] = 181,
				["Dustwind Dig"] = 18,
				["Chillwind Camp"] = 356,
				["Iron Summit"] = 176,
			},
			["Aerie Peak"] = {
				["Acherus: The Ebon Hold"] = 232,
				["Dustwind Dig"] = 295,
				["Thorium Point"] = 354,
				["Northpass Tower"] = 211,
				["Ironforge"] = 256,
				["Light's Shield Tower"] = 190,
				["Booty Bay"] = 613,
				["Lakeshire"] = 723,
				["Sentinel Hill"] = 557,
				["Menethil Harbor"] = 176,
				["Raven Hill"] = 546,
				["Dun Modr"] = 139,
				["Chillwind Camp"] = 53,
				["Farstrider Lodge"] = 293,
				["Morgan's Vigil"] = 453,
				["Darkshire"] = 505,
				["Zul'Aman"] = 272,
				["Thelsamar"] = 246,
				["Nethergarde Keep"] = 591,
				["Andorhal"] = 70,
				["Whelgar's Retreat"] = 137,
				["Vermillion Redoubt"] = 225,
				["Refuge Pointe"] = 75,
				["Stormwind"] = 429,
				["Iron Summit"] = 354,
				["Greenwarden's Grove"] = 174,
				["Plaguewood Tower"] = 91,
				["Stormfeather Outpost"] = 79,
				["Light's Hope Chapel"] = 164,
			},
			["Fizzle & Pozzik's Speedbarge"] = {
				["Tower of Estulan"] = 240,
				["Gadgetzan"] = 43,
				["Mudsprocket"] = 72,
				["Ratchet"] = 238,
				["Fort Triumph"] = 137,
				["Theramore"] = 125,
				["Shadebough"] = 179,
				["Bootlegger Outpost"] = 97,
				["Marshal's Stand"] = 139,
				["Dreamer's Rest"] = 318,
				["Cenarion Hold"] = 229,
				["Whisperwind Grove"] = 565,
				["Rut'theran Village"] = 625,
			},
			["Flamestar Post"] = {
				["Morgan's Vigil"] = 74,
				["Thorium Point"] = 69,
				["Chiselgrip"] = 35,
				["Marshtide Watch"] = 213,
				["Booty Bay"] = 347,
				["Ironforge"] = 159,
				["Stormfeather Outpost"] = 403,
				["Stormwind"] = 195,
				["Iron Summit"] = 45,
			},
			["Dalaran"] = {
				["Shackle's Den"] = 55,
				["Ebon Watch"] = 81,
				["Lorna's Watch"] = 89,
				["Felblaze Ingress"] = 52,
				["Meredil"] = 63,
				["Hafr Fjall"] = 92,
				["Crusaders' Pinnacle"] = 39,
				["Unu'pe"] = 269,
				["Valgarde Port"] = 281,
				["Challiane's Terrace"] = 90,
				["Garden of the Moon"] = 120,
				["Starsong Refuge"] = 123,
				["Kamagua"] = 298,
				["Felbane Camp"] = 161,
				["Amberpine Lodge"] = 198,
				["Fort Wildervar"] = 300,
				["Illidari Stand"] = 79,
				["Fordragon Hold"] = 99,
				["Death's Rise"] = 206,
				["Windrunner's Overlook"] = 53,
				["Acherus: The Ebon Hold"] = 88,
				["Light's Breach"] = 126,
				["Gundrak"] = 238,
				["Nesingwary Base Camp"] = 246,
				["Argent Tournament Grounds"] = 122,
				["Bradensbrook"] = 125,
				["Westfall Brigade"] = 215,
				["Thondroril River"] = 119,
				["Vengeance Point"] = 44,
				["Azurewing Repose"] = 75,
				["The Witchwood"] = 163,
				["Valiance Keep"] = 261,
				["Stormtorn Foothills"] = 123,
				["Deliverance Point"] = 56,
				["Stonehoof Watch"] = 127,
				["Wyrmrest Temple"] = 120,
				["The Dreamgrove"] = 166,
				["Ulduar"] = 168,
				["Transitus Shield"] = 352,
				["Trueshot Lodge"] = 150,
				["Shield's Rest"] = 169,
				["Bouldercrag's Refuge"] = 135,
				["River's Heart"] = 209,
				["Irongrove Retreat"] = 78,
				["Frosthold"] = 71,
				["Westguard Keep"] = 249,
				["Obsidian Overlook"] = 100,
				["Sylvan Falls"] = 126,
				["Valiance Landing Camp"] = 114,
				["Moa'ki"] = 159,
				["Sanctum of the Stars"] = 195,
				["Zim'Torga"] = 185,
				["Aalgen Point"] = 63,
				["Shipwreck Cove"] = 201,
				["Watchers' Aerie"] = 67,
				["Fizzcrank Airstrip"] = 274,
				["Prepfoot"] = 177,
				["The Argent Vanguard"] = 32,
				["Lorlathil"] = 99,
				["Greywatch"] = 124,
				["Victor's Point"] = 91,
				["Dun Nifflelem"] = 154,
				["The Argent Stand"] = 144,
				["Wintergarde Keep"] = 128,
				["K3"] = 55,
				["Ironhorn Enclave"] = 113,
				["Crimson Thicket"] = 77,
				["Amber Ledge"] = 317,
				["The Shadow Vault"] = 160,
				["Nesingwary"] = 147,
				["Valdisdall"] = 123,
				["Stars' Rest"] = 173,
				["Thunder Totem"] = 147,
				["Gloaming Reef"] = 118,
				["Dun Niffelem"] = 155,
				["Forest Song"] = 293,
				["Shadebough"] = 145,
				["Illidari Perch"] = 57,
				["Illidari Camp"] = 43,
				["Skyhorn"] = 151,
				["Wardens' Redoubt"] = 73,
				["Skyfire Triage Camp"] = 103,
			},
			["The Briny Muck"] = {
				["Winter's Blossom"] = 191,
				["Shrine of Seven Stars"] = 157,
				["Shado-Pan Garrison"] = 191,
				["Kota Basecamp"] = 223,
				["Klaxxi'vess"] = 49,
				["Beeble's Wreck"] = 326,
			},
			["Shatter Point"] = {
				["Evergrove"] = 334,
				["Shattrath"] = 175,
				["Sylvanaar"] = 304,
				["Temple of Telhamat"] = 132,
				["Honor Point"] = 40,
				["Telredor"] = 213,
				["Hellfire Peninsula"] = 32,
				["Allerian Stronghold"] = 174,
				["Telaar"] = 263,
				["Area 52"] = 365,
				["the Abyssal Shelf"] = 154,
				["Honor Hold"] = 57,
				["The Stormspire"] = 412,
				["Altar of Sha'tar"] = 333,
			},
			["Azurewing Repose"] = {
				["Shackle's Den"] = 36,
				["Skyfire Triage Camp"] = 116,
				["Challiane's Terrace"] = 36,
				["Lorna's Watch"] = 101,
				["Felblaze Ingress"] = 27,
				["Trueshot Lodge"] = 127,
				["Stormtorn Foothills"] = 156,
				["Illidari Stand"] = 24,
				["Meredil"] = 52,
				["Illidari Perch"] = 38,
				["Dalaran"] = 76,
				["Gloaming Reef"] = 36,
				["Bradensbrook"] = 77,
				["Lorlathil"] = 50,
				["Irongrove Retreat"] = 54,
			},
			["Anchorite's Sojourn"] = {
				["Stormshield (Alliance)"] = 120,
				["Zangarra"] = 37,
				["Skysea Ridge"] = 132,
				["Terokkar Refuge"] = 21,
				["Fort Wrynn (Alliance)"] = 43,
				["Lunarfall (Alliance)"] = 89,
				["Akeeta's Hovel"] = 60,
			},
			["Gol'Bolar Quarry"] = {
				["Slabchisel's Survey"] = 116,
				["Thelsamar"] = 57,
				["Thorium Point"] = 137,
				["Stormwind"] = 262,
				["Menethil Harbor"] = 142,
				["Ironforge"] = 69,
				["Kharanos"] = 43,
				["Booty Bay"] = 406,
				["Farstrider Lodge"] = 174,
			},
			["Windshear Hold"] = {
				["Lor'danel"] = 274,
				["Mirkfallon Post"] = 30,
				["Honor's Stand"] = 107,
				["Northwatch Expedition Base Camp"] = 58,
				["Ratchet"] = 192,
				["Blackfathom Camp"] = 146,
				["Emerald Sanctuary"] = 176,
				["Stardust Spire"] = 56,
				["Forest Song"] = 225,
				["Thal'darah Overlook"] = 65,
				["Farwatcher's Glen"] = 92,
				["Karnum's Glade"] = 112,
				["Nijel's Point"] = 63,
			},
			["Rilzit's Holdfast"] = {
				["Bloodmaul Slag Mines"] = 107,
				["Fort Wrynn (Alliance)"] = 146,
				["Throne of the Elements"] = 44,
				["Exarch's Refuge"] = 127,
				["Joz's Rylaks"] = 25,
				["Shattrath City"] = 107,
				["Iron Siegeworks"] = 133,
				["Lunarfall (Alliance)"] = 165,
				["Nivek's Overlook"] = 47,
				["The Ring of Trials"] = 50,
				["Everbloom Wilds"] = 202,
				["Yrel's Watch"] = 25,
				["Telaari Station"] = 40,
			},
			["Old Hillsbrad Foothills"] = {
				["Durnholde Keep"] = 88,
			},
			["Plaguewood"] = {
				["Crown Guard Tower"] = 53,
				["Northpass Tower"] = 50,
				["Eastwall Tower"] = 65,
			},
			["Gao-Ran Battlefront"] = {
				["Longying Outpost"] = 46,
				["Shrine of Seven Stars"] = 128,
				["Serpent's Spine"] = 219,
				["Rensai's Watchpost"] = 51,
				["Shado-Pan Fallback"] = 39,
				["The Sunset Brewgarden"] = 33,
			},
			["The Incursion"] = {
				["Stoneplow"] = 74,
				["Dawn's Blossom"] = 147,
				["Gao-Ran Battlefront"] = 219,
				["Binan Village"] = 127,
				["Jade Temple Grounds"] = 163,
				["Grassy Cline"] = 95,
				["Zhu's Watch"] = 84,
				["The Briny Muck"] = 189,
				["Pearlfin Village"] = 158,
				["The Arboretum"] = 172,
				["Tavern in the Mists"] = 90,
				["Marista"] = 63,
				["Klaxxi'vess"] = 149,
				["Cradle of Chi-Ji"] = 77,
				["Lion's Landing"] = 51,
				["Paw'Don Village"] = 121,
				["Shrine of Seven Stars"] = 113,
				["Halfhill"] = 44,
				["Shado-Pan Garrison"] = 290,
				["Soggy's Gamble"] = 196,
				["Sentinel Basecamp"] = 76,
				["Tushui Landing"] = 286,
			},
			["K3"] = {
				["Windrunner's Overlook"] = 54,
				["Ulduar"] = 140,
				["Ebon Watch"] = 44,
				["Light's Breach"] = 88,
				["The Argent Vanguard"] = 76,
				["Stars' Rest"] = 201,
				["Dun Nifflelem"] = 100,
				["Argent Tournament Grounds"] = 168,
				["Bouldercrag's Refuge"] = 107,
				["Westfall Brigade"] = 177,
				["Valgarde Port"] = 293,
				["Frosthold"] = 43,
				["Wintergarde Keep"] = 105,
				["Westguard Keep"] = 224,
				["Dun Niffelem"] = 101,
				["Valiance Keep"] = 316,
				["Zim'Torga"] = 148,
				["The Argent Stand"] = 107,
				["Crusaders' Pinnacle"] = 103,
				["River's Heart"] = 272,
				["Amberpine Lodge"] = 172,
				["Fort Wildervar"] = 263,
				["Nesingwary Base Camp"] = 308,
				["Dalaran"] = 71,
			},
			["Retribution Point"] = {
				["Pinchwhistle Gearworks"] = 88,
				["Talon Watch"] = 72,
				["Fort Wrynn (Alliance)"] = 97,
				["Rilzit's Holdfast"] = 123,
				["Apexis Excavation"] = 41,
				["Everbloom Wilds"] = 168,
				["Lunarfall (Alliance)"] = 108,
				["Shattrath City"] = 57,
				["Terokkar Refuge"] = 84,
				["Skysea Ridge"] = 152,
				["The Ring of Trials"] = 70,
				["Bloodmaul Slag Mines"] = 151,
			},
			["Dun Modr"] = {
				["The Menders' Stead"] = 210,
				["Slabchisel's Survey"] = 68,
				["Light's Hope Chapel"] = 220,
				["Thundermar"] = 143,
				["Aerie Peak"] = 121,
				["Menethil Harbor"] = 85,
				["Ironforge"] = 173,
				["Farstrider Lodge"] = 173,
				["Thondroril River"] = 227,
				["Darkshire"] = 379,
				["Whelgar's Retreat"] = 33,
				["Andorhal"] = 186,
				["Northpass Tower"] = 266,
				["Greenwarden's Grove"] = 35,
				["Thorium Point"] = 207,
				["Stormfeather Outpost"] = 134,
				["Refuge Pointe"] = 50,
				["Light's Shield Tower"] = 246,
			},
			["River's Heart"] = {
				["Death's Rise"] = 140,
				["Transitus Shield"] = 149,
				["The Argent Vanguard"] = 335,
				["Stars' Rest"] = 202,
				["Nesingwary Base Camp"] = 43,
				["Fizzcrank Airstrip"] = 69,
				["Westfall Brigade"] = 402,
				["Frosthold"] = 393,
				["Wintergarde Keep"] = 481,
				["Dalaran"] = 201,
				["Amber Ledge"] = 169,
				["Valiance Keep"] = 139,
				["Dun Nifflelem"] = 734,
				["Unu'pe"] = 133,
				["K3"] = 247,
				["Wyrmrest Temple"] = 264,
				["Amberpine Lodge"] = 394,
				["Fort Wildervar"] = 471,
				["Valiance Landing Camp"] = 225,
				["Moa'ki"] = 376,
			},
			["Nijel's Point"] = {
				["Tower of Estulan"] = 219,
				["Mirkfallon Post"] = 95,
				["Honor's Stand"] = 130,
				["Farwatcher's Glen"] = 52,
				["Ratchet"] = 422,
				["Karnum's Glade"] = 50,
				["Feathermoon"] = 199,
				["Fizzle & Pozzik's Speedbarge"] = 357,
				["Stardust Spire"] = 105,
				["Everlook"] = 601,
				["Thunk's Abode"] = 31,
				["Thal'darah Overlook"] = 101,
				["Rut'theran Village"] = 369,
				["Theramore"] = 307,
				["Lor'danel"] = 337,
				["Gadgetzan"] = 461,
				["Northwatch Hold"] = 230,
				["Talonbranch Glade"] = 477,
				["Northwatch Expedition Base Camp"] = 81,
				["Thargad's Camp"] = 81,
				["Astranaar"] = 273,
				["Forest Song"] = 407,
				["Wildheart Point"] = 264,
				["Windshear Hold"] = 74,
				["Ethel Rethor"] = 48,
				["Dreamer's Rest"] = 135,
				["Cenarion Hold"] = 381,
				["Whisperwind Grove"] = 321,
			},
			["Orebor Harborage"] = {
				["Shattrath"] = 120,
				["Sylvanaar"] = 65,
				["Temple of Telhamat"] = 134,
				["Area 52"] = 184,
				["Telredor"] = 53,
				["Allerian Stronghold"] = 225,
				["Telaar"] = 177,
				["Wildhammer Stronghold"] = 302,
				["Cosmowrench"] = 249,
				["The Stormspire"] = 232,
				["Honor Hold"] = 221,
			},
			["Stormshield (Alliance)"] = {
				["Socrethar's Rise"] = 124,
				["Iron Docks"] = 163,
				["Rilzit's Holdfast"] = 246,
				["Highpass"] = 133,
				["Exarch's Refuge"] = 169,
				["Lion's Watch"] = 61,
				["Zangarra"] = 126,
				["The Ring of Trials"] = 200,
				["Lunarfall (Alliance)"] = 102,
				["Exile's Rise"] = 107,
				["Wildwood Wash"] = 105,
				["Telaari Station"] = 215,
				["Talon Watch"] = 155,
				["Malo's Lookout"] = 83,
				["Throne of the Elements"] = 223,
				["Darktide Roost"] = 122,
				["Elodor (Alliance)"] = 93,
				["Shattrath City"] = 149,
				["Crow's Crook"] = 160,
				["Redemption Rise"] = 176,
				["Bloodmaul Slag Mines"] = 209,
				["Embaari Village"] = 103,
				["Nivek's Overlook"] = 233,
				["Terokkar Refuge"] = 159,
				["Yrel's Watch"] = 229,
				["Deeproot"] = 146,
				["Veil Terokk"] = 153,
			},
			["Twilight Glade"] = {
				["Pinchwhistle Gearworks"] = 70,
				["Bloodmaul Slag Mines"] = 228,
				["Elodor (Alliance)"] = 40,
				["Breaker's Crown"] = 186,
				["Retribution Point"] = 130,
				["Exile's Rise"] = 37,
				["Embaari Village"] = 27,
				["Lunarfall (Alliance)"] = 49,
				["Talon Watch"] = 40,
				["The Draakorium"] = 27,
				["Veil Terokk"] = 103,
				["Akeeta's Hovel"] = 59,
			},
			["Wildheart Point"] = {
				["Gates of Sothann"] = 219,
				["Moonglade"] = 190,
				["Fort Triumph"] = 539,
				["Forest Song"] = 141,
				["Emerald Sanctuary"] = 35,
				["Grove of the Ancients"] = 51,
				["Ethel Rethor"] = 300,
				["Astranaar"] = 118,
				["Everlook"] = 229,
				["Whisperwind Grove"] = 67,
				["Rut'theran Village"] = 340,
			},
			["Northwatch Expedition Base Camp"] = {
				["Tower of Estulan"] = 285,
				["Honor's Stand"] = 50,
				["Farwatcher's Glen"] = 122,
				["Ratchet"] = 134,
				["Stardust Spire"] = 83,
				["Everlook"] = 71,
				["Nijel's Point"] = 67,
				["Thargad's Camp"] = 148,
				["Rut'theran Village"] = 286,
				["Forest Song"] = 252,
				["Thal'darah Overlook"] = 113,
				["Windshear Hold"] = 60,
				["Ethel Rethor"] = 114,
				["Astranaar"] = 284,
				["Dreamer's Rest"] = 201,
				["Feathermoon"] = 255,
			},
			["Gloaming Reef"] = {
				["Meredil"] = 112,
				["Illidari Perch"] = 77,
				["Bradensbrook"] = 27,
				["Garden of the Moon"] = 50,
				["Starsong Refuge"] = 80,
				["Dalaran"] = 128,
				["Lorlathil"] = 51,
			},
			["Valdisdall"] = {
				["Lorna's Watch"] = 39,
				["Trueshot Lodge"] = 119,
				["Shield's Rest"] = 56,
				["Meredil"] = 96,
				["Hafr Fjall"] = 41,
				["Dalaran"] = 126,
				["Watchers' Aerie"] = 161,
				["Greywatch"] = 25,
				["Sylvan Falls"] = 109,
				["Felbane Camp"] = 134,
				["Deliverance Point"] = 128,
				["Stonehoof Watch"] = 65,
				["Stormtorn Foothills"] = 26,
				["Illidari Stand"] = 154,
				["Ironhorn Enclave"] = 73,
				["Wardens' Redoubt"] = 171,
				["Bradensbrook"] = 181,
				["Skyfire Triage Camp"] = 44,
			},
			["Evergrove"] = {
				["Shattrath"] = 213,
				["Sylvanaar"] = 54,
				["Temple of Telhamat"] = 197,
				["Area 52"] = 73,
				["Telredor"] = 132,
				["Telaar"] = 240,
				["Altar of Sha'tar"] = 448,
				["Toshley's Station"] = 44,
				["Cosmowrench"] = 143,
				["Honor Hold"] = 285,
				["Orebor Harborage"] = 118,
			},
			["Azure Watch"] = {
				["Lor'danel"] = 170,
				["The Exodar"] = 41,
				["Dolanaar"] = 282,
				["Blood Watch"] = 79,
				["Rut'theran Village"] = 109,
				["Astranaar"] = 346,
				["Everlook"] = 369,
				["Darnassus"] = 222,
				["Talonbranch Glade"] = 266,
				["Nijel's Point"] = 478,
			},
			["Eastvale Logging Camp"] = {
				["Morgan's Vigil"] = 97,
				["Nethergarde Keep"] = 165,
				["Goldshire"] = 51,
				["Stormwind"] = 77,
				["Thorium Point"] = 186,
				["Booty Bay"] = 258,
				["Furlbrow's Pumpkin Farm"] = 120,
				["Darkshire"] = 101,
				["Ironforge"] = 193,
			},
			["Prepfoot"] = {
				["Shipwreck Cove"] = 46,
				["The Witchwood"] = 55,
				["Lorna's Watch"] = 94,
				["Felblaze Ingress"] = 154,
				["Trueshot Lodge"] = 66,
				["Felbane Camp"] = 72,
				["Stonehoof Watch"] = 61,
				["Thunder Totem"] = 61,
				["Stormtorn Foothills"] = 59,
				["Skyhorn"] = 43,
				["Illidari Stand"] = 177,
				["Shield's Rest"] = 90,
				["Irongrove Retreat"] = 117,
			},
			["Iron Siegeworks"] = {
				["Stormshield (Alliance)"] = 163,
				["Rilzit's Holdfast"] = 135,
				["Fort Wrynn (Alliance)"] = 57,
				["Throne of the Elements"] = 89,
				["Highpass"] = 44,
				["Bastion Rise"] = 44,
				["Deeproot"] = 36,
				["Lunarfall (Alliance)"] = 115,
			},
			["Valiance Landing Camp"] = {
				["Death's Rise"] = 166,
				["Ulduar"] = 256,
				["Ebon Watch"] = 168,
				["Light's Breach"] = 222,
				["The Argent Vanguard"] = 114,
				["Gundrak"] = 325,
				["Stars' Rest"] = 81,
				["Nesingwary Base Camp"] = 171,
				["Argent Tournament Grounds"] = 206,
				["Dalaran"] = 90,
				["River's Heart"] = 136,
				["Valgarde Port"] = 325,
				["Frosthold"] = 153,
				["The Shadow Vault"] = 161,
				["Bouldercrag's Refuge"] = 224,
				["Valiance Keep"] = 214,
				["Dun Niffelem"] = 237,
				["The Argent Stand"] = 231,
				["Transitus Shield"] = 277,
				["Wyrmrest Temple"] = 114,
				["Amberpine Lodge"] = 207,
				["Zim'Torga"] = 285,
				["Crusaders' Pinnacle"] = 110,
				["Fordragon Hold"] = 49,
			},
			["Bogpaddle"] = {
				["The Harborage"] = 63,
				["Refuge Pointe"] = 379,
				["Nethergarde Keep"] = 67,
				["Dustwind Dig"] = 164,
				["Marshtide Watch"] = 25,
				["Stormwind"] = 191,
				["Shalewind Canyon"] = 33,
				["Lakeshire"] = 79,
				["Booty Bay"] = 297,
				["Darkshire"] = 141,
				["Morgan's Vigil"] = 81,
				["Thelsamar"] = 258,
			},
			["Embaari Village"] = {
				["Anchorite's Sojourn"] = 52,
				["Highpass"] = 143,
				["Elodor (Alliance)"] = 27,
				["Stormshield (Alliance)"] = 94,
				["Lunarfall (Alliance)"] = 38,
				["Twilight Glade"] = 21,
				["Telaari Station"] = 152,
				["Zangarra"] = 85,
				["Exile's Rise"] = 19,
				["Path of the Light"] = 30,
			},
			["Stoneplow"] = {
				["The Incursion"] = 62,
				["Tavern in the Mists"] = 119,
				["Pang's Stead"] = 81,
				["Halfhill"] = 51,
				["Binan Village"] = 134,
				["Shrine of Seven Stars"] = 119,
				["Grassy Cline"] = 82,
				["Zhu's Watch"] = 89,
				["Cradle of Chi-Ji"] = 63,
				["Shado-Pan Garrison"] = 205,
			},
			["Bootlegger Outpost"] = {
				["Tower of Estulan"] = 332,
				["Gadgetzan"] = 60,
				["The Exodar"] = 837,
				["Marshal's Stand"] = 155,
				["Fort Triumph"] = 245,
				["Forest Song"] = 628,
				["Mudsprocket"] = 180,
				["Mossy Pile"] = 163,
				["Gunstan's Dig"] = 50,
				["Cenarion Hold"] = 266,
				["Ramkahen"] = 135,
				["Darnassus"] = 843,
			},
			["Apexis Excavation"] = {
				["Pinchwhistle Gearworks"] = 58,
				["Zangarra"] = 103,
				["Lunarfall (Alliance)"] = 78,
				["Veil Terokk"] = 29,
				["Exarch's Refuge"] = 39,
				["Retribution Point"] = 52,
				["Southport"] = 40,
			},
			["Darkshire"] = {
				["Kharanos"] = 290,
				["Light's Hope Chapel"] = 885,
				["Fort Livingston"] = 98,
				["Marshtide Watch"] = 136,
				["Raven Hill"] = 63,
				["Chillwind Camp"] = 503,
				["Iron Summit"] = 229,
				["Thelsamar"] = 270,
				["Whelgar's Retreat"] = 367,
				["Eastvale Logging Camp"] = 97,
				["Surwich"] = 189,
				["Moonbrook"] = 110,
				["Shattered Beachhead"] = 103,
				["Dustwind Dig"] = 199,
				["Goldshire"] = 55,
				["Aerie Peak"] = 391,
				["Lakeshire"] = 60,
				["Menethil Harbor"] = 337,
				["Booty Bay"] = 172,
				["Bogpaddle"] = 147,
				["Nethergarde Keep"] = 97,
				["Ironforge"] = 268,
				["Acherus: The Ebon Hold"] = 640,
				["Chiselgrip"] = 152,
				["Thorium Point"] = 188,
				["Stormwind"] = 88,
				["Explorers' League Digsite"] = 138,
				["Sentinel Hill"] = 87,
				["Farstrider Lodge"] = 265,
				["Rebel Camp"] = 48,
				["Morgan's Vigil"] = 115,
				["Refuge Pointe"] = 451,
			},
			["Honor's Stand"] = {
				["Tower of Estulan"] = 354,
				["Lor'danel"] = 485,
				["Northwatch Expedition Base Camp"] = 58,
				["Ratchet"] = 85,
				["Fort Triumph"] = 92,
				["Rut'theran Village"] = 545,
				["Stardust Spire"] = 112,
				["Ethel Rethor"] = 171,
				["Northwatch Hold"] = 100,
				["Astranaar"] = 151,
				["Karnum's Glade"] = 173,
				["Nijel's Point"] = 125,
			},
			["Area 52"] = {
				["Evergrove"] = 78,
				["Temple of Telhamat"] = 247,
				["Telredor"] = 165,
				["Hellfire Peninsula"] = 395,
				["Telaar"] = 290,
				["Toshley's Station"] = 93,
				["Orebor Harborage"] = 229,
				["The Stormspire"] = 49,
				["Shatter Point"] = 387,
				["Shattrath"] = 262,
				["Sylvanaar"] = 127,
				["Altar of Sha'tar"] = 496,
				["Allerian Stronghold"] = 337,
				["Wildhammer Stronghold"] = 414,
				["Cosmowrench"] = 66,
				["Honor Hold"] = 333,
				["Sanctum of the Stars"] = 456,
			},
			["Everbloom Overlook"] = {
				["Wildwood Wash"] = 68,
				["Everbloom Wilds"] = 41,
				["Twilight Glade"] = 216,
			},
			["Lorlathil"] = {
				["Shackle's Den"] = 86,
				["Lorna's Watch"] = 121,
				["Trueshot Lodge"] = 111,
				["Skyfire Triage Camp"] = 155,
				["Dalaran"] = 111,
				["Wardens' Redoubt"] = 99,
				["Hafr Fjall"] = 134,
				["Garden of the Moon"] = 24,
				["Bradensbrook"] = 30,
				["Ironhorn Enclave"] = 111,
				["Irongrove Retreat"] = 51,
				["Starsong Refuge"] = 58,
				["Felbane Camp"] = 121,
				["Azurewing Repose"] = 59,
				["The Witchwood"] = 125,
				["Prepfoot"] = 160,
				["Thunder Totem"] = 112,
				["Gloaming Reef"] = 52,
				["Stormtorn Foothills"] = 58,
				["Deliverance Point"] = 139,
				["Sylvan Falls"] = 89,
				["Stonehoof Watch"] = 131,
				["Obsidian Overlook"] = 84,
				["Skyhorn"] = 133,
				["Illidari Stand"] = 75,
				["Challiane's Terrace"] = 44,
				["The Dreamgrove"] = 71,
			},
			["Watchers' Aerie"] = {
				["Shackle's Den"] = 29,
				["Vengeance Point"] = 86,
				["Azurewing Repose"] = 62,
				["Challiane's Terrace"] = 85,
				["Felblaze Ingress"] = 59,
				["Meredil"] = 91,
				["Illidari Perch"] = 51,
				["Dalaran"] = 73,
				["Wardens' Redoubt"] = 19,
				["Illidari Stand"] = 44,
			},
			["Lakeshire"] = {
				["Camp Everstill"] = 20,
				["Morgan's Vigil"] = 56,
				["Fort Livingston"] = 156,
				["Raven Hill"] = 118,
				["Dun Modr"] = 309,
				["Chillwind Camp"] = 666,
				["Farstrider Lodge"] = 206,
				["Thelsamar"] = 210,
				["Whelgar's Retreat"] = 307,
				["Andorhal"] = 497,
				["Eastvale Logging Camp"] = 39,
				["Surwich"] = 216,
				["Shalewind Canyon"] = 53,
				["Moonbrook"] = 153,
				["Dragon's Mouth"] = 105,
				["Refuge Pointe"] = 353,
				["Fuselight"] = 158,
				["Thorium Point"] = 130,
				["Aerie Peak"] = 690,
				["Menethil Harbor"] = 278,
				["Ironforge"] = 209,
				["Furlbrow's Pumpkin Farm"] = 161,
				["Bogpaddle"] = 87,
				["The Harborage"] = 47,
				["Darkshire"] = 61,
				["Nethergarde Keep"] = 125,
				["Iron Summit"] = 169,
				["Chiselgrip"] = 93,
				["Booty Bay"] = 217,
				["Stormwind"] = 112,
				["Goldshire"] = 90,
				["Sentinel Hill"] = 129,
				["Light's Hope Chapel"] = 729,
				["Rebel Camp"] = 84,
				["Acherus: The Ebon Hold"] = 582,
				["Dustwind Dig"] = 112,
			},
			["Jade Temple Grounds"] = {
				["Winter's Blossom"] = 280,
				["The Arboretum"] = 39,
				["Tavern in the Mists"] = 148,
				["Pearlfin Village"] = 37,
				["Shado-Pan Fallback"] = 243,
				["Dawn's Blossom"] = 45,
				["Halfhill"] = 145,
				["Paw'Don Village"] = 57,
				["Shrine of Seven Stars"] = 187,
				["Tian Monastery"] = 93,
				["Shado-Pan Garrison"] = 350,
				["Temple of the White Tiger"] = 230,
				["The Incursion"] = 130,
				["Tushui Landing"] = 186,
			},
			["Iron Summit"] = {
				["Dragon's Mouth"] = 161,
				["Morgan's Vigil"] = 113,
				["Fuselight"] = 186,
				["Thorium Point"] = 25,
				["Aerie Peak"] = 346,
				["Marshtide Watch"] = 204,
				["Flamestar Post"] = 47,
				["Ironforge"] = 116,
				["Dun Modr"] = 232,
				["Bogpaddle"] = 183,
				["Thelsamar"] = 113,
				["Nethergarde Keep"] = 286,
				["Whelgar's Retreat"] = 229,
				["Chiselgrip"] = 82,
				["Stormwind"] = 151,
				["Refuge Pointe"] = 276,
				["Kharanos"] = 114,
				["Dustwind Dig"] = 159,
				["Stormfeather Outpost"] = 359,
				["Darkshire"] = 229,
				["Menethil Harbor"] = 186,
			},
			["Everbloom Wilds"] = {
				["Pinchwhistle Gearworks"] = 221,
				["Malo's Lookout"] = 64,
				["Throne of the Elements"] = 138,
				["Highpass"] = 40,
				["Everbloom Overlook"] = 33,
				["Redemption Rise"] = 99,
				["Zangarra"] = 90,
				["Shattrath City"] = 120,
				["Iron Siegeworks"] = 55,
				["Lunarfall (Alliance)"] = 151,
				["Nivek's Overlook"] = 188,
				["The Ring of Trials"] = 162,
			},
			["Bouldercrag's Refuge"] = {
				["Frosthold"] = 79,
				["The Shadow Vault"] = 113,
				["Ulduar"] = 44,
				["Ebon Watch"] = 171,
				["The Argent Vanguard"] = 112,
				["Dun Niffelem"] = 148,
				["River's Heart"] = 307,
				["Dalaran"] = 142,
				["Amberpine Lodge"] = 299,
				["Argent Tournament Grounds"] = 60,
				["Valiance Landing Camp"] = 243,
				["Moa'ki"] = 291,
				["K3"] = 127,
			},
			["Exile's Rise"] = {
				["Southport"] = 98,
				["Elodor (Alliance)"] = 27,
				["Lion's Watch"] = 73,
				["Embaari Village"] = 21,
				["Lunarfall (Alliance)"] = 38,
				["Everbloom Wilds"] = 139,
				["Stormshield (Alliance)"] = 95,
				["Deeproot"] = 127,
				["Malo's Lookout"] = 81,
			},
			["Western Suramar"] = {
				["Eastern Suramar"] = 61,
				["Trueshot Lodge"] = 232,
			},
			["Forest Song"] = {
				["Mudsprocket"] = 453,
				["Nordrassil"] = 210,
				["Theramore"] = 435,
				["Stardust Spire"] = 182,
				["Everlook"] = 306,
				["Nijel's Point"] = 423,
				["Talonbranch Glade"] = 238,
				["Lor'danel"] = 346,
				["Gadgetzan"] = 553,
				["Rut'theran Village"] = 169,
				["Ratchet"] = 163,
				["Northwatch Expedition Base Camp"] = 246,
				["Astranaar"] = 141,
				["Blackfathom Camp"] = 194,
				["Emerald Sanctuary"] = 111,
				["Moonglade"] = 310,
				["Windshear Hold"] = 246,
				["Ethel Rethor"] = 323,
				["Thal'darah Overlook"] = 315,
			},
			["Shattered Sun Staging Area"] = {
				["Shattered Sun Staging Area"] = 254,
				["Zul'Aman"] = 232,
				["Light's Hope Chapel"] = 267,
				["Nethergarde Keep"] = 992,
				["The Sin'loren"] = 59,
				["Stormwind"] = 851,
				["Darkshire"] = 913,
				["Sentinel Hill"] = 915,
				["Ironforge"] = 270,
				["Booty Bay"] = 1035,
			},
			["Thargad's Camp"] = {
				["Tower of Estulan"] = 140,
				["Mudsprocket"] = 329,
				["Northwatch Expedition Base Camp"] = 183,
				["Karnum's Glade"] = 57,
				["Blackfathom Camp"] = 284,
				["Fort Triumph"] = 334,
				["Dreamer's Rest"] = 55,
				["Ethel Rethor"] = 64,
				["Astranaar"] = 242,
				["Thal'darah Overlook"] = 157,
				["Feathermoon"] = 126,
				["Nijel's Point"] = 102,
			},
			["Sandy Beach"] = {
				["Voldrin's Hold"] = 66,
				["Refuge Pointe"] = 353,
				["Darkbreak Cove"] = 155,
				["Smuggler's Scar"] = 30,
				["Stormwind"] = 343,
				["Tranquil Wash"] = 101,
				["Ironforge"] = 190,
				["Booty Bay"] = 530,
				["Silver Tide Hollow"] = 60,
				["Iron Summit"] = 241,
				["Farstrider Lodge"] = 294,
			},
			["Dun Niffelem"] = {
				["Frosthold"] = 131,
				["The Shadow Vault"] = 247,
				["Ulduar"] = 85,
				["Ebon Watch"] = 131,
				["Westguard Keep"] = 307,
				["K3"] = 88,
				["Dalaran"] = 159,
				["Zim'Torga"] = 89,
				["Bouldercrag's Refuge"] = 133,
				["Wyrmrest Temple"] = 222,
				["The Argent Vanguard"] = 165,
				["Moa'ki"] = 275,
				["Crusaders' Pinnacle"] = 190,
				["Unu'pe"] = 384,
				["Valiance Landing Camp"] = 264,
			},
			["Theramore"] = {
				["Tower of Estulan"] = 260,
				["Schnottz's Landing"] = 506,
				["Mudsprocket"] = 63,
				["Nordrassil"] = 730,
				["Karnum's Glade"] = 355,
				["Thunk's Abode"] = 337,
				["Ramkahen"] = 325,
				["Nijel's Point"] = 331,
				["Gates of Sothann"] = 521,
				["Gadgetzan"] = 147,
				["Northwatch Expedition Base Camp"] = 240,
				["Fort Triumph"] = 129,
				["Mossy Pile"] = 257,
				["Astranaar"] = 368,
				["Feathermoon"] = 70,
				["Darnassus"] = 660,
				["Honor's Stand"] = 183,
				["Ethel Rethor"] = 354,
				["Marshal's Stand"] = 248,
				["Grove of Aessina"] = 622,
				["Fizzle & Pozzik's Speedbarge"] = 123,
				["Stardust Spire"] = 294,
				["Everlook"] = 412,
				["Cenarion Hold"] = 339,
				["Northwatch Hold"] = 81,
				["Rut'theran Village"] = 251,
				["Shrine of Aviana"] = 587,
				["Blackfathom Camp"] = 361,
				["Thargad's Camp"] = 387,
				["Emerald Sanctuary"] = 391,
				["Lor'danel"] = 499,
				["Dreamer's Rest"] = 339,
				["Forest Song"] = 260,
				["Shadebough"] = 201,
				["Oasis of Vir'sar"] = 401,
				["Thal'darah Overlook"] = 352,
				["Gunstan's Dig"] = 241,
				["Bootlegger Outpost"] = 172,
				["Ratchet"] = 114,
			},
			["Shado-Pan Fallback"] = {
				["Winter's Blossom"] = 56,
				["The Incursion"] = 195,
				["Tavern in the Mists"] = 107,
				["Rensai's Watchpost"] = 87,
				["Gao-Ran Battlefront"] = 38,
				["Longying Outpost"] = 53,
				["Binan Village"] = 70,
				["Kota Basecamp"] = 30,
				["Westwind Rest"] = 26,
				["Shado-Pan Garrison"] = 109,
				["Temple of the White Tiger"] = 88,
			},
			["The Sunset Brewgarden"] = {
				["Shrine of Seven Stars"] = 117,
				["Kota Basecamp"] = 99,
				["Gao-Ran Battlefront"] = 34,
				["Shado-Pan Garrison"] = 131,
				["Serpent's Spine"] = 52,
				["Klaxxi'vess"] = 32,
				["The Briny Muck"] = 92,
			},
			["The Argent Stand"] = {
				["Transitus Shield"] = 414,
				["Light's Breach"] = 24,
				["The Argent Vanguard"] = 140,
				["Argent Tournament Grounds"] = 233,
				["Dalaran"] = 120,
				["Westfall Brigade"] = 71,
				["Valgarde Port"] = 230,
				["Frosthold"] = 136,
				["The Shadow Vault"] = 287,
				["Fizzcrank Airstrip"] = 334,
				["Fordragon Hold"] = 164,
				["Westguard Keep"] = 190,
				["Zim'Torga"] = 42,
				["Kamagua"] = 240,
				["Crusaders' Pinnacle"] = 146,
				["K3"] = 93,
				["Ebon Watch"] = 53,
				["Wyrmrest Temple"] = 144,
				["Amberpine Lodge"] = 107,
				["Fort Wildervar"] = 156,
				["Valiance Landing Camp"] = 230,
				["Moa'ki"] = 196,
				["Wintergarde Keep"] = 106,
			},
			["Nesingwary"] = {
				["Azurewing Repose"] = 112,
				["The Witchwood"] = 24,
				["Prepfoot"] = 67,
				["Thunder Totem"] = 22,
				["Trueshot Lodge"] = 26,
				["Felbane Camp"] = 42,
				["Stonehoof Watch"] = 41,
				["Skyhorn"] = 38,
				["Dalaran"] = 144,
				["Sylvan Falls"] = 28,
			},
			["Oasis of Vir'sar"] = {
				["Tower of Estulan"] = 325,
				["Schnottz's Landing"] = 129,
				["Thargad's Camp"] = 461,
				["Mossy Pile"] = 207,
				["Ramkahen"] = 121,
				["Cenarion Hold"] = 103,
				["Bootlegger Outpost"] = 314,
				["Theramore"] = 596,
			},
			["Sentinel Hill"] = {
				["Kharanos"] = 287,
				["Acherus: The Ebon Hold"] = 660,
				["Goldshire"] = 106,
				["Aerie Peak"] = 484,
				["Fort Livingston"] = 113,
				["Lakeshire"] = 130,
				["Refuge Pointe"] = 605,
				["Menethil Harbor"] = 358,
				["Booty Bay"] = 183,
				["Furlbrow's Pumpkin Farm"] = 32,
				["Chillwind Camp"] = 647,
				["Iron Summit"] = 234,
				["Morgan's Vigil"] = 194,
				["Thorium Point"] = 206,
				["Farstrider Lodge"] = 339,
				["Thelsamar"] = 283,
				["Nethergarde Keep"] = 182,
				["Raven Hill"] = 31,
				["Ironforge"] = 82,
				["Darkshire"] = 90,
				["Eastvale Logging Camp"] = 163,
				["Stormwind"] = 87,
				["Shalewind Canyon"] = 187,
				["Light's Hope Chapel"] = 595,
				["Moonbrook"] = 23,
				["Rebel Camp"] = 62,
				["Explorers' League Digsite"] = 153,
			},
			["Telaari Station"] = {
				["Pinchwhistle Gearworks"] = 154,
				["Southport"] = 121,
				["Throne of the Elements"] = 42,
				["Lunarfall (Alliance)"] = 142,
				["Exarch's Refuge"] = 91,
				["Joz's Rylaks"] = 29,
				["Stormshield (Alliance)"] = 209,
				["Nivek's Overlook"] = 28,
				["Zangarra"] = 116,
				["Shattrath City"] = 75,
				["The Ring of Trials"] = 31,
				["Redemption Rise"] = 95,
				["Yrel's Watch"] = 29,
			},
			["Wardens' Redoubt"] = {
				["Shackle's Den"] = 23,
				["Vengeance Point"] = 91,
				["Azurewing Repose"] = 53,
				["Challiane's Terrace"] = 75,
				["Garden of the Moon"] = 113,
				["Felblaze Ingress"] = 53,
				["Trueshot Lodge"] = 162,
				["Lorlathil"] = 92,
				["Deliverance Point"] = 107,
				["Illidari Stand"] = 35,
				["Illidari Perch"] = 41,
				["Ironhorn Enclave"] = 139,
				["Dalaran"] = 77,
				["Bradensbrook"] = 118,
				["Watchers' Aerie"] = 18,
				["The Witchwood"] = 174,
			},
			["Eastern Highmountain"] = {
				["Trueshot Lodge"] = 54,
				["The Dreamgrove"] = 88,
			},
			["Path of the Light"] = {
				["Lunarfall (Alliance)"] = 55,
				["The Draakorium"] = 18,
				["Twilight Glade"] = 34,
			},
			["Sentinel Basecamp"] = {
				["Stoneplow"] = 45,
				["The Incursion"] = 75,
				["Klaxxi'vess"] = 74,
				["Shrine of Seven Stars"] = 135,
				["Halfhill"] = 68,
				["Paw'Don Village"] = 145,
				["Marista"] = 93,
				["Westwind Rest"] = 196,
				["Cradle of Chi-Ji"] = 38,
				["Zhu's Watch"] = 106,
				["Lion's Landing"] = 126,
				["Jade Temple Grounds"] = 203,
			},
			["The Harborage"] = {
				["Dragon's Mouth"] = 151,
				["Morgan's Vigil"] = 102,
				["Nethergarde Keep"] = 79,
				["Iron Summit"] = 215,
				["Stormwind"] = 160,
				["Refuge Pointe"] = 403,
				["Sentinel Hill"] = 182,
				["Marshtide Watch"] = 38,
				["Lakeshire"] = 46,
				["Darkshire"] = 107,
				["Bogpaddle"] = 65,
			},
			["Mirkfallon Post"] = {
				["Honor's Stand"] = 134,
				["Farwatcher's Glen"] = 52,
				["Ratchet"] = 219,
				["Blackfathom Camp"] = 165,
				["Forest Song"] = 253,
				["Windshear Hold"] = 29,
				["Ethel Rethor"] = 138,
				["Thal'darah Overlook"] = 38,
				["Astranaar"] = 122,
				["Nijel's Point"] = 91,
			},
			["Tranquil Wash"] = {
				["Voldrin's Hold"] = 60,
				["Sandy Beach"] = 98,
				["Darkbreak Cove"] = 68,
				["Silver Tide Hollow"] = 35,
				["Smuggler's Scar"] = 113,
			},
			["Terokkar Refuge"] = {
				["Fort Wrynn (Alliance)"] = 60,
				["Anchorite's Sojourn"] = 35,
				["Exarch's Refuge"] = 34,
				["Redemption Rise"] = 35,
				["Zangarra"] = 18,
				["Lunarfall (Alliance)"] = 72,
				["Everbloom Wilds"] = 158,
				["Bastion Rise"] = 65,
				["Retribution Point"] = 56,
				["Wildwood Wash"] = 163,
			},
			["Blood Watch"] = {
				["Azure Watch"] = 108,
				["Rut'theran Village"] = 168,
				["The Exodar"] = 76,
				["Dolanaar"] = 341,
				["Lor'danel"] = 228,
				["Nijel's Point"] = 578,
				["Darnassus"] = 281,
			},
			["Dawn's Blossom"] = {
				["Emperor's Omen"] = 40,
				["Pang's Stead"] = 76,
				["Jade Temple Grounds"] = 35,
				["Grassy Cline"] = 100,
				["Zhu's Watch"] = 111,
				["The Briny Muck"] = 346,
				["Tushui Landing"] = 142,
				["The Arboretum"] = 28,
				["Sri-La Village"] = 74,
				["Halfhill"] = 126,
				["Paw'Don Village"] = 78,
				["Shrine of Seven Stars"] = 178,
				["Longying Outpost"] = 270,
				["Shado-Pan Garrison"] = 324,
				["Tian Monastery"] = 50,
				["Pearlfin Village"] = 70,
				["Serpent's Overlook"] = 38,
			},
			["Pang's Stead"] = {
				["Stoneplow"] = 127,
				["Dawn's Blossom"] = 56,
				["Tavern in the Mists"] = 29,
				["Tian Monastery"] = 104,
				["Binan Village"] = 66,
				["Halfhill"] = 56,
				["Paw'Don Village"] = 132,
				["Shrine of Seven Stars"] = 87,
				["Shado-Pan Garrison"] = 249,
				["Grassy Cline"] = 26,
				["Zhu's Watch"] = 36,
				["The Arboretum"] = 103,
				["Tushui Landing"] = 197,
			},
			["Marista"] = {
				["Stoneplow"] = 138,
				["The Incursion"] = 63,
				["Sentinel Basecamp"] = 85,
				["Cradle of Chi-Ji"] = 51,
			},
			["Meredil"] = {
				["Shackle's Den"] = 72,
				["Crimson Thicket"] = 49,
				["Shipwreck Cove"] = 148,
				["Bradensbrook"] = 96,
				["Lorna's Watch"] = 57,
				["Felblaze Ingress"] = 45,
				["Trueshot Lodge"] = 98,
				["Lorlathil"] = 76,
				["Illidari Stand"] = 72,
				["Ironhorn Enclave"] = 64,
				["Garden of the Moon"] = 78,
				["Hafr Fjall"] = 71,
				["Obsidian Overlook"] = 51,
				["Dalaran"] = 69,
				["Watchers' Aerie"] = 96,
				["Irongrove Retreat"] = 25,
				["Greywatch"] = 107,
				["Sylvan Falls"] = 75,
				["Azurewing Repose"] = 58,
				["The Witchwood"] = 111,
				["Prepfoot"] = 136,
				["Starsong Refuge"] = 71,
				["Deliverance Point"] = 104,
				["Stormtorn Foothills"] = 115,
				["Nesingwary"] = 94,
				["Stonehoof Watch"] = 90,
				["Thunder Totem"] = 95,
				["Challiane's Terrace"] = 67,
				["Skyhorn"] = 112,
				["Wardens' Redoubt"] = 88,
				["Valdisdall"] = 93,
				["Skyfire Triage Camp"] = 76,
			},
			["One Keg"] = {
				["Halfhill"] = 197,
				["Winter's Blossom"] = 99,
				["Kota Basecamp"] = 52,
				["Westwind Rest"] = 56,
				["Zouchin Village"] = 73,
				["Temple of the White Tiger"] = 24,
				["Binan Village"] = 67,
				["Beeble's Wreck"] = 106,
			},
			["Crusaders' Pinnacle"] = {
				["Death's Rise"] = 168,
				["Windrunner's Overlook"] = 104,
				["Ulduar"] = 169,
				["Ebon Watch"] = 130,
				["The Argent Vanguard"] = 33,
				["Gundrak"] = 287,
				["Argent Tournament Grounds"] = 97,
				["Dalaran"] = 71,
				["Unu'pe"] = 285,
				["Frosthold"] = 72,
				["The Shadow Vault"] = 123,
				["K3"] = 109,
				["The Argent Stand"] = 194,
				["River's Heart"] = 243,
				["Wyrmrest Temple"] = 174,
				["Bouldercrag's Refuge"] = 136,
				["Westfall Brigade"] = 264,
				["Valiance Landing Camp"] = 107,
				["Moa'ki"] = 211,
				["Wintergarde Keep"] = 179,
			},
			["Zhu's Watch"] = {
				["Stoneplow"] = 93,
				["Dawn's Blossom"] = 89,
				["Sri-La Village"] = 184,
				["Klaxxi'vess"] = 154,
				["Pang's Stead"] = 34,
				["Halfhill"] = 46,
				["Paw'Don Village"] = 40,
				["Shrine of Seven Stars"] = 119,
				["Binan Village"] = 89,
				["The Incursion"] = 83,
				["Lion's Landing"] = 76,
				["Soggy's Gamble"] = 200,
				["Tian Monastery"] = 137,
			},
			["Cosmowrench"] = {
				["Evergrove"] = 145,
				["Shatter Point"] = 451,
				["Shattrath"] = 326,
				["Sylvanaar"] = 192,
				["Area 52"] = 64,
				["Telredor"] = 229,
				["Allerian Stronghold"] = 401,
				["Orebor Harborage"] = 291,
				["The Stormspire"] = 61,
				["Altar of Sha'tar"] = 559,
			},
			["Unu'pe"] = {
				["Death's Rise"] = 227,
				["Transitus Shield"] = 158,
				["Stars' Rest"] = 97,
				["Fizzcrank Airstrip"] = 79,
				["Zim'Torga"] = 364,
				["Valgarde Port"] = 382,
				["Frosthold"] = 301,
				["Wintergarde Keep"] = 202,
				["Moa'ki"] = 118,
				["Amber Ledge"] = 122,
				["Kamagua"] = 301,
				["Valiance Keep"] = 60,
				["K3"] = 284,
				["River's Heart"] = 142,
				["Wyrmrest Temple"] = 164,
				["Amberpine Lodge"] = 273,
				["Dalaran"] = 240,
				["Valiance Landing Camp"] = 160,
				["Fordragon Hold"] = 176,
			},
			["Valgarde Port"] = {
				["Windrunner's Overlook"] = 282,
				["Ebon Watch"] = 249,
				["Light's Breach"] = 210,
				["The Argent Vanguard"] = 336,
				["Gundrak"] = 294,
				["Stars' Rest"] = 329,
				["Wintergarde Keep"] = 220,
				["Moa'ki"] = 291,
				["Dalaran"] = 281,
				["River's Heart"] = 482,
				["Bouldercrag's Refuge"] = 537,
				["Westfall Brigade"] = 168,
				["Unu'pe"] = 425,
				["Transitus Shield"] = 534,
				["Zim'Torga"] = 240,
				["Westguard Keep"] = 69,
				["Amber Ledge"] = 497,
				["K3"] = 289,
				["Valiance Keep"] = 455,
				["The Argent Stand"] = 249,
				["Kamagua"] = 96,
				["Wyrmrest Temple"] = 267,
				["Amberpine Lodge"] = 144,
				["Fort Wildervar"] = 71,
				["Valiance Landing Camp"] = 369,
				["Fordragon Hold"] = 310,
			},
			["Eye of Azshara"] = {
				["Trueshot Lodge"] = 203,
				["Dalaran"] = 69,
			},
			["The Ring of Trials"] = {
				["Bloodmaul Slag Mines"] = 123,
				["Southport"] = 123,
				["Throne of the Elements"] = 28,
				["Iron Siegeworks"] = 119,
				["Telaari Station"] = 36,
				["Lunarfall (Alliance)"] = 117,
				["Joz's Rylaks"] = 37,
				["Stormshield (Alliance)"] = 193,
				["Apexis Excavation"] = 91,
				["Zangarra"] = 98,
				["Nivek's Overlook"] = 50,
				["Yrel's Watch"] = 37,
				["Shattrath City"] = 58,
				["Retribution Point"] = 59,
				["Anchorite's Sojourn"] = 94,
			},
			["Marshal's Stand"] = {
				["Tower of Estulan"] = 266,
				["Mudsprocket"] = 211,
				["Theramore"] = 243,
				["Fizzle & Pozzik's Speedbarge"] = 139,
				["Ramkahen"] = 261,
				["Everlook"] = 849,
				["Rut'theran Village"] = 778,
				["Lor'danel"] = 732,
				["Gadgetzan"] = 90,
				["Astranaar"] = 524,
				["Fort Triumph"] = 275,
				["Bootlegger Outpost"] = 143,
				["Gunstan's Dig"] = 179,
				["Dreamer's Rest"] = 291,
				["Mossy Pile"] = 37,
				["Talonbranch Glade"] = 776,
				["Cenarion Hold"] = 121,
				["Feathermoon"] = 236,
				["Ratchet"] = 338,
			},
			["Trueshot Lodge"] = {
				["Shackle's Den"] = 129,
				["Lorna's Watch"] = 88,
				["Felblaze Ingress"] = 101,
				["Shield's Rest"] = 132,
				["Meredil"] = 80,
				["Hafr Fjall"] = 122,
				["Watchers' Aerie"] = 152,
				["Irongrove Retreat"] = 64,
				["Greywatch"] = 124,
				["Challiane's Terrace"] = 112,
				["Prepfoot"] = 56,
				["Starsong Refuge"] = 61,
				["Obsidian Overlook"] = 59,
				["Sylvan Falls"] = 29,
				["Illidari Stand"] = 125,
				["Skyfire Triage Camp"] = 78,
				["Nastrondir"] = 85,
				["Shipwreck Cove"] = 56,
				["Faronaar"] = 153,
				["Lorlathil"] = 95,
				["Eastern Suramar"] = 162,
				["Felbane Camp"] = 32,
				["Bradensbrook"] = 98,
				["Ironhorn Enclave"] = 69,
				["Western Suramar"] = 216,
				["The Witchwood"] = 20,
				["Vengeance Point"] = 144,
				["Azurewing Repose"] = 111,
				["Valdisdall"] = 105,
				["Nesingwary"] = 24,
				["Thunder Totem"] = 34,
				["Gloaming Reef"] = 120,
				["Stormtorn Foothills"] = 97,
				["Deliverance Point"] = 174,
				["Stonehoof Watch"] = 53,
				["Illidari Perch"] = 140,
				["Dalaran"] = 20,
				["Skyhorn"] = 39,
				["Wardens' Redoubt"] = 146,
				["Eastern Highmountain"] = 54,
				["The Dreamgrove"] = 49,
			},
			["Tranquil Court"] = {
				["Lunarfall (Alliance)"] = 75,
				["Wildwood Wash"] = 216,
				["Darktide Roost"] = 58,
				["The Draakorium"] = 27,
				["Terokkar Refuge"] = 100,
			},
			["Starsong Refuge"] = {
				["Trueshot Lodge"] = 72,
				["Lorlathil"] = 55,
				["Hafr Fjall"] = 125,
				["Bradensbrook"] = 57,
				["Watchers' Aerie"] = 136,
				["Irongrove Retreat"] = 48,
				["Azurewing Repose"] = 107,
				["Valdisdall"] = 143,
				["Garden of the Moon"] = 38,
				["Thunder Totem"] = 72,
				["Gloaming Reef"] = 79,
				["Obsidian Overlook"] = 56,
				["Stonehoof Watch"] = 92,
				["Illidari Perch"] = 120,
				["Dalaran"] = 129,
				["Challiane's Terrace"] = 92,
				["Ironhorn Enclave"] = 84,
				["Sylvan Falls"] = 49,
			},
			["Fort Triumph"] = {
				["Tower of Estulan"] = 268,
				["Mudsprocket"] = 66,
				["Honor's Stand"] = 103,
				["Theramore"] = 118,
				["Fizzle & Pozzik's Speedbarge"] = 126,
				["Nijel's Point"] = 227,
				["Gadgetzan"] = 169,
				["Northwatch Expedition Base Camp"] = 161,
				["Emerald Sanctuary"] = 332,
				["Ratchet"] = 121,
				["Forest Song"] = 560,
				["Shadebough"] = 209,
				["Windshear Hold"] = 221,
				["Dreamer's Rest"] = 347,
				["Northwatch Hold"] = 76,
				["Astranaar"] = 254,
				["Feathermoon"] = 292,
				["Thargad's Camp"] = 307,
			},
			["Longying Outpost"] = {
				["Winter's Blossom"] = 34,
				["Zouchin Village"] = 158,
				["Rensai's Watchpost"] = 49,
				["Gao-Ran Battlefront"] = 40,
				["Halfhill"] = 281,
				["Binan Village"] = 66,
				["Shrine of Seven Stars"] = 129,
				["Cradle of Chi-Ji"] = 205,
				["Soggy's Gamble"] = 187,
				["Shado-Pan Fallback"] = 41,
			},
			["Feathermoon"] = {
				["Tower of Estulan"] = 31,
				["Schnottz's Landing"] = 264,
				["Mudsprocket"] = 221,
				["Farwatcher's Glen"] = 204,
				["Ratchet"] = 407,
				["Ramkahen"] = 260,
				["Everlook"] = 788,
				["Rut'theran Village"] = 552,
				["Lor'danel"] = 494,
				["Gadgetzan"] = 325,
				["Nijel's Point"] = 226,
				["Karnum's Glade"] = 178,
				["Astranaar"] = 500,
				["Fort Triumph"] = 425,
				["Thargad's Camp"] = 147,
				["Shadebough"] = 92,
				["Dreamer's Rest"] = 55,
				["Mossy Pile"] = 186,
				["Talonbranch Glade"] = 657,
				["Cenarion Hold"] = 117,
				["Theramore"] = 293,
			},
			["Ethel Rethor"] = {
				["Thargad's Camp"] = 51,
				["Honor's Stand"] = 196,
				["Karnum's Glade"] = 39,
				["Blackfathom Camp"] = 261,
				["Thunk's Abode"] = 52,
				["Mossy Pile"] = 346,
				["Thal'darah Overlook"] = 159,
				["Astranaar"] = 209,
				["Feathermoon"] = 160,
				["Nijel's Point"] = 66,
			},
			["Nivek's Overlook"] = {
				["Telaari Station"] = 32,
				["The Ring of Trials"] = 54,
				["Lunarfall (Alliance)"] = 159,
				["Throne of the Elements"] = 58,
			},
			["Fort Wildervar"] = {
				["Frosthold"] = 284,
				["Windrunner's Overlook"] = 235,
				["Valgarde Port"] = 74,
				["Zim'Torga"] = 169,
				["Westguard Keep"] = 80,
				["Kamagua"] = 130,
				["K3"] = 241,
				["Light's Breach"] = 162,
				["The Argent Stand"] = 179,
				["Westfall Brigade"] = 97,
				["Valiance Keep"] = 412,
				["Amberpine Lodge"] = 97,
				["Argent Tournament Grounds"] = 380,
				["Dalaran"] = 214,
				["River's Heart"] = 463,
				["Wintergarde Keep"] = 178,
			},
			["The Arboretum"] = {
				["Jade Temple Grounds"] = 31,
				["Sri-La Village"] = 50,
				["Dawn's Blossom"] = 27,
				["Tavern in the Mists"] = 103,
				["Zouchin Village"] = 268,
				["Emperor's Omen"] = 65,
				["Gao-Ran Battlefront"] = 279,
				["Pearlfin Village"] = 66,
				["Halfhill"] = 152,
				["Paw'Don Village"] = 84,
				["Shrine of Seven Stars"] = 187,
				["Westwind Rest"] = 218,
				["Shado-Pan Garrison"] = 94,
				["Zhu's Watch"] = 165,
				["Tian Monastery"] = 75,
				["Tushui Landing"] = 167,
			},
			["Deeproot"] = {
				["Throne of the Elements"] = 114,
				["Highpass"] = 33,
				["Everbloom Overlook"] = 75,
				["Breaker's Crown"] = 31,
				["Bastion Rise"] = 24,
				["Skysea Ridge"] = 60,
				["Wildwood Wash"] = 52,
				["Everbloom Wilds"] = 48,
				["Telaari Station"] = 149,
				["Iron Siegeworks"] = 35,
			},
			["Ironforge"] = {
				["Eastwall Tower"] = 366,
				["Light's Hope Chapel"] = 348,
				["Thundermar"] = 267,
				["Light's Shield Tower"] = 379,
				["Explorers' League Digsite"] = 375,
				["Marshtide Watch"] = 257,
				["Dun Modr"] = 191,
				["Chillwind Camp"] = 261,
				["Farstrider Lodge"] = 147,
				["Highbank"] = 282,
				["Thelsamar"] = 81,
				["Whelgar's Retreat"] = 163,
				["Vermillion Redoubt"] = 228,
				["Eastvale Logging Camp"] = 288,
				["Andorhal"] = 250,
				["Goldshire"] = 181,
				["Crown Guard Tower"] = 359,
				["Stormfeather Outpost"] = 287,
				["Dustwind Dig"] = 147,
				["Thorium Point"] = 79,
				["The Menders' Stead"] = 297,
				["Slabchisel's Survey"] = 161,
				["Refuge Pointe"] = 203,
				["Fuselight"] = 175,
				["Northpass Tower"] = 352,
				["Greenwarden's Grove"] = 192,
				["Aerie Peak"] = 240,
				["Flamestar Post"] = 149,
				["Lakeshire"] = 81,
				["High Bank"] = 281,
				["Menethil Harbor"] = 91,
				["Booty Bay"] = 314,
				["Morgan's Vigil"] = 166,
				["Chiselgrip"] = 184,
				["Sandy Beach"] = 187,
				["Thondroril River"] = 315,
				["Shattered Sun Staging Area"] = 21,
				["The Harborage"] = 267,
				["Darkshire"] = 259,
				["Nethergarde Keep"] = 299,
				["Kharanos"] = 45,
				["Dragon's Mouth"] = 182,
				["Gol'Bolar Quarry"] = 56,
				["Hearthglen"] = 340,
				["Stormwind"] = 211,
				["Acherus: The Ebon Hold"] = 415,
				["Sentinel Hill"] = 259,
				["Plaguewood Tower"] = 401,
				["Rebel Camp"] = 228,
				["Iron Summit"] = 103,
				["Zul'Aman"] = 447,
			},
			["The Argent Vanguard"] = {
				["Death's Rise"] = 195,
				["Windrunner's Overlook"] = 72,
				["Ebon Watch"] = 132,
				["Light's Breach"] = 142,
				["Dun Niffelem"] = 177,
				["Gundrak"] = 255,
				["Stars' Rest"] = 194,
				["Nesingwary Base Camp"] = 267,
				["Argent Tournament Grounds"] = 124,
				["Dalaran"] = 32,
				["Westfall Brigade"] = 232,
				["Valgarde Port"] = 295,
				["Frosthold"] = 40,
				["The Shadow Vault"] = 148,
				["Wintergarde Keep"] = 147,
				["Crusaders' Pinnacle"] = 28,
				["Westguard Keep"] = 268,
				["Amber Ledge"] = 1160,
				["K3"] = 88,
				["Transitus Shield"] = 373,
				["The Argent Stand"] = 161,
				["Bouldercrag's Refuge"] = 105,
				["Wyrmrest Temple"] = 142,
				["Unu'pe"] = 290,
				["River's Heart"] = 232,
				["Valiance Landing Camp"] = 134,
				["Fordragon Hold"] = 122,
			},
			["Windrunner's Overlook"] = {
				["Ebon Watch"] = 46,
				["The Argent Vanguard"] = 70,
				["Stars' Rest"] = 185,
				["Argent Tournament Grounds"] = 161,
				["Dalaran"] = 48,
				["Westfall Brigade"] = 181,
				["Valgarde Port"] = 265,
				["Westguard Keep"] = 196,
				["Kamagua"] = 253,
				["The Argent Stand"] = 110,
				["Wintergarde Keep"] = 76,
				["Valiance Keep"] = 312,
				["Amberpine Lodge"] = 147,
				["Fort Wildervar"] = 265,
				["K3"] = 47,
				["Fordragon Hold"] = 157,
			},
			["Highbank"] = {
				["Victor's Point"] = 91,
				["Thelsamar"] = 171,
				["Kirthaven"] = 93,
				["Thundermar"] = 106,
				["Zul'Aman"] = 553,
				["Firebeard's Patrol"] = 50,
			},
			["Acherus: The Ebon Hold"] = {
				["Shackle's Den"] = 127,
				["Light's Hope Chapel"] = 49,
				["Lorna's Watch"] = 108,
				["Shield's Rest"] = 152,
				["Meredil"] = 116,
				["Hafr Fjall"] = 75,
				["Chillwind Camp"] = 192,
				["Irongrove Retreat"] = 130,
				["Zul'Aman"] = 151,
				["Thelsamar"] = 450,
				["Starsong Refuge"] = 170,
				["Felbane Camp"] = 194,
				["Illidari Stand"] = 151,
				["Skyfire Triage Camp"] = 119,
				["Shipwreck Cove"] = 212,
				["Refuge Pointe"] = 280,
				["Thorium Point"] = 462,
				["Watchers' Aerie"] = 141,
				["Aerie Peak"] = 210,
				["Morgan's Vigil"] = 546,
				["Lakeshire"] = 578,
				["Ironforge"] = 413,
				["Menethil Harbor"] = 380,
				["Booty Bay"] = 759,
				["Bradensbrook"] = 200,
				["Ironhorn Enclave"] = 146,
				["Goldshire"] = 618,
				["Aalgen Point"] = 37,
				["Vengeance Point"] = 59,
				["Azurewing Repose"] = 144,
				["Darkshire"] = 637,
				["Nethergarde Keep"] = 606,
				["Thunder Totem"] = 165,
				["Valdisdall"] = 104,
				["Stormtorn Foothills"] = 121,
				["Deliverance Point"] = 61,
				["Stormwind"] = 580,
				["Illidari Perch"] = 167,
				["Sentinel Hill"] = 637,
				["Skyhorn"] = 167,
				["Wardens' Redoubt"] = 145,
				["Lorlathil"] = 182,
			},
			["Thorim's Peak"] = {
				["Nastrondir"] = 54,
				["Faronaar"] = 209,
			},
			["Goldshire"] = {
				["Camp Everstill"] = 118,
				["Dragon's Mouth"] = 201,
				["Dustwind Dig"] = 339,
				["Explorers' League Digsite"] = 203,
				["Lakeshire"] = 97,
				["Booty Bay"] = 218,
				["Furlbrow's Pumpkin Farm"] = 69,
				["Refuge Pointe"] = 406,
				["The Harborage"] = 115,
				["Darkshire"] = 68,
				["Thelsamar"] = 293,
				["Gol'Bolar Quarry"] = 243,
				["Chiselgrip"] = 189,
				["Andorhal"] = 473,
				["Eastvale Logging Camp"] = 56,
				["Stormwind"] = 25,
				["Morgan's Vigil"] = 152,
				["Sentinel Hill"] = 92,
				["Moonbrook"] = 116,
				["Rebel Camp"] = 111,
				["Kharanos"] = 233,
				["Ironforge"] = 235,
			},
			["Ebon Watch"] = {
				["Windrunner's Overlook"] = 34,
				["Light's Breach"] = 45,
				["Dun Niffelem"] = 141,
				["Gundrak"] = 158,
				["Argent Tournament Grounds"] = 180,
				["Crusaders' Pinnacle"] = 94,
				["Zim'Torga"] = 104,
				["Valgarde Port"] = 251,
				["Westguard Keep"] = 182,
				["Dalaran"] = 67,
				["K3"] = 41,
				["Fordragon Hold"] = 112,
				["The Argent Stand"] = 63,
				["The Argent Vanguard"] = 89,
				["Wyrmrest Temple"] = 91,
				["Westfall Brigade"] = 135,
				["Fort Wildervar"] = 220,
				["Kamagua"] = 239,
				["Moa'ki"] = 144,
				["Wintergarde Keep"] = 62,
			},
			["Elodor (Alliance)"] = {
				["Bloodmaul Slag Mines"] = 217,
				["Tranquil Court"] = 34,
				["Stormshield (Alliance)"] = 75,
				["The Ring of Trials"] = 153,
				["Embaari Village"] = 26,
				["Twilight Glade"] = 38,
				["Darktide Roost"] = 62,
				["Lunarfall (Alliance)"] = 52,
				["Exile's Rise"] = 29,
				["Akeeta's Hovel"] = 57,
			},
			["Thorium Point"] = {
				["Dragon's Mouth"] = 137,
				["Light's Hope Chapel"] = 449,
				["Aerie Peak"] = 398,
				["Lakeshire"] = 123,
				["Booty Bay"] = 313,
				["Menethil Harbor"] = 160,
				["Ironforge"] = 89,
				["Dun Modr"] = 206,
				["Chillwind Camp"] = 302,
				["Iron Summit"] = 24,
				["Dustwind Dig"] = 134,
				["Acherus: The Ebon Hold"] = 463,
				["Thelsamar"] = 88,
				["Darkshire"] = 439,
				["Nethergarde Keep"] = 35,
				["Marshtide Watch"] = 180,
				["Refuge Pointe"] = 251,
				["Chiselgrip"] = 106,
				["Stormwind"] = 126,
				["High Bank"] = 268,
				["Morgan's Vigil"] = 88,
				["Sentinel Hill"] = 192,
				["Plaguewood Tower"] = 445,
				["Flamestar Post"] = 71,
				["Farstrider Lodge"] = 134,
			},
			["Wintergarde Keep"] = {
				["Windrunner's Overlook"] = 71,
				["Ebon Watch"] = 64,
				["Light's Breach"] = 89,
				["Stars' Rest"] = 115,
				["Argent Tournament Grounds"] = 261,
				["Dalaran"] = 118,
				["Unu'pe"] = 211,
				["Valgarde Port"] = 195,
				["Westfall Brigade"] = 158,
				["Moa'ki"] = 99,
				["Westguard Keep"] = 126,
				["Fizzcrank Airstrip"] = 240,
				["Valiance Keep"] = 88,
				["Transitus Shield"] = 320,
				["The Argent Stand"] = 128,
				["Kamagua"] = 177,
				["Wyrmrest Temple"] = 54,
				["Amberpine Lodge"] = 77,
				["Fort Wildervar"] = 191,
				["Valiance Landing Camp"] = 155,
				["Fordragon Hold"] = 96,
			},
			["Stardust Spire"] = {
				["Rut'theran Village"] = 277,
				["Nijel's Point"] = 94,
				["Thargad's Camp"] = 175,
				["Astranaar"] = 39,
				["Honor's Stand"] = 102,
				["Blood Watch"] = 433,
				["Karnum's Glade"] = 143,
				["Blackfathom Camp"] = 92,
				["Forest Song"] = 173,
				["Thal'darah Overlook"] = 95,
				["Windshear Hold"] = 63,
				["Grove of the Ancients"] = 126,
				["Everlook"] = 360,
				["Ratchet"] = 190,
				["Northwatch Expedition Base Camp"] = 65,
				["Darnassus"] = 389,
			},
			["Ramkahen"] = {
				["Tower of Estulan"] = 293,
				["Schnottz's Landing"] = 94,
				["Mudsprocket"] = 285,
				["Honor's Stand"] = 453,
				["Karnum's Glade"] = 638,
				["Fizzle & Pozzik's Speedbarge"] = 215,
				["Nijel's Point"] = 456,
				["Theramore"] = 317,
				["Gadgetzan"] = 165,
				["Marshal's Stand"] = 242,
				["Cenarion Hold"] = 145,
				["Nordrassil"] = 941,
				["Oasis of Vir'sar"] = 84,
				["Fort Triumph"] = 350,
				["Emerald Sanctuary"] = 810,
				["Shadebough"] = 353,
				["Ratchet"] = 579,
				["Mossy Pile"] = 215,
				["Dreamer's Rest"] = 318,
				["Gunstan's Dig"] = 80,
				["Bootlegger Outpost"] = 130,
				["Thunk's Abode"] = 468,
			},
			["Booty Bay"] = {
				["Kargath"] = 395,
				["Refuge Pointe"] = 560,
				["Goldshire"] = 221,
				["Aerie Peak"] = 597,
				["Fort Livingston"] = 92,
				["Lakeshire"] = 212,
				["Explorers' League Digsite"] = 49,
				["Menethil Harbor"] = 471,
				["Raven Hill"] = 154,
				["Acherus: The Ebon Hold"] = 774,
				["Chillwind Camp"] = 615,
				["Ironforge"] = 323,
				["Thorium Point"] = 481,
				["The Harborage"] = 262,
				["Zul'Aman"] = 810,
				["Thelsamar"] = 587,
				["Nethergarde Keep"] = 252,
				["Darkshire"] = 168,
				["Surwich"] = 144,
				["Stormwind"] = 199,
				["Light's Hope Chapel"] = 773,
				["Sentinel Hill"] = 148,
				["Moonbrook"] = 175,
				["Rebel Camp"] = 118,
				["Morgan's Vigil"] = 272,
			},
			["Dreamer's Rest"] = {
				["Tower of Estulan"] = 85,
				["Mudsprocket"] = 276,
				["Theramore"] = 328,
				["Thunk's Abode"] = 150,
				["Rut'theran Village"] = 537,
				["Thargad's Camp"] = 67,
				["Karnum's Glade"] = 123,
				["Mossy Pile"] = 241,
				["Cenarion Hold"] = 172,
				["Emerald Sanctuary"] = 390,
				["Shadebough"] = 144,
				["Oasis of Vir'sar"] = 233,
				["Ethel Rethor"] = 129,
				["Astranaar"] = 309,
				["Gunstan's Dig"] = 315,
				["Feathermoon"] = 55,
				["Nijel's Point"] = 169,
			},
			["Westfall Brigade"] = {
				["Death's Rise"] = 394,
				["Light's Breach"] = 144,
				["Dun Niffelem"] = 157,
				["Gundrak"] = 126,
				["Argent Tournament Grounds"] = 313,
				["Fizzcrank Airstrip"] = 392,
				["Zim'Torga"] = 73,
				["Valgarde Port"] = 158,
				["The Shadow Vault"] = 350,
				["Crusaders' Pinnacle"] = 226,
				["Westguard Keep"] = 161,
				["Dalaran"] = 200,
				["Kamagua"] = 211,
				["Valiance Keep"] = 394,
				["The Argent Stand"] = 82,
				["The Argent Vanguard"] = 222,
				["Wyrmrest Temple"] = 207,
				["Amberpine Lodge"] = 78,
				["Fort Wildervar"] = 86,
				["Valiance Landing Camp"] = 304,
				["Moa'ki"] = 251,
				["Wintergarde Keep"] = 159,
			},
			["Tushui Landing"] = {
				["The Arboretum"] = 168,
				["Tavern in the Mists"] = 243,
				["Serpent's Overlook"] = 179,
				["Halfhill"] = 268,
				["Binan Village"] = 281,
				["Jade Temple Grounds"] = 176,
				["Shrine of Seven Stars"] = 303,
				["Cradle of Chi-Ji"] = 345,
				["Temple of the White Tiger"] = 345,
				["Shado-Pan Garrison"] = 463,
				["Tian Monastery"] = 191,
			},
			["Thondroril River"] = {
				["The Menders' Stead"] = 39,
				["Light's Hope Chapel"] = 101,
				["Northpass Tower"] = 105,
				["Light's Shield Tower"] = 80,
				["Refuge Pointe"] = 195,
				["Gol'Bolar Quarry"] = 329,
				["Ironforge"] = 311,
				["Crown Guard Tower"] = 45,
				["Chillwind Camp"] = 58,
				["Andorhal"] = 80,
			},
			["Vengeance Point"] = {
				["Shackle's Den"] = 83,
				["Aalgen Point"] = 30,
				["Trueshot Lodge"] = 159,
				["Lorlathil"] = 138,
				["Deliverance Point"] = 41,
				["Meredil"] = 72,
				["Hafr Fjall"] = 68,
				["Dalaran"] = 50,
				["Crimson Thicket"] = 76,
				["Bradensbrook"] = 156,
			},
			["Shattrath"] = {
				["Evergrove"] = 205,
				["Temple of Telhamat"] = 165,
				["Area 52"] = 236,
				["Telredor"] = 84,
				["Hellfire Peninsula"] = 51,
				["Telaar"] = 71,
				["Toshley's Station"] = 123,
				["Orebor Harborage"] = 139,
				["The Stormspire"] = 284,
				["Shatter Point"] = 165,
				["Sylvanaar"] = 175,
				["Altar of Sha'tar"] = 234,
				["Allerian Stronghold"] = 75,
				["Wildhammer Stronghold"] = 153,
				["Cosmowrench"] = 301,
				["Honor Hold"] = 111,
				["Sanctum of the Stars"] = 195,
			},
			["The Exodar"] = {
				["Tower of Estulan"] = 688,
				["Lor'danel"] = 162,
				["Gadgetzan"] = 746,
				["Blood Watch"] = 77,
				["Azure Watch"] = 39,
				["Rut'theran Village"] = 99,
				["Farwatcher's Glen"] = 477,
				["Astranaar"] = 335,
				["Everlook"] = 359,
				["Bootlegger Outpost"] = 800,
				["Darnassus"] = 211,
			},
			["Illidari Camp"] = {
				["Meredil"] = 72,
			},
			["Hellfire Peninsula"] = {
				["Evergrove"] = 317,
				["Shatter Point"] = 28,
				["Shattrath"] = 191,
				["Sylvanaar"] = 287,
				["Temple of Telhamat"] = 115,
				["Area 52"] = 348,
				["Telredor"] = 196,
				["Allerian Stronghold"] = 188,
				["Honor Hold"] = 69,
				["Telaar"] = 277,
				["Wildhammer Stronghold"] = 267,
				["Toshley's Station"] = 265,
				["Orebor Harborage"] = 259,
				["The Stormspire"] = 396,
				["Altar of Sha'tar"] = 348,
			},
			["Vault of the Earth"] = {
				["Lion's Watch"] = 28,
				["Sha'naari Refuge"] = 27,
				["The Iron Front"] = 55,
				["Malo's Lookout"] = 29,
				["Lunarfall (Alliance)"] = 48,
			},
			["Dun Nifflelem"] = {
				["Frosthold"] = 131,
				["Transitus Shield"] = 492,
				["K3"] = 88,
				["Wyrmrest Temple"] = 222,
				["Bouldercrag's Refuge"] = 26,
				["Argent Tournament Grounds"] = 180,
				["Dalaran"] = 158,
				["River's Heart"] = 476,
				["Fort Wildervar"] = 230,
			},
			["Deliverance Point"] = {
				["Felblaze Ingress"] = 88,
				["Crimson Thicket"] = 99,
				["Thunder Totem"] = 182,
				["Acherus: The Ebon Hold"] = 51,
				["Bradensbrook"] = 161,
				["Starsong Refuge"] = 157,
				["Trueshot Lodge"] = 185,
				["Lorlathil"] = 134,
				["Aalgen Point"] = 30,
				["Stonehoof Watch"] = 163,
				["Valdisdall"] = 122,
				["Hafr Fjall"] = 92,
				["Meredil"] = 101,
				["Dalaran"] = 55,
				["Watchers' Aerie"] = 97,
				["Vengeance Point"] = 30,
			},
			["Iron Docks"] = {
				["Lunarfall (Alliance)"] = 167,
				["Highpass"] = 56,
				["Zangarra"] = 134,
				["Deeproot"] = 78,
				["Breaker's Crown"] = 50,
			},
			["The Lion's Redoubt"] = {
				["Shado-Pan Fallback"] = 213,
			},
			["Greenwarden's Grove"] = {
				["Slabchisel's Survey"] = 33,
				["Refuge Pointe"] = 78,
				["Thorium Point"] = 172,
				["Aerie Peak"] = 149,
				["Menethil Harbor"] = 78,
				["Raven Hill"] = 388,
				["Dun Modr"] = 28,
				["Thelsamar"] = 91,
				["Whelgar's Retreat"] = 25,
				["Andorhal"] = 213,
				["Stormwind"] = 238,
				["Ironforge"] = 166,
				["Northpass Tower"] = 293,
				["Plaguewood Tower"] = 326,
				["Stormfeather Outpost"] = 161,
				["Kharanos"] = 187,
				["Vermillion Redoubt"] = 68,
			},
			["Darktide Roost"] = {
				["Stormshield (Alliance)"] = 114,
				["Socrethar's Rise"] = 28,
				["Lunarfall (Alliance)"] = 79,
				["Rilzit's Holdfast"] = 239,
				["Exile's Rise"] = 61,
				["Elodor (Alliance)"] = 59,
				["Deeproot"] = 170,
				["Twilight Glade"] = 54,
			},
			["Temple of the White Tiger"] = {
				["Zouchin Village"] = 40,
				["The Incursion"] = 201,
				["Tavern in the Mists"] = 113,
				["Sri-La Village"] = 245,
				["Beeble's Wreck"] = 89,
				["Klaxxi'vess"] = 189,
				["Kota Basecamp"] = 81,
				["Halfhill"] = 161,
				["Binan Village"] = 74,
				["One Keg"] = 39,
				["Westwind Rest"] = 62,
				["Shado-Pan Garrison"] = 195,
				["Shrine of Seven Stars"] = 124,
				["Cradle of Chi-Ji"] = 238,
				["Tushui Landing"] = 328,
			},
			["Talonbranch Glade"] = {
				["Moonglade"] = 67,
				["Honor's Stand"] = 348,
				["Marshal's Stand"] = 809,
				["Everlook"] = 107,
				["Whisperwind Grove"] = 52,
				["Nijel's Point"] = 473,
				["Astranaar"] = 209,
				["Gadgetzan"] = 702,
				["Theramore"] = 542,
				["Dolanaar"] = 218,
				["Thal'darah Overlook"] = 282,
				["Ratchet"] = 418,
				["Blackfathom Camp"] = 185,
				["Emerald Sanctuary"] = 129,
				["Forest Song"] = 233,
				["Grove of the Ancients"] = 120,
				["Rut'theran Village"] = 175,
				["Cenarion Hold"] = 830,
				["Feathermoon"] = 663,
				["Darnassus"] = 285,
			},
			["Caverns of Time"] = {
				["Caverns of Time"] = 59,
			},
			["Wildwood Wash"] = {
				["Stormshield (Alliance)"] = 108,
				["Bastion Rise"] = 64,
				["Lunarfall (Alliance)"] = 138,
				["Highpass"] = 34,
				["Iron Siegeworks"] = 58,
				["Skysea Ridge"] = 53,
				["Everbloom Wilds"] = 30,
				["Breaker's Crown"] = 39,
			},
			["Ulduar"] = {
				["Frosthold"] = 103,
				["The Shadow Vault"] = 162,
				["The Argent Vanguard"] = 346,
				["Dalaran"] = 167,
				["Crusaders' Pinnacle"] = 163,
				["Dun Niffelem"] = 104,
				["Gundrak"] = 207,
				["K3"] = 151,
				["Wyrmrest Temple"] = 285,
				["Dun Nifflelem"] = 104,
				["Amberpine Lodge"] = 288,
				["Argent Tournament Grounds"] = 108,
				["Valiance Landing Camp"] = 269,
				["Zim'Torga"] = 154,
				["Bouldercrag's Refuge"] = 48,
			},
			["Transitus Shield"] = {
				["Ulduar"] = 322,
				["Ebon Watch"] = 260,
				["The Argent Vanguard"] = 238,
				["Stars' Rest"] = 140,
				["Nesingwary Base Camp"] = 103,
				["Argent Tournament Grounds"] = 299,
				["Dalaran"] = 223,
				["Unu'pe"] = 95,
				["Valgarde Port"] = 348,
				["Frosthold"] = 264,
				["Westguard Keep"] = 319,
				["Amber Ledge"] = 30,
				["Valiance Keep"] = 74,
				["Wintergarde Keep"] = 221,
				["Wyrmrest Temple"] = 198,
				["Fizzcrank Airstrip"] = 52,
				["River's Heart"] = 94,
				["Kamagua"] = 295,
				["Moa'ki"] = 173,
			},
			["Highpass"] = {
				["Bloodmaul Slag Mines"] = 97,
				["Fort Wrynn (Alliance)"] = 67,
				["Rilzit's Holdfast"] = 167,
				["Breaker's Crown"] = 22,
				["Lion's Watch"] = 92,
				["Bastion Rise"] = 50,
				["Everbloom Wilds"] = 29,
				["Throne of the Elements"] = 122,
				["Lunarfall (Alliance)"] = 132,
				["Southport"] = 168,
				["Stormshield (Alliance)"] = 129,
				["Skysea Ridge"] = 42,
				["Telaari Station"] = 146,
				["Shattrath City"] = 99,
				["Wildwood Wash"] = 27,
				["Iron Docks"] = 55,
				["Deeproot"] = 32,
				["Akeeta's Hovel"] = 134,
			},
			["Emperor's Omen"] = {
				["Sri-La Village"] = 22,
				["Paw'Don Village"] = 114,
				["Dawn's Blossom"] = 38,
				["Tian Monastery"] = 22,
			},
			["Skyhorn"] = {
				["Shipwreck Cove"] = 70,
				["The Witchwood"] = 45,
				["Prepfoot"] = 37,
				["Thunder Totem"] = 29,
				["Trueshot Lodge"] = 42,
				["Obsidian Overlook"] = 68,
				["Nesingwary"] = 33,
				["Stonehoof Watch"] = 35,
				["Stormtorn Foothills"] = 78,
				["Sylvan Falls"] = 48,
				["Felbane Camp"] = 66,
				["Ironhorn Enclave"] = 57,
				["Shield's Rest"] = 100,
			},
			["Shield's Rest"] = {
				["Greywatch"] = 56,
				["Wardens' Redoubt"] = 217,
				["Valdisdall"] = 61,
				["Skyhorn"] = 97,
				["Dalaran"] = 178,
				["Prepfoot"] = 87,
				["Stormtorn Foothills"] = 62,
			},
			["Explorers' League Digsite"] = {
				["Dragon's Mouth"] = 238,
				["Dustwind Dig"] = 331,
				["Aerie Peak"] = 616,
				["Fort Livingston"] = 44,
				["Marshtide Watch"] = 268,
				["Booty Bay"] = 53,
				["Farstrider Lodge"] = 398,
				["Morgan's Vigil"] = 248,
				["Thelsamar"] = 383,
				["Nethergarde Keep"] = 230,
				["Darkshire"] = 140,
				["Rebel Camp"] = 95,
				["Gol'Bolar Quarry"] = 401,
				["Stormwind"] = 188,
				["Surwich"] = 192,
				["Lakeshire"] = 193,
				["Refuge Pointe"] = 546,
				["Chiselgrip"] = 284,
				["Stormfeather Outpost"] = 628,
				["Iron Summit"] = 337,
				["Raven Hill"] = 130,
			},
			["Beeble's Wreck"] = {
				["Tushui Landing"] = 476,
				["Zouchin Village"] = 53,
				["Shrine of Seven Stars"] = 203,
				["Westwind Rest"] = 146,
				["Shado-Pan Garrison"] = 280,
				["Kota Basecamp"] = 165,
				["One Keg"] = 115,
				["Pang's Stead"] = 226,
			},
			["Zangarra"] = {
				["Southport"] = 113,
				["Rilzit's Holdfast"] = 165,
				["Vault of the Earth"] = 53,
				["Aktar's Post"] = 38,
				["Redemption Rise"] = 48,
				["Lunarfall (Alliance)"] = 52,
				["Apexis Excavation"] = 98,
				["Veil Terokk"] = 95,
				["Throne of the Elements"] = 138,
				["Elodor (Alliance)"] = 100,
				["The Ring of Trials"] = 125,
				["Stormshield (Alliance)"] = 161,
				["Bastion Rise"] = 40,
				["Sha'naari Refuge"] = 33,
				["Fort Wrynn (Alliance)"] = 38,
				["Telaari Station"] = 134,
				["Yrel's Watch"] = 142,
				["Deeproot"] = 99,
				["Akeeta's Hovel"] = 87,
			},
			["Raven Hill"] = {
				["The Menders' Stead"] = 584,
				["Slabchisel's Survey"] = 366,
				["Refuge Pointe"] = 470,
				["Goldshire"] = 126,
				["Fort Livingston"] = 90,
				["Lakeshire"] = 118,
				["Booty Bay"] = 153,
				["Iron Summit"] = 277,
				["Darkshire"] = 62,
				["Nethergarde Keep"] = 154,
				["Andorhal"] = 118,
				["Ironforge"] = 330,
				["Surwich"] = 245,
				["Explorers' League Digsite"] = 130,
				["Sentinel Hill"] = 42,
				["Stormwind"] = 127,
				["Rebel Camp"] = 40,
				["Morgan's Vigil"] = 173,
				["Chiselgrip"] = 210,
			},
			["Bradensbrook"] = {
				["Shackle's Den"] = 115,
				["Crimson Thicket"] = 131,
				["Lorna's Watch"] = 168,
				["Felblaze Ingress"] = 91,
				["Trueshot Lodge"] = 113,
				["Lorlathil"] = 32,
				["Meredil"] = 91,
				["Hafr Fjall"] = 156,
				["Dalaran"] = 138,
				["Ironhorn Enclave"] = 125,
				["Azurewing Repose"] = 87,
				["Challiane's Terrace"] = 43,
				["Garden of the Moon"] = 30,
				["Starsong Refuge"] = 60,
				["Gloaming Reef"] = 28,
				["Stonehoof Watch"] = 133,
				["Shipwreck Cove"] = 167,
				["The Witchwood"] = 130,
				["Wardens' Redoubt"] = 127,
				["Illidari Stand"] = 104,
				["Thunder Totem"] = 114,
				["The Dreamgrove"] = 51,
			},
			["Zim'Torga"] = {
				["Windrunner's Overlook"] = 138,
				["Ulduar"] = 154,
				["Ebon Watch"] = 105,
				["Light's Breach"] = 76,
				["Dun Niffelem"] = 85,
				["Gundrak"] = 53,
				["Stars' Rest"] = 261,
				["Nesingwary Base Camp"] = 405,
				["Dalaran"] = 172,
				["Westfall Brigade"] = 56,
				["Valgarde Port"] = 214,
				["Westguard Keep"] = 217,
				["Valiance Keep"] = 388,
				["The Argent Stand"] = 53,
				["Crusaders' Pinnacle"] = 197,
				["Amberpine Lodge"] = 135,
				["Fort Wildervar"] = 142,
				["Valiance Landing Camp"] = 281,
				["K3"] = 146,
				["Wintergarde Keep"] = 158,
			},
			["Wyrmrest Temple"] = {
				["Windrunner's Overlook"] = 77,
				["Ulduar"] = 170,
				["Transitus Shield"] = 181,
				["Light's Breach"] = 90,
				["Wintergarde Keep"] = 34,
				["Dun Niffelem"] = 165,
				["Moa'ki"] = 36,
				["The Argent Vanguard"] = 80,
				["Stars' Rest"] = 45,
				["Dun Nifflelem"] = 164,
				["Ebon Watch"] = 71,
				["Argent Tournament Grounds"] = 140,
				["Crusaders' Pinnacle"] = 83,
				["Unu'pe"] = 109,
				["Valgarde Port"] = 160,
				["Frosthold"] = 105,
				["The Shadow Vault"] = 165,
				["Nesingwary Base Camp"] = 179,
				["K3"] = 98,
				["Westguard Keep"] = 114,
				["Amber Ledge"] = 157,
				["Kamagua"] = 148,
				["Valiance Keep"] = 129,
				["Dalaran"] = 63,
				["River's Heart"] = 170,
				["Fizzcrank Airstrip"] = 128,
				["Amberpine Lodge"] = 81,
				["Fort Wildervar"] = 171,
				["Valiance Landing Camp"] = 79,
				["Fordragon Hold"] = 39,
			},
			["High Bank"] = {
				["Firebeard's Patrol"] = 51,
				["Thundermar"] = 106,
				["Whelgar's Retreat"] = 235,
				["Andorhal"] = 417,
				["Victor's Point"] = 91,
				["Ironforge"] = 280,
				["Stormfeather Outpost"] = 365,
				["Vermillion Redoubt"] = 148,
				["Kirthaven"] = 92,
			},
			["Winter's Blossom"] = {
				["The Incursion"] = 134,
				["Tavern in the Mists"] = 144,
				["Zouchin Village"] = 124,
				["Rensai's Watchpost"] = 77,
				["Shado-Pan Fallback"] = 56,
				["Lion's Landing"] = 245,
				["Binan Village"] = 132,
				["Jade Temple Grounds"] = 253,
				["Westwind Rest"] = 78,
				["Serpent's Spine"] = 100,
				["Kota Basecamp"] = 26,
				["Longying Outpost"] = 34,
				["Shrine of Seven Stars"] = 127,
			},
			["Firebeard's Patrol"] = {
				["Highbank"] = 54,
				["High Bank"] = 53,
				["Victor's Point"] = 41,
				["Refuge Pointe"] = 232,
				["Ironforge"] = 333,
				["Thundermar"] = 56,
				["Kirthaven"] = 73,
				["Zul'Aman"] = 387,
			},
			["Whelgar's Retreat"] = {
				["Kharanos"] = 146,
				["Refuge Pointe"] = 79,
				["Slabchisel's Survey"] = 63,
				["Northpass Tower"] = 390,
				["Aerie Peak"] = 149,
				["Andorhal"] = 214,
				["Dun Modr"] = 29,
				["Ironforge"] = 141,
				["Greenwarden's Grove"] = 30,
				["Menethil Harbor"] = 53,
				["Crown Guard Tower"] = 300,
				["Stormfeather Outpost"] = 162,
				["Chiselgrip"] = 293,
				["Farstrider Lodge"] = 166,
			},
			["Westguard Keep"] = {
				["Transitus Shield"] = 465,
				["Light's Breach"] = 143,
				["The Argent Vanguard"] = 269,
				["Stars' Rest"] = 260,
				["Wintergarde Keep"] = 151,
				["Argent Tournament Grounds"] = 361,
				["Dalaran"] = 249,
				["Unu'pe"] = 357,
				["Valgarde Port"] = 69,
				["Frosthold"] = 265,
				["Moa'ki"] = 244,
				["River's Heart"] = 438,
				["Westfall Brigade"] = 183,
				["Dun Niffelem"] = 311,
				["Amber Ledge"] = 429,
				["Valiance Keep"] = 387,
				["Zim'Torga"] = 227,
				["K3"] = 221,
				["Kamagua"] = 51,
				["Wyrmrest Temple"] = 200,
				["Amberpine Lodge"] = 77,
				["Fort Wildervar"] = 85,
				["Fizzcrank Airstrip"] = 385,
				["Fordragon Hold"] = 241,
			},
			["Crow's Crook"] = {
				["Malo's Lookout"] = 129,
				["Redemption Rise"] = 81,
				["Apexis Excavation"] = 41,
				["Lunarfall (Alliance)"] = 74,
				["Veil Terokk"] = 19,
				["Terokkar Refuge"] = 59,
				["Southport"] = 37,
				["The Draakorium"] = 84,
				["Akeeta's Hovel"] = 49,
			},
			["Akeeta's Hovel"] = {
				["Pinchwhistle Gearworks"] = 65,
				["Talon Watch"] = 38,
				["Fort Wrynn (Alliance)"] = 77,
				["Elodor (Alliance)"] = 70,
				["Redemption Rise"] = 70,
				["Lunarfall (Alliance)"] = 45,
				["Socrethar's Rise"] = 51,
				["Darktide Roost"] = 66,
				["The Draakorium"] = 83,
				["Veil Terokk"] = 42,
				["Crow's Crook"] = 45,
			},
			["Blackfathom Camp"] = {
				["Rut'theran Village"] = 220,
				["Darnassus"] = 330,
				["Wildheart Point"] = 126,
				["Dreamer's Rest"] = 329,
				["Astranaar"] = 60,
				["Forest Song"] = 194,
				["Karnum's Glade"] = 242,
				["Fort Triumph"] = 304,
				["Emerald Sanctuary"] = 110,
				["Grove of the Ancients"] = 68,
				["Windshear Hold"] = 163,
				["Shrine of Aviana"] = 338,
				["Thal'darah Overlook"] = 136,
				["Ratchet"] = 253,
				["Mirkfallon Post"] = 176,
				["Nijel's Point"] = 196,
			},
			["Light's Shield Tower"] = {
				["The Menders' Stead"] = 106,
				["Zul'Aman"] = 138,
				["Dustwind Dig"] = 372,
				["Fuselight"] = 354,
				["Northpass Tower"] = 49,
				["Whelgar's Retreat"] = 313,
				["Light's Hope Chapel"] = 39,
				["Greenwarden's Grove"] = 317,
				["Plaguewood Tower"] = 61,
				["Stormfeather Outpost"] = 127,
				["Crown Guard Tower"] = 30,
				["Eastwall Tower"] = 20,
			},
			["Karnum's Glade"] = {
				["Tower of Estulan"] = 187,
				["Thargad's Camp"] = 49,
				["Mudsprocket"] = 353,
				["Honor's Stand"] = 61,
				["Northwatch Expedition Base Camp"] = 136,
				["Marshal's Stand"] = 369,
				["Fort Triumph"] = 288,
				["Thunk's Abode"] = 28,
				["Ethel Rethor"] = 40,
				["Mossy Pile"] = 342,
				["Thal'darah Overlook"] = 121,
				["Astranaar"] = 196,
				["Dreamer's Rest"] = 102,
				["Nijel's Point"] = 56,
			},
			["Victor's Point"] = {
				["High Bank"] = 92,
				["Firebeard's Patrol"] = 40,
				["Kirthaven"] = 64,
				["Crown Guard Tower"] = 438,
				["Thundermar"] = 42,
				["Whelgar's Retreat"] = 380,
				["Aerie Peak"] = 288,
			},
			["Crown Guard Tower"] = {
				["Thondroril River"] = 39,
				["The Menders' Stead"] = 77,
				["Eastwall Tower"] = 54,
				["Light's Hope Chapel"] = 74,
				["Northpass Tower"] = 61,
				["Light's Shield Tower"] = 35,
				["Stormwind"] = 521,
				["Andorhal"] = 104,
				["Menethil Harbor"] = 358,
				["Ironforge"] = 348,
				["Chiselgrip"] = 494,
				["Marshtide Watch"] = 586,
				["Iron Summit"] = 412,
			},
			["Socrethar's Rise"] = {
				["Talon Watch"] = 40,
				["Lunarfall (Alliance)"] = 68,
				["Akeeta's Hovel"] = 45,
			},
			["Moa'ki"] = {
				["Windrunner's Overlook"] = 150,
				["Ebon Watch"] = 143,
				["Stars' Rest"] = 55,
				["Nesingwary Base Camp"] = 256,
				["Dalaran"] = 122,
				["Westfall Brigade"] = 237,
				["Valgarde Port"] = 264,
				["Wintergarde Keep"] = 85,
				["The Shadow Vault"] = 273,
				["Unu'pe"] = 132,
				["Valiance Keep"] = 181,
				["Westguard Keep"] = 205,
				["Amber Ledge"] = 224,
				["K3"] = 167,
				["Kamagua"] = 184,
				["Transitus Shield"] = 260,
				["Crusaders' Pinnacle"] = 150,
				["Wyrmrest Temple"] = 48,
				["Amberpine Lodge"] = 156,
				["Fort Wildervar"] = 290,
				["River's Heart"] = 244,
				["Fizzcrank Airstrip"] = 181,
			},
			["Skyfire Triage Camp"] = {
				["Greywatch"] = 61,
				["Crimson Thicket"] = 44,
				["Valdisdall"] = 43,
				["Lorna's Watch"] = 24,
				["Thunder Totem"] = 56,
				["Shield's Rest"] = 88,
				["Deliverance Point"] = 127,
				["Wardens' Redoubt"] = 154,
				["Hafr Fjall"] = 57,
				["Dalaran"] = 109,
				["Illidari Stand"] = 136,
				["Ironhorn Enclave"] = 41,
				["Stormtorn Foothills"] = 37,
			},
			["Shipwreck Cove"] = {
				["Felblaze Ingress"] = 155,
				["Trueshot Lodge"] = 63,
				["Lorlathil"] = 149,
				["Bradensbrook"] = 152,
				["Watchers' Aerie"] = 205,
				["Azurewing Repose"] = 164,
				["The Witchwood"] = 50,
				["Prepfoot"] = 44,
				["Thunder Totem"] = 87,
				["Felbane Camp"] = 42,
				["Deliverance Point"] = 227,
				["Stonehoof Watch"] = 89,
				["Skyfire Triage Camp"] = 113,
				["Skyhorn"] = 64,
				["Sylvan Falls"] = 82,
				["Starsong Refuge"] = 115,
				["The Dreamgrove"] = 114,
			},
			["Wildhammer Stronghold"] = {
				["Evergrove"] = 379,
				["Shattrath"] = 174,
				["Sylvanaar"] = 348,
				["Altar of Sha'tar"] = 83,
				["Area 52"] = 409,
				["Hellfire Peninsula"] = 256,
				["Allerian Stronghold"] = 101,
				["The Stormspire"] = 515,
				["Telaar"] = 249,
				["Orebor Harborage"] = 320,
				["Toshley's Station"] = 326,
				["Cosmowrench"] = 475,
				["Honor Hold"] = 196,
				["Sanctum of the Stars"] = 42,
			},
			["Refuge Pointe"] = {
				["Hearthglen"] = 203,
				["Light's Hope Chapel"] = 233,
				["Marshtide Watch"] = 397,
				["Dun Modr"] = 59,
				["Chillwind Camp"] = 122,
				["Zul'Aman"] = 337,
				["Thelsamar"] = 171,
				["Andorhal"] = 136,
				["Surwich"] = 528,
				["Stormfeather Outpost"] = 84,
				["Slabchisel's Survey"] = 127,
				["Acherus: The Ebon Hold"] = 301,
				["Thorium Point"] = 249,
				["Aerie Peak"] = 71,
				["Lakeshire"] = 677,
				["Menethil Harbor"] = 126,
				["Booty Bay"] = 562,
				["Bogpaddle"] = 375,
				["Thondroril River"] = 178,
				["Kharanos"] = 220,
				["The Harborage"] = 410,
				["Darkshire"] = 748,
				["Nethergarde Keep"] = 621,
				["Vermillion Redoubt"] = 145,
				["Ironforge"] = 271,
				["Morgan's Vigil"] = 304,
				["Sentinel Hill"] = 515,
				["Stormwind"] = 373,
				["Northpass Tower"] = 215,
				["Greenwarden's Grove"] = 94,
				["Plaguewood Tower"] = 250,
				["Rebel Camp"] = 456,
				["Goldshire"] = 407,
				["Dustwind Dig"] = 215,
			},
			["Greywatch"] = {
				["Crimson Thicket"] = 75,
				["Lorna's Watch"] = 53,
				["Trueshot Lodge"] = 132,
				["Shield's Rest"] = 50,
				["Meredil"] = 110,
				["Hafr Fjall"] = 41,
				["Dalaran"] = 131,
				["Irongrove Retreat"] = 122,
				["Valdisdall"] = 23,
				["Garden of the Moon"] = 175,
				["Starsong Refuge"] = 158,
				["Stormtorn Foothills"] = 41,
				["Sylvan Falls"] = 123,
				["Stonehoof Watch"] = 79,
				["Thunder Totem"] = 101,
				["Wardens' Redoubt"] = 177,
				["Illidari Stand"] = 167,
				["Skyfire Triage Camp"] = 57,
			},
			["Rensai's Watchpost"] = {
				["Halfhill"] = 288,
				["Shrine of Seven Stars"] = 166,
				["Westwind Rest"] = 102,
				["Shado-Pan Garrison"] = 22,
				["Gao-Ran Battlefront"] = 44,
				["Longying Outpost"] = 48,
			},
			["Thunder Totem"] = {
				["Shackle's Den"] = 131,
				["Skyfire Triage Camp"] = 56,
				["Trueshot Lodge"] = 36,
				["Lorna's Watch"] = 66,
				["Wardens' Redoubt"] = 147,
				["Telredor"] = 84,
				["Shield's Rest"] = 126,
				["Cosmowrench"] = 218,
				["Meredil"] = 79,
				["Felbane Camp"] = 56,
				["Challiane's Terrace"] = 113,
				["Stonehoof Watch"] = 31,
				["Bradensbrook"] = 100,
				["Ironhorn Enclave"] = 46,
				["Irongrove Retreat"] = 65,
				["Greywatch"] = 100,
				["Nesingwary"] = 20,
				["Stormtorn Foothills"] = 75,
				["The Witchwood"] = 35,
				["Prepfoot"] = 61,
				["Starsong Refuge"] = 64,
				["Valdisdall"] = 83,
				["Obsidian Overlook"] = 48,
				["Deliverance Point"] = 170,
				["Sylvan Falls"] = 28,
				["Watchers' Aerie"] = 153,
				["Dalaran"] = 135,
				["Skyhorn"] = 31,
				["Illidari Stand"] = 29,
				["Lorlathil"] = 97,
				["The Dreamgrove"] = 118,
			},
			["Mudsprocket"] = {
				["Tower of Estulan"] = 203,
				["Ratchet"] = 167,
				["Fizzle & Pozzik's Speedbarge"] = 60,
				["Ramkahen"] = 275,
				["Nijel's Point"] = 292,
				["Thargad's Camp"] = 349,
				["Marshal's Stand"] = 199,
				["Feathermoon"] = 283,
				["Theramore"] = 52,
				["Fort Triumph"] = 66,
				["Forest Song"] = 453,
				["Shadebough"] = 143,
				["Karnum's Glade"] = 127,
				["Gunstan's Dig"] = 191,
				["Whisperwind Grove"] = 494,
				["Gadgetzan"] = 103,
			},
			["Eastern Suramar"] = {
				["Western Suramar"] = 57,
				["Trueshot Lodge"] = 175,
				["Thorim's Peak"] = 42,
			},
			["Talon Watch"] = {
				["Pinchwhistle Gearworks"] = 38,
				["Bloodmaul Slag Mines"] = 191,
				["Southport"] = 46,
				["Telaari Station"] = 150,
				["Veil Terokk"] = 32,
				["Lunarfall (Alliance)"] = 66,
				["Terokkar Refuge"] = 66,
				["Crow's Crook"] = 33,
				["Apexis Excavation"] = 57,
				["Retribution Point"] = 99,
				["Akeeta's Hovel"] = 27,
			},
			["Fort Wrynn (Alliance)"] = {
				["Terokkar Refuge"] = 52,
				["Deeproot"] = 56,
				["The Iron Front"] = 27,
				["Skysea Ridge"] = 97,
				["The Ring of Trials"] = 89,
				["Exarch's Refuge"] = 66,
				["Breaker's Crown"] = 78,
				["Redemption Rise"] = 21,
				["Stormshield (Alliance)"] = 171,
				["Lunarfall (Alliance)"] = 78,
				["Shattrath City"] = 40,
				["Telaari Station"] = 116,
				["Wildwood Wash"] = 96,
				["Retribution Point"] = 80,
				["Anchorite's Sojourn"] = 53,
			},
			["Mossy Pile"] = {
				["Tower of Estulan"] = 230,
				["Gadgetzan"] = 97,
				["Ratchet"] = 276,
				["Marshal's Stand"] = 28,
				["Northwatch Expedition Base Camp"] = 441,
				["Theramore"] = 248,
				["Fort Triumph"] = 282,
				["Emerald Sanctuary"] = 613,
				["Shadebough"] = 289,
				["Gunstan's Dig"] = 185,
				["Ramkahen"] = 225,
				["Everlook"] = 852,
				["Cenarion Hold"] = 82,
				["Feathermoon"] = 200,
				["Rut'theran Village"] = 755,
			},
			["Grassy Cline"] = {
				["Halfhill"] = 45,
				["Shrine of Seven Stars"] = 64,
				["Tavern in the Mists"] = 16,
				["Pang's Stead"] = 29,
				["Tushui Landing"] = 226,
				["Dawn's Blossom"] = 85,
				["Tian Monastery"] = 133,
			},
			["Joz's Rylaks"] = {
				["Telaari Station"] = 36,
				["Lunarfall (Alliance)"] = 154,
				["Rilzit's Holdfast"] = 35,
				["Apexis Excavation"] = 131,
				["Nivek's Overlook"] = 51,
				["Exile's Rise"] = 180,
				["Throne of the Elements"] = 20,
			},
			["Temple of Telhamat"] = {
				["Evergrove"] = 203,
				["Shatter Point"] = 142,
				["Shattrath"] = 143,
				["Sylvanaar"] = 172,
				["Area 52"] = 233,
				["Telredor"] = 65,
				["Hellfire Peninsula"] = 149,
				["Telaar"] = 206,
				["Orebor Harborage"] = 144,
				["Honor Hold"] = 87,
			},
			["Rut'theran Village"] = {
				["Tower of Estulan"] = 585,
				["Mirkfallon Post"] = 354,
				["Moonglade"] = 152,
				["Nordrassil"] = 292,
				["Blood Watch"] = 155,
				["Ratchet"] = 428,
				["Ramkahen"] = 814,
				["Nijel's Point"] = 370,
				["Lor'danel"] = 61,
				["Gadgetzan"] = 655,
				["Dolanaar"] = 172,
				["Northwatch Expedition Base Camp"] = 273,
				["Fort Triumph"] = 480,
				["Azure Watch"] = 105,
				["Grove of the Ancients"] = 153,
				["Mossy Pile"] = 741,
				["Dreamer's Rest"] = 487,
				["Feathermoon"] = 239,
				["Darnassus"] = 111,
				["Honor's Stand"] = 380,
				["Marshal's Stand"] = 785,
				["Fizzle & Pozzik's Speedbarge"] = 605,
				["Stardust Spire"] = 276,
				["Everlook"] = 259,
				["Gates of Sothann"] = 373,
				["Talonbranch Glade"] = 155,
				["The Exodar"] = 80,
				["Astranaar"] = 236,
				["Theramore"] = 527,
				["Blackfathom Camp"] = 217,
				["Emerald Sanctuary"] = 234,
				["Forest Song"] = 271,
				["Shadebough"] = 645,
				["Windshear Hold"] = 341,
				["Shrine of Aviana"] = 311,
				["Thal'darah Overlook"] = 314,
				["Cenarion Hold"] = 708,
				["Whisperwind Grove"] = 201,
			},
			["The Witchwood"] = {
				["Shipwreck Cove"] = 42,
				["Azurewing Repose"] = 128,
				["Valdisdall"] = 114,
				["Garden of the Moon"] = 96,
				["Thunder Totem"] = 43,
				["Trueshot Lodge"] = 26,
				["Felbane Camp"] = 31,
				["Nesingwary"] = 35,
				["Sylvan Falls"] = 47,
				["Starsong Refuge"] = 79,
				["Skyhorn"] = 46,
				["Prepfoot"] = 41,
				["Ironhorn Enclave"] = 78,
				["The Dreamgrove"] = 101,
			},
			["The Shadow Vault"] = {
				["Death's Rise"] = 77,
				["Windrunner's Overlook"] = 206,
				["The Argent Vanguard"] = 136,
				["Dun Nifflelem"] = 270,
				["Argent Tournament Grounds"] = 77,
				["Dalaran"] = 165,
				["River's Heart"] = 194,
				["Frosthold"] = 174,
				["Westguard Keep"] = 401,
				["K3"] = 211,
				["Bouldercrag's Refuge"] = 122,
				["The Argent Stand"] = 295,
				["Nesingwary Base Camp"] = 196,
				["Wyrmrest Temple"] = 276,
				["Amberpine Lodge"] = 352,
				["Zim'Torga"] = 319,
				["Valiance Landing Camp"] = 263,
				["Moa'ki"] = 313,
				["Crusaders' Pinnacle"] = 121,
			},
			["Chillwind Camp"] = {
				["The Menders' Stead"] = 41,
				["Hearthglen"] = 85,
				["Light's Hope Chapel"] = 148,
				["Thorium Point"] = 297,
				["Light's Shield Tower"] = 137,
				["Acherus: The Ebon Hold"] = 214,
				["Lakeshire"] = 439,
				["Morgan's Vigil"] = 454,
				["Menethil Harbor"] = 194,
				["Booty Bay"] = 723,
				["Aerie Peak"] = 65,
				["Crown Guard Tower"] = 103,
				["Sentinel Hill"] = 558,
				["Thondroril River"] = 59,
				["Northpass Tower"] = 163,
				["Zul'Aman"] = 248,
				["Thelsamar"] = 309,
				["Nethergarde Keep"] = 667,
				["Thondoril River"] = 54,
				["Darkshire"] = 794,
				["Andorhal"] = 26,
				["Refuge Pointe"] = 138,
				["Stormwind"] = 418,
				["Kharanos"] = 264,
				["Greenwarden's Grove"] = 234,
				["Plaguewood Tower"] = 145,
				["Stormfeather Outpost"] = 139,
				["Ironforge"] = 206,
			},
			["Sylvanaar"] = {
				["Evergrove"] = 51,
				["Shattrath"] = 63,
				["Temple of Telhamat"] = 164,
				["Area 52"] = 119,
				["Telredor"] = 82,
				["Allerian Stronghold"] = 255,
				["Telaar"] = 207,
				["Orebor Harborage"] = 66,
				["Toshley's Station"] = 57,
				["Cosmowrench"] = 185,
				["The Stormspire"] = 170,
				["Honor Hold"] = 251,
			},
			["Sri-La Village"] = {
				["Halfhill"] = 231,
				["Dawn's Blossom"] = 56,
				["Emperor's Omen"] = 21,
				["The Arboretum"] = 62,
				["Tian Monastery"] = 50,
			},
			["Darkbreak Cove"] = {
				["Voldrin's Hold"] = 79,
				["Tranquil Wash"] = 51,
				["Silver Tide Hollow"] = 94,
				["Smuggler's Scar"] = 164,
				["Sandy Beach"] = 149,
			},
			["Aalgen Point"] = {
				["Deliverance Point"] = 41,
				["Crimson Thicket"] = 97,
				["Hafr Fjall"] = 90,
				["Dalaran"] = 67,
				["Vengeance Point"] = 40,
			},
			["The Menders' Stead"] = {
				["Thondroril River"] = 37,
				["Hearthglen"] = 44,
				["Refuge Pointe"] = 180,
				["Thundermar"] = 364,
				["Andorhal"] = 28,
				["Northpass Tower"] = 141,
				["Stormwind"] = 469,
				["Morgan's Vigil"] = 424,
				["Menethil Harbor"] = 306,
				["Ironforge"] = 298,
				["Zul'Aman"] = 238,
				["Chillwind Camp"] = 43,
				["Light's Shield Tower"] = 115,
			},
			["Serpent's Spine"] = {
				["The Sunset Brewgarden"] = 54,
				["Winter's Blossom"] = 102,
				["Shrine of Seven Stars"] = 71,
				["Soggy's Gamble"] = 72,
				["Binan Village"] = 160,
				["Gao-Ran Battlefront"] = 210,
				["Klaxxi'vess"] = 52,
				["Tushui Landing"] = 345,
			},
			["Thondoril River"] = {
				["Light's Hope Chapel"] = 98,
				["Ironforge"] = 313,
				["Menethil Harbor"] = 242,
				["Chillwind Camp"] = 59,
				["Aerie Peak"] = 122,
			},
			["Sha'naari Refuge"] = {
				["Lion's Watch"] = 45,
				["Malo's Lookout"] = 30,
				["The Iron Front"] = 32,
				["Vault of the Earth"] = 32,
				["Aktar's Post"] = 25,
			},
			["Skysea Ridge"] = {
				["Fort Wrynn (Alliance)"] = 95,
				["Bloodmaul Slag Mines"] = 61,
				["Lunarfall (Alliance)"] = 157,
				["Anchorite's Sojourn"] = 142,
				["Highpass"] = 42,
				["Telaari Station"] = 162,
				["Shattrath City"] = 110,
				["Iron Siegeworks"] = 47,
			},
			["Cenarion Hold"] = {
				["Bloodvenom Post"] = 644,
				["Mudsprocket"] = 400,
				["Ratchet"] = 416,
				["Ramkahen"] = 145,
				["Freewind Post"] = 241,
				["Nijel's Point"] = 402,
				["Gadgetzan"] = 187,
				["Fort Triumph"] = 352,
				["Mossy Pile"] = 72,
				["Astranaar"] = 630,
				["Feathermoon"] = 107,
				["Theramore"] = 319,
				["Everlook"] = 741,
				["Rut'theran Village"] = 673,
				["Thargad's Camp"] = 23,
				["Moonglade"] = 706,
				["Camp Taurajo"] = 379,
				["Marshal's Stand"] = 113,
				["Shadebough"] = 381,
				["Oasis of Vir'sar"] = 65,
				["Talonbranch Glade"] = 841,
				["Gunstan's Dig"] = 224,
			},
			["Fort Livingston"] = {
				["Dragon's Mouth"] = 256,
				["Dustwind Dig"] = 290,
				["Explorers' League Digsite"] = 43,
				["Marshtide Watch"] = 227,
				["Menethil Harbor"] = 424,
				["Booty Bay"] = 96,
				["Farstrider Lodge"] = 357,
				["Raven Hill"] = 89,
				["Thelsamar"] = 343,
				["Nethergarde Keep"] = 190,
				["Refuge Pointe"] = 505,
				["Morgan's Vigil"] = 208,
				["Chiselgrip"] = 244,
				["Stormwind"] = 147,
				["Surwich"] = 152,
				["Greenwarden's Grove"] = 434,
				["Sentinel Hill"] = 120,
				["Moonbrook"] = 143,
				["Rebel Camp"] = 54,
				["Darkshire"] = 99,
				["Iron Summit"] = 296,
			},
			["Voldrin's Hold"] = {
				["Ironforge"] = 261,
				["Darkbreak Cove"] = 81,
				["Sandy Beach"] = 71,
				["Tranquil Wash"] = 45,
			},
		},
	}
end